function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Building Distributed  Applications  Using the Progress AppServer","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp37931");
B=A.fN("Audience","1#wp37957");
B=A.fN("Organization of This Manual","1#wp37979");
B=A.fN("How to Use This Manual","1#wp38049");
B=A.fN("Typographical Conventions","1#wp53629");
B=A.fN("Syntax Notation","1#wp53661");
B=A.fN("Progress Messages","1#wp55320");
B=A.fN("Other Useful Documentation","1#wp54004");
A=P.fN("Distributed Application Computing","2#wp665628");
B=A.fN(" What Is Distributed Application Computing?","3");
var C=B.fN(" Application Partitioning","4");
C=B.fN(" The N-tier Model","5");
B=A.fN(" Comparing Computing Models","6");
C=B.fN(" The Two-tier Model","7");
C=B.fN(" Progress Distributed Application Computing Models","8");
A=P.fN("Overview of the Progress AppServer","9#wp376116");
B=A.fN(" Overview of the Architecture","10");
C=B.fN(" Application Partitioning","11");
C=B.fN(" Reasons to Partition","12");
C=B.fN(" AppServer Components","13");
C=B.fN(" How Does a Remote Procedure Execute?","14");
C=B.fN(" The Concept of Separate Sessions","15");
C=B.fN(" The Connection-based Model","16");
C=B.fN(" Configurations","17");
B=A.fN(" Run-time Components and Operation","18");
C=B.fN(" Distribution of Components","19");
C=B.fN(" Fault-tolerant NameServers","20");
C=B.fN(" Fault-tolerant AppServers and Load Balancing","21");
C=B.fN(" Operating Modes","22");
C=B.fN(" AppServer Startup and Shutdown","23");
B=A.fN(" Connection Process","24");
C=B.fN(" Application Services","25");
C=B.fN(" Connection Operation","26");
B=A.fN(" Understanding AppServer Operating Modes","27");
C=B.fN(" State-reset Operating Mode","28");
C=B.fN(" State-aware Operating Mode","29");
C=B.fN(" Stateless Operating Mode","30");
B=A.fN(" Understanding Synchronous and Asynchronous Requests","31");
C=B.fN(" Process Control Flow","32");
C=B.fN(" Specifying the Type of Remote Request","33");
C=B.fN(" Handling Asynchronous Request Results","34");
C=B.fN(" Asynchronous Request Queuing","35");
A=P.fN("Administration","36#wp840732");
B=A.fN(" AppServer Administration Framework","37");
C=B.fN(" AppServer Clients","38");
C=B.fN(" Progress Explorer and Management Utilities","39");
C=B.fN(" NameServers","40");
C=B.fN(" Application Broker","41");
C=B.fN(" Application Server Processes","42");
C=B.fN(" AppServer and NameServer Properties File (ubroker.properties)","43");
C=B.fN(" Text Editor and Configuration Utilities","44");
C=B.fN(" Preparing for AppServer Administration","45");
B=A.fN(" Configuring AppServer Components","46");
C=B.fN(" Using the Progress Explorer to Configure an AppServer Instance","47");
C=B.fN(" Configuring an AppServer Using the Progress Explorer","48");
C=B.fN(" Configuring an AppServer Using the Properties File","49");
B=A.fN(" Setting Up the Environment for AppServer Execution","50");
C=B.fN(" Environment Variable Settings","51");
C=B.fN(" AppServer and NameServer Log Files","52");
C=B.fN(" Progress Remote SmartDataObject Support","53");
C=B.fN(" Customizing the Application Server Process Executable","54");
B=A.fN(" Starting and Managing an AppServer Instance","55");
C=B.fN(" Requirements for Starting an AppServer","56");
C=B.fN(" Starting and Managing an AppServer with the Progress Explorer","57");
C=B.fN(" Starting and Managing an AppServer with the Management Utilities","58");
C=B.fN(" Checking AppServer Status","59");
B=A.fN(" Specifying the Server Pool Parameters","60");
C=B.fN(" Tuning for Operating Modes","61");
C=B.fN(" Managing Application Server Processes","62");
B=A.fN(" Managing Code Pages","63");
C=B.fN(" Code-page Settings","64");
C=B.fN(" Run-time Conversions","65");
B=A.fN(" Summary of Management Tasks","66");
A=P.fN("Programming the AppServer","67#wp652724");
B=A.fN(" 4GL for Programming AppServer Procedures","68");
B=A.fN(" Accessing the Connection ID","69");
B=A.fN(" Using AppServer Configuration Procedures","70");
C=B.fN(" Startup and Shutdown Procedures","71");
C=B.fN(" Connect and Disconnect Procedures","72");
C=B.fN(" Activate and Deactivate Procedures","73");
B=A.fN(" Controlling AppServer Entry Points","74");
C=B.fN(" Export List Operation","75");
C=B.fN(" Setting and Resetting the Export List","76");
C=B.fN(" Calling the EXPORT( ) Method","77");
C=B.fN(" Resolving Remote Procedure Names","78");
B=A.fN(" Managing Stateless Connection Context","79");
C=B.fN(" Using the SERVER-CONNECTION-CONTEXT Attribute","80");
C=B.fN(" Using the SERVER-CONNECTION-ID Attribute","81");
C=B.fN(" Using the SERVER-CONNECTION-BOUND-REQUEST Attribute","82");
C=B.fN(" Using the SERVER-CONNECTION-BOUND Attribute","83");
B=A.fN(" Understanding Remote Procedure Handles","84");
C=B.fN(" Remote Persistent Procedure Handles","85");
C=B.fN(" Deleting Remote Persistent Procedures","86");
B=A.fN(" Handling Conditions and Returning Values","87");
C=B.fN(" Raising the ERROR Condition and Returning Values","88");
C=B.fN(" Raising the ENDKEY Condition","89");
C=B.fN(" Handling the STOP Condition","90");
C=B.fN(" Handling the QUIT Condition","91");
C=B.fN(" Effects of Unhandled Conditions","92");
B=A.fN(" Managing Transactions","93");
C=B.fN(" Types of AppServer Transactions","94");
C=B.fN(" Implementing Normal 4GL Transactions","95");
C=B.fN(" Implementing Automatic Transactions","96");
B=A.fN(" Programming for Open Client Applications","97");
C=B.fN(" Using the ProtoGen Utility","98");
C=B.fN(" Using Code Editors","99");
A=P.fN("Programming the Client Application","100#wp335263");
B=A.fN(" 4GL for Programming AppServer Client Procedures","101");
B=A.fN(" Accessing AppServer Resources from a Client","102");
B=A.fN(" Connecting an AppServer Instance","103");
C=B.fN(" Creating a Server Object Handle","104");
C=B.fN(" Establishing a Connection with the CONNECT( ) Method","105");
C=B.fN(" Connection Example","106");
B=A.fN(" Accessing the Connection ID on the Client","107");
B=A.fN(" Running and Managing Remote Procedures","108");
C=B.fN(" Running Remote Procedures","109");
C=B.fN(" Understanding Proxy Persistent Procedure Handles","110");
C=B.fN(" Deleting Remote Persistent Procedures","111");
C=B.fN(" Remote Procedure Code Examples","112");
B=A.fN(" Disconnecting from an AppServer Instance","113");
C=B.fN(" Using the DISCONNECT( ) Method","114");
C=B.fN(" Deleting the Server Handle","115");
B=A.fN(" Handling Conditions and Return Values","116");
C=B.fN(" Raising the STOP Condition","117");
C=B.fN(" Handling Conditions on the RUN Statement","118");
C=B.fN(" Using the RETURN-VALUE Function Across Sessions","119");
B=A.fN(" Managing Asynchronous Requests","120");
C=B.fN(" Executing an Asynchronous Request","121");
C=B.fN(" Handling the Response from an Asynchronous Request","122");
C=B.fN(" Cancelling Asynchronous Requests","123");
C=B.fN(" Asynchronous Requests and Persistent Procedures","124");
C=B.fN(" Deleting Asynchronous Remote Persistent Procedures","125");
C=B.fN(" Deleting Server Handles","126");
C=B.fN(" Deleting Asynchronous Request Handles","127");
C=B.fN(" Debugging Asynchronous Requests","128");
C=B.fN(" Mixing Synchronous and Asynchronous Requests","129");
C=B.fN(" Running Asynchronous Requests on the SESSION System Handle","130");
C=B.fN(" Examples","131");
A=P.fN("Design and Implementation Considerations","132#wp28127");
B=A.fN(" Primary Performance Considerations","133");
C=B.fN(" Minimizing Network Traffic","134");
C=B.fN(" Offloading Resource-intensive Processing Tasks","135");
C=B.fN(" Choosing an AppServer Operating Mode","136");
C=B.fN(" Setting the Number of Application Server Processes","137");
C=B.fN(" Choosing a Transaction Model","138");
C=B.fN(" Using Load Balancing","139");
B=A.fN(" Secondary Performance Considerationss","140");
C=B.fN(" Connect and Disconnect Performance Issues","141");
C=B.fN(" Compiled Compared to Precompiled Code","142");
C=B.fN(" Progress Browse Design Considerations","143");
C=B.fN(" Performance Issues Related to Schema Transmission","144");
B=A.fN(" Transaction and Record Management Considerations","145");
C=B.fN(" Comparing Normal 4GL and Automatic Transactions","146");
C=B.fN(" Ensuring a Small Transaction Size","147");
C=B.fN(" Returning Transaction Status to the Client","148");
C=B.fN(" Maintaining Transaction Consistency Between Client and AppServer","149");
C=B.fN(" Managing Conflicts Between Client and AppServer","150");
C=B.fN(" Buffer Currency and NO-LOCK","151");
B=A.fN(" Deployment Considerations","152");
C=B.fN(" Minimizing the Effects of Schema Changes","153");
C=B.fN(" Advantages of Using Portable R-code","154");
C=B.fN(" Server Configurations","155");
C=B.fN(" Network Deployment Considerations","156");
B=A.fN(" Security Considerations","157");
C=B.fN(" Overview of the Progress AppServer Security Options","158");
C=B.fN(" Authentication and Authorization","159");
C=B.fN(" Database Access","160");
C=B.fN(" AppServer Session Access","161");
C=B.fN(" Generating Audit Trails","162");
C=B.fN(" Run-time Compilation","163");
C=B.fN(" Operating System","164");
B=A.fN(" Multi-language Support","165");
B=A.fN(" Distributed Application Design and Implementation","166");
C=B.fN(" Understanding the Scope of Persistent Procedures","167");
C=B.fN(" Understanding Procedure Handles in Distributed Progress Sessions","168");
C=B.fN(" Understanding Condition Handling in Distributed Progress Sessions","169");
C=B.fN(" Schema Triggers","170");
C=B.fN(" Conditions That Make Migrating Your Application Model Easier","171");
A=P.fN("Debugging","172#wp111820");
B=A.fN(" AppServer Debugging","173");
C=B.fN(" Distributed Debugging","174");
C=B.fN(" Remote Debugging","175");
B=A.fN(" Using Distributed Debugging","176");
C=B.fN(" About the Debugger Window","177");
C=B.fN(" Restrictions on Debugger Operation","178");
B=A.fN(" Using Remote Debugging","179");
C=B.fN(" Basic Tasks","180");
B=A.fN(" General Debugging Requirements","181");
B=A.fN(" Examining the Progress AppServer Log File","182");
A=P.fN("Running the AppServer Without a Network","183#wp75543");
B=A.fN(" Preparing NT 4.0 for Standalone Operation","184");
B=A.fN(" Creating a Non-network Configuration","185");
B=A.fN(" Installing the Remote Access Service","186");
}
