function  WWHBookData_Files(P)
{
P.fA("Progress  Database Design Guide","dbd-01-1.html");
P.fA("Item Number: 81079;9.1C","dbd-02-1.html");
P.fA("Preface","dbd-03-1.html");
P.fA("Introduction","dbd-04-01.html");
P.fA(" What Is a Database?","dbd-04-02.html");
P.fA(" Computerized Databases","dbd-04-03.html");
P.fA(" Elements of a Relational Database ","dbd-04-04.html");
P.fA(" Tables","dbd-04-05.html");
P.fA(" Rows","dbd-04-06.html");
P.fA(" Columns","dbd-04-07.html");
P.fA(" Keys","dbd-04-08.html");
P.fA(" Applying the Principles of the Relational Model","dbd-04-09.html");
P.fA(" The Progress Database and the Relational Model","dbd-04-10.html");
P.fA(" Key Points to Remember","dbd-04-11.html");
P.fA("Table Relationships and Normalization","dbd-05-1.html");
P.fA(" Table Relationships","dbd-05-2.html");
P.fA(" One-to-one Relationship","dbd-05-3.html");
P.fA(" One-to-many Relationship","dbd-05-4.html");
P.fA(" Many-to-many Relationship","dbd-05-5.html");
P.fA(" Normalization","dbd-05-6.html");
P.fA(" The First Normal Form","dbd-05-7.html");
P.fA(" The Second Normal Form","dbd-05-8.html");
P.fA(" The Third Normal Form","dbd-05-9.html");
P.fA("Database Design Basics","dbd-06-1.html");
P.fA(" Database Design Cycle","dbd-06-2.html");
P.fA(" Data Analysis","dbd-06-3.html");
P.fA(" Logical Database Design","dbd-06-4.html");
P.fA(" Physical Database Design","dbd-06-5.html");
P.fA(" Physical Implementation","dbd-06-6.html");
P.fA(" ","dbd-07-01.html");
P.fA(" Overview","dbd-07-02.html");
P.fA(" Indexing Databases","dbd-07-03.html");
P.fA(" How Indexes Work","dbd-07-04.html");
P.fA(" Why Define an Index?","dbd-07-05.html");
P.fA(" Indexes Used in the Sports Database","dbd-07-06.html");
P.fA(" Disadvantages of Defining an Index","dbd-07-07.html");
P.fA(" Choosing Which Tables and Columns to Index","dbd-07-08.html");
P.fA(" Indexes and ROWIDs","dbd-07-09.html");
P.fA(" Calculating Index Size","dbd-07-10.html");
P.fA(" Eliminating Redundant Indexes","dbd-07-11.html");
P.fA(" Deactivating Indexes","dbd-07-12.html");
P.fA("Progress 4GL Index Usage","dbd-08-01.html");
P.fA(" Finding Out Which Indexes Are Used","dbd-08-02.html");
P.fA(" Maintaining Indexes Through the 4GL","dbd-08-03.html");
P.fA(" Using the 4GL ASSIGN Statement","dbd-08-04.html");
P.fA(" Indexes and Unknown Values","dbd-08-05.html");
P.fA(" Indexes and Case Sensitivity","dbd-08-06.html");
P.fA(" How Progress Chooses and Brackets Indexes to Satisfy Queries","dbd-08-07.html");
P.fA(" Background and Terminology","dbd-08-08.html");
P.fA(" Case 1:  WHERE searchExpr ","dbd-08-09.html");
P.fA(" Case 2:  WHERE searchExpr AND searchExpr","dbd-08-10.html");
P.fA(" Case 3:  WHERE searchExpr OR searchExpr ","dbd-08-11.html");
P.fA(" General Rules for Choosing a Single Index","dbd-08-12.html");
P.fA(" Bracketing","dbd-08-13.html");
P.fA(" Index-related Hints","dbd-08-14.html");
P.fA("Progress 4GL Word Indexes","dbd-09-01.html");
P.fA(" Word Index Support","dbd-09-02.html");
P.fA(" Word Delimiters ","dbd-09-03.html");
P.fA(" Progress Defaults","dbd-09-04.html");
P.fA(" Defining Your Own Delimiters","dbd-09-05.html");
P.fA(" Word Indexing External Documents","dbd-09-06.html");
P.fA(" Indexing by Line","dbd-09-07.html");
P.fA(" Indexing by Paragraph","dbd-09-08.html");
P.fA(" Word Indexing and Non-Progress Databases","dbd-09-09.html");
P.fA(" Word Indexing and SQL-92","dbd-09-10.html");
P.fA("Constraints and Indexes Using SQL-92","dbd-10-01.html");
P.fA(" Constraints","dbd-10-02.html");
P.fA(" Keys","dbd-10-03.html");
P.fA(" PRIMARY Constraint","dbd-10-04.html");
P.fA(" UNIQUE Constraint","dbd-10-05.html");
P.fA(" FOREIGN Constraint","dbd-10-06.html");
P.fA(" NOT NULL Constraint","dbd-10-07.html");
P.fA(" CHECK Constraint","dbd-10-08.html");
P.fA(" Indexes","dbd-10-09.html");
P.fA(" SQL-92 Notes","dbd-10-10.html");
P.fA("Progress 4GL Triggers","dbd-11-01.html");
P.fA(" Trigger Definition","dbd-11-02.html");
P.fA(" 4GL Database Events ","dbd-11-03.html");
P.fA(" CREATE","dbd-11-04.html");
P.fA(" DELETE","dbd-11-05.html");
P.fA(" FIND","dbd-11-06.html");
P.fA(" WRITE","dbd-11-07.html");
P.fA(" ASSIGN","dbd-11-08.html");
P.fA(" Schema and Session Database Triggers ","dbd-11-09.html");
P.fA(" Schema Triggers ","dbd-11-10.html");
P.fA(" Differences Between Schema and Session Triggers ","dbd-11-11.html");
P.fA(" Trigger Interaction ","dbd-11-12.html");
P.fA(" General Considerations ","dbd-11-13.html");
P.fA(" Metaschema Tables ","dbd-11-14.html");
P.fA(" User-interaction Code ","dbd-11-15.html");
P.fA(" FIND NEXT and FIND PREV ","dbd-11-16.html");
P.fA(" Triggers Execute Other Triggers ","dbd-11-17.html");
P.fA(" Triggers Can Start Transactions ","dbd-11-18.html");
P.fA(" Where Triggers Execute ","dbd-11-19.html");
P.fA(" Storing Trigger Procedures","dbd-11-20.html");
P.fA(" SQL Considerations ","dbd-11-21.html");
P.fA("Java Stored Procedures and Triggers","dbd-12-01.html");
P.fA(" Java Stored Procedures","dbd-12-02.html");
P.fA(" Advantages of Stored Procedures","dbd-12-03.html");
P.fA(" How Progress SQL-92 Interacts with Java","dbd-12-04.html");
P.fA(" SQL-92 Triggers","dbd-12-05.html");
P.fA(" Typical Uses for Triggers","dbd-12-06.html");
P.fA(" Trigger Structure","dbd-12-07.html");
P.fA(" Trigger Types","dbd-12-08.html");
P.fA(" Differences between 4GL and Java Triggers","dbd-12-09.html");
P.fA(" Triggers versus Stored Procedures","dbd-12-10.html");
P.fA(" Triggers versus Constraints","dbd-12-11.html");
}
