function  WWHBookData_Files(P)
{
P.fA("Progress  Debugger Guide ","dbg-01-1.html");
P.fA("Preface","dbg-02-1.html");
P.fA("Introduction","dbg-03-01.html");
P.fA(" Debugger Features and Functions","dbg-03-02.html");
P.fA(" Application Control ","dbg-03-03.html");
P.fA(" Application Data Management ","dbg-03-04.html");
P.fA(" Execution Monitoring ","dbg-03-05.html");
P.fA(" Session Management and Information ","dbg-03-06.html");
P.fA(" How a Debugging Session Operates ","dbg-03-07.html");
P.fA(" Interaction Between Debugger and Client ","dbg-03-08.html");
P.fA(" Debugger and Application Control ","dbg-03-09.html");
P.fA(" Procedures and the Debugger Context","dbg-03-10.html");
P.fA(" The Debugger Context","dbg-03-11.html");
P.fA(" Debugger Context and the Procedure Call Stack ","dbg-03-12.html");
P.fA("Quick Tutorial","dbg-04-1.html");
P.fA(" Preparation","dbg-04-2.html");
P.fA(" Sample Session","dbg-04-3.html");
P.fA("Starting and Stopping the Debugger","dbg-05-1.html");
P.fA(" Debugging Modes","dbg-05-2.html");
P.fA(" Application Mode","dbg-05-3.html");
P.fA(" Stand-alone Mode ","dbg-05-4.html");
P.fA(" Stacked Applications","dbg-05-5.html");
P.fA(" Debugging from the Procedure Editor","dbg-05-6.html");
P.fA(" Debugging from the AppBuilder","dbg-05-7.html");
P.fA(" Debugging from the ADE Desktop","dbg-05-8.html");
P.fA(" Debugging from the Operating System ","dbg-05-9.html");
P.fA("Debugger Window","dbg-06-01.html");
P.fA(" Window Layout ","dbg-06-02.html");
P.fA(" Window Panels ","dbg-06-03.html");
P.fA(" Listing Panel ","dbg-06-04.html");
P.fA(" Button Panel ","dbg-06-05.html");
P.fA(" Command Panel ","dbg-06-06.html");
P.fA(" Data Panel ","dbg-06-07.html");
P.fA(" Menu Bar ","dbg-06-08.html");
P.fA(" Accelerator Keys and Mnemonics ","dbg-06-09.html");
P.fA(" File Menu ","dbg-06-10.html");
P.fA(" Search Menu ","dbg-06-11.html");
P.fA(" Debug Menu ","dbg-06-12.html");
P.fA(" Options Menu ","dbg-06-13.html");
P.fA(" Help Menu ","dbg-06-14.html");
P.fA("Running a Debugging Session","dbg-07-01.html");
P.fA(" Pattern of Operation ","dbg-07-02.html");
P.fA(" Entering Debugger Commands ","dbg-07-03.html");
P.fA(" Intrinsic Functions and the Command Queue ","dbg-07-04.html");
P.fA(" Break Interrupt Function ","dbg-07-05.html");
P.fA(" Command Panel Entry ","dbg-07-06.html");
P.fA(" Button Entry ","dbg-07-07.html");
P.fA(" Menu Options ","dbg-07-08.html");
P.fA(" Command File Entry ","dbg-07-09.html");
P.fA(" Exiting a Debugging Session ","dbg-07-10.html");
P.fA(" Exiting in Application Mode ","dbg-07-11.html");
P.fA(" Debugger Settings on Exit ","dbg-07-12.html");
P.fA(" Managing Breakpoints ","dbg-07-13.html");
P.fA(" Setting Breakpoints ","dbg-07-14.html");
P.fA(" Removing Breakpoints ","dbg-07-15.html");
P.fA(" Working with Inactive Procedures ","dbg-07-16.html");
P.fA(" Handling Internal Procedures and Procedure Files ","dbg-07-17.html");
P.fA(" Controlling Procedure Execution ","dbg-07-18.html");
P.fA(" Interrupting a Running Procedure ","dbg-07-19.html");
P.fA(" Executing an Interrupted Procedure ","dbg-07-20.html");
P.fA(" Running Procedures from the Debugger ","dbg-07-21.html");
P.fA(" Continuing Procedure Execution ","dbg-07-22.html");
P.fA(" Executing a Specified Number of Lines ","dbg-07-23.html");
P.fA(" Terminating an Application from the Debugger ","dbg-07-24.html");
P.fA(" Examining and Modifying Procedure Data ","dbg-07-25.html");
P.fA(" Listing Buffers, Parameters, and Variables ","dbg-07-26.html");
P.fA(" Displaying Data and Attribute Values ","dbg-07-27.html");
P.fA(" Modifying Data and Attribute Values ","dbg-07-28.html");
P.fA(" Displaying Debugger and Session Information ","dbg-07-29.html");
P.fA(" Getting On-line Help ","dbg-07-30.html");
P.fA(" Displaying Debugger Session Settings ","dbg-07-31.html");
P.fA(" Examining and Navigating in the Debugger Context ","dbg-07-32.html");
P.fA(" Determining the Current Transaction State ","dbg-07-33.html");
P.fA(" Displaying Debug Listings ","dbg-07-34.html");
P.fA(" Defining and Using Macros and Buttons ","dbg-07-35.html");
P.fA(" Specifying Macro and Button Definitions ","dbg-07-36.html");
P.fA(" Using Macros ","dbg-07-37.html");
P.fA(" Using Buttons ","dbg-07-38.html");
P.fA(" Removing Macros and Buttons ","dbg-07-39.html");
P.fA(" Logging a Debugging Session ","dbg-07-40.html");
P.fA(" Using the LOG and CANCEL LOG Commands ","dbg-07-41.html");
P.fA(" Automatic Session Logging ","dbg-07-42.html");
P.fA(" Debugging Events ","dbg-07-43.html");
P.fA(" Nonvolatile Events ","dbg-07-44.html");
P.fA(" Volatile Events ","dbg-07-45.html");
P.fA("Debugger Files","dbg-08-01.html");
P.fA(" Debugger Initialization Files ","dbg-08-02.html");
P.fA(" Windows Initialization ","dbg-08-03.html");
P.fA(" Motif Initialization ","dbg-08-04.html");
P.fA(" Debugger Command Files ","dbg-08-05.html");
P.fA(" Debug Listing (.dbg) Files ","dbg-08-06.html");
P.fA(" Listing Creation ","dbg-08-07.html");
P.fA(" Listing Deletion ","dbg-08-08.html");
P.fA(" Listing Format ","dbg-08-09.html");
P.fA(" Procedure Files and Listing Generation ","dbg-08-10.html");
P.fA(" Debug Listing Generation from R-code ","dbg-08-11.html");
P.fA(" Debug Listing Generation from Source Code ","dbg-08-12.html");
P.fA(" Hidden Procedure Files ","dbg-08-13.html");
P.fA("  Debugger Log Files ","dbg-08-14.html");
P.fA(" Log File Contents ","dbg-08-15.html");
P.fA(" Log File As a Command File ","dbg-08-16.html");
P.fA("DEBUGGER and SESSION System Handles","dbg-09-1.html");
P.fA(" DEBUGGER Handle Attributes and Methods ","dbg-09-2.html");
P.fA(" Starting the Debugger from the 4GL","dbg-09-3.html");
P.fA(" Starting in Application Mode ","dbg-09-4.html");
P.fA(" Starting in Stand-alone Mode ","dbg-09-5.html");
P.fA(" Using the DEBUGGER Handle During a Debugging Session","dbg-09-6.html");
P.fA(" Using the SESSION Handle with a Debugging Session","dbg-09-7.html");
P.fA("Command Reference","dbg-10-01.html");
P.fA(" ASSIGN Command","dbg-10-02.html");
P.fA(" BREAK Command","dbg-10-03.html");
P.fA(" BUTTON Command","dbg-10-04.html");
P.fA(" CANCEL ALL Command","dbg-10-05.html");
P.fA(" CANCEL BREAK Command","dbg-10-06.html");
P.fA(" CANCEL BUTTON Command","dbg-10-07.html");
P.fA(" CANCEL LOG Command","dbg-10-08.html");
P.fA(" CANCEL MACRO Command","dbg-10-09.html");
P.fA(" CONTINUE Command","dbg-10-10.html");
P.fA(" DISPLAY Command","dbg-10-11.html");
P.fA(" DOWN Command","dbg-10-12.html");
P.fA(" EXIT Command","dbg-10-13.html");
P.fA(" FILE Command","dbg-10-14.html");
P.fA(" HELP Command","dbg-10-15.html");
P.fA(" INPUT Command","dbg-10-16.html");
P.fA(" LIST BUFFERS Command","dbg-10-17.html");
P.fA(" LIST PARAMETERS Command","dbg-10-18.html");
P.fA(" LIST VARIABLES Command","dbg-10-19.html");
P.fA(" LOG Command","dbg-10-20.html");
P.fA(" MACRO Command","dbg-10-21.html");
P.fA(" NEXT Command","dbg-10-22.html");
P.fA(" QUIT Command","dbg-10-23.html");
P.fA(" RUN Command","dbg-10-24.html");
P.fA(" SHOW BREAKS Command","dbg-10-25.html");
P.fA(" SHOW BUTTONS Command","dbg-10-26.html");
P.fA(" SHOW MACROS Command","dbg-10-27.html");
P.fA(" SHOW STACK Command","dbg-10-28.html");
P.fA(" SHOW TRANSACTION Command","dbg-10-29.html");
P.fA(" STEP Command","dbg-10-30.html");
P.fA(" STOP Command","dbg-10-31.html");
P.fA(" UP Command","dbg-10-32.html");
}
