function  WWHBookData_Files(P)
{
P.fA("Progress  Embedded SQL-92 Guide and Reference ","e92-01-1.html");
P.fA("Preface","e92-02-1.html");
P.fA("Introduction ","e92-03-1.html");
P.fA(" Embedding SQL-92 Statements in a C Language Program","e92-03-2.html");
P.fA(" Advantages of Using ESQL","e92-03-3.html");
P.fA(" Program Components of an ESQL Application","e92-03-4.html");
P.fA(" Embedded SQL Precompiler ESQLC","e92-03-5.html");
P.fA("Using the ESQLC Command","e92-04-01.html");
P.fA(" Overview of the ESQL Precompiler","e92-04-02.html");
P.fA(" Filenames for ESQL Programs","e92-04-03.html");
P.fA(" ESQLC Command","e92-04-04.html");
P.fA(" Invoking the ESQLC Command","e92-04-05.html");
P.fA(" Platform-specific C Compiler Commands","e92-04-06.html");
P.fA(" Building an ESQL Application Program Executable","e92-04-07.html");
P.fA(" Examples Illustrating Precompiler Options","e92-04-08.html");
P.fA(" Use the +V Option for Verbose Output","e92-04-09.html");
P.fA(" Use the +K Option to Keep Intermediate Files","e92-04-10.html");
P.fA(" Use the +G Option to Insert Debug Statements","e92-04-11.html");
P.fA("ESQL-92 Program Structure","e92-05-01.html");
P.fA(" Defining Variables in a DECLARE SECTION","e92-05-02.html");
P.fA(" ESQL Executable Statements","e92-05-03.html");
P.fA(" Using Host Variables","e92-05-04.html");
P.fA(" Using Indicator Variables ","e92-05-05.html");
P.fA(" Using Indicator Variables with INPUT Host Variables","e92-05-06.html");
P.fA(" Using Indicator Variables with OUTPUT Host Variables","e92-05-07.html");
P.fA(" Limitations of the DECLARE SECTION","e92-05-08.html");
P.fA(" Types of Executable Statements","e92-05-09.html");
P.fA(" Error Handling in ESQL Programs","e92-05-10.html");
P.fA(" SQL Communications Area (SQLCA)","e92-05-11.html");
P.fA(" Using the WHENEVER Statement","e92-05-12.html");
P.fA(" Transaction Management Statements","e92-05-13.html");
P.fA("Connection Management in ESQL-92","e92-06-1.html");
P.fA(" Introduction","e92-06-2.html");
P.fA(" CONNECT Statement","e92-06-3.html");
P.fA(" CONNECT Using a Connection Name","e92-06-4.html");
P.fA(" CONNECT by DEFAULT","e92-06-5.html");
P.fA(" CONNECT to a Remote Database","e92-06-6.html");
P.fA(" SET CONNECTION Statement","e92-06-7.html");
P.fA(" DISCONNECT Statement","e92-06-8.html");
P.fA("SQL-92 Data Definition Statements","e92-07-01.html");
P.fA(" CREATE TABLE and DROP TABLE Statements","e92-07-02.html");
P.fA(" CREATE TABLE","e92-07-03.html");
P.fA(" DROP TABLE","e92-07-04.html");
P.fA(" CREATE INDEX and DROP INDEX Statements","e92-07-05.html");
P.fA(" CREATE INDEX","e92-07-06.html");
P.fA(" DROP INDEX","e92-07-07.html");
P.fA(" CREATE VIEW and DROP VIEW Statements","e92-07-08.html");
P.fA(" CREATE VIEW","e92-07-09.html");
P.fA(" DROP VIEW","e92-07-10.html");
P.fA(" Integrity Constraints","e92-07-11.html");
P.fA(" Need for Integrity Constraints","e92-07-12.html");
P.fA(" Types of Integrity Constraints","e92-07-13.html");
P.fA(" Check Constraints","e92-07-14.html");
P.fA(" Primary Keys","e92-07-15.html");
P.fA(" Candidate Keys","e92-07-16.html");
P.fA(" Referential Constraints","e92-07-17.html");
P.fA(" Handling Cycles in Referential Integrity","e92-07-18.html");
P.fA(" DDL Statements in Long-running Transactions","e92-07-19.html");
P.fA("SQL-92 Data Manipulation Statements","e92-08-1.html");
P.fA(" Using DML Statements","e92-08-2.html");
P.fA(" INSERT Rows into a Table","e92-08-3.html");
P.fA(" DELETE Rows from a Table","e92-08-4.html");
P.fA(" UPDATE Rows in a Table","e92-08-5.html");
P.fA(" INPUT Host Variables in DML Statements","e92-08-6.html");
P.fA("Query Statements","e92-09-01.html");
P.fA(" Elements of a Query","e92-09-02.html");
P.fA(" SELECT Statement Clauses","e92-09-03.html");
P.fA(" INPUT Host Variables in Query Statements","e92-09-04.html");
P.fA(" OUTPUT Host Variables in Query Statements","e92-09-05.html");
P.fA(" Queries Returning a Single Row","e92-09-06.html");
P.fA(" Queries Returning Multiple Rows","e92-09-07.html");
P.fA(" Introduction to Cursors","e92-09-08.html");
P.fA(" Associating a Cursor with a Query","e92-09-09.html");
P.fA(" OPEN a Cursor","e92-09-10.html");
P.fA(" FETCH Rows Using a Cursor","e92-09-11.html");
P.fA(" CLOSE a Cursor","e92-09-12.html");
P.fA(" UPDATE or DELETE the Current Row","e92-09-13.html");
P.fA(" Array Fetches","e92-09-14.html");
P.fA("Handling NULL Values in ESQL-92","e92-10-01.html");
P.fA(" Introduction","e92-10-02.html");
P.fA(" INSERT NULL Values","e92-10-03.html");
P.fA(" INSERT Null Values by DEFAULT","e92-10-04.html");
P.fA(" Use the NULL Keyword","e92-10-05.html");
P.fA(" Use Indicator Variables","e92-10-06.html");
P.fA(" UPDATE with NULL Values","e92-10-07.html");
P.fA(" RETRIEVE NULL Values","e92-10-08.html");
P.fA(" Using Indicator Variables","e92-10-09.html");
P.fA(" Using the NVL Scalar Function","e92-10-10.html");
P.fA(" NULL Values in Expressions","e92-10-11.html");
P.fA(" NULL Values in the WHERE Clause","e92-10-12.html");
P.fA(" NULL Values in a GROUP BY Clause","e92-10-13.html");
P.fA(" NULL Values in an ORDER BY Clause","e92-10-14.html");
P.fA(" NULL Values in Scalar Functions","e92-10-15.html");
P.fA(" NULL Values in Aggregate Functions","e92-10-16.html");
P.fA("Handling Errors in ESQL-92","e92-11-1.html");
P.fA(" Using an SQLCA for Error Handling","e92-11-2.html");
P.fA(" The SQLCA Structure","e92-11-3.html");
P.fA(" Using an SQLCA to Check for Errors","e92-11-4.html");
P.fA(" Using an SQLCA to Check for Warnings","e92-11-5.html");
P.fA(" Using the WHENEVER Statement for Error Handling","e92-11-6.html");
P.fA(" Branching Under Exceptions","e92-11-7.html");
P.fA(" Scope of the WHENEVER Statement","e92-11-8.html");
P.fA(" Using Indicator Variables for Error Handling","e92-11-9.html");
P.fA("Dynamic SQL Management in ESQL-92","e92-12-01.html");
P.fA(" Introduction","e92-12-02.html");
P.fA(" PREPARE Statement","e92-12-03.html");
P.fA(" EXECUTE Statement","e92-12-04.html");
P.fA(" EXECUTE IMMEDIATE Statement","e92-12-05.html");
P.fA(" SELECT Statement","e92-12-06.html");
P.fA(" OPEN a Cursor","e92-12-07.html");
P.fA(" FETCH Rows Using a Cursor","e92-12-08.html");
P.fA(" CLOSE a Cursor","e92-12-09.html");
P.fA(" SQL Descriptor Area (SQLDA)","e92-12-10.html");
P.fA(" When to Use an SQLDA","e92-12-11.html");
P.fA(" SQLDA Structure","e92-12-12.html");
P.fA(" Guidelines for Using an SQLDA","e92-12-13.html");
P.fA(" Allocating an SQLDA","e92-12-14.html");
P.fA(" Using an SQLDA for Array Fetches","e92-12-15.html");
P.fA(" Freeing an SQLDA","e92-12-16.html");
P.fA(" DESCRIBE Statement","e92-12-17.html");
P.fA(" SQLDA for Input Variables","e92-12-18.html");
P.fA(" SQLDA for Output Variables","e92-12-19.html");
P.fA("Transaction Management in ESQL-92","e92-13-01.html");
P.fA(" Introduction to Transactions","e92-13-02.html");
P.fA(" Starting a Transaction","e92-13-03.html");
P.fA(" COMMIT Statement","e92-13-04.html");
P.fA(" ROLLBACK Statement","e92-13-05.html");
P.fA(" Transaction Isolation Levels","e92-13-06.html");
P.fA(" Locking and Transactions","e92-13-07.html");
P.fA(" Abnormal Termination of an ESQL Application Program","e92-13-08.html");
P.fA(" Forced Rollback of a Transaction","e92-13-09.html");
P.fA(" Interrupting the Execution of an SQL Statement","e92-13-10.html");
P.fA("Guidelines for Developing ESQL-92 Applications","e92-14-1.html");
P.fA(" Coding Guidelines","e92-14-2.html");
P.fA(" Using SQL for Computation","e92-14-3.html");
P.fA(" Using SQL for Condition Evaluation","e92-14-4.html");
P.fA(" Using Indicator Variables","e92-14-5.html");
P.fA(" Using Scalar Functions","e92-14-6.html");
P.fA(" Using Static and Dynamic Statements","e92-14-7.html");
P.fA("Handling Data Types in ESQL-92","e92-15-01.html");
P.fA(" Introduction","e92-15-02.html");
P.fA(" Character Data Types","e92-15-03.html");
P.fA(" CHARACTER Data Type","e92-15-04.html");
P.fA(" VARCHAR Data Type","e92-15-05.html");
P.fA(" Exact Numeric Data Types","e92-15-06.html");
P.fA(" INTEGER Data Type","e92-15-07.html");
P.fA(" SMALLINT Data Type","e92-15-08.html");
P.fA(" TINYINT Data Type","e92-15-09.html");
P.fA(" NUMERIC or DECIMAL Data Type","e92-15-10.html");
P.fA(" Approximate Numeric Data Types","e92-15-11.html");
P.fA(" REAL Data Type","e92-15-12.html");
P.fA(" FLOAT Data Type","e92-15-13.html");
P.fA(" DOUBLE PRECISION Data Type","e92-15-14.html");
P.fA(" Date-time Data Types","e92-15-15.html");
P.fA(" DATE Data Type","e92-15-16.html");
P.fA(" TIME Data Type","e92-15-17.html");
P.fA(" TIMESTAMP Data Type","e92-15-18.html");
P.fA(" Bit String Data Types","e92-15-19.html");
P.fA(" BIT Data Type","e92-15-20.html");
P.fA(" BINARY Data Type","e92-15-21.html");
P.fA(" VARBINARY Data Type","e92-15-22.html");
P.fA(" Data Conversion","e92-15-23.html");
P.fA(" Implicit Data Conversion","e92-15-24.html");
P.fA(" Explicit Data Conversion Using tpe_conv_data( )","e92-15-25.html");
P.fA(" Explicit Data Conversion Using Scalar Functions","e92-15-26.html");
P.fA(" Explicit Data Conversion Using SQL and syscalctable","e92-15-27.html");
P.fA(" Data Comparison","e92-15-28.html");
P.fA(" Explicit Data Comparison Using tpe_compare_data( )","e92-15-29.html");
P.fA(" Explicit Data Comparison Using SQL and syscalctable","e92-15-30.html");
P.fA("Embedded SQL-92 Reference","e92-16-01.html");
P.fA("BEGIN-END DECLARE SECTION","e92-16-02.html");
P.fA("CLOSE Statement","e92-16-03.html");
P.fA("DECLARE CURSOR Statement","e92-16-04.html");
P.fA("DESCRIBE Statements","e92-16-05.html");
P.fA("DESCRIBE BIND VARIABLES Statement","e92-16-06.html");
P.fA("DESCRIBE SELECT LIST Statement","e92-16-07.html");
P.fA("EXEC SQL Delimiter","e92-16-08.html");
P.fA("EXECUTE Statement","e92-16-09.html");
P.fA("EXECUTE IMMEDIATE Statement","e92-16-10.html");
P.fA("FETCH Statement","e92-16-11.html");
P.fA("OPEN Statement","e92-16-12.html");
P.fA("PREPARE Statement","e92-16-13.html");
P.fA("Query Expressions","e92-16-14.html");
P.fA("Search Conditions","e92-16-15.html");
P.fA("SELECT Statement for a Single Row","e92-16-16.html");
P.fA("Type Specifications for Host Language Types","e92-16-17.html");
P.fA("Type Specifications for Static Array Types","e92-16-18.html");
P.fA("WHENEVER Statement","e92-16-19.html");
P.fA(" ","e92-17-1.html");
P.fA("1StatUpd.pc","e92-17-2.html");
P.fA("2StatSel.pc","e92-17-3.html");
P.fA("3DynUpd.pc","e92-17-4.html");
P.fA("4DynSel.pc","e92-17-5.html");
P.fA("Compile, Link, and Run-time Requirements","e92-18-1.html");
P.fA(" Requirements for All Platforms","e92-18-2.html");
P.fA(" Compile, Link, and Run-time Requirements by Platform","e92-18-3.html");
P.fA("Glossary","e92-19-1.html");
}
