function  WWHBookData_Files(P)
{
P.fA("Progress  External Program  Interfaces","epi-01-1.html");
P.fA("Preface","epi-02-1.html");
P.fA("Introduction","epi-03-01.html");
P.fA(" Using MEMPTR To Reference External Data","epi-03-02.html");
P.fA(" Comparing MEMPTR and RAW Data Types","epi-03-03.html");
P.fA(" Initializing and Uninitializing MEMPTR Variables","epi-03-04.html");
P.fA(" Reading and Writing Data","epi-03-05.html");
P.fA(" Retrieving and Storing Pointers","epi-03-06.html");
P.fA(" Setting Byte Order","epi-03-07.html");
P.fA(" Host Language Call Interface","epi-03-08.html");
P.fA(" HLC and Progress","epi-03-09.html");
P.fA(" Requirements For Using HLC","epi-03-10.html");
P.fA(" System Clipboard","epi-03-11.html");
P.fA(" The System Clipboard and Progress","epi-03-12.html");
P.fA(" Requirements For Using the CLIPBOARD Handle","epi-03-13.html");
P.fA(" Named Pipes","epi-03-14.html");
P.fA(" Named Pipes and Progress","epi-03-15.html");
P.fA(" Requirements For Using Named Pipes","epi-03-16.html");
P.fA(" UNIX Shared Library and Windows DLL Support","epi-03-17.html");
P.fA(" Shared Libraries and Progress","epi-03-18.html");
P.fA(" Requirements For Using Shared Libraries","epi-03-19.html");
P.fA(" Windows Dynamic Data Exchange","epi-03-20.html");
P.fA(" DDE and Progress","epi-03-21.html");
P.fA(" Requirements For Using DDE","epi-03-22.html");
P.fA(" COM Objects: Automation Objects and ActiveX Controls","epi-03-23.html");
P.fA(" COM Objects Supported In Progress","epi-03-24.html");
P.fA(" Support For COM Object Properties and Methods","epi-03-25.html");
P.fA(" Support For Automation Object Events","epi-03-26.html");
P.fA(" Support For ActiveX Control Events","epi-03-27.html");
P.fA(" COM Object Sources","epi-03-28.html");
P.fA(" Requirements For Using Automation Objects","epi-03-29.html");
P.fA(" Requirements For Using ActiveX Controls","epi-03-30.html");
P.fA(" Programming Requirements","epi-03-31.html");
P.fA(" Sockets","epi-03-32.html");
P.fA(" Reasons To Use Sockets","epi-03-33.html");
P.fA(" Connection Model","epi-03-34.html");
P.fA(" Server Socket and Socket Objects","epi-03-35.html");
P.fA(" 4GL Socket Event Model","epi-03-36.html");
P.fA(" Programming Requirements","epi-03-37.html");
P.fA(" XML","epi-03-38.html");
P.fA(" XML and Progress","epi-03-39.html");
P.fA(" Requirements For Using XML","epi-03-40.html");
P.fA(" The Progress SonicMQ Adapter","epi-03-41.html");
P.fA("Host Language Call Interface","epi-04-01.html");
P.fA(" Using HLC","epi-04-02.html");
P.fA(" Overview Of HLC","epi-04-03.html");
P.fA(" Using the CALL Statement","epi-04-04.html");
P.fA(" Mapping Routine Identifiers Using PRODSP() ","epi-04-05.html");
P.fA(" HLC Files and Directories","epi-04-06.html");
P.fA(" Writing C Functions","epi-04-07.html");
P.fA(" Top-level C Function Declaration","epi-04-08.html");
P.fA(" Returning Error Codes From a Top-level Function","epi-04-09.html");
P.fA(" Naming C Functions","epi-04-10.html");
P.fA(" C Function Portability","epi-04-11.html");
P.fA(" Avoiding Common HLC Errors ","epi-04-12.html");
P.fA(" Memory Allocation","epi-04-13.html");
P.fA(" Data Size","epi-04-14.html");
P.fA(" Using HLC Library Functions","epi-04-15.html");
P.fA(" Accessing Progress Data","epi-04-16.html");
P.fA(" Data Type Conversion","epi-04-17.html");
P.fA(" Calling an HLC Library Function","epi-04-18.html");
P.fA(" Timer Services","epi-04-19.html");
P.fA(" User Interrupt Handling","epi-04-20.html");
P.fA(" Using a Library Function That Writes To a Shared Buffer","epi-04-21.html");
P.fA(" Passing Error Codes Back To Progress","epi-04-22.html");
P.fA(" Building an HLC Executable","epi-04-23.html");
P.fA(" HLC Applications On UNIX Systems","epi-04-24.html");
P.fA(" Handling Raw Disk I/O","epi-04-25.html");
P.fA(" Handling Terminal I/O","epi-04-26.html");
P.fA(" Handling Abnormal Exits","epi-04-27.html");
P.fA(" Compiling C Source Files","epi-04-28.html");
P.fA(" Example HLC Application","epi-04-29.html");
P.fA(" Running the Sample Application On Windows","epi-04-30.html");
P.fA(" Running the Sample Application On UNIX","epi-04-31.html");
P.fA(" Source Code Listings","epi-04-32.html");
P.fA("System Clipboard","epi-05-01.html");
P.fA(" CLIPBOARD System Handle","epi-05-02.html");
P.fA(" AVAILABLE-FORMATS Attribute","epi-05-03.html");
P.fA(" ITEMS-PER-ROW Attribute","epi-05-04.html");
P.fA(" MULTIPLE Attribute","epi-05-05.html");
P.fA(" NUM-FORMATS Attribute","epi-05-06.html");
P.fA(" TYPE Attribute","epi-05-07.html");
P.fA(" VALUE Attribute","epi-05-08.html");
P.fA(" Single-item Data Transfers","epi-05-09.html");
P.fA(" Enabling and Disabling Clipboard Operations","epi-05-10.html");
P.fA(" Implementing Single-item Transfers","epi-05-11.html");
P.fA(" Single-item Transfer Example","epi-05-12.html");
P.fA(" Multiple-item Data Transfers","epi-05-13.html");
P.fA(" Widget-based Transfers","epi-05-14.html");
P.fA(" Data-based Transfers","epi-05-15.html");
P.fA(" Multiple-item Transfer Example","epi-05-16.html");
P.fA("Named Pipes","epi-06-01.html");
P.fA(" Overview Of Named Pipes With Progress","epi-06-02.html");
P.fA(" Operational Characteristics Of Named Pipes","epi-06-03.html");
P.fA(" Advantages and Disadvantages Of Named Pipes","epi-06-04.html");
P.fA(" UNIX Named Pipes","epi-06-05.html");
P.fA(" Creating a Named Pipe","epi-06-06.html");
P.fA(" Deleting a Named Pipe","epi-06-07.html");
P.fA(" Accessing a Named Pipe Within Progress","epi-06-08.html");
P.fA(" UNIX Named Pipe Examples","epi-06-09.html");
P.fA(" Windows NT Named Pipes","epi-06-10.html");
P.fA(" Accessing Windows NT Named Pipes","epi-06-11.html");
P.fA(" Linking Progress and non-Progress Processes Using Windows NT Named Pipes","epi-06-12.html");
P.fA(" Building and Running the Sample Windows NT  Named Pipes Application","epi-06-13.html");
P.fA(" Coding the 4GL Program","epi-06-14.html");
P.fA(" Coding the C Program","epi-06-15.html");
P.fA(" Running the Application","epi-06-16.html");
P.fA("Shared Library and DLL Support","epi-07-01.html");
P.fA(" Using Shared Libraries","epi-07-02.html");
P.fA(" Declaring a Shared Library Routine","epi-07-03.html");
P.fA(" Options For Shared Library Routine Declarations","epi-07-04.html");
P.fA(" Shared Library Parameter Data Types","epi-07-05.html");
P.fA(" Executing a Shared Library Routine","epi-07-06.html");
P.fA(" Options For Shared Library Routine Execution","epi-07-07.html");
P.fA(" RUN Statement Parameter Data Types","epi-07-08.html");
P.fA(" Passing NULL Values","epi-07-09.html");
P.fA(" Using Structure Parameters","epi-07-10.html");
P.fA(" Initializing and Uninitializing MEMPTR Variables","epi-07-11.html");
P.fA(" Passing CHARACTER Values To Shared Library Routines","epi-07-12.html");
P.fA(" DLL Routines and Progress Widgets (Windows Only)","epi-07-13.html");
P.fA(" Loading and Unloading Shared Libraries","epi-07-14.html");
P.fA(" Examples","epi-07-15.html");
P.fA("Windows Dynamic Data Exchange","epi-08-01.html");
P.fA(" Using the Dynamic Data Exchange Protocol","epi-08-02.html");
P.fA(" The Course Of a DDE Conversation","epi-08-03.html");
P.fA(" 4GL Statements For DDE Conversations","epi-08-04.html");
P.fA(" Structuring a DDE Conversation In Progress","epi-08-05.html");
P.fA(" Conversation Hierarchy","epi-08-06.html");
P.fA(" Defining Conversation Endpoints\u2014DDE Frames","epi-08-07.html");
P.fA(" DDE-ERROR","epi-08-08.html");
P.fA(" Other DDE Attributes","epi-08-09.html");
P.fA(" Opening DDE Conversations","epi-08-10.html");
P.fA(" Preparing the Server Application","epi-08-11.html");
P.fA(" Defining DDE Frames","epi-08-12.html");
P.fA(" Initiating a Conversation","epi-08-13.html");
P.fA(" Exchanging Data In Conversations","epi-08-14.html");
P.fA(" Demand-driven Exchanges","epi-08-15.html");
P.fA(" Event-driven Exchanges","epi-08-16.html");
P.fA(" Closing DDE Conversations","epi-08-17.html");
P.fA(" DDE Example","epi-08-18.html");
P.fA("Using COM Objects In the 4GL","epi-09-01.html");
P.fA(" How COM Objects Differ From Progress Widgets","epi-09-02.html");
P.fA(" Functionality","epi-09-03.html");
P.fA(" 4GL Mechanisms","epi-09-04.html");
P.fA(" Obtaining Access To COM Objects","epi-09-05.html");
P.fA(" Accessing COM Object Properties and Methods","epi-09-06.html");
P.fA(" Property and Method Syntax","epi-09-07.html");
P.fA(" Specifying Options For Properties and Method Parameters","epi-09-08.html");
P.fA(" Restrictions On Property and Method References","epi-09-09.html");
P.fA(" Managing COM Objects In an Application","epi-09-10.html");
P.fA(" Validating Component Handles","epi-09-11.html");
P.fA(" Managing COM Object Font and Color Settings","epi-09-12.html");
P.fA(" Navigating ActiveX Collections","epi-09-13.html");
P.fA(" Managing COM Object Resources","epi-09-14.html");
P.fA(" Error Handling","epi-09-15.html");
P.fA(" Locating COM Object Information On Your System","epi-09-16.html");
P.fA(" Using the COM Object Viewer","epi-09-17.html");
P.fA(" Running the COM Object Viewer","epi-09-18.html");
P.fA(" Accessing Type Libraries","epi-09-19.html");
P.fA(" Locating Objects In the Viewer","epi-09-20.html");
P.fA(" Viewing Methods, Properties, and Events","epi-09-21.html");
P.fA("ActiveX Automation Support","epi-10-01.html");
P.fA(" Requirements For Doing Automation","epi-10-02.html");
P.fA(" Accessing Automation Servers","epi-10-03.html");
P.fA(" Option 1: Instantiate Automation Object by Name","epi-10-04.html");
P.fA(" Option 2: Connect To Top-level Named Automation Object","epi-10-05.html");
P.fA(" Option 3: Connect To Or Instantiate a Named Automation Object and File","epi-10-06.html");
P.fA(" Option 4: Connect To Or Instantiate Implied Automation Object and File","epi-10-07.html");
P.fA(" Managing Automation Objects","epi-10-08.html");
P.fA(" Automation Event Support","epi-10-09.html");
P.fA(" Example Automation Applications","epi-10-10.html");
P.fA("ActiveX Control Support","epi-11-01.html");
P.fA(" How Progress Supports ActiveX Controls","epi-11-02.html");
P.fA(" An Example ActiveX Control In Progress","epi-11-03.html");
P.fA(" How Progress Encapsulates an ActiveX Control","epi-11-04.html");
P.fA(" Control-frame Attributes and Properties","epi-11-05.html");
P.fA(" Additional Control Functionality","epi-11-06.html");
P.fA(" Special Considerations For Extended Controls","epi-11-07.html");
P.fA(" ActiveX Control Restrictions","epi-11-08.html");
P.fA(" Creating a Control Instance In Progress","epi-11-09.html");
P.fA(" Understanding Design Time and Runtime Properties","epi-11-10.html");
P.fA(" Setting Design Time Properties","epi-11-11.html");
P.fA(" Setting the ActiveX Control Name","epi-11-12.html");
P.fA(" Setting the Control-frame Name","epi-11-13.html");
P.fA(" Orienting a Control In the User Interface At Design Time","epi-11-14.html");
P.fA(" Setting Control Location","epi-11-15.html");
P.fA(" Setting Control Height and Width ","epi-11-16.html");
P.fA(" Setting Control Tab Order","epi-11-17.html");
P.fA(" Defining Invisible Controls","epi-11-18.html");
P.fA(" Accessing ActiveX Controls At Runtime","epi-11-19.html");
P.fA(" Instantiating the Control","epi-11-20.html");
P.fA(" Accessing the Control Handle","epi-11-21.html");
P.fA(" Managing ActiveX Controls At Runtime","epi-11-22.html");
P.fA(" Managing Tab Order and Z Order","epi-11-23.html");
P.fA(" Working With Progress Key Functions","epi-11-24.html");
P.fA(" Setting Graphical Properties Of an ActiveX Control","epi-11-25.html");
P.fA(" Releasing Control Resources","epi-11-26.html");
P.fA(" Handling Events","epi-11-27.html");
P.fA(" Handling Control-frame Widget Events","epi-11-28.html");
P.fA(" Handling ActiveX Control Events","epi-11-29.html");
P.fA(" Managing External Procedure Files","epi-11-30.html");
P.fA(" Programming ActiveX Controls In the AppBuilder","epi-11-31.html");
P.fA(" Creating Data Definitions For an ActiveX Control","epi-11-32.html");
P.fA(" Instantiating the Control","epi-11-33.html");
P.fA(" Initializing the Control","epi-11-34.html");
P.fA(" Using Event Procedures","epi-11-35.html");
P.fA(" Interacting Outside Of Event Procedures","epi-11-36.html");
P.fA(" ActiveX Controls and Examples Installed With Progress","epi-11-37.html");
P.fA(" Combo Box Control (CSComboBox)","epi-11-38.html");
P.fA(" Spin Button Control (CSSpin)","epi-11-39.html");
P.fA(" Timer Control (PSTimer)","epi-11-40.html");
P.fA(" Example Applications Using ActiveX Controls","epi-11-41.html");
P.fA("Sockets","epi-12-01.html");
P.fA(" 4GL For Programming Sockets","epi-12-02.html");
P.fA(" Overview Of Tasks To Implement 4GL Sockets","epi-12-03.html");
P.fA(" Implementing a 4GL Socket Server","epi-12-04.html");
P.fA(" Listening and Responding To Connection Requests","epi-12-05.html");
P.fA(" Managing the Server Socket","epi-12-06.html");
P.fA(" Implementing a 4GL Socket Client","epi-12-07.html");
P.fA(" Read, Writing, and Managing Sockets On Clients and Servers","epi-12-08.html");
P.fA(" Defining and Initializing MEMPTR Variables","epi-12-09.html");
P.fA(" Detecting Data On a Socket","epi-12-10.html");
P.fA(" Reading Data On a Socket","epi-12-11.html");
P.fA(" Writing Data On a Socket","epi-12-12.html");
P.fA(" Marshalling and Unmarshalling Data For Socket I/O","epi-12-13.html");
P.fA(" Managing Sockets and Their Connections","epi-12-14.html");
P.fA(" Examples Using 4GL Sockets","epi-12-15.html");
P.fA("XML Support","epi-13-01.html");
P.fA(" Introduction","epi-13-02.html");
P.fA(" XML Documents","epi-13-03.html");
P.fA(" The Document Object Model","epi-13-04.html");
P.fA(" The DOM Structure Model","epi-13-05.html");
P.fA(" The New 4GL Objects and Handles","epi-13-06.html");
P.fA(" Document and Node Reference Objects","epi-13-07.html");
P.fA(" Creating XML Output From the 4GL","epi-13-08.html");
P.fA(" The Root Node Reference Object","epi-13-09.html");
P.fA(" Creating and Appending a Node","epi-13-10.html");
P.fA(" Setting Node Attributes and Values","epi-13-11.html");
P.fA(" Example Of Creating an Output XML File","epi-13-12.html");
P.fA(" Reading XML Input Into the 4GL","epi-13-13.html");
P.fA(" Loading an XML File","epi-13-14.html");
P.fA(" Accessing the Child Nodes","epi-13-15.html");
P.fA(" Using Node Attributes and Values","epi-13-16.html");
P.fA(" Examples Of Reading an Input XML File","epi-13-17.html");
P.fA(" Internationalization","epi-13-18.html");
P.fA(" Error Handling","epi-13-19.html");
P.fA("Simple API For XML (SAX)","epi-14-01.html");
P.fA(" About SAX","epi-14-02.html");
P.fA(" Why Use Progress SAX?","epi-14-03.html");
P.fA(" Understanding Progress SAX ","epi-14-04.html");
P.fA(" SAX-READER Object","epi-14-05.html");
P.fA(" Progress SAX Callbacks","epi-14-06.html");
P.fA(" SAX-ATTRIBUTES Object ","epi-14-07.html");
P.fA(" Validation","epi-14-08.html");
P.fA(" Namespace Processing","epi-14-09.html");
P.fA(" Parsing With One Call Or With Multiple Calls","epi-14-10.html");
P.fA(" Monitoring the State Of the Parse","epi-14-11.html");
P.fA(" Error Handling","epi-14-12.html");
P.fA(" Developing Progress SAX Applications","epi-14-13.html");
P.fA(" Basic Tasks Of a Progress SAX Application","epi-14-14.html");
P.fA(" Example 1 \u2014 Retrieving Names and Phone Numbers","epi-14-15.html");
P.fA(" Example 2 \u2014 Reading Customer Data and Writing a TEMP-TABLE","epi-14-16.html");
P.fA(" Progress SAX and WebSpeed","epi-14-17.html");
P.fA(" Example 3 \u2014 Reading XML Data Using WebSpeed","epi-14-18.html");
P.fA(" SAX and the Progress ADE","epi-14-19.html");
P.fA(" SAX API Reference","epi-14-20.html");
P.fA(" SAX Error Message Reference","epi-14-21.html");
P.fA(" SAX Callback Reference","epi-14-22.html");
P.fA("Characters","epi-14-23.html");
P.fA("EndDocument","epi-14-24.html");
P.fA("EndElement","epi-14-25.html");
P.fA("EndPrefixMapping","epi-14-26.html");
P.fA("Error","epi-14-27.html");
P.fA("FatalError","epi-14-28.html");
P.fA("IgnorableWhitespace","epi-14-29.html");
P.fA("NotationDecl","epi-14-30.html");
P.fA("ProcessingInstruction","epi-14-31.html");
P.fA("ResolveEntity","epi-14-32.html");
P.fA("StartDocument","epi-14-33.html");
P.fA("StartElement","epi-14-34.html");
P.fA("StartPrefixMapping","epi-14-35.html");
P.fA("UnparsedEntityDecl","epi-14-36.html");
P.fA("Warning","epi-14-37.html");
P.fA("Accessing SonicMQ Messaging From the Progress 4GL","epi-15-01.html");
P.fA(" Introduction To the SonicMQ Adapter","epi-15-02.html");
P.fA(" SonicMQ Adapter Architecture","epi-15-03.html");
P.fA(" Requirements","epi-15-04.html");
P.fA(" 4GL\u2013JMS Object Model","epi-15-05.html");
P.fA(" Typical JMS Messaging Scenarios In a 4GL Application","epi-15-06.html");
P.fA(" Integrating With the Native 4GL Publish-and-Subscribe Mechanism","epi-15-07.html");
P.fA(" Building Scalable Server Architecture With PTP Queuing ","epi-15-08.html");
P.fA(" Mapping JMS Objects To 4GL Objects","epi-15-09.html");
P.fA(" Connections and Sessions","epi-15-10.html");
P.fA(" Messages","epi-15-11.html");
P.fA(" Publishing a Message To a Topic","epi-15-12.html");
P.fA(" Sending a Message To a Queue","epi-15-13.html");
P.fA(" Subscribing To a Topic","epi-15-14.html");
P.fA(" Receiving Messages From a Queue","epi-15-15.html");
P.fA(" Message-reception Issues","epi-15-16.html");
P.fA(" Reply Mechanisms","epi-15-17.html");
P.fA(" Queue Browsing","epi-15-18.html");
P.fA(" Message Acknowledgment and Recovery","epi-15-19.html");
P.fA(" Transacted Sessions","epi-15-20.html");
P.fA(" Error and Condition Handling","epi-15-21.html");
P.fA(" Programming With the 4GL\u2013JMS API","epi-15-22.html");
P.fA(" Session Objects","epi-15-23.html");
P.fA(" Message Consumer Objects","epi-15-24.html");
P.fA(" Message Objects","epi-15-25.html");
P.fA("Using the SonicMQ Adapter","epi-16-01.html");
P.fA(" Installing, Configuring, and Administering the SonicMQ Adapter ","epi-16-02.html");
P.fA(" Installing the SonicMQ Adapter","epi-16-03.html");
P.fA(" Configuring the SonicMQ Adapter With the Progress Explorer","epi-16-04.html");
P.fA("  Configuring the SonicMQ Adapter From the Command Line","epi-16-05.html");
P.fA(" Configuring the SonicMQ Adapter To Not Use a NameServer","epi-16-06.html");
P.fA(" Configuring HTTP and HTTPS Tunneling","epi-16-07.html");
P.fA(" Maximizing Performance","epi-16-08.html");
P.fA(" Performance Comparison","epi-16-09.html");
P.fA(" Optimizing Message Size","epi-16-10.html");
P.fA(" StreamMessage, MapMessage, and TextMessage","epi-16-11.html");
P.fA(" Remote and Local Calls","epi-16-12.html");
P.fA(" Message Reuse","epi-16-13.html");
P.fA(" Load Balancing","epi-16-14.html");
P.fA(" Discardable Messages","epi-16-15.html");
P.fA(" Finding Administered Objects In JNDI Or Proprietary Directories","epi-16-16.html");
P.fA(" Using the SonicMQ Adapter and the 4GL\u2013JMS API With Administered Objects","epi-16-17.html");
P.fA(" Internationalization Considerations","epi-16-18.html");
P.fA(" Running the Messaging Examples and the Gateway Sample Application","epi-16-19.html");
P.fA(" Pub/Sub Messaging Examples","epi-16-20.html");
P.fA(" PTP Messaging Examples","epi-16-21.html");
P.fA(" Multipart Message Example","epi-16-22.html");
P.fA(" Gateway Sample Application","epi-16-23.html");
P.fA("HLC Library Function Reference","epi-17-01.html");
P.fA(" Function Summary","epi-17-02.html");
P.fA(" Shared-variable Access","epi-17-03.html");
P.fA(" Shared-buffer Access","epi-17-04.html");
P.fA(" Screen Display","epi-17-05.html");
P.fA(" Interrupt Handling","epi-17-06.html");
P.fA(" Timer-service Routines","epi-17-07.html");
P.fA(" Function Reference","epi-17-08.html");
P.fA("prockint() - Test for Interrupt Key","epi-17-09.html");
P.fA("proclear() - Clear the Display","epi-17-10.html");
P.fA("procncel() - Cancel Interval Timer","epi-17-11.html");
P.fA("proevt() - Set Interval Timer","epi-17-12.html");
P.fA("profldix() - Return Field Handle","epi-17-13.html");
P.fA("promsgd() - Display Message","epi-17-14.html");
P.fA("prordbc() - Read CHARACTER Field","epi-17-15.html");
P.fA("prordbd() - Read DATE Field","epi-17-16.html");
P.fA("prordbi() - Read INTEGER Field","epi-17-17.html");
P.fA("prordbl() - Read LOGICAL Field","epi-17-18.html");
P.fA("prordbn() - Read DECIMAL Field","epi-17-19.html");
P.fA("prordbr() - Read RECID Field","epi-17-20.html");
P.fA("prordc() - Read CHARACTER Variable","epi-17-21.html");
P.fA("prordd() - Read DATE Variable","epi-17-22.html");
P.fA("prordi() - Read INTEGER Variable","epi-17-23.html");
P.fA("prordl() - Read LOGICAL Variable","epi-17-24.html");
P.fA("prordn() - Read DECIMAL Variable","epi-17-25.html");
P.fA("prordr() - Read RECID Variable","epi-17-26.html");
P.fA("prosccls() - Set Terminal To Raw Mode and Refresh","epi-17-27.html");
P.fA("proscopn() - Set Terminal To Initial Mode","epi-17-28.html");
P.fA("prosleep() - Sleep For Specified Interval","epi-17-29.html");
P.fA("prowait() - Wait For Timer To Expire","epi-17-30.html");
P.fA("prowtbc() - Write CHARACTER Field","epi-17-31.html");
P.fA("prowtbd() - Write DATE Field","epi-17-32.html");
P.fA("prowtbi() - Write INTEGER Field","epi-17-33.html");
P.fA("prowtbl() - Write LOGICAL Field","epi-17-34.html");
P.fA("prowtbn() - Write DECIMAL Field","epi-17-35.html");
P.fA("prowtbr() - Write RECID Field","epi-17-36.html");
P.fA("prowtc() - Write CHARACTER Variable","epi-17-37.html");
P.fA("prowtd() - Write DATE Variable","epi-17-38.html");
P.fA("prowti() - Write INTEGER Variable","epi-17-39.html");
P.fA("prowtl() - Write LOGICAL Variable","epi-17-40.html");
P.fA("prowtn() - Write DECIMAL Variable","epi-17-41.html");
P.fA("prowtr() - Write RECID Variable","epi-17-42.html");
P.fA("COM Object Data Type Mapping","epi-18-1.html");
P.fA(" Data Type Conversion Strategy","epi-18-2.html");
P.fA(" Converting COM To Progress Data Types","epi-18-3.html");
P.fA(" Converting Progress To COM Data Types","epi-18-4.html");
P.fA(" General Conversion Features and Limitations","epi-18-5.html");
P.fA(" Conversions From Progress To COM Data Types","epi-18-6.html");
P.fA(" Progress To COM Data Type Features and Limitations","epi-18-7.html");
P.fA(" Conversions From COM To Progress Data Types","epi-18-8.html");
P.fA(" Alternate COM Data Type Names","epi-18-9.html");
P.fA("4GL\u2013JMS API Reference","epi-19-001.html");
P.fA(" 4GL\u2013JMS API Cross-reference","epi-19-002.html");
P.fA(" Methods In the Session Objects","epi-19-003.html");
P.fA(" Methods In the Message Consumer Object","epi-19-004.html");
P.fA(" Methods In the Message Objects","epi-19-005.html");
P.fA(" 4GL\u2013JMS API Alphabetical Reference","epi-19-006.html");
P.fA("acknowledgeAndForward","epi-19-007.html");
P.fA("adapterConnection","epi-19-008.html");
P.fA("addBytesPart","epi-19-009.html");
P.fA("addMessagePart","epi-19-010.html");
P.fA("addTextPart","epi-19-011.html");
P.fA("appendText ","epi-19-012.html");
P.fA("beginSession","epi-19-013.html");
P.fA("browseQueue","epi-19-014.html");
P.fA("cancelDurableSubscription","epi-19-015.html");
P.fA("clearBody","epi-19-016.html");
P.fA("clearProperties","epi-19-017.html");
P.fA("commitReceive","epi-19-018.html");
P.fA("commitSend","epi-19-019.html");
P.fA("createBytesMessage","epi-19-020.html");
P.fA("createHeaderMessage","epi-19-021.html");
P.fA("createMapMessage","epi-19-022.html");
P.fA("createMessageConsumer","epi-19-023.html");
P.fA("createMultipartMessage","epi-19-024.html");
P.fA("createStreamMessage","epi-19-025.html");
P.fA("createTextMessage","epi-19-026.html");
P.fA("createXMLMessage","epi-19-027.html");
P.fA("deleteConsumer","epi-19-028.html");
P.fA("deleteMessage","epi-19-029.html");
P.fA("deleteSession","epi-19-030.html");
P.fA("endOfStream","epi-19-031.html");
P.fA("getAdapterService","epi-19-032.html");
P.fA("getApplicationContext","epi-19-033.html");
P.fA("getBrokerURL","epi-19-034.html");
P.fA("getBytesCount","epi-19-035.html");
P.fA("getBytesPartByID","epi-19-036.html");
P.fA("getBytesPartByIndex","epi-19-037.html");
P.fA("getBytesToRaw","epi-19-038.html");
P.fA("getChar","epi-19-039.html");
P.fA("getCharCount","epi-19-040.html");
P.fA("getCharProperty","epi-19-041.html");
P.fA("getClientID","epi-19-042.html");
P.fA("getConnectionID","epi-19-043.html");
P.fA("getConnectionMetaData","epi-19-044.html");
P.fA("getConnectionURLs","epi-19-045.html");
P.fA("getDecimal","epi-19-046.html");
P.fA("getDecimalProperty","epi-19-047.html");
P.fA("getDefaultPersistency","epi-19-048.html");
P.fA("getDefaultPriority","epi-19-049.html");
P.fA("getDefaultTimeToLive","epi-19-050.html");
P.fA("getDestinationName","epi-19-051.html");
P.fA("getInt","epi-19-052.html");
P.fA("getIntProperty","epi-19-053.html");
P.fA("getItemType","epi-19-054.html");
P.fA("getJMSCorrelationID","epi-19-055.html");
P.fA("getJMSCorrelationIDAsBytes","epi-19-056.html");
P.fA("getJMSDeliveryMode","epi-19-057.html");
P.fA("getJMSDestination","epi-19-058.html");
P.fA("getJMSExpiration","epi-19-059.html");
P.fA("getJMSMessageID","epi-19-060.html");
P.fA("getJMSPriority","epi-19-061.html");
P.fA("getJMSRedelivered","epi-19-062.html");
P.fA("getJMSReplyTo","epi-19-063.html");
P.fA("getJMSServerName","epi-19-064.html");
P.fA("getJMSTimestamp","epi-19-065.html");
P.fA("getJMSType","epi-19-066.html");
P.fA("getLoadBalancing","epi-19-067.html");
P.fA("getLogical","epi-19-068.html");
P.fA("getLogicalProperty","epi-19-069.html");
P.fA("getMapNames","epi-19-070.html");
P.fA("getMEMPTR","epi-19-071.html");
P.fA("getMessagePartByID","epi-19-072.html");
P.fA("getMessagePartByIndex","epi-19-073.html");
P.fA("getMessageType","epi-19-074.html");
P.fA("getNoAcknowledge","epi-19-075.html");
P.fA("getPartCount","epi-19-076.html");
P.fA("getPassword","epi-19-077.html");
P.fA("getProcHandle","epi-19-078.html");
P.fA("getProcName","epi-19-079.html");
P.fA("getPropertyNames","epi-19-080.html");
P.fA("getPropertyType","epi-19-081.html");
P.fA("getReplyAutoDelete","epi-19-082.html");
P.fA("getReplyPersistency","epi-19-083.html");
P.fA("getReplyPriority","epi-19-084.html");
P.fA("getReplyTimeToLive","epi-19-085.html");
P.fA("getReplyToDestinationType","epi-19-086.html");
P.fA("getReuseMessage","epi-19-087.html");
P.fA("getSession","epi-19-088.html");
P.fA("getSequential","epi-19-089.html");
P.fA("getSingleMessageAcknowledgement","epi-19-090.html");
P.fA("getText","epi-19-091.html");
P.fA("getTextPartByID","epi-19-092.html");
P.fA("getTextPartByIndex","epi-19-093.html");
P.fA("getTextSegment","epi-19-094.html");
P.fA("getTransactedReceive","epi-19-095.html");
P.fA("getTransactedSend","epi-19-096.html");
P.fA("getUser","epi-19-097.html");
P.fA("hasReplyTo","epi-19-098.html");
P.fA("inErrorHandling","epi-19-099.html");
P.fA("inMessageHandling","epi-19-100.html");
P.fA("inQueueBrowsing","epi-19-101.html");
P.fA("inReplyHandling","epi-19-102.html");
P.fA("isMessagePart","epi-19-103.html");
P.fA("JMS\u2013MAXIMUM\u2013MESSAGES","epi-19-104.html");
P.fA("messageHandler","epi-19-105.html");
P.fA("moveToNext","epi-19-106.html");
P.fA("publish","epi-19-107.html");
P.fA("readBytesToRaw","epi-19-108.html");
P.fA("readChar","epi-19-109.html");
P.fA("readDecimal","epi-19-110.html");
P.fA("readInt","epi-19-111.html");
P.fA("readLogical","epi-19-112.html");
P.fA("receiveFromQueue","epi-19-113.html");
P.fA("recover","epi-19-114.html");
P.fA("requestReply","epi-19-115.html");
P.fA("reset","epi-19-116.html");
P.fA("rollbackReceive","epi-19-117.html");
P.fA("rollbackSend","epi-19-118.html");
P.fA("sendToQueue","epi-19-119.html");
P.fA("setAdapterService","epi-19-120.html");
P.fA("setApplicationContext","epi-19-121.html");
P.fA("setBoolean","epi-19-122.html");
P.fA("setBooleanProperty","epi-19-123.html");
P.fA("setBrokerURL","epi-19-124.html");
P.fA("setByte","epi-19-125.html");
P.fA("setByteProperty","epi-19-126.html");
P.fA("setBytesFromRaw","epi-19-127.html");
P.fA("setChar","epi-19-128.html");
P.fA("setClientID","epi-19-129.html");
P.fA("setConnectionURLs","epi-19-130.html");
P.fA("setDefaultPersistency","epi-19-131.html");
P.fA("setDefaultPriority","epi-19-132.html");
P.fA("setDefaultTimeToLive","epi-19-133.html");
P.fA("setDouble","epi-19-134.html");
P.fA("setDoubleProperty","epi-19-135.html");
P.fA("setErrorHandler","epi-19-136.html");
P.fA("setFloat","epi-19-137.html");
P.fA("setFloatProperty","epi-19-138.html");
P.fA("setInt","epi-19-139.html");
P.fA("setIntProperty","epi-19-140.html");
P.fA("setJMSCorrelationID","epi-19-141.html");
P.fA("setJMSCorrelationIDAsBytes","epi-19-142.html");
P.fA("setJMSReplyTo","epi-19-143.html");
P.fA("setJMSServerName","epi-19-144.html");
P.fA("setJMSType","epi-19-145.html");
P.fA("setLoadBalancing","epi-19-146.html");
P.fA("setLong","epi-19-147.html");
P.fA("setLongProperty","epi-19-148.html");
P.fA("setMEMPTR","epi-19-149.html");
P.fA("setNoAcknowledge","epi-19-150.html");
P.fA("setNoErrorDisplay","epi-19-151.html");
P.fA("setPassword","epi-19-152.html");
P.fA("setPingInterval","epi-19-153.html");
P.fA("setPrefetchCount","epi-19-154.html");
P.fA("setPrefetchThreshold","epi-19-155.html");
P.fA("setReplyAutoDelete","epi-19-156.html");
P.fA("setReplyPersistency","epi-19-157.html");
P.fA("setReplyPriority","epi-19-158.html");
P.fA("setReplyTimeToLive","epi-19-159.html");
P.fA("setReplyToDestinationType","epi-19-160.html");
P.fA("setReuseMessage","epi-19-161.html");
P.fA("setSequential","epi-19-162.html");
P.fA("setShort","epi-19-163.html");
P.fA("setShortProperty","epi-19-164.html");
P.fA("setSingleMessageAcknowledgement","epi-19-165.html");
P.fA("setString","epi-19-166.html");
P.fA("setStringProperty","epi-19-167.html");
P.fA("setText","epi-19-168.html");
P.fA("setTransactedReceive","epi-19-169.html");
P.fA("setTransactedSend","epi-19-170.html");
P.fA("setUser","epi-19-171.html");
P.fA("startReceiveMessages","epi-19-172.html");
P.fA("stopReceiveMessages","epi-19-173.html");
P.fA("subscribe","epi-19-174.html");
P.fA("waitForMessages","epi-19-175.html");
P.fA("writeBoolean","epi-19-176.html");
P.fA("writeByte","epi-19-177.html");
P.fA("writeBytesFromRaw","epi-19-178.html");
P.fA("writeChar","epi-19-179.html");
P.fA("writeDouble","epi-19-180.html");
P.fA("writeFloat","epi-19-181.html");
P.fA("writeInt","epi-19-182.html");
P.fA("writeLong","epi-19-183.html");
P.fA("writeShort","epi-19-184.html");
P.fA("writeString","epi-19-185.html");
}
