function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  External Program  Interfaces","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp21819");
B=A.fN("Audience","1#wp21822");
B=A.fN("Organization Of This Manual","1#wp21825");
B=A.fN("Typographical Conventions","1#wp21849");
B=A.fN("Syntax Notation","1#wp21882");
B=A.fN("Example Procedures","1#wp22492");
B=A.fN("Progress Messages","1#wp22768");
B=A.fN("Other Useful Documentation","1#wp22848");
A=P.fN("Introduction","2#wp1644");
B=A.fN(" Using MEMPTR To Reference External Data","3");
var C=B.fN(" Comparing MEMPTR and RAW Data Types","4");
C=B.fN(" Initializing and Uninitializing MEMPTR Variables","5");
C=B.fN(" Reading and Writing Data","6");
C=B.fN(" Retrieving and Storing Pointers","7");
C=B.fN(" Setting Byte Order","8");
B=A.fN(" Host Language Call Interface","9");
C=B.fN(" HLC and Progress","10");
C=B.fN(" Requirements For Using HLC","11");
B=A.fN(" System Clipboard","12");
C=B.fN(" The System Clipboard and Progress","13");
C=B.fN(" Requirements For Using the CLIPBOARD Handle","14");
B=A.fN(" Named Pipes","15");
C=B.fN(" Named Pipes and Progress","16");
C=B.fN(" Requirements For Using Named Pipes","17");
B=A.fN(" UNIX Shared Library and Windows DLL Support","18");
C=B.fN(" Shared Libraries and Progress","19");
C=B.fN(" Requirements For Using Shared Libraries","20");
B=A.fN(" Windows Dynamic Data Exchange","21");
C=B.fN(" DDE and Progress","22");
C=B.fN(" Requirements For Using DDE","23");
B=A.fN(" COM Objects: Automation Objects and ActiveX Controls","24");
C=B.fN(" COM Objects Supported In Progress","25");
C=B.fN(" Support For COM Object Properties and Methods","26");
C=B.fN(" Support For Automation Object Events","27");
C=B.fN(" Support For ActiveX Control Events","28");
C=B.fN(" COM Object Sources","29");
C=B.fN(" Requirements For Using Automation Objects","30");
C=B.fN(" Requirements For Using ActiveX Controls","31");
C=B.fN(" Programming Requirements","32");
B=A.fN(" Sockets","33");
C=B.fN(" Reasons To Use Sockets","34");
C=B.fN(" Connection Model","35");
C=B.fN(" Server Socket and Socket Objects","36");
C=B.fN(" 4GL Socket Event Model","37");
C=B.fN(" Programming Requirements","38");
B=A.fN(" XML","39");
C=B.fN(" XML and Progress","40");
C=B.fN(" Requirements For Using XML","41");
B=A.fN(" The Progress SonicMQ Adapter","42");
A=P.fN("Host Language Call Interface","43#wp1867");
B=A.fN(" Using HLC","44");
B=A.fN(" Overview Of HLC","45");
C=B.fN(" Using the CALL Statement","46");
C=B.fN(" Mapping Routine Identifiers Using PRODSP()","47");
B=A.fN(" HLC Files and Directories","48");
B=A.fN(" Writing C Functions","49");
C=B.fN(" Top-level C Function Declaration","50");
C=B.fN(" Returning Error Codes From a Top-level Function","51");
C=B.fN(" Naming C Functions","52");
C=B.fN(" C Function Portability","53");
B=A.fN(" Avoiding Common HLC Errors","54");
B=A.fN(" Memory Allocation","55");
B=A.fN(" Data Size","56");
B=A.fN(" Using HLC Library Functions","57");
C=B.fN(" Accessing Progress Data","58");
C=B.fN(" Data Type Conversion","59");
C=B.fN(" Calling an HLC Library Function","60");
C=B.fN(" Timer Services","61");
C=B.fN(" User Interrupt Handling","62");
C=B.fN(" Using a Library Function That Writes To a Shared Buffer","63");
C=B.fN(" Passing Error Codes Back To Progress","64");
B=A.fN(" Building an HLC Executable","65");
B=A.fN(" HLC Applications On UNIX Systems","66");
C=B.fN(" Handling Raw Disk I/O","67");
C=B.fN(" Handling Terminal I/O","68");
C=B.fN(" Handling Abnormal Exits","69");
B=A.fN(" Compiling C Source Files","70");
B=A.fN(" Example HLC Application","71");
C=B.fN(" Running the Sample Application On Windows","72");
C=B.fN(" Running the Sample Application On UNIX","73");
C=B.fN(" Source Code Listings","74");
A=P.fN("System Clipboard","75#wp259");
B=A.fN(" CLIPBOARD System Handle","76");
C=B.fN(" AVAILABLE-FORMATS Attribute","77");
C=B.fN(" ITEMS-PER-ROW Attribute","78");
C=B.fN(" MULTIPLE Attribute","79");
C=B.fN(" NUM-FORMATS Attribute","80");
C=B.fN(" TYPE Attribute","81");
C=B.fN(" VALUE Attribute","82");
B=A.fN(" Single-item Data Transfers","83");
C=B.fN(" Enabling and Disabling Clipboard Operations","84");
C=B.fN(" Implementing Single-item Transfers","85");
C=B.fN(" Single-item Transfer Example","86");
B=A.fN(" Multiple-item Data Transfers","87");
C=B.fN(" Widget-based Transfers","88");
C=B.fN(" Data-based Transfers","89");
C=B.fN(" Multiple-item Transfer Example","90");
A=P.fN("Named Pipes","91#wp993");
B=A.fN(" Overview Of Named Pipes With Progress","92");
C=B.fN(" Operational Characteristics Of Named Pipes","93");
C=B.fN(" Advantages and Disadvantages Of Named Pipes","94");
B=A.fN(" UNIX Named Pipes","95");
C=B.fN(" Creating a Named Pipe","96");
C=B.fN(" Deleting a Named Pipe","97");
C=B.fN(" Accessing a Named Pipe Within Progress","98");
C=B.fN(" UNIX Named Pipe Examples","99");
B=A.fN(" Windows NT Named Pipes","100");
C=B.fN(" Accessing Windows NT Named Pipes","101");
C=B.fN(" Linking Progress and non-Progress Processes Using Windows NT Named Pipes","102");
C=B.fN(" Building and Running the Sample Windows NT  Named Pipes Application","103");
C=B.fN(" Coding the 4GL Program","104");
C=B.fN(" Coding the C Program","105");
C=B.fN(" Running the Application","106");
A=P.fN("Shared Library and DLL Support","107#wp588");
B=A.fN(" Using Shared Libraries","108");
B=A.fN(" Declaring a Shared Library Routine","109");
C=B.fN(" Options For Shared Library Routine Declarations","110");
C=B.fN(" Shared Library Parameter Data Types","111");
B=A.fN(" Executing a Shared Library Routine","112");
C=B.fN(" Options For Shared Library Routine Execution","113");
C=B.fN(" RUN Statement Parameter Data Types","114");
C=B.fN(" Passing NULL Values","115");
B=A.fN(" Using Structure Parameters","116");
C=B.fN(" Initializing and Uninitializing MEMPTR Variables","117");
C=B.fN(" Passing CHARACTER Values To Shared Library Routines","118");
B=A.fN(" DLL Routines and Progress Widgets (Windows Only)","119");
B=A.fN(" Loading and Unloading Shared Libraries","120");
B=A.fN(" Examples","121");
A=P.fN("Windows Dynamic Data Exchange","122#wp714");
B=A.fN(" Using the Dynamic Data Exchange Protocol","123");
C=B.fN(" The Course Of a DDE Conversation","124");
C=B.fN(" 4GL Statements For DDE Conversations","125");
B=A.fN(" Structuring a DDE Conversation In Progress","126");
C=B.fN(" Conversation Hierarchy","127");
B=A.fN(" Defining Conversation Endpoints\u2014DDE Frames","128");
C=B.fN(" DDE-ERROR","129");
C=B.fN(" Other DDE Attributes","130");
B=A.fN(" Opening DDE Conversations","131");
C=B.fN(" Preparing the Server Application","132");
C=B.fN(" Defining DDE Frames","133");
C=B.fN(" Initiating a Conversation","134");
B=A.fN(" Exchanging Data In Conversations","135");
C=B.fN(" Demand-driven Exchanges","136");
C=B.fN(" Event-driven Exchanges","137");
B=A.fN(" Closing DDE Conversations","138");
B=A.fN(" DDE Example","139");
A=P.fN("Using COM Objects In the 4GL","140#wp608");
B=A.fN(" How COM Objects Differ From Progress Widgets","141");
C=B.fN(" Functionality","142");
C=B.fN(" 4GL Mechanisms","143");
B=A.fN(" Obtaining Access To COM Objects","144");
B=A.fN(" Accessing COM Object Properties and Methods","145");
C=B.fN(" Property and Method Syntax","146");
C=B.fN(" Specifying Options For Properties and Method Parameters","147");
C=B.fN(" Restrictions On Property and Method References","148");
B=A.fN(" Managing COM Objects In an Application","149");
C=B.fN(" Validating Component Handles","150");
C=B.fN(" Managing COM Object Font and Color Settings","151");
C=B.fN(" Navigating ActiveX Collections","152");
C=B.fN(" Managing COM Object Resources","153");
C=B.fN(" Error Handling","154");
B=A.fN(" Locating COM Object Information On Your System","155");
C=B.fN(" Using the COM Object Viewer","156");
C=B.fN(" Running the COM Object Viewer","157");
C=B.fN(" Accessing Type Libraries","158");
C=B.fN(" Locating Objects In the Viewer","159");
C=B.fN(" Viewing Methods, Properties, and Events","160");
A=P.fN("ActiveX Automation Support","161#wp1355");
B=A.fN(" Requirements For Doing Automation","162");
B=A.fN(" Accessing Automation Servers","163");
C=B.fN(" Option 1: Instantiate Automation Object by Name","164");
C=B.fN(" Option 2: Connect To Top-level Named Automation Object","165");
C=B.fN(" Option 3: Connect To Or Instantiate a Named Automation Object and File","166");
C=B.fN(" Option 4: Connect To Or Instantiate Implied Automation Object and File","167");
B=A.fN(" Managing Automation Objects","168");
B=A.fN(" Automation Event Support","169");
B=A.fN(" Example Automation Applications","170");
A=P.fN("ActiveX Control Support","171#wp1134");
B=A.fN(" How Progress Supports ActiveX Controls","172");
C=B.fN(" An Example ActiveX Control In Progress","173");
C=B.fN(" How Progress Encapsulates an ActiveX Control","174");
C=B.fN(" Control-frame Attributes and Properties","175");
C=B.fN(" Additional Control Functionality","176");
C=B.fN(" Special Considerations For Extended Controls","177");
C=B.fN(" ActiveX Control Restrictions","178");
B=A.fN(" Creating a Control Instance In Progress","179");
C=B.fN(" Understanding Design Time and Runtime Properties","180");
C=B.fN(" Setting Design Time Properties","181");
C=B.fN(" Setting the ActiveX Control Name","182");
C=B.fN(" Setting the Control-frame Name","183");
B=A.fN(" Orienting a Control In the User Interface At Design Time","184");
C=B.fN(" Setting Control Location","185");
C=B.fN(" Setting Control Height and Width","186");
C=B.fN(" Setting Control Tab Order","187");
C=B.fN(" Defining Invisible Controls","188");
B=A.fN(" Accessing ActiveX Controls At Runtime","189");
C=B.fN(" Instantiating the Control","190");
C=B.fN(" Accessing the Control Handle","191");
B=A.fN(" Managing ActiveX Controls At Runtime","192");
C=B.fN(" Managing Tab Order and Z Order","193");
C=B.fN(" Working With Progress Key Functions","194");
C=B.fN(" Setting Graphical Properties Of an ActiveX Control","195");
C=B.fN(" Releasing Control Resources","196");
B=A.fN(" Handling Events","197");
C=B.fN(" Handling Control-frame Widget Events","198");
C=B.fN(" Handling ActiveX Control Events","199");
C=B.fN(" Managing External Procedure Files","200");
B=A.fN(" Programming ActiveX Controls In the AppBuilder","201");
C=B.fN(" Creating Data Definitions For an ActiveX Control","202");
C=B.fN(" Instantiating the Control","203");
C=B.fN(" Initializing the Control","204");
C=B.fN(" Using Event Procedures","205");
C=B.fN(" Interacting Outside Of Event Procedures","206");
B=A.fN(" ActiveX Controls and Examples Installed With Progress","207");
C=B.fN(" Combo Box Control (CSComboBox)","208");
C=B.fN(" Spin Button Control (CSSpin)","209");
C=B.fN(" Timer Control (PSTimer)","210");
C=B.fN(" Example Applications Using ActiveX Controls","211");
A=P.fN("Sockets","212#wp660");
B=A.fN(" 4GL For Programming Sockets","213");
B=A.fN(" Overview Of Tasks To Implement 4GL Sockets","214");
B=A.fN(" Implementing a 4GL Socket Server","215");
C=B.fN(" Listening and Responding To Connection Requests","216");
C=B.fN(" Managing the Server Socket","217");
B=A.fN(" Implementing a 4GL Socket Client","218");
B=A.fN(" Read, Writing, and Managing Sockets On Clients and Servers","219");
C=B.fN(" Defining and Initializing MEMPTR Variables","220");
C=B.fN(" Detecting Data On a Socket","221");
C=B.fN(" Reading Data On a Socket","222");
C=B.fN(" Writing Data On a Socket","223");
C=B.fN(" Marshalling and Unmarshalling Data For Socket I/O","224");
C=B.fN(" Managing Sockets and Their Connections","225");
B=A.fN(" Examples Using 4GL Sockets","226");
A=P.fN("XML Support","227#wp520");
B=A.fN(" Introduction","228");
C=B.fN(" XML Documents","229");
B=A.fN(" The Document Object Model","230");
C=B.fN(" The DOM Structure Model","231");
B=A.fN(" The New 4GL Objects and Handles","232");
C=B.fN(" DOM Node Interfaces As Subtypes","232#wp619");
C=B.fN(" Document and Node Reference Objects","233");
B=A.fN(" Creating XML Output From the 4GL","234");
C=B.fN(" The Root Node Reference Object","235");
C=B.fN(" Creating and Appending a Node","236");
C=B.fN(" Setting Node Attributes and Values","237");
C=B.fN(" Example Of Creating an Output XML File","238");
B=A.fN(" Reading XML Input Into the 4GL","239");
C=B.fN(" Loading an XML File","240");
C=B.fN(" Accessing the Child Nodes","241");
C=B.fN(" Using Node Attributes and Values","242");
C=B.fN(" Examples Of Reading an Input XML File","243");
B=A.fN(" Internationalization","244");
B=A.fN(" Error Handling","245");
A=P.fN("Simple API For XML (SAX)","246#wp879032");
B=A.fN(" About SAX","247");
B=A.fN(" Why Use Progress SAX?","248");
B=A.fN(" Understanding Progress SAX","249");
C=B.fN(" SAX-READER Object","250");
C=B.fN(" Progress SAX Callbacks","251");
C=B.fN(" SAX-ATTRIBUTES Object","252");
C=B.fN(" Validation","253");
C=B.fN(" Namespace Processing","254");
C=B.fN(" Parsing With One Call Or With Multiple Calls","255");
C=B.fN(" Monitoring the State Of the Parse","256");
C=B.fN(" Error Handling","257");
B=A.fN(" Developing Progress SAX Applications","258");
C=B.fN(" Basic Tasks Of a Progress SAX Application","259");
C=B.fN(" Example 1 \u2014 Retrieving Names and Phone Numbers","260");
C=B.fN(" Example 2 \u2014 Reading Customer Data and Writing a TEMP-TABLE","261");
C=B.fN(" Progress SAX and WebSpeed","262");
C=B.fN(" Example 3 \u2014 Reading XML Data Using WebSpeed","263");
C=B.fN(" SAX and the Progress ADE","264");
B=A.fN(" SAX API Reference","265");
C=B.fN(" SAX Error Message Reference","266");
C=B.fN(" SAX Callback Reference","267");
B=A.fN("Characters","268");
B=A.fN("EndDocument","269");
B=A.fN("EndElement","270");
B=A.fN("EndPrefixMapping","271");
B=A.fN("Error","272");
B=A.fN("FatalError","273");
B=A.fN("IgnorableWhitespace","274");
B=A.fN("NotationDecl","275");
B=A.fN("ProcessingInstruction","276");
B=A.fN("ResolveEntity","277");
B=A.fN("StartDocument","278");
B=A.fN("StartElement","279");
B=A.fN("StartPrefixMapping","280");
B=A.fN("UnparsedEntityDecl","281");
B=A.fN("Warning","282");
A=P.fN("Accessing SonicMQ Messaging From the Progress 4GL","283#wp681517");
B=A.fN(" Introduction To the SonicMQ Adapter","284");
C=B.fN(" SonicMQ Adapter Architecture","285");
C=B.fN(" Requirements","286");
C=B.fN(" 4GL\u2013JMS Object Model","287");
C=B.fN(" Typical JMS Messaging Scenarios In a 4GL Application","288");
C=B.fN(" Integrating With the Native 4GL Publish-and-Subscribe Mechanism","289");
C=B.fN(" Building Scalable Server Architecture With PTP Queuing","290");
B=A.fN(" Mapping JMS Objects To 4GL Objects","291");
C=B.fN(" Connections and Sessions","292");
C=B.fN(" Messages","293");
C=B.fN(" Publishing a Message To a Topic","294");
C=B.fN(" Sending a Message To a Queue","295");
C=B.fN(" Subscribing To a Topic","296");
C=B.fN(" Receiving Messages From a Queue","297");
C=B.fN(" Message-reception Issues","298");
C=B.fN(" Reply Mechanisms","299");
C=B.fN(" Queue Browsing","300");
C=B.fN(" Message Acknowledgment and Recovery","301");
C=B.fN(" Transacted Sessions","302");
C=B.fN(" Error and Condition Handling","303");
B=A.fN(" Programming With the 4GL\u2013JMS API","304");
C=B.fN(" Session Objects","305");
C=B.fN(" Message Consumer Objects","306");
C=B.fN(" Message Objects","307");
A=P.fN("Using the SonicMQ Adapter","308#wp625158");
B=A.fN(" Installing, Configuring, and Administering the SonicMQ Adapter","309");
C=B.fN(" Installing the SonicMQ Adapter","310");
C=B.fN(" Configuring the SonicMQ Adapter With the Progress Explorer","311");
C=B.fN(" Configuring the SonicMQ Adapter From the Command Line","312");
C=B.fN(" Configuring the SonicMQ Adapter To Not Use a NameServer","313");
C=B.fN(" Configuring HTTP and HTTPS Tunneling","314");
B=A.fN(" Maximizing Performance","315");
C=B.fN(" Performance Comparison","316");
C=B.fN(" Optimizing Message Size","317");
C=B.fN(" StreamMessage, MapMessage, and TextMessage","318");
C=B.fN(" Remote and Local Calls","319");
C=B.fN(" Message Reuse","320");
B=A.fN(" Load Balancing","321");
C=B.fN(" Discardable Messages","322");
B=A.fN(" Finding Administered Objects In JNDI Or Proprietary Directories","323");
C=B.fN(" Using the SonicMQ Adapter and the 4GL\u2013JMS API With Administered Objects","324");
B=A.fN(" Internationalization Considerations","325");
B=A.fN(" Running the Messaging Examples and the Gateway Sample Application","326");
C=B.fN(" Pub/Sub Messaging Examples","327");
C=B.fN(" PTP Messaging Examples","328");
C=B.fN(" Multipart Message Example","329");
C=B.fN(" Gateway Sample Application","330");
A=P.fN("HLC Library Function Reference","331#wp452");
B=A.fN(" Function Summary","332");
C=B.fN(" Shared-variable Access","333");
C=B.fN(" Shared-buffer Access","334");
C=B.fN(" Screen Display","335");
C=B.fN(" Interrupt Handling","336");
C=B.fN(" Timer-service Routines","337");
B=A.fN(" Function Reference","338");
B=A.fN("prockint() - Test for Interrupt Key","339");
B=A.fN("proclear() - Clear the Display","340");
B=A.fN("procncel() - Cancel Interval Timer","341");
B=A.fN("proevt() - Set Interval Timer","342");
B=A.fN("profldix() - Return Field Handle","343");
B=A.fN("promsgd() - Display Message","344");
B=A.fN("prordbc() - Read CHARACTER Field","345");
B=A.fN("prordbd() - Read DATE Field","346");
B=A.fN("prordbi() - Read INTEGER Field","347");
B=A.fN("prordbl() - Read LOGICAL Field","348");
B=A.fN("prordbn() - Read DECIMAL Field","349");
B=A.fN("prordbr() - Read RECID Field","350");
B=A.fN("prordc() - Read CHARACTER Variable","351");
B=A.fN("prordd() - Read DATE Variable","352");
B=A.fN("prordi() - Read INTEGER Variable","353");
B=A.fN("prordl() - Read LOGICAL Variable","354");
B=A.fN("prordn() - Read DECIMAL Variable","355");
B=A.fN("prordr() - Read RECID Variable","356");
B=A.fN("prosccls() - Set Terminal To Raw Mode and Refresh","357");
B=A.fN("proscopn() - Set Terminal To Initial Mode","358");
B=A.fN("prosleep() - Sleep For Specified Interval","359");
B=A.fN("prowait() - Wait For Timer To Expire","360");
B=A.fN("prowtbc() - Write CHARACTER Field","361");
B=A.fN("prowtbd() - Write DATE Field","362");
B=A.fN("prowtbi() - Write INTEGER Field","363");
B=A.fN("prowtbl() - Write LOGICAL Field","364");
B=A.fN("prowtbn() - Write DECIMAL Field","365");
B=A.fN("prowtbr() - Write RECID Field","366");
B=A.fN("prowtc() - Write CHARACTER Variable","367");
B=A.fN("prowtd() - Write DATE Variable","368");
B=A.fN("prowti() - Write INTEGER Variable","369");
B=A.fN("prowtl() - Write LOGICAL Variable","370");
B=A.fN("prowtn() - Write DECIMAL Variable","371");
B=A.fN("prowtr() - Write RECID Variable","372");
A=P.fN("COM Object Data Type Mapping","373#wp626");
B=A.fN(" Data Type Conversion Strategy","374");
C=B.fN(" Converting COM To Progress Data Types","375");
C=B.fN(" Converting Progress To COM Data Types","376");
C=B.fN(" General Conversion Features and Limitations","377");
B=A.fN(" Conversions From Progress To COM Data Types","378");
C=B.fN(" Progress To COM Data Type Features and Limitations","379");
B=A.fN(" Conversions From COM To Progress Data Types","380");
B=A.fN(" Alternate COM Data Type Names","381");
A=P.fN("4GL\u2013JMS API Reference","382#wp52530");
B=A.fN(" 4GL\u2013JMS API Cross-reference","383");
C=B.fN(" Methods In the Session Objects","384");
C=B.fN(" Methods In the Message Consumer Object","385");
C=B.fN(" Methods In the Message Objects","386");
B=A.fN(" 4GL\u2013JMS API Alphabetical Reference","387");
B=A.fN("acknowledgeAndForward","388");
B=A.fN("adapterConnection","389");
B=A.fN("addBytesPart","390");
B=A.fN("addMessagePart","391");
B=A.fN("addTextPart","392");
B=A.fN("appendText","393");
B=A.fN("beginSession","394");
B=A.fN("browseQueue","395");
B=A.fN("cancelDurableSubscription","396");
B=A.fN("clearBody","397");
B=A.fN("clearProperties","398");
B=A.fN("commitReceive","399");
B=A.fN("commitSend","400");
B=A.fN("createBytesMessage","401");
B=A.fN("createHeaderMessage","402");
B=A.fN("createMapMessage","403");
B=A.fN("createMessageConsumer","404");
B=A.fN("createMultipartMessage","405");
B=A.fN("createStreamMessage","406");
B=A.fN("createTextMessage","407");
B=A.fN("createXMLMessage","408");
B=A.fN("deleteConsumer","409");
B=A.fN("deleteMessage","410");
B=A.fN("deleteSession","411");
B=A.fN("endOfStream","412");
B=A.fN("getAdapterService","413");
B=A.fN("getApplicationContext","414");
B=A.fN("getBrokerURL","415");
B=A.fN("getBytesCount","416");
B=A.fN("getBytesPartByID","417");
B=A.fN("getBytesPartByIndex","418");
B=A.fN("getBytesToRaw","419");
B=A.fN("getChar","420");
B=A.fN("getCharCount","421");
B=A.fN("getCharProperty","422");
B=A.fN("getClientID","423");
B=A.fN("getConnectionID","424");
B=A.fN("getConnectionMetaData","425");
B=A.fN("getConnectionURLs","426");
B=A.fN("getDecimal","427");
B=A.fN("getDecimalProperty","428");
B=A.fN("getDefaultPersistency","429");
B=A.fN("getDefaultPriority","430");
B=A.fN("getDefaultTimeToLive","431");
B=A.fN("getDestinationName","432");
B=A.fN("getInt","433");
B=A.fN("getIntProperty","434");
B=A.fN("getItemType","435");
B=A.fN("getJMSCorrelationID","436");
B=A.fN("getJMSCorrelationIDAsBytes","437");
B=A.fN("getJMSDeliveryMode","438");
B=A.fN("getJMSDestination","439");
B=A.fN("getJMSExpiration","440");
B=A.fN("getJMSMessageID","441");
B=A.fN("getJMSPriority","442");
B=A.fN("getJMSRedelivered","443");
B=A.fN("getJMSReplyTo","444");
B=A.fN("getJMSServerName","445");
B=A.fN("getJMSTimestamp","446");
B=A.fN("getJMSType","447");
B=A.fN("getLoadBalancing","448");
B=A.fN("getLogical","449");
B=A.fN("getLogicalProperty","450");
B=A.fN("getMapNames","451");
B=A.fN("getMEMPTR","452");
B=A.fN("getMessagePartByID","453");
B=A.fN("getMessagePartByIndex","454");
B=A.fN("getMessageType","455");
B=A.fN("getNoAcknowledge","456");
B=A.fN("getPartCount","457");
B=A.fN("getPassword","458");
B=A.fN("getProcHandle","459");
B=A.fN("getProcName","460");
B=A.fN("getPropertyNames","461");
B=A.fN("getPropertyType","462");
B=A.fN("getReplyAutoDelete","463");
B=A.fN("getReplyPersistency","464");
B=A.fN("getReplyPriority","465");
B=A.fN("getReplyTimeToLive","466");
B=A.fN("getReplyToDestinationType","467");
B=A.fN("getReuseMessage","468");
B=A.fN("getSession","469");
B=A.fN("getSequential","470");
B=A.fN("getSingleMessageAcknowledgement","471");
B=A.fN("getText","472");
B=A.fN("getTextPartByID","473");
B=A.fN("getTextPartByIndex","474");
B=A.fN("getTextSegment","475");
B=A.fN("getTransactedReceive","476");
B=A.fN("getTransactedSend","477");
B=A.fN("getUser","478");
B=A.fN("hasReplyTo","479");
B=A.fN("inErrorHandling","480");
B=A.fN("inMessageHandling","481");
B=A.fN("inQueueBrowsing","482");
B=A.fN("inReplyHandling","483");
B=A.fN("isMessagePart","484");
B=A.fN("JMS\u2013MAXIMUM\u2013MESSAGES","485");
B=A.fN("messageHandler","486");
B=A.fN("moveToNext","487");
B=A.fN("publish","488");
B=A.fN("readBytesToRaw","489");
B=A.fN("readChar","490");
B=A.fN("readDecimal","491");
B=A.fN("readInt","492");
B=A.fN("readLogical","493");
B=A.fN("receiveFromQueue","494");
B=A.fN("recover","495");
B=A.fN("requestReply","496");
B=A.fN("reset","497");
B=A.fN("rollbackReceive","498");
B=A.fN("rollbackSend","499");
B=A.fN("sendToQueue","500");
B=A.fN("setAdapterService","501");
B=A.fN("setApplicationContext","502");
B=A.fN("setBoolean","503");
B=A.fN("setBooleanProperty","504");
B=A.fN("setBrokerURL","505");
B=A.fN("setByte","506");
B=A.fN("setByteProperty","507");
B=A.fN("setBytesFromRaw","508");
B=A.fN("setChar","509");
B=A.fN("setClientID","510");
B=A.fN("setConnectionURLs","511");
B=A.fN("setDefaultPersistency","512");
B=A.fN("setDefaultPriority","513");
B=A.fN("setDefaultTimeToLive","514");
B=A.fN("setDouble","515");
B=A.fN("setDoubleProperty","516");
B=A.fN("setErrorHandler","517");
B=A.fN("setFloat","518");
B=A.fN("setFloatProperty","519");
B=A.fN("setInt","520");
B=A.fN("setIntProperty","521");
B=A.fN("setJMSCorrelationID","522");
B=A.fN("setJMSCorrelationIDAsBytes","523");
B=A.fN("setJMSReplyTo","524");
B=A.fN("setJMSServerName","525");
B=A.fN("setJMSType","526");
B=A.fN("setLoadBalancing","527");
B=A.fN("setLong","528");
B=A.fN("setLongProperty","529");
B=A.fN("setMEMPTR","530");
B=A.fN("setNoAcknowledge","531");
B=A.fN("setNoErrorDisplay","532");
B=A.fN("setPassword","533");
B=A.fN("setPingInterval","534");
B=A.fN("setPrefetchCount","535");
B=A.fN("setPrefetchThreshold","536");
B=A.fN("setReplyAutoDelete","537");
B=A.fN("setReplyPersistency","538");
B=A.fN("setReplyPriority","539");
B=A.fN("setReplyTimeToLive","540");
B=A.fN("setReplyToDestinationType","541");
B=A.fN("setReuseMessage","542");
B=A.fN("setSequential","543");
B=A.fN("setShort","544");
B=A.fN("setShortProperty","545");
B=A.fN("setSingleMessageAcknowledgement","546");
B=A.fN("setString","547");
B=A.fN("setStringProperty","548");
B=A.fN("setText","549");
B=A.fN("setTransactedReceive","550");
B=A.fN("setTransactedSend","551");
B=A.fN("setUser","552");
B=A.fN("startReceiveMessages","553");
B=A.fN("stopReceiveMessages","554");
B=A.fN("subscribe","555");
B=A.fN("waitForMessages","556");
B=A.fN("writeBoolean","557");
B=A.fN("writeByte","558");
B=A.fN("writeBytesFromRaw","559");
B=A.fN("writeChar","560");
B=A.fN("writeDouble","561");
B=A.fN("writeFloat","562");
B=A.fN("writeInt","563");
B=A.fN("writeLong","564");
B=A.fN("writeShort","565");
B=A.fN("writeString","566");
}
