function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Internationalization Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp124472");
B=A.fN("Audience","1#wp124475");
B=A.fN("Organization Of This Manual","1#wp94117");
B=A.fN("Typographical Conventions","1#wp94189");
B=A.fN("Syntax Notation","1#wp94241");
B=A.fN("Example Procedures","1#wp124683");
B=A.fN("Progress Messages","1#wp125747");
B=A.fN("Other Useful Documentation","1#wp119417");
A=P.fN("Developing Applications For Deployment Worldwide","2#wp599370");
B=A.fN(" The Importance Of Internationalization and Localization","3");
B=A.fN(" Strategies For Responding To a Global Market","4");
var C=B.fN(" Internationalized Applications","5");
C=B.fN(" Localized Applications","6");
B=A.fN(" How Progress Supports Internationalization","7");
C=B.fN(" Multi-byte Applications","8");
C=B.fN(" Progress Support For Unicode","9");
C=B.fN(" Character Processing","10");
C=B.fN(" Translation Manager System","11");
C=B.fN(" Progress 4GL Elements","12");
C=B.fN(" International Databases","13");
C=B.fN(" Progress Messages","14");
C=B.fN(" Regional Parameter Files","15");
B=A.fN(" How Progress Products Support Internationalization","16");
B=A.fN(" Design Guidelines","17");
A=P.fN("Understanding Code Pages","18#wp50928");
B=A.fN(" Code Pages and Character Sets","19");
C=B.fN(" Code Pages","20");
C=B.fN(" Character Sets","21");
B=A.fN(" Environments With Multiple Code Pages","22");
B=A.fN(" Code-page Conversion","23");
C=B.fN(" Streams and Code-page Conversion","24");
C=B.fN(" Valid and Invalid Code-page Conversions","25");
C=B.fN(" Sockets and Code-page Conversion","26");
B=A.fN(" The Undefined Code Page","27");
B=A.fN(" Figuring Out the Code Page an Application Component Uses","28");
C=B.fN(" 7-bit Character Data","29");
C=B.fN(" 8-bit Character Data","30");
C=B.fN(" Progress Databases","31");
C=B.fN(" Character Terminals","32");
C=B.fN(" Windows Screen and Keyboard","33");
C=B.fN(" Printers","34");
C=B.fN(" Table Dump (.d) Files and Other External Text Files","35");
C=B.fN(" Progress Libraries","36");
A=P.fN("Understanding Character Processing Tables","37#wp370139");
B=A.fN(" The convmap.dat File and Its Tables","38");
C=B.fN(" Character Attribute Tables","39");
C=B.fN(" Case Tables","40");
C=B.fN(" Collation Tables","41");
C=B.fN(" Code-page Conversion Tables","42");
C=B.fN(" Modifying convmap.dat Or a File It Includes","43");
C=B.fN(" Compiling the convmap.dat File","44");
C=B.fN(" Providing Access To the convmap.cp File","45");
C=B.fN(" Modifying Collation Tables","46");
C=B.fN(" Finding Additional Information On Character Processing Tables Other Than Word-break Tables","47");
B=A.fN(" Word-break Tables","48");
C=B.fN(" Why Progress Uses Word-break Tables","49");
C=B.fN(" Creating and Modifying Word-break Tables","50");
C=B.fN(" Compiling Word-break Tables","51");
C=B.fN(" Providing Access To Word-break Tables","52");
C=B.fN(" Associating Word-break Tables With Databases","53");
C=B.fN(" Rebuilding the Indexes","54");
A=P.fN("Preparing the Code","55#wp655317");
B=A.fN(" Guidelines and Methodology","56");
C=B.fN(" Structuring Source Code","57");
C=B.fN(" Processing By Characters","58");
C=B.fN(" Using Variables","59");
C=B.fN(" Coding With Translation In Mind","60");
B=A.fN(" Input and Output","61");
C=B.fN(" Keyboards","62");
C=B.fN(" Printers","63");
B=A.fN(" Data-processing Issues","64");
C=B.fN(" Numeric Formats","65");
C=B.fN(" Measurements","66");
C=B.fN(" Currencies","67");
C=B.fN(" Dates","68");
C=B.fN(" Time","69");
C=B.fN(" Addresses","70");
B=A.fN(" Sorting Data","71");
C=B.fN(" Local Conventions","72");
C=B.fN(" Using Collation Tables","73");
C=B.fN(" Using Case Tables","74");
B=A.fN(" Compiling Translated Applications","75");
A=P.fN("Preparing the User Interface","76#wp71488");
B=A.fN(" Screen Layout and Composition","77");
C=B.fN(" Equipment Differences","78");
C=B.fN(" Culturally-specific Issues","79");
B=A.fN(" Graphics and Icons","80");
C=B.fN(" Text In Graphics and Icons","81");
C=B.fN(" Images To Avoid In Graphics and Icons","82");
B=A.fN(" Designing With the AppBuilder","83");
C=B.fN(" Localizing SmartObject Masters","84");
C=B.fN(" Localizing SmartObject Instances","85");
C=B.fN(" Using Multiple Layouts","86");
B=A.fN(" Designing To Allow For Translation","87");
C=B.fN(" Text Expansion and Contraction","88");
C=B.fN(" Message Text","89");
C=B.fN(" Layout","90");
A=P.fN("Using Databases","91#wp460106");
B=A.fN(" Progress Database Name Restrictions","92");
B=A.fN(" Empty Databases","93");
C=B.fN(" Empty Databases Supplied By Progress","94");
C=B.fN(" Creating an Empty Database In a Particular Code Page","95");
B=A.fN(" Scanning Databases For Character Conflicts","96");
C=B.fN(" New Characters","97");
C=B.fN(" Using PROUTIL To Perform the Scan","98");
B=A.fN(" Converting a Database and Its Data To a Different Code Page","99");
B=A.fN(" Loading Table Dump Files","100");
C=B.fN(" Code-page Trailers","101");
C=B.fN(" Techniques For Loading Table Dump Files","102");
B=A.fN(" Specifying -cpinternal and -cpstream With Database Utilities","103");
A=P.fN("Using SQL-92","104#wp647186");
B=A.fN(" Starting Database Servers","105");
B=A.fN(" Using SQL-92 Database Servers","106");
B=A.fN(" Code-page Conversion In SQL-92 Applications","107");
B=A.fN(" Using SQL-92 Clients","108");
C=B.fN(" ESQL-92 Clients","109");
C=B.fN(" Java/JDBC Clients","110");
C=B.fN(" ODBC Clients","111");
C=B.fN(" Characteristics Of SQL-92 Clients","112");
B=A.fN(" Using SQL-92 Utilities","113");
C=B.fN(" SQLDUMP","114");
C=B.fN(" SQLLOAD","115");
C=B.fN(" SQLSCHEMA","116");
B=A.fN(" Using the SQL-92 Language","117");
C=B.fN(" The Unit Of Length When Working With Character Strings","118");
C=B.fN(" The Maximum Number Of Bytes Required By Fields Of Type CHAR and VARCHAR","119");
C=B.fN(" SQL-92 Elements That Support Internationalization and Localization","120");
C=B.fN(" Format Specifiers Allowed With the TO_CHAR and TO_DATE Functions","121");
A=P.fN("Using Multi-byte Code Pages","122#wp982798");
B=A.fN(" Definitions For Key Terms","123");
C=B.fN(" Terms For Code Pages","124");
C=B.fN(" Terms For Characters","125");
C=B.fN(" Terms For Bytes","126");
C=B.fN(" Illustrations Of the Terms","127");
B=A.fN(" Progress Support","128");
B=A.fN(" Input","129");
C=B.fN(" Using the Keyboard and Mouse","130");
C=B.fN(" Using the 4GL","131");
C=B.fN(" Automatic Input Validation","132");
B=A.fN(" Output","133");
C=B.fN(" The FORMAT Phrase","134");
C=B.fN(" Printing","135");
C=B.fN(" Character-client Color Limit","136");
B=A.fN(" Inside the Multi-byte Application","137");
C=B.fN(" Distinguishing Characters, Bytes, and Columns","138");
C=B.fN(" Techniques For Working With Multi-byte Characters","139");
C=B.fN(" 4GL Support For Processing Multi-byte Characters","140");
B=A.fN(" Issues Specific To Multi-byte Code Pages","141");
C=B.fN(" Progress Support For Multi-byte Code Pages","142");
C=B.fN(" Valid and Invalid Code-page Conversions","143");
C=B.fN(" User-defined Characters","144");
C=B.fN(" Collating Multi-byte Characters","145");
C=B.fN(" Default Word-break Behavior Of Characters In Multi-byte Code Pages","146");
B=A.fN(" Guidelines For Using Multi-byte Characters","147");
A=P.fN("Using Unicode","148#wp692119");
B=A.fN(" What Is Unicode","149");
B=A.fN(" Why Use Unicode","150");
C=B.fN(" The Limits Of Multiple Code Pages","151");
C=B.fN(" The Advantages Of Unicode","152");
B=A.fN(" Using Unicode With Progress Products","153");
B=A.fN(" Using Unicode With Progress Databases","154");
C=B.fN(" Converting a Progress Database To UTF-8 Using the PROUTIL CONVCHAR Utility","155");
C=B.fN(" Converting a Progress Database To UTF-8 Using Dump and Load","156");
C=B.fN(" Compiling, Storing, and Applying the UTF-8 Word-break Rules To a Database","157");
B=A.fN(" Using Unicode With Progress Applications","158");
B=A.fN(" Guidelines For Using Unicode","159");
A=P.fN("Deployment and Configuration","160#wp73648");
B=A.fN(" The progress.ini File and the Windows Registry","161");
C=B.fN(" [Startup]","162");
C=B.fN(" [fonts]","163");
C=B.fN(" Specifying Scripts","164");
B=A.fN(" The PROTERMCAP File","165");
B=A.fN(" The PROMSGS File","166");
B=A.fN(" Parameter Files","167");
B=A.fN(" The conmgr.properties File","168");
B=A.fN(" Report Builder Parameters","169");
B=A.fN(" Additional Guidelines","170");
C=B.fN(" Running Applications Translated Using the Translation Manager","171");
C=B.fN(" Using the UNIX Character Client With Double-byte  Code Pages","172");
C=B.fN(" Specifying -cpinternal and -cpstream With Database Utilities","173");
A=P.fN("Progress Resources","174#wp193149");
B=A.fN(" Progress Product Support For Multi-byte Characters","175");
B=A.fN(" Files In the DLC/prolang Directory","176");
B=A.fN(" Startup Parameters and Settings","177");
B=A.fN(" Progress 4GL","178");
B=A.fN(" Progress SQL-92","179");
B=A.fN(" Utilities","180");
B=A.fN(" Determining the Code Page","181");
A=P.fN("Character Processing Table Formats","182#wp137267");
B=A.fN(" Character Attribute Table","183");
B=A.fN(" Case Table","184");
B=A.fN(" Collation Table","185");
B=A.fN(" Code-page Conversion Table","186");
B=A.fN(" Word-break Table","187");
}
