function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress Language Tutorial for Character","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp553");
B=A.fN("Audience","1#wp563");
B=A.fN("Organization of This Manual","1#wp573");
B=A.fN("How to Use This Manual","1#wp655");
B=A.fN("Typographical Conventions","1#wp38066");
B=A.fN("Syntax Notation","1#wp744");
B=A.fN("Example Procedures","1#wp869");
B=A.fN("Progress Messages","1#wp73807");
B=A.fN("Other Useful Documentation","1#wp40736");
A=P.fN("Welcome to Progress","2#wp2053");
B=A.fN(" Progress Solves Problems","3");
var C=B.fN(" A Classic Problem","4");
B=A.fN(" The Progress Solution","5");
B=A.fN(" About the Progress 4GL/RDBMS Product","6");
B=A.fN(" About the Relational Database Management System","7");
C=B.fN(" Database Basics","8");
C=B.fN(" About the Data Dictionary","9");
B=A.fN(" About the Application Development Language","10");
C=B.fN(" About the Procedure Editor","11");
B=A.fN(" Summary","12");
A=P.fN("Getting Started","13#wp1541");
B=A.fN(" Preparing to Use This Tutorial","14");
B=A.fN(" Accessing the Language Tutorial Sample Procedures","15");
B=A.fN(" Starting Progress","16");
C=B.fN(" Windows NT 3.51","17");
C=B.fN(" Windows 95 and Windows NT 4.0","18");
C=B.fN(" UNIX","19");
B=A.fN(" About the Procedure Editor","20");
B=A.fN(" Using Object Interfaces","21");
B=A.fN(" Using Key Functions and Menus","22");
C=B.fN(" Basic Key Functions","23");
C=B.fN(" Menus and Menu Options","24");
B=A.fN(" Text Entry and Manipulation","25");
C=B.fN(" Manipulating Blocks of Text","26");
B=A.fN(" Edit Buffers and Procedure Files","27");
B=A.fN(" Basic 4GL Constructs and Conventions","28");
B=A.fN(" Using the Help Menu","29");
C=B.fN(" Accessing the Help Menu","30");
B=A.fN(" Leaving the Procedure Editor","31");
B=A.fN(" Summary","32");
A=P.fN("Programming the Progress Way","33#wp3028");
B=A.fN(" The Progress Programming Model","34");
C=B.fN(" User Interfaces","35");
C=B.fN(" User Input","36");
C=B.fN(" Responding to Events","37");
C=B.fN(" Programming for Events","38");
B=A.fN(" Widgets","39");
C=B.fN(" Widget Categories","40");
C=B.fN(" Defining Widgets","41");
C=B.fN(" Widget Attributes","42");
B=A.fN(" Event Types","43");
B=A.fN(" Putting the Progress Programming Model to Work","44");
B=A.fN(" Making Your Interface Responsive","45");
C=B.fN(" Enabling and Disabling Widgets","46");
C=B.fN(" Viewing and Hiding Widgets","47");
C=B.fN(" Accessing Widget Attributes and Methods","48");
B=A.fN(" Summary","49");
A=P.fN("Understanding the Database Environment","50#wp1234");
B=A.fN(" The Data Dictionary As a Programming Resource","51");
B=A.fN(" Accessing the Data Dictionary","52");
B=A.fN(" Exiting the Data Dictionary","53");
B=A.fN(" Creating, Connecting, and Disconnecting Databases","54");
C=B.fN(" Creating a Database","55");
C=B.fN(" Connecting a Database","56");
C=B.fN(" Disconnecting a Database","57");
B=A.fN(" Using the Data Dictionary Interface","58");
C=B.fN(" Using Menus","59");
C=B.fN(" Working with Database Objects","60");
B=A.fN(" Introduction to the sports Database Schema","61");
B=A.fN(" Defining Database Objects","62");
C=B.fN(" Defining Tables","63");
C=B.fN(" Defining Fields","64");
C=B.fN(" Defining Indexes","65");
C=B.fN(" Defining Sequences","66");
B=A.fN(" Establishing Application Defaults","67");
C=B.fN(" Validation Expressions and Messages","68");
C=B.fN(" Triggers and Database Events","69");
C=B.fN(" Field Formats","70");
C=B.fN(" VIEW-AS Phrases","71");
C=B.fN(" Labels","72");
B=A.fN(" Generating Reports","73");
B=A.fN(" Summary","74");
A=P.fN("Working with Expressions","75#wp1139");
B=A.fN(" Understanding Expressions","76");
B=A.fN(" Using Operands","77");
C=B.fN(" Using Variables","78");
C=B.fN(" Using Database Fields","79");
C=B.fN(" Using Widget Attributes","80");
C=B.fN(" Using Constants","81");
B=A.fN(" Using Operators","82");
B=A.fN(" Using Functions","83");
C=B.fN(" Pre-defined Functions","84");
C=B.fN(" User-defined Functions","85");
B=A.fN(" Understanding Precedence in Expressions","86");
B=A.fN(" Using Expressions","87");
C=B.fN(" Calculating Values","88");
C=B.fN(" Evaluating Conditions","89");
C=B.fN(" Defining Selection Criteria","90");
C=B.fN(" Manipulating Widget Attributes","91");
B=A.fN(" Summary","92");
A=P.fN("Working with Control Structures","93#wp20101");
B=A.fN(" Modularizing Code with Procedures and Include Files","94");
C=B.fN(" Using Procedures","95");
C=B.fN(" Using User-defined Functions","96");
C=B.fN(" Using Include Files","97");
B=A.fN(" Sharing Information Between Procedures","98");
C=B.fN(" Using Shared Variables","99");
C=B.fN(" Using Parameters to Pass Values","100");
C=B.fN(" Using Arguments to Pass Literals","101");
B=A.fN(" About Blocks","102");
C=B.fN(" Procedure Block","103");
C=B.fN(" Trigger Blocks","104");
B=A.fN(" Working with Control Blocks","105");
C=B.fN(" Using the DO Block","106");
C=B.fN(" Using the REPEAT Block","107");
C=B.fN(" Using the FOR EACH Block","108");
B=A.fN(" Block Property Summary","109");
B=A.fN(" Conditional Processing","110");
C=B.fN(" Using the IF Statement","111");
C=B.fN(" Using the CASE Statement","112");
B=A.fN(" Summary","113");
A=P.fN("Representing Data with Widgets","114#wp222709");
B=A.fN(" Programming Widgets","115");
C=B.fN(" Using the VIEW-AS Phrase","116");
C=B.fN(" Using the Format Phrase","117");
C=B.fN(" Positioning Widgets","118");
C=B.fN(" Using the Frame Phrase","119");
C=B.fN(" Changing Widget Characteristics Programming Example","120");
C=B.fN(" Referencing Widgets","121");
C=B.fN(" Working with Widget Values","122");
B=A.fN(" Working with Fill-in Fields","123");
C=B.fN(" Fill-in Field Events","124");
B=A.fN(" Working with Text Widgets","125");
B=A.fN(" Working with Toggle Boxes","126");
C=B.fN(" Toggle-box Events","127");
C=B.fN(" Checked Attribute","128");
C=B.fN(" Toggle Box Programming Example","129");
B=A.fN(" Working with Radio Sets","130");
C=B.fN(" Radio Set Events","131");
C=B.fN(" Radio Set Programming Example","132");
B=A.fN(" Working with Sliders","133");
C=B.fN(" Slider Events","134");
C=B.fN(" Slider Programming Example","135");
B=A.fN(" Working with Selection Lists","136");
C=B.fN(" Selection-list Events","137");
C=B.fN(" LIST-ITEMS, NUM-ITEMS, and DELIMITER Attributes","138");
C=B.fN(" ADD-LAST( ) and LOOKUP( ) Methods","139");
C=B.fN(" Selection-list Programming Example","140");
B=A.fN(" Working with Combo Boxes","141");
C=B.fN(" Combo Box Events","142");
C=B.fN(" Combo Box Programming Example","143");
B=A.fN(" Working with Editors","144");
C=B.fN(" Editor Events","145");
C=B.fN(" Editor Programming Example","146");
B=A.fN(" Summary","147");
A=P.fN("Using Database Records","148#wp6401");
B=A.fN(" How Progress Stores and Moves Data","149");
B=A.fN(" Designing Displays for Interactive Database Access","150");
B=A.fN(" Retrieving Data from a Database","151");
C=B.fN(" Using the FIND and DISPLAY Statements","152");
B=A.fN(" Using Defined Queries","153");
B=A.fN(" Retrieving Data Through a Query with the GET Statement","154");
B=A.fN(" Modifying Data","155");
C=B.fN(" The DISPLAY, ENABLE, and ASSIGN Technique","156");
C=B.fN(" The UPDATE Technique","157");
B=A.fN(" Releasing Records","158");
B=A.fN(" Creating Records","159");
B=A.fN(" Deleting Records","160");
B=A.fN(" Other Database Access Statements","161");
C=B.fN(" The PROMPT\u2013FOR Statement","162");
C=B.fN(" The SET Statement","163");
C=B.fN(" The INSERT Statement","164");
C=B.fN(" Using the Browse Widget","165");
B=A.fN(" Summary","166");
A=P.fN("Selecting, Sorting, and Relating Records","167#wp3251");
B=A.fN(" Uses of the Record Phrase","168");
B=A.fN(" Selecting Records","169");
C=B.fN(" Selecting with a WHERE Expression","170");
C=B.fN(" Selecting with the USING Option","171");
C=B.fN(" Query and Selection Programming Example","172");
B=A.fN(" Sorting Records","173");
C=B.fN(" Sorting Records with the BY Phrase","174");
C=B.fN(" Sorting Records with the USE-INDEX Option","175");
C=B.fN(" Querying and Sorting Example","176");
B=A.fN(" Relating Records","177");
C=B.fN(" Understanding Table Relationships","178");
C=B.fN(" Relating Record Options","179");
C=B.fN(" Relating with OF","180");
C=B.fN(" Relating with WHERE","181");
C=B.fN(" Inner and Outer Table Joins","182");
B=A.fN(" Summary","183");
A=P.fN("Creating Reports","184#wp1521");
B=A.fN(" Report Basics","185");
C=B.fN(" Down Frames","186");
C=B.fN(" Text Widgets","187");
C=B.fN(" Control Blocks and Output Statements","188");
C=B.fN(" Basic Report Demonstration","189");
B=A.fN(" Designing an Interface for Viewing Report Data","190");
B=A.fN(" Converting Widget Values to Report Data","191");
C=B.fN(" Printing Reports and the STREAM-IO Option","192");
C=B.fN(" Formatting Long Text Strings","193");
B=A.fN(" Generating Reports with Control Breaks and Aggregates","194");
B=A.fN(" Generating Reports from Multiple Tables","195");
C=B.fN(" Reporting Information from One Table","196");
C=B.fN(" Reporting Information from Two Tables","197");
C=B.fN(" Reporting Information from Multiple Tables","198");
B=A.fN(" Redirecting Output","199");
C=B.fN(" OUTPUT TO and the Default Stream","200");
C=B.fN(" Directing Output to a File","201");
C=B.fN(" Directing Output to a Printer","202");
C=B.fN(" Directing Output to Multiple Destinations","203");
B=A.fN(" Designing Frames for Reports","204");
C=B.fN(" Using Base Fields with the @ Option","205");
C=B.fN(" Using the HEADER of a Frame for Running Page Heads","206");
C=B.fN(" Using the HEADER of a Frame for Running Page Footers","207");
C=B.fN(" Programming Example","208");
B=A.fN(" Using the PUT Statement","209");
C=B.fN(" Using PUT for Printer Control","210");
B=A.fN(" Summary","211");
A=P.fN("Building Menus","212#wp1263");
B=A.fN(" Menu Basics","213");
B=A.fN(" Defining a Menu","214");
C=B.fN(" Defining a Submenu","215");
C=B.fN(" Defining a Menu Bar","216");
C=B.fN(" Assigning a Menu Bar to a Window","217");
C=B.fN(" Assigning Triggers to Menu Items","218");
C=B.fN(" Menu Bar Example","219");
B=A.fN(" Using Optional Menu Features","220");
C=B.fN(" Disabled Menu Items","221");
C=B.fN(" Toggle Boxes","222");
C=B.fN(" Mnemonics","223");
C=B.fN(" Accelerators","224");
C=B.fN(" Programming Example","225");
B=A.fN(" Menu Attributes","226");
B=A.fN(" Design Conventions","227");
B=A.fN(" Summary","228");
A=P.fN("Managing Your Application","229#wp845");
B=A.fN(" Managing Procedures","230");
C=B.fN(" Structuring an Event-driven Application","231");
C=B.fN(" Using Persistent Procedures","232");
B=A.fN(" Sharing Resources","233");
C=B.fN(" Using SHARED Resources","234");
C=B.fN(" Using Input and Output Parameters","235");
C=B.fN(" Sharing with Persistent Procedures","236");
B=A.fN(" Managing Interfaces","237");
C=B.fN(" Using Single-frame Interfaces","238");
C=B.fN(" Using Multi-frame Interfaces","239");
C=B.fN(" Using Dialog Boxes","240");
C=B.fN(" Using Alert Boxes","241");
C=B.fN(" Using Multi-window Interfaces","242");
B=A.fN(" Managing Application Control","243");
C=B.fN(" Using Basic Control Mechanisms","244");
C=B.fN(" Using Dialog Boxes with WAIT\u2013FOR Statements","245");
C=B.fN(" Using Windows with Persistent Procedures","246");
B=A.fN(" Summary","247");
A=P.fN("Where to Go from Here","248#wp77");
B=A.fN(" Progress Tools","249");
B=A.fN(" Designing Databases","250");
B=A.fN(" Learning the Language","251");
B=A.fN(" Multi-user Programming","252");
B=A.fN(" Data Integrity","253");
B=A.fN(" Record Reading","254");
B=A.fN(" Working with Large Data Sets","255");
B=A.fN(" Multiple-window Applications","256");
B=A.fN(" Menus","257");
B=A.fN(" Dynamic Widgets and Direct Manipulation","258");
B=A.fN(" Graphical Features","259");
B=A.fN(" Internationalization and Localization","260");
A=P.fN("Glossary ","261");
}
