function  WWHBookData_Files(P)
{
P.fA("Progress Open Client Developer\u2019s Guide","ocd-01-1.html");
P.fA("Preface","ocd-02-1.html");
P.fA("Overview","ocd-03-1.html");
P.fA(" Architecture","ocd-03-2.html");
P.fA(" Developing and Running an Open Client Application","ocd-03-3.html");
P.fA(" Accessing AppServer Functionality","ocd-03-4.html");
P.fA(" Object Model","ocd-03-5.html");
P.fA("Configuration and Deployment","ocd-04-01.html");
P.fA(" Selecting an Open Client Runtime Package","ocd-04-02.html");
P.fA(" Preparing To Generate Proxies","ocd-04-03.html");
P.fA(" Preparing To Generate Proxies For a Java Client Using GUI ProxyGen","ocd-04-04.html");
P.fA(" Preparing To Generate Proxies For a Java Client On UNIX Using Batch ProxyGen","ocd-04-05.html");
P.fA(" Preparing To Generate Proxies For an ActiveX Client Using GUI ProxyGen","ocd-04-06.html");
P.fA(" Building an Open Client Application","ocd-04-07.html");
P.fA(" Building a Client Application That Uses a Java Proxy","ocd-04-08.html");
P.fA(" Building a Client Application That Uses an ActiveX Proxy","ocd-04-09.html");
P.fA(" Deploying an Open Client Application","ocd-04-10.html");
P.fA(" Deploying a Client Application That Uses a Java Proxy","ocd-04-11.html");
P.fA(" Deploying a Client Application That Uses an ActiveX Proxy","ocd-04-12.html");
P.fA(" Managing Digital Certificates","ocd-04-13.html");
P.fA("Generating and Managing Proxies","ocd-05-01.html");
P.fA(" Overview and Getting Started With ProxyGen","ocd-05-02.html");
P.fA(" Starting and Using GUI ProxyGen","ocd-05-03.html");
P.fA(" Defining and Editing a Proxy","ocd-05-04.html");
P.fA(" Specifying Generation Options","ocd-05-05.html");
P.fA(" Saving a Project File","ocd-05-06.html");
P.fA(" Validating and Generating a Proxy","ocd-05-07.html");
P.fA(" Running Batch ProxyGen","ocd-05-08.html");
P.fA(" Defining Your Proxy Using ProxyGen","ocd-05-09.html");
P.fA(" Defining an AppObject Or SubAppObject","ocd-05-10.html");
P.fA(" Specifying 4GL Procedures and User-defined Functions","ocd-05-11.html");
P.fA(" Customizing Procedure Access","ocd-05-12.html");
P.fA(" Saving the Proxy Definition In a Project File","ocd-05-13.html");
P.fA(" Validating and Generating the Proxy","ocd-05-14.html");
P.fA(" Changing the Propath Setting Within a Project","ocd-05-15.html");
P.fA(" Object Naming In ProxyGen","ocd-05-16.html");
P.fA(" Proxy Naming Conventions","ocd-05-17.html");
P.fA(" Automatic Name Conversions","ocd-05-18.html");
P.fA(" Naming Side Effects and Restrictions","ocd-05-19.html");
P.fA(" Proxy Validation and Generation Rules","ocd-05-20.html");
P.fA(" Proxy Validation","ocd-05-21.html");
P.fA(" Proxy Generation","ocd-05-22.html");
P.fA(" Managing Proxies During AppServer Development","ocd-05-23.html");
P.fA(" Replacing a Lost Project File","ocd-05-24.html");
P.fA(" A Sample Management Scenario","ocd-05-25.html");
P.fA(" Using GUI and Batch ProxyGen Execution Options","ocd-05-26.html");
P.fA(" GUI ProxyGen","ocd-05-27.html");
P.fA(" Batch ProxyGen Platform Options","ocd-05-28.html");
P.fA("Programming Concepts","ocd-06-01.html");
P.fA(" Programming Overview","ocd-06-02.html");
P.fA(" Connecting To a Progress AppServer","ocd-06-03.html");
P.fA(" Connecting Over an Intranet","ocd-06-04.html");
P.fA(" Connecting Over the Internet","ocd-06-05.html");
P.fA(" Obtaining Run-time Information","ocd-06-06.html");
P.fA(" Understanding Proxy Object Methods","ocd-06-07.html");
P.fA(" Connection Methods","ocd-06-08.html");
P.fA(" Remote 4GL Methods","ocd-06-09.html");
P.fA(" Class Factory Methods","ocd-06-10.html");
P.fA(" Common Methods","ocd-06-11.html");
P.fA(" Using Proxy Objects","ocd-06-12.html");
P.fA(" AppObjects","ocd-06-13.html");
P.fA(" SubAppObjects","ocd-06-14.html");
P.fA(" ProcObjects","ocd-06-15.html");
P.fA(" Passing Parameters In Proxy Object Methods","ocd-06-16.html");
P.fA(" Passing TEMP-TABLE And TABLE-HANDLE Parameters","ocd-06-17.html");
P.fA(" Result Set Schemas","ocd-06-18.html");
P.fA(" Comparing the Flat Model and Array Model For Result Set Access","ocd-06-19.html");
P.fA(" Accessing Proxy Run-time Properties","ocd-06-20.html");
P.fA(" Handling Errors In an Open Client Application","ocd-06-21.html");
P.fA(" Client-side Errors","ocd-06-22.html");
P.fA(" Server-side Errors Before Remote 4GL Execution","ocd-06-23.html");
P.fA(" Server-side Errors During Remote 4GL Execution","ocd-06-24.html");
P.fA("Programming Java Clients","ocd-07-01.html");
P.fA(" Connecting To an AppServer","ocd-07-02.html");
P.fA(" Data Type Mapping","ocd-07-03.html");
P.fA(" Progress Unknown Values","ocd-07-04.html");
P.fA(" INPUT-OUTPUT and OUTPUT Parameters","ocd-07-05.html");
P.fA(" Passing TEMP-TABLE Or TABLE-HANDLE Parameters","ocd-07-06.html");
P.fA(" Default Data-type Mapping For TEMP-TABLE Fields","ocd-07-07.html");
P.fA(" Passing a TEMP-TABLE Or TABLE-HANDLE As an INPUT Parameter","ocd-07-08.html");
P.fA(" Providing Metadata For INPUT TABLE-HANDLE Parameters","ocd-07-09.html");
P.fA(" Passing a TEMP-TABLE Or TABLE-HANDLE As an OUTPUT Parameter","ocd-07-10.html");
P.fA(" Passing a TEMP-TABLE Or TABLE-HANDLE As an INPUT-OUTPUT Parameter","ocd-07-11.html");
P.fA(" Accessing TEMP-TABLE Or TABLE-HANDLE Parameters As Output","ocd-07-12.html");
P.fA(" Getting Metadata For OUTPUT TEMP-TABLE and TABLE-HANDLE Parameters","ocd-07-13.html");
P.fA(" The Java Client Application Using AccountInfo","ocd-07-14.html");
P.fA(" Extending Proxy Objects","ocd-07-15.html");
P.fA(" Using Proxies In Multi-threaded Applications","ocd-07-16.html");
P.fA(" Connection States","ocd-07-17.html");
P.fA(" Request States","ocd-07-18.html");
P.fA(" Cancelling a Request","ocd-07-19.html");
P.fA(" Multiple-thread Access To ResultSets","ocd-07-20.html");
P.fA(" Accessing Proxy Run-time Properties","ocd-07-21.html");
P.fA(" Methods For Tracing","ocd-07-22.html");
P.fA(" Methods For Thread Control","ocd-07-23.html");
P.fA(" Methods For Specifying a Proxy Server","ocd-07-24.html");
P.fA(" Methods For Managing Digital Certificates","ocd-07-25.html");
P.fA(" Building Java Applets As Open Clients","ocd-07-26.html");
P.fA(" Handling Errors","ocd-07-27.html");
P.fA("Using SmartDataObjects From Java Clients","ocd-08-01.html");
P.fA(" What Is a SmartDataObject (SDO)?","ocd-08-02.html");
P.fA(" Accessing Remote SmartDataObjects From Java","ocd-08-03.html");
P.fA(" Requirements For Accessing SmartDataObjects","ocd-08-04.html");
P.fA(" Example Java Access To a SmartDataObject","ocd-08-05.html");
P.fA(" SmartDataObject Access Tools and Documentation","ocd-08-06.html");
P.fA(" Objects Required To Access SmartDataObjects","ocd-08-07.html");
P.fA(" Developing and Deploying a SmartDataObject-aware Application","ocd-08-08.html");
P.fA(" Writing a SmartDataObject-aware Java Client","ocd-08-09.html");
P.fA(" Connecting To an AppServer Using an SDOAppObject","ocd-08-10.html");
P.fA(" Creating an SDOResultSet Object","ocd-08-11.html");
P.fA(" Working With SDOResultSet Objects","ocd-08-12.html");
P.fA(" Detaching SDOResultSet Objects [Extension]","ocd-08-13.html");
P.fA(" Navigating SDOResultSet Rows","ocd-08-14.html");
P.fA(" Getting SDOResultSet Column Values","ocd-08-15.html");
P.fA(" Updating SDOResultSet Objects","ocd-08-16.html");
P.fA(" Miscellaneous Management Methods","ocd-08-17.html");
P.fA(" Metadata Methods","ocd-08-18.html");
P.fA(" Multi-threading","ocd-08-19.html");
P.fA(" Errors and Exceptions","ocd-08-20.html");
P.fA(" SDOResultSet Exceptions","ocd-08-21.html");
P.fA(" Typical Errors By Method Category","ocd-08-22.html");
P.fA(" Choosing JDBC ResultSets Or SDOResultSets To Access Progress Data","ocd-08-23.html");
P.fA(" Accessing the Sample Application","ocd-08-24.html");
P.fA("Programming ActiveX Controller Clients","ocd-09-01.html");
P.fA(" Accessing Proxies As Automation Objects","ocd-09-02.html");
P.fA(" Using Early Binding","ocd-09-03.html");
P.fA(" Using Late Binding","ocd-09-04.html");
P.fA(" Managing Object Versions","ocd-09-05.html");
P.fA(" Connecting To an AppServer","ocd-09-06.html");
P.fA(" Data Type Mapping","ocd-09-07.html");
P.fA(" Progress Data Type Requirements","ocd-09-08.html");
P.fA(" Data Type Conversions","ocd-09-09.html");
P.fA(" Passing TEMP-TABLE and TABLE-HANDLE Parameters","ocd-09-10.html");
P.fA(" Passing a TEMP-TABLE OR TABLE-HANDLE As an Input Parameter","ocd-09-11.html");
P.fA(" Providing Metadata For INPUT TABLE-HANDLE Parameters","ocd-09-12.html");
P.fA(" Passing a TEMP-TABLE Or TABLE-HANDLE As an Output Parameter","ocd-09-13.html");
P.fA(" Accessing Proxy Run-time Properties","ocd-09-14.html");
P.fA(" Methods For Tracing ","ocd-09-15.html");
P.fA(" Methods For Thread Control","ocd-09-16.html");
P.fA(" Properties For Specifying a Proxy Server","ocd-09-17.html");
P.fA(" Properties For Managing Digital Certificates","ocd-09-18.html");
P.fA(" Handling Errors","ocd-09-19.html");
P.fA(" Payment Account Example","ocd-09-20.html");
P.fA(" 4GL Procedures","ocd-09-21.html");
P.fA(" The ActiveX Client Application Using AccountInfo","ocd-09-22.html");
P.fA("Special Considerations For Java Applets","ocd-10-01.html");
P.fA(" Asking For Permission In an Applet","ocd-10-02.html");
P.fA(" Asking For Permission In Microsoft Internet Explorer","ocd-10-03.html");
P.fA(" Asking For Permission In Netscape Version 4","ocd-10-04.html");
P.fA(" Supporting Both Browsers In a Single Applet","ocd-10-05.html");
P.fA(" Asking For Permission In Netscape Version 6","ocd-10-06.html");
P.fA(" Signing an Open Client Applet","ocd-10-07.html");
P.fA(" Adding Your Applet To an HTML Page","ocd-10-08.html");
P.fA(" Microsoft Internet Explorer","ocd-10-09.html");
P.fA(" Navigator","ocd-10-10.html");
P.fA(" Supporting Both Internet Explorer and Navigator With the Same Page","ocd-10-11.html");
P.fA("Accessing a SmartDataObject API Directly","ocd-11-1.html");
P.fA(" Providing Access To the SmartDataObject API In a Proxy","ocd-11-2.html");
P.fA(" Defining a ProcObject That Maps a SmartDataObject","ocd-11-3.html");
P.fA("Certificate Management Utility","ocd-12-1.html");
P.fA(" Managing Certificate Store Files","ocd-12-2.html");
P.fA(" Converting Digital Certificates","ocd-12-3.html");
}
