function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress Open Client Developer\u2019s Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp124472");
B=A.fN("Audience","1#wp124475");
B=A.fN("Organization Of This Manual","1#wp94117");
B=A.fN("Typographical Conventions","1#wp94189");
B=A.fN("Syntax Notation","1#wp94241");
B=A.fN("Example Procedures","1#wp124683");
B=A.fN("Progress Messages","1#wp125747");
B=A.fN("Other Useful Documentation","1#wp119417");
A=P.fN("Overview","2#wp149691");
B=A.fN(" Architecture","3");
B=A.fN(" Developing and Running an Open Client Application","4");
B=A.fN(" Accessing AppServer Functionality","5");
var C=B.fN(" Object Model","6");
A=P.fN("Configuration and Deployment","7#wp372692");
B=A.fN(" Selecting an Open Client Runtime Package","8");
B=A.fN(" Preparing To Generate Proxies","9");
C=B.fN(" Preparing To Generate Proxies For a Java Client Using GUI ProxyGen","10");
C=B.fN(" Preparing To Generate Proxies For a Java Client On UNIX Using Batch ProxyGen","11");
C=B.fN(" Preparing To Generate Proxies For an ActiveX Client Using GUI ProxyGen","12");
B=A.fN(" Building an Open Client Application","13");
C=B.fN(" Building a Client Application That Uses a Java Proxy","14");
C=B.fN(" Building a Client Application That Uses an ActiveX Proxy","15");
B=A.fN(" Deploying an Open Client Application","16");
C=B.fN(" Deploying a Client Application That Uses a Java Proxy","17");
C=B.fN(" Deploying a Client Application That Uses an ActiveX Proxy","18");
B=A.fN(" Managing Digital Certificates","19");
A=P.fN("Generating and Managing Proxies","20#wp38287");
B=A.fN(" Overview and Getting Started With ProxyGen","21");
C=B.fN(" Starting and Using GUI ProxyGen","22");
C=B.fN(" Defining and Editing a Proxy","23");
C=B.fN(" Specifying Generation Options","24");
C=B.fN(" Saving a Project File","25");
C=B.fN(" Validating and Generating a Proxy","26");
C=B.fN(" Running Batch ProxyGen","27");
B=A.fN(" Defining Your Proxy Using ProxyGen","28");
C=B.fN(" Defining an AppObject Or SubAppObject","29");
C=B.fN(" Specifying 4GL Procedures and User-defined Functions","30");
C=B.fN(" Customizing Procedure Access","31");
C=B.fN(" Saving the Proxy Definition In a Project File","32");
C=B.fN(" Validating and Generating the Proxy","33");
B=A.fN(" Changing the Propath Setting Within a Project","34");
B=A.fN(" Object Naming In ProxyGen","35");
C=B.fN(" Proxy Naming Conventions","36");
C=B.fN(" Automatic Name Conversions","37");
C=B.fN(" Naming Side Effects and Restrictions","38");
B=A.fN(" Proxy Validation and Generation Rules","39");
C=B.fN(" Proxy Validation","40");
C=B.fN(" Proxy Generation","41");
B=A.fN(" Managing Proxies During AppServer Development","42");
C=B.fN(" Replacing a Lost Project File","43");
C=B.fN(" A Sample Management Scenario","44");
B=A.fN(" Using GUI and Batch ProxyGen Execution Options","45");
C=B.fN(" GUI ProxyGen","46");
C=B.fN(" Batch ProxyGen Platform Options","47");
A=P.fN("Programming Concepts","48#wp815674");
B=A.fN(" Programming Overview","49");
B=A.fN(" Connecting To a Progress AppServer","50");
C=B.fN(" Connecting Over an Intranet","51");
C=B.fN(" Connecting Over the Internet","52");
B=A.fN(" Obtaining Run-time Information","53");
B=A.fN(" Understanding Proxy Object Methods","54");
C=B.fN(" Connection Methods","55");
C=B.fN(" Remote 4GL Methods","56");
C=B.fN(" Class Factory Methods","57");
C=B.fN(" Common Methods","58");
B=A.fN(" Using Proxy Objects","59");
C=B.fN(" AppObjects","60");
C=B.fN(" SubAppObjects","61");
C=B.fN(" ProcObjects","62");
B=A.fN(" Passing Parameters In Proxy Object Methods","63");
C=B.fN(" Passing TEMP-TABLE And TABLE-HANDLE Parameters","64");
C=B.fN(" Result Set Schemas","65");
C=B.fN(" Comparing the Flat Model and Array Model For Result Set Access","66");
B=A.fN(" Accessing Proxy Run-time Properties","67");
B=A.fN(" Handling Errors In an Open Client Application","68");
C=B.fN(" Client-side Errors","69");
C=B.fN(" Server-side Errors Before Remote 4GL Execution","70");
C=B.fN(" Server-side Errors During Remote 4GL Execution","71");
A=P.fN("Programming Java Clients","72#wp68528");
B=A.fN(" Connecting To an AppServer","73");
B=A.fN(" Data Type Mapping","74");
C=B.fN(" Progress Unknown Values","75");
C=B.fN(" INPUT-OUTPUT and OUTPUT Parameters","76");
B=A.fN(" Passing TEMP-TABLE Or TABLE-HANDLE Parameters","77");
C=B.fN(" Default Data-type Mapping For TEMP-TABLE Fields","78");
C=B.fN(" Passing a TEMP-TABLE Or TABLE-HANDLE As an INPUT Parameter","79");
C=B.fN(" Providing Metadata For INPUT TABLE-HANDLE Parameters","80");
C=B.fN(" Passing a TEMP-TABLE Or TABLE-HANDLE As an OUTPUT Parameter","81");
C=B.fN(" Passing a TEMP-TABLE Or TABLE-HANDLE As an INPUT-OUTPUT Parameter","82");
C=B.fN(" Accessing TEMP-TABLE Or TABLE-HANDLE Parameters As Output","83");
C=B.fN(" Getting Metadata For OUTPUT TEMP-TABLE and TABLE-HANDLE Parameters","84");
C=B.fN(" The Java Client Application Using AccountInfo","85");
B=A.fN(" Extending Proxy Objects","86");
B=A.fN(" Using Proxies In Multi-threaded Applications","87");
C=B.fN(" Connection States","88");
C=B.fN(" Request States","89");
C=B.fN(" Cancelling a Request","90");
C=B.fN(" Multiple-thread Access To ResultSets","91");
B=A.fN(" Accessing Proxy Run-time Properties","92");
C=B.fN(" Methods For Tracing","93");
C=B.fN(" Methods For Thread Control","94");
C=B.fN(" Methods For Specifying a Proxy Server","95");
C=B.fN(" Methods For Managing Digital Certificates","96");
B=A.fN(" Building Java Applets As Open Clients","97");
B=A.fN(" Handling Errors","98");
A=P.fN("Using SmartDataObjects From Java Clients","99#wp441871");
B=A.fN(" What Is a SmartDataObject (SDO)?","100");
B=A.fN(" Accessing Remote SmartDataObjects From Java","101");
C=B.fN(" Requirements For Accessing SmartDataObjects","102");
C=B.fN(" Example Java Access To a SmartDataObject","103");
C=B.fN(" SmartDataObject Access Tools and Documentation","104");
C=B.fN(" Objects Required To Access SmartDataObjects","105");
C=B.fN(" Developing and Deploying a SmartDataObject-aware Application","106");
C=B.fN(" Writing a SmartDataObject-aware Java Client","107");
B=A.fN(" Connecting To an AppServer Using an SDOAppObject","108");
B=A.fN(" Creating an SDOResultSet Object","109");
B=A.fN(" Working With SDOResultSet Objects","110");
C=B.fN(" Detaching SDOResultSet Objects [Extension]","111");
C=B.fN(" Navigating SDOResultSet Rows","112");
C=B.fN(" Getting SDOResultSet Column Values","113");
C=B.fN(" Updating SDOResultSet Objects","114");
C=B.fN(" Miscellaneous Management Methods","115");
C=B.fN(" Metadata Methods","116");
B=A.fN(" Multi-threading","117");
B=A.fN(" Errors and Exceptions","118");
C=B.fN(" SDOResultSet Exceptions","119");
C=B.fN(" Typical Errors By Method Category","120");
B=A.fN(" Choosing JDBC ResultSets Or SDOResultSets To Access Progress Data","121");
B=A.fN(" Accessing the Sample Application","122");
A=P.fN("Programming ActiveX Controller Clients","123#wp266617");
B=A.fN(" Accessing Proxies As Automation Objects","124");
C=B.fN(" Using Early Binding","125");
C=B.fN(" Using Late Binding","126");
C=B.fN(" Managing Object Versions","127");
B=A.fN(" Connecting To an AppServer","128");
B=A.fN(" Data Type Mapping","129");
C=B.fN(" Progress Data Type Requirements","130");
C=B.fN(" Data Type Conversions","131");
B=A.fN(" Passing TEMP-TABLE and TABLE-HANDLE Parameters","132");
C=B.fN(" Passing a TEMP-TABLE OR TABLE-HANDLE As an Input Parameter","133");
C=B.fN(" Providing Metadata For INPUT TABLE-HANDLE Parameters","134");
C=B.fN(" Passing a TEMP-TABLE Or TABLE-HANDLE As an Output Parameter","135");
B=A.fN(" Accessing Proxy Run-time Properties","136");
C=B.fN(" Methods For Tracing","137");
C=B.fN(" Methods For Thread Control","138");
C=B.fN(" Properties For Specifying a Proxy Server","139");
C=B.fN(" Properties For Managing Digital Certificates","140");
B=A.fN(" Handling Errors","141");
B=A.fN(" Payment Account Example","142");
C=B.fN(" 4GL Procedures","143");
C=B.fN(" The ActiveX Client Application Using AccountInfo","144");
A=P.fN("Special Considerations For Java Applets","145#wp610712");
B=A.fN(" Asking For Permission In an Applet","146");
C=B.fN(" Asking For Permission In Microsoft Internet Explorer","147");
C=B.fN(" Asking For Permission In Netscape Version 4","148");
C=B.fN(" Supporting Both Browsers In a Single Applet","149");
C=B.fN(" Asking For Permission In Netscape Version 6","150");
B=A.fN(" Signing an Open Client Applet","151");
B=A.fN(" Adding Your Applet To an HTML Page","152");
C=B.fN(" Microsoft Internet Explorer","153");
C=B.fN(" Navigator","154");
C=B.fN(" Supporting Both Internet Explorer and Navigator With the Same Page","155");
A=P.fN("Accessing a SmartDataObject API Directly","156#wp373272");
B=A.fN(" Providing Access To the SmartDataObject API In a Proxy","157");
C=B.fN(" Defining a ProcObject That Maps a SmartDataObject","158");
A=P.fN("Certificate Management Utility","159#wp615388");
B=A.fN(" Managing Certificate Store Files","160");
B=A.fN(" Converting Digital Certificates","161");
}
