function  WWHBookData_Files(P)
{
P.fA("Progress DataServer for ORACLE Guide","ods-01-1.html");
P.fA("Preface","ods-02-1.html");
P.fA("Introduction ","ods-03-01.html");
P.fA(" DataServer Components","ods-03-02.html");
P.fA(" The DataServer for ORACLE Logic","ods-03-03.html");
P.fA(" The Schema Holder","ods-03-04.html");
P.fA(" Security","ods-03-05.html");
P.fA(" DataServer Utilities","ods-03-06.html");
P.fA(" DataServer Demonstration Database","ods-03-07.html");
P.fA(" DataServer Configurations","ods-03-08.html");
P.fA(" Distributed DataServer Applications","ods-03-09.html");
P.fA(" Configuring Distributed DataServer Applications Using Progress Explorer","ods-03-10.html");
P.fA(" Software Requirements","ods-03-11.html");
P.fA(" ORACLE8 Support","ods-03-12.html");
P.fA(" Guidelines for Using the DataServer","ods-03-13.html");
P.fA(" Guide to Related Topics","ods-03-14.html");
P.fA("Programming Considerations","ods-04-01.html");
P.fA(" Database Design Issues ","ods-04-02.html");
P.fA(" ORACLE and Progress Objects and Terminology","ods-04-03.html");
P.fA(" Naming Conventions","ods-04-04.html");
P.fA(" Code Pages","ods-04-05.html");
P.fA(" Indexes","ods-04-06.html");
P.fA(" Case-insensitive Indexes","ods-04-07.html");
P.fA(" Index Repositioning","ods-04-08.html");
P.fA(" Initial Values","ods-04-09.html");
P.fA(" ORACLE Views","ods-04-10.html");
P.fA(" Database Triggers","ods-04-11.html");
P.fA(" Sequence Generator","ods-04-12.html");
P.fA(" ORACLE Synonyms","ods-04-13.html");
P.fA(" Data Types ","ods-04-14.html");
P.fA(" Arrays","ods-04-15.html");
P.fA(" Unknown Value","ods-04-16.html");
P.fA(" Zero-length Character Strings","ods-04-17.html");
P.fA(" Record Creation","ods-04-18.html");
P.fA(" Record Locking","ods-04-19.html");
P.fA(" Monitoring Locks","ods-04-20.html");
P.fA(" Transactions","ods-04-21.html");
P.fA(" Two-phase Commit","ods-04-22.html");
P.fA(" Error Handling","ods-04-23.html");
P.fA(" Cursors","ods-04-24.html");
P.fA(" Cursor Repositioning","ods-04-25.html");
P.fA(" Stale Cursors","ods-04-26.html");
P.fA(" Allocating Cursors","ods-04-27.html");
P.fA(" Progress 4GL Issues","ods-04-28.html");
P.fA(" RECID Function","ods-04-29.html");
P.fA(" ROWID Function","ods-04-30.html");
P.fA(" DEFINE BROWSE Statement","ods-04-31.html");
P.fA(" Field Lists","ods-04-32.html");
P.fA(" FIND PREV/LAST Statements","ods-04-33.html");
P.fA(" FIND FIRST/LAST Statements","ods-04-34.html");
P.fA(" Compiling Progress Procedures","ods-04-35.html");
P.fA(" Unsupported 4GL Statements","ods-04-36.html");
P.fA(" ORACLE Stored Procedures","ods-04-37.html");
P.fA(" Running a Stored Procedure","ods-04-38.html");
P.fA(" Retrieving Return Codes","ods-04-39.html");
P.fA(" Retrieving Output Parameter Values","ods-04-40.html");
P.fA(" Retrieving Results with Cursor Arguments","ods-04-41.html");
P.fA(" Transaction Processing","ods-04-42.html");
P.fA(" Returning Errors","ods-04-43.html");
P.fA(" National Language Support","ods-04-44.html");
P.fA(" Sending SQL Statements","ods-04-45.html");
P.fA(" Defining a Buffer","ods-04-46.html");
P.fA(" Enhancing DataServer Performance","ods-04-47.html");
P.fA(" SQL and Progress Queries","ods-04-48.html");
P.fA(" Bind Variables","ods-04-49.html");
P.fA(" Query Tuning","ods-04-50.html");
P.fA(" Caching Records","ods-04-51.html");
P.fA(" ORACLE Hints","ods-04-52.html");
P.fA(" Using Field Lists When Updating Records","ods-04-53.html");
P.fA(" Join by SQL DB","ods-04-54.html");
P.fA(" Skipping Schema Verification","ods-04-55.html");
P.fA(" Writing Queries for Performance","ods-04-56.html");
P.fA("Configuring the DataServer","ods-05-01.html");
P.fA(" DataServer Modules","ods-05-02.html");
P.fA(" Configuring NT Modules","ods-05-03.html");
P.fA(" Configuring the Local DataServer on NT","ods-05-04.html");
P.fA(" Configuring the DataServer on the NT Host","ods-05-05.html");
P.fA(" Configuring UNIX Modules","ods-05-06.html");
P.fA(" Configuring the Local DataServer on UNIX","ods-05-07.html");
P.fA(" Configuring the DataServer on the UNIX Host","ods-05-08.html");
P.fA(" Configuring Windows Modules","ods-05-09.html");
P.fA(" Configuring an International Environment","ods-05-10.html");
P.fA(" Configuring the DataServer in the Explorer Administration Framework","ods-05-11.html");
P.fA(" Configuring the Explorer Administration Framework on NT","ods-05-12.html");
P.fA(" Configuring the Explorer Administration Framework on UNIX","ods-05-13.html");
P.fA(" Creating a Schema Holder","ods-05-14.html");
P.fA(" Schema-holder Security","ods-05-15.html");
P.fA(" Running ORACLE","ods-05-16.html");
P.fA(" Starting the DataServer Processes","ods-05-17.html");
P.fA(" Creating an Empty Progress Database","ods-05-18.html");
P.fA(" Using the DataServer Utility to Create a Schema Holder","ods-05-19.html");
P.fA(" Maintaining a Schema Holder","ods-05-20.html");
P.fA(" Deploying a Schema Holder","ods-05-21.html");
P.fA(" Setting Up a Schema Holder As an NT Service","ods-05-22.html");
P.fA("Connecting the DataServer","ods-06-01.html");
P.fA(" Starting the Local DataServer","ods-06-02.html");
P.fA(" Starting the Remote DataServer","ods-06-03.html");
P.fA(" Starting the DataServer in the Explorer Administration Framework","ods-06-04.html");
P.fA(" Starting and Stopping the NT Broker Process","ods-06-05.html");
P.fA(" Starting and Stopping the UNIX Broker Process","ods-06-06.html");
P.fA(" Starting the UNIX Client Process","ods-06-07.html");
P.fA(" Starting the NT or Windows Client Process","ods-06-08.html");
P.fA(" Connecting a Schema Holder","ods-06-09.html");
P.fA(" Connecting a Schema Holder at Startup","ods-06-10.html");
P.fA(" Connecting Through SQL*Net or Net 8","ods-06-11.html");
P.fA(" Unsupported Connection Parameters ","ods-06-12.html");
P.fA(" Optional Connection and Startup Parameters","ods-06-13.html");
P.fA(" Query Tuning with Connection and Startup Parameters","ods-06-14.html");
P.fA(" Analyzing Performance","ods-06-15.html");
P.fA(" Index Cursors","ods-06-16.html");
P.fA(" Local Schema Caching","ods-06-17.html");
P.fA(" Failures and Progress Responses","ods-06-18.html");
P.fA(" Connection Troubleshooting","ods-06-19.html");
P.fA(" Accessing the DataServer Log","ods-06-20.html");
P.fA("The DataServer Tutorial","ods-07-01.html");
P.fA(" ORACLE Demonstration Database","ods-07-02.html");
P.fA(" Updating a Schema Image","ods-07-03.html");
P.fA(" Verifying a Schema Image ","ods-07-04.html");
P.fA(" Changing Logical Name and Connection Information","ods-07-05.html");
P.fA(" Modifying a Schema Image","ods-07-06.html");
P.fA(" Modifying Table-level Information","ods-07-07.html");
P.fA(" Modifying Field-level Information","ods-07-08.html");
P.fA(" Defining the ROWID","ods-07-09.html");
P.fA(" Changing a Code Page","ods-07-10.html");
P.fA(" Deleting a Schema Image","ods-07-11.html");
P.fA(" Migrating a Progress Database to ORACLE with PRO/SQL","ods-07-12.html");
P.fA(" The Progress-to-ORACLE Utility","ods-07-13.html");
P.fA(" Preparing a Database for the Utility","ods-07-14.html");
P.fA(" ORACLE Size Limitations","ods-07-15.html");
P.fA(" Naming Conventions","ods-07-16.html");
P.fA(" ORACLE Tablespaces for Tables and Indexes","ods-07-17.html");
P.fA(" Unknown Value","ods-07-18.html");
P.fA(" Running the Progress-to-ORACLE Utility","ods-07-19.html");
P.fA(" Progress-to-ORACLE Incremental Schema Migration Utility","ods-07-20.html");
P.fA(" Updating the ORACLE Database","ods-07-21.html");
P.fA(" Adjust ORACLE Schema Image to Progress Database","ods-07-22.html");
P.fA("Upgrading DataServer Applications","ods-08-1.html");
P.fA(" Upgrading Schema Holders from Progress Version 7 or 8","ods-08-2.html");
P.fA(" Using the Manual Upgrade Technique","ods-08-3.html");
P.fA(" Upgrading from ORACLE7 to ORACLE8","ods-08-4.html");
P.fA("Stored Procedure Reference","ods-09-1.html");
P.fA("CLOSE STORED-PROCEDURE Statement","ods-09-2.html");
P.fA("PROC-HANDLE Function","ods-09-3.html");
P.fA("PROC-STATUS Function","ods-09-4.html");
P.fA("RUN STORED-PROCEDURE Statement","ods-09-5.html");
P.fA("Environment Variables","ods-10-1.html");
P.fA("Sample Queries","ods-11-1.html");
P.fA("Building DataServer Executables","ods-12-01.html");
P.fA(" Overview","ods-12-02.html");
P.fA(" PROBUILD and the DataServer","ods-12-03.html");
P.fA(" PROBUILD Requirements","ods-12-04.html");
P.fA(" Building Executables on the UNIX Client","ods-12-05.html");
P.fA(" Building Executables on the UNIX Host","ods-12-06.html");
P.fA(" Setting Environment Variables","ods-12-07.html");
P.fA(" Linking DataServer Executables","ods-12-08.html");
P.fA(" Setting ORALIB","ods-12-09.html");
P.fA(" Rebuilding Libclnt.so","ods-12-10.html");
P.fA("DataServer Command Line Utilities and Startup Parameters","ods-13-1.html");
P.fA(" Command Line Utilities for the DataServer","ods-13-2.html");
P.fA(" NSCONFIG Utility","ods-13-3.html");
P.fA(" NSMAN Utility","ods-13-4.html");
P.fA(" ORACONFIG Utility","ods-13-5.html");
P.fA(" ORAMAN Utility","ods-13-6.html");
P.fA(" PROBRKR Command ","ods-13-7.html");
P.fA(" PROSHUT Command","ods-13-8.html");
P.fA(" DataServer Startup Parameters for UNIX and Windows","ods-13-9.html");
}
