function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress DataServer for ORACLE Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp451");
B=A.fN("Audience","1#wp465");
B=A.fN("Organization of This Manual","1#wp479");
B=A.fN("Typographical Conventions","1#wp539");
B=A.fN("Syntax Notation","1#wp599");
B=A.fN("Progress Messages","1#wp730");
B=A.fN("Other Useful Documentation","1#wp14128");
A=P.fN("Introduction","2#wp2031");
B=A.fN(" DataServer Components","3");
var C=B.fN(" The DataServer for ORACLE Logic","4");
C=B.fN(" The Schema Holder","5");
C=B.fN(" Security","6");
C=B.fN(" DataServer Utilities","7");
C=B.fN(" DataServer Demonstration Database","8");
C=B.fN(" DataServer Configurations","9");
C=B.fN(" Distributed DataServer Applications","10");
C=B.fN(" Configuring Distributed DataServer Applications Using Progress Explorer","11");
B=A.fN(" Software Requirements","12");
C=B.fN(" ORACLE8 Support","13");
B=A.fN(" Guidelines for Using the DataServer","14");
C=B.fN(" Guide to Related Topics","15");
A=P.fN("Programming Considerations","16#wp2288");
B=A.fN(" Database Design Issues","17");
C=B.fN(" ORACLE and Progress Objects and Terminology","18");
C=B.fN(" Naming Conventions","19");
C=B.fN(" Code Pages","20");
C=B.fN(" Indexes","21");
C=B.fN(" Case-insensitive Indexes","22");
C=B.fN(" Index Repositioning","23");
C=B.fN(" Initial Values","24");
C=B.fN(" ORACLE Views","25");
C=B.fN(" Database Triggers","26");
C=B.fN(" Sequence Generator","27");
C=B.fN(" ORACLE Synonyms","28");
B=A.fN(" Data Types","29");
B=A.fN(" Arrays","30");
B=A.fN(" Unknown Value","31");
C=B.fN(" Zero-length Character Strings","32");
B=A.fN(" Record Creation","33");
B=A.fN(" Record Locking","34");
C=B.fN(" Monitoring Locks","35");
B=A.fN(" Transactions","36");
C=B.fN(" Two-phase Commit","37");
B=A.fN(" Error Handling","38");
B=A.fN(" Cursors","39");
C=B.fN(" Cursor Repositioning","40");
C=B.fN(" Stale Cursors","41");
C=B.fN(" Allocating Cursors","42");
B=A.fN(" Progress 4GL Issues","43");
C=B.fN(" RECID Function","44");
C=B.fN(" ROWID Function","45");
C=B.fN(" DEFINE BROWSE Statement","46");
C=B.fN(" Field Lists","47");
C=B.fN(" FIND PREV/LAST Statements","48");
C=B.fN(" FIND FIRST/LAST Statements","49");
C=B.fN(" Compiling Progress Procedures","50");
C=B.fN(" Unsupported 4GL Statements","51");
B=A.fN(" ORACLE Stored Procedures","52");
C=B.fN(" Running a Stored Procedure","53");
C=B.fN(" Retrieving Return Codes","54");
C=B.fN(" Retrieving Output Parameter Values","55");
C=B.fN(" Retrieving Results with Cursor Arguments","56");
C=B.fN(" Transaction Processing","57");
C=B.fN(" Returning Errors","58");
C=B.fN(" National Language Support","59");
B=A.fN(" Sending SQL Statements","60");
C=B.fN(" Defining a Buffer","61");
B=A.fN(" Enhancing DataServer Performance","62");
C=B.fN(" SQL and Progress Queries","63");
C=B.fN(" Bind Variables","64");
C=B.fN(" Query Tuning","65");
C=B.fN(" Caching Records","66");
C=B.fN(" ORACLE Hints","67");
C=B.fN(" Using Field Lists When Updating Records","68");
C=B.fN(" Join by SQL DB","69");
C=B.fN(" Skipping Schema Verification","70");
C=B.fN(" Writing Queries for Performance","71");
A=P.fN("Configuring the DataServer","72#wp836");
B=A.fN(" DataServer Modules","73");
B=A.fN(" Configuring NT Modules","74");
C=B.fN(" Configuring the Local DataServer on NT","75");
C=B.fN(" Configuring the DataServer on the NT Host","76");
B=A.fN(" Configuring UNIX Modules","77");
C=B.fN(" Configuring the Local DataServer on UNIX","78");
C=B.fN(" Configuring the DataServer on the UNIX Host","79");
B=A.fN(" Configuring Windows Modules","80");
B=A.fN(" Configuring an International Environment","81");
B=A.fN(" Configuring the DataServer in the Explorer Administration Framework","82");
C=B.fN(" Configuring the Explorer Administration Framework on NT","83");
C=B.fN(" Configuring the Explorer Administration Framework on UNIX","84");
B=A.fN(" Creating a Schema Holder","85");
C=B.fN(" Schema-holder Security","86");
C=B.fN(" Running ORACLE","87");
C=B.fN(" Starting the DataServer Processes","88");
C=B.fN(" Creating an Empty Progress Database","89");
C=B.fN(" Using the DataServer Utility to Create a Schema Holder","90");
C=B.fN(" Maintaining a Schema Holder","91");
C=B.fN(" Deploying a Schema Holder","92");
C=B.fN(" Setting Up a Schema Holder As an NT Service","93");
A=P.fN("Connecting the DataServer","94#wp1116");
B=A.fN(" Starting the Local DataServer","95");
B=A.fN(" Starting the Remote DataServer","96");
C=B.fN(" Starting the DataServer in the Explorer Administration Framework","97");
C=B.fN(" Starting and Stopping the NT Broker Process","98");
C=B.fN(" Starting and Stopping the UNIX Broker Process","99");
C=B.fN(" Starting the UNIX Client Process","100");
C=B.fN(" Starting the NT or Windows Client Process","101");
B=A.fN(" Connecting a Schema Holder","102");
C=B.fN(" Connecting a Schema Holder at Startup","103");
C=B.fN(" Connecting Through SQL*Net or Net 8","104");
C=B.fN(" Unsupported Connection Parameters","105");
C=B.fN(" Optional Connection and Startup Parameters","106");
C=B.fN(" Query Tuning with Connection and Startup Parameters","107");
C=B.fN(" Analyzing Performance","108");
C=B.fN(" Index Cursors","109");
C=B.fN(" Local Schema Caching","110");
B=A.fN(" Failures and Progress Responses","111");
C=B.fN(" Connection Troubleshooting","112");
C=B.fN(" Accessing the DataServer Log","113");
A=P.fN("The DataServer Tutorial","114#wp1731");
B=A.fN(" ORACLE Demonstration Database","115");
B=A.fN(" Updating a Schema Image","116");
B=A.fN(" Verifying a Schema Image","117");
B=A.fN(" Changing Logical Name and Connection Information","118");
B=A.fN(" Modifying a Schema Image","119");
C=B.fN(" Modifying Table-level Information","120");
C=B.fN(" Modifying Field-level Information","121");
C=B.fN(" Defining the ROWID","122");
B=A.fN(" Changing a Code Page","123");
B=A.fN(" Deleting a Schema Image","124");
B=A.fN(" Migrating a Progress Database to ORACLE with PRO/SQL","125");
B=A.fN(" The Progress-to-ORACLE Utility","126");
C=B.fN(" Preparing a Database for the Utility","127");
C=B.fN(" ORACLE Size Limitations","128");
C=B.fN(" Naming Conventions","129");
C=B.fN(" ORACLE Tablespaces for Tables and Indexes","130");
C=B.fN(" Unknown Value","131");
C=B.fN(" Running the Progress-to-ORACLE Utility","132");
B=A.fN(" Progress-to-ORACLE Incremental Schema Migration Utility","133");
C=B.fN(" Updating the ORACLE Database","134");
B=A.fN(" Adjust ORACLE Schema Image to Progress Database","135");
A=P.fN("Upgrading DataServer Applications","136#wp170");
B=A.fN(" Upgrading Schema Holders from Progress Version 7 or 8","137");
C=B.fN(" Using the Manual Upgrade Technique","138");
B=A.fN(" Upgrading from ORACLE7 to ORACLE8","139");
A=P.fN("Stored Procedure Reference","140#wp256");
B=A.fN("CLOSE STORED-PROCEDURE Statement","141");
B=A.fN("PROC-HANDLE Function","142");
B=A.fN("PROC-STATUS Function","143");
B=A.fN("RUN STORED-PROCEDURE Statement","144");
A=P.fN("Environment Variables","145#wp267");
A=P.fN("Sample Queries","146#wp204");
A=P.fN("Building DataServer Executables","147#wp497");
B=A.fN(" Overview","148");
B=A.fN(" PROBUILD and the DataServer","149");
C=B.fN(" PROBUILD Requirements","150");
B=A.fN(" Building Executables on the UNIX Client","151");
B=A.fN(" Building Executables on the UNIX Host","152");
B=A.fN(" Setting Environment Variables","153");
C=B.fN(" Linking DataServer Executables","154");
C=B.fN(" Setting ORALIB","155");
C=B.fN(" Rebuilding Libclnt.so","156");
A=P.fN("DataServer Command Line Utilities and Startup Parameters","157#wp628");
B=A.fN(" Command Line Utilities for the DataServer","158");
C=B.fN(" NSCONFIG Utility","159");
C=B.fN(" NSMAN Utility","160");
C=B.fN(" ORACONFIG Utility","161");
C=B.fN(" ORAMAN Utility","162");
C=B.fN(" PROBRKR Command","163");
C=B.fN(" PROSHUT Command","164");
B=A.fN(" DataServer Startup Parameters for UNIX and Windows","165");
}
