function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  on the Web","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp119372");
B=A.fN("Audience","1#wp122797");
B=A.fN("Organization of This Manual","1#wp119384");
B=A.fN("Typographical Conventions","1#wp139101");
B=A.fN("Syntax Notation","1#wp119481");
B=A.fN("Example Procedures","1#wp119800");
B=A.fN("Progress Messages","1#wp119913");
B=A.fN("Other Useful Documentation","1#wp120008");
A=P.fN("Overview","2#wp610712");
B=A.fN(" Differences Between WebClient and the Standard 4GL Client","3");
B=A.fN(" Common WebClient Scenarios","4");
var C=B.fN(" ASP Scenario","5");
C=B.fN(" IT Department Scenario","6");
B=A.fN(" WebClient Files and Software","7");
B=A.fN(" Personnel WebClient Involves","8");
B=A.fN(" Hardware and Software Requirements for the End User","9");
B=A.fN(" WebClient Architecture","10");
C=B.fN(" WebClient Application Assembler","11");
C=B.fN(" Using IntelliStream Technology","12");
C=B.fN(" Using Non-IntelliStream Technology","13");
C=B.fN(" Using IntelliStream and Non-IntelliStream Technologies Together","14");
C=B.fN(" Running the Application","15");
C=B.fN(" Single Sign-on","16");
C=B.fN(" Server Sharing","17");
B=A.fN(" Steps for Deploying an Application Using WebClient","18");
B=A.fN(" Sample Application","19");
A=P.fN("Designing the Application","20#wp660746");
B=A.fN(" Segregating User-interface Logic and Business Logic","21");
B=A.fN(" Accessing Databases Only Through an AppServer","22");
B=A.fN(" Modularizing Code by Function","23");
A=P.fN("Designing Your End User\u2019s Experience","24#wp622633");
B=A.fN(" WebClient Installation","25");
B=A.fN(" WebClient Application Installation","26");
C=B.fN(" IntelliStream","27");
C=B.fN(" External Installer","28");
B=A.fN(" Updates for Your Application","29");
B=A.fN(" Uninstalling Your Application","30");
B=A.fN(" Selecting Deployment Servers","31");
B=A.fN(" Starting WebClient Applications","32");
B=A.fN(" Providing Documentation","33");
A=P.fN("Designing the Deployment Configuration","34#wp610712");
B=A.fN(" Selecting a Server to Host the Application Configuration File","35");
B=A.fN(" Selecting a Server to Host the Codebase","36");
B=A.fN(" Selecting a Server to Host a Non-IntelliStream Application Install","37");
B=A.fN(" Determining the Best Location for the Codebase","38");
C=B.fN(" Hosting the Codebase on an AppServer","39");
C=B.fN(" Hosting the Codebase on an Internet-based Server","40");
B=A.fN(" Selecting a Communication Protocol for Configuration File Downloads","41");
B=A.fN(" Selecting a Communication Protocol for Codebase Downloads","42");
A=P.fN("Designing Security","43#wp610712");
B=A.fN(" Digitally Signing Files","44");
C=B.fN(" The Development of Digital Signatures","45");
C=B.fN(" How WebClient Uses Digital Signatures","46");
B=A.fN(" Protecting Servers with User IDs and Passwords","47");
C=B.fN(" Using Authentication","48");
C=B.fN(" The Dangers of Embedding User IDs and Passwords in URLs","49");
C=B.fN(" Prompting the End User for Authentication Information","50");
B=A.fN(" Single Sign-on and Security Caching","51");
C=B.fN(" Authentication Dialogs","52");
B=A.fN(" Choosing a Secure Communication Protocol for Configuration File and Codebase Downloads","53");
A=P.fN("Developing the Application","54#wp610712");
B=A.fN(" Using the CODEBASE-LOCATOR Handle and its Attributes","55");
C=B.fN(" Basic Attributes","56");
C=B.fN(" Security-cache Attributes","57");
C=B.fN(" Additional Attribute","58");
B=A.fN(" Managing AppServer Connections","59");
B=A.fN(" Implementing Single Sign-on","60");
B=A.fN(" Using WebClient\u2019s Authentication Dialogs in Your Application","61");
C=B.fN(" Displaying the AIA Authentication Dialog","62");
C=B.fN(" Displaying the AppServer Authentication Dialog","63");
C=B.fN(" Displaying the AIA and AppServer Authentication Dialog","64");
B=A.fN(" Using URLs in the PROPATH to Find and Download Image Files Over the Web","65");
C=B.fN(" Using the SEARCH() Function","66");
C=B.fN(" Using the LOAD\u2013IMAGE() Method","67");
C=B.fN(" Handling Errors","68");
A=P.fN("Deploying an Application","69#wp627425");
B=A.fN(" Defining Your Application Using the WebClient Application Assembler","70");
C=B.fN(" IntelliStream","71");
C=B.fN(" External Installer","72");
C=B.fN(" Using a Combination of IntelliStream and an External Installer","73");
B=A.fN(" Running the WebClient Application Assembler","74");
C=B.fN(" General Tab","75");
C=B.fN(" Component Tab","76");
C=B.fN(" Options Tab","77");
C=B.fN(" WebClient Tab","78");
B=A.fN(" Files Generated by the WebClient Application Assembler","79");
B=A.fN(" Hosting the Application on a Server","80");
C=B.fN(" Hosting the Configuration File","81");
C=B.fN(" Hosting Your Application Component Files","82");
C=B.fN(" Hosting Your External Installer","83");
C=B.fN(" Hosting on a Web Server","84");
B=A.fN(" Installing WebClient","85");
C=B.fN(" Accessing the WebClient Installation Files","86");
C=B.fN(" Customizing the WebClient Installation","87");
B=A.fN(" Bootstrapping a WebClient Application","88");
B=A.fN(" WebClient Application Updates","89");
A=P.fN("Your End User\u2019s Experience","90#wp610712");
B=A.fN(" Preparing Documentation for Your End Users","91");
B=A.fN(" WebClient Application Manager","92");
C=B.fN(" Using the WebClient Application Manager","93");
C=B.fN(" Modes of Execution","94");
C=B.fN(" Main Window","95");
C=B.fN(" Edit Dialog Box","96");
A=P.fN("Deploying the Sample Application With IntelliStream","97#wp610712");
B=A.fN(" Preparing the Web Server","98");
C=B.fN(" Setting Up the Java Servlet Engine and the AppServer Internet Adapter","99");
C=B.fN(" Setting Up MIME Types for the Application Configuration File","100");
C=B.fN(" Setting Up the WebClient Install and Bootstrap Mechanism","101");
B=A.fN(" Setting Up the Application on the AppServer Machine","102");
B=A.fN(" Setting Up the Application to Launch from the Web Server","103");
B=A.fN(" Installing and Running the Application on the Client Machine","104");
A=P.fN("Deploying the Sample Application Without IntelliStream","105#wp610712");
B=A.fN(" Preparing the Web Server","106");
C=B.fN(" Setting Up the Java Servlet Engine and the AppServer Internet Adapter","107");
C=B.fN(" Setting Up MIME Types for the Application Configuration File","108");
B=A.fN(" Setting Up the Application on the AppServer Machine","109");
B=A.fN(" Setting Up the Application on the Web Server Machine","110");
B=A.fN(" Installing and Running the Application on the Client Machine","111");
A=P.fN("Glossary ","112");
B=A.fN("A","112#wp441517");
B=A.fN("B","112#wp447912");
B=A.fN("C","112#wp447936");
B=A.fN("D","112#wp441418");
B=A.fN("E","112#wp439559");
B=A.fN("H","112#wp441354");
B=A.fN("I","112#wp447886");
B=A.fN("M","112#wp441278");
B=A.fN("N","112#wp439704");
B=A.fN("O","112#wp447613");
B=A.fN("P","112#wp447622");
B=A.fN("S","112#wp441101");
B=A.fN("W","112#wp440974");
}
