function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Programming  Handbook","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp164314");
B=A.fN("Audience","1#wp164340");
B=A.fN("Organization of This Manual","1#wp164362");
B=A.fN("How to Use This Manual","1#wp187233");
B=A.fN("Typographical Conventions","1#wp164668");
B=A.fN("Syntax Notation","1#wp164728");
B=A.fN("Example Procedures","1#wp164853");
B=A.fN("Progress Messages","1#wp165016");
B=A.fN("Other Useful Documentation","1#wp186570");
A=P.fN("Introducing the Progress 4GL","2#wp611427");
B=A.fN(" What Is a 4GL?","3");
var C=B.fN(" A Powerful Application Builder","4");
C=B.fN(" More Complex Applications Supported","5");
C=B.fN(" Less Development Effort Required","6");
C=B.fN(" Less Platform Knowledge Required","7");
B=A.fN(" Progress\u2014The Flexible and Complete 4GL","8");
C=B.fN(" Flexibility","9");
C=B.fN(" Consistency","10");
C=B.fN(" Security","11");
C=B.fN(" Interoperability","12");
C=B.fN(" Connectivity","13");
C=B.fN(" Portability","14");
C=B.fN(" Localizability","15");
B=A.fN(" Understanding Progress Syntax and Semantics","16");
C=B.fN(" Elements of Progress Syntax","17");
C=B.fN(" Blocks and Context","18");
C=B.fN(" Block Context and Resource Scope","19");
C=B.fN(" Compile-time Versus Run-time Code","20");
B=A.fN(" Compile-time Versus Run-time Execution","21");
C=B.fN(" Compile-time Execution","22");
C=B.fN(" Run-time Execution","23");
A=P.fN("Programming Models","24#wp114957");
B=A.fN(" Procedure- and Event-driven Programming","25");
B=A.fN(" Flow of Execution","26");
C=B.fN(" Program Execution in a Procedure-driven Program","27");
C=B.fN(" Program Execution in an Event-driven Program","28");
B=A.fN(" Program Structures","29");
C=B.fN(" Program Structure in a Procedure-driven Program","30");
C=B.fN(" Program Structure in an Event-driven Program","31");
B=A.fN(" When to Use the Procedure-driven and Event-driven Models","32");
A=P.fN("Block Properties","33#wp855044");
B=A.fN(" Blocks and Their Properties","34");
C=B.fN(" REPEAT, FOR, and DO Blocks","35");
C=B.fN(" Procedure Blocks","36");
C=B.fN(" Trigger Blocks","37");
C=B.fN(" EDITING Blocks","38");
C=B.fN(" Block Properties","39");
C=B.fN(" Looping","40");
C=B.fN(" Record Reading","41");
C=B.fN(" Frame Allocation","42");
C=B.fN(" Record Scoping","43");
C=B.fN(" Transactions","44");
C=B.fN(" Error Processing","45");
B=A.fN(" Procedure Properties","46");
B=A.fN(" External Procedures","47");
C=B.fN(" Procedure Filenames","48");
C=B.fN(" Standard Execution Options","49");
C=B.fN(" Examples","50");
C=B.fN(" Procedure Parameters","51");
C=B.fN(" Procedure Context and the Procedure Call Stack","52");
C=B.fN(" Shared Objects","53");
C=B.fN(" Procedure Handles","54");
B=A.fN(" Internal Procedures","55");
C=B.fN(" Internal Procedure Definition","56");
C=B.fN(" Internal Procedure Execution","57");
C=B.fN(" Internal Procedure Names","58");
C=B.fN(" Standard Execution Options","59");
C=B.fN(" Internal Procedures and Encapsulation","60");
C=B.fN(" Shared and Local Context","61");
C=B.fN(" Examples","62");
C=B.fN(" Internal Procedures and the Call Stack","63");
B=A.fN(" Persistent and Non-persistent Procedures","64");
C=B.fN(" Advantages of Persistent Procedures","65");
C=B.fN(" Creating Persistent Procedures","66");
C=B.fN(" Working with Persistent Procedures","67");
C=B.fN(" Deleting Persistent Procedures","68");
C=B.fN(" Examples","69");
C=B.fN(" Persistent Procedure Context and Shared Objects","70");
C=B.fN(" Run-time Parameters","71");
C=B.fN(" Transaction Management","72");
C=B.fN(" Condition Management","73");
C=B.fN(" CURRENT\u2013LANGUAGE Changes","74");
B=A.fN(" User-defined Functions","75");
C=B.fN(" Locally Defined User-defined Functions","76");
C=B.fN(" Externally Defined User-defined Functions","77");
C=B.fN(" Remotely Defined User-defined Functions","78");
B=A.fN(" Procedure Overriding","79");
C=B.fN(" Feature Summary","80");
C=B.fN(" Super Procedure Prototyping","81");
C=B.fN(" Programming Example","82");
A=P.fN("Named Events","83#wp134897");
B=A.fN(" Feature Summary","84");
B=A.fN(" Programming Example","85");
A=P.fN("Condition Handling and Messages","86#wp860673");
B=A.fN(" Progress Conditions","87");
B=A.fN(" Rules About UNDO","88");
C=B.fN(" Infinite Loop Protection","89");
B=A.fN(" The ERROR Condition","90");
C=B.fN(" The ERROR\u2013STATUS System Handle","91");
C=B.fN(" Default Handling","92");
C=B.fN(" Overriding the Default Handling","93");
B=A.fN(" The ENDKEY Condition","94");
C=B.fN(" Default Handling","95");
C=B.fN(" Overriding the Default Handling","96");
B=A.fN(" The STOP Condition","97");
C=B.fN(" Default Handling","98");
C=B.fN(" Overriding the Default Handling","99");
B=A.fN(" The QUIT Condition","100");
C=B.fN(" Default Handling","101");
C=B.fN(" Overriding the Default Handling","102");
B=A.fN(" The END\u2013ERROR Key","103");
C=B.fN(" Distinguishing ERROR and ENDKEY","104");
C=B.fN(" ENABLE/WAIT\u2013FOR Processing","105");
B=A.fN(" How Progress Handles System and Software Failures","106");
B=A.fN(" Progress Messages","107");
B=A.fN(" Application Messages","108");
A=P.fN("Handling User Input","109#wp573651");
B=A.fN(" The Keyboard and the Mouse","110");
C=B.fN(" Key Mapping","111");
C=B.fN(" Key Monitoring","112");
C=B.fN(" Key Translation Functions","113");
B=A.fN(" Key Codes and Key Labels","114");
B=A.fN(" Key Functions","115");
B=A.fN(" Changing the Function of a Key","116");
B=A.fN(" Using Mouse Buttons and Events","117");
C=B.fN(" Portable and Physical Buttons","118");
C=B.fN(" Specifying Mouse Events","119");
B=A.fN(" Telling Progress How to Continue Processing","120");
B=A.fN(" Monitoring Keystrokes During Data Entry","121");
C=B.fN(" Editing Blocks","122");
C=B.fN(" User Interface Triggers","123");
C=B.fN(" Using Editing Blocks and User Interface Triggers","124");
A=P.fN("Alternate I/O Sources","125#wp910362");
B=A.fN(" Understanding Input and Output","126");
B=A.fN(" Changing the Output Destination","127");
C=B.fN(" Output to Printers","128");
C=B.fN(" Additional Options for Printing on Windows","129");
C=B.fN(" Output to Files or Devices","130");
C=B.fN(" Output to the Clipboard","131");
C=B.fN(" Resetting Output to the Terminal","132");
C=B.fN(" Sending Output to Multiple Destinations","133");
C=B.fN(" Stream I/O vs. Screen I/O","134");
C=B.fN(" A Printing Solution","135");
B=A.fN(" Changing a Procedure\u2019s Input Source","136");
C=B.fN(" Input From Files","137");
C=B.fN(" Input from Devices, Directories, and the Terminal","138");
C=B.fN(" Receiving Input from Multiple Sources","139");
C=B.fN(" Reading Input with Control Characters","140");
B=A.fN(" Defining Additional Input/Output Streams","141");
B=A.fN(" Sharing Streams Among Procedures","142");
B=A.fN(" Summary of Opening and Closing Streams","143");
B=A.fN(" Processes as Input and Output Streams (NT and UNIX only)","144");
B=A.fN(" I/O Redirection for Batch Jobs","145");
B=A.fN(" Reading the Contents of a Directory","146");
B=A.fN(" Performing Code-page Conversions","147");
B=A.fN(" Converting Non-standard Input Files","148");
C=B.fN(" Using QUOTER to Format Data","149");
C=B.fN(" Importing and Exporting Data","150");
C=B.fN(" Using the PUT Statement","151");
C=B.fN(" Using the IMPORT Statement","152");
A=P.fN("The Preprocessor","153#wp967844");
B=A.fN(" &amp;GLOBAL-DEFINE and &amp;SCOPED-DEFINE Directives","154");
C=B.fN(" Example Using &amp;GLOBAL-DEFINE","155");
C=B.fN(" Preprocessor Name Scoping","156");
B=A.fN(" &amp;UNDEFINE Directive","157");
B=A.fN(" &amp;IF, &amp;THEN, &amp;ELSEIF, &amp;ELSE, and &amp;ENDIF Directives","158");
B=A.fN(" DEFINED( ) Preprocessor Function","159");
B=A.fN(" The &amp;MESSAGE Directive","160");
B=A.fN(" Referencing Preprocessor Names","161");
B=A.fN(" Expanding Preprocessor Names","162");
B=A.fN(" Using Built-in Preprocessor Names","163");
C=B.fN(" Built-in Preprocessor Name References","164");
C=B.fN(" Quoting Built-in Names and Saving {&amp;SEQUENCE} Values","165");
B=A.fN(" Nesting Preprocessor References","166");
B=A.fN(" Arguments to Include Files","167");
B=A.fN(" Sample Application","168");
A=P.fN("Database Access","169#wp395708");
B=A.fN(" Database Connections","170");
C=B.fN(" Connection Parameters","171");
C=B.fN(" The CONNECT Statement","172");
C=B.fN(" Auto-connect","173");
C=B.fN(" Multi-database Connection Considerations","174");
C=B.fN(" Run-time Connection Considerations","175");
C=B.fN(" Connection Failures and Disruptions","176");
C=B.fN(" Progress Database Connection Functions","177");
C=B.fN(" Conserving Connections vs. Minimizing Overhead","178");
B=A.fN(" Disconnecting Databases","179");
B=A.fN(" Logical Database Names","180");
B=A.fN(" Database Aliases","181");
C=B.fN(" Creating Aliases in Applications","182");
C=B.fN(" Compiling Procedures with Aliases","183");
C=B.fN(" Using Shared Record Buffers with Aliases","184");
B=A.fN(" Data-handling Statements","185");
B=A.fN(" Adding and Deleting Records","186");
B=A.fN(" Defining a Set of Records to Fetch","187");
B=A.fN(" Fetching Records","188");
C=B.fN(" Order of Fetched Records","189");
C=B.fN(" Sample Record Fetches","190");
C=B.fN(" ROWID and RECID Data Types","191");
C=B.fN(" Results Lists","192");
C=B.fN(" FIND Repositioning","193");
B=A.fN(" Fetching Field Lists","194");
C=B.fN(" Field List Benefits","195");
C=B.fN(" Specifying Field Lists in the 4GL","196");
C=B.fN(" Avoiding Implied Field List Entries","197");
C=B.fN(" Updating and Deleting with Field Lists","198");
C=B.fN(" Cursor Repositioning and Field Lists","199");
C=B.fN(" Field List Handling in Degenerate Cases","200");
B=A.fN(" Joining Tables","201");
C=B.fN(" Specifying Joins in the 4GL","202");
C=B.fN(" Using Inner Joins","203");
C=B.fN(" Using Left Outer Joins","204");
C=B.fN(" Implementing Other Outer Joins","205");
C=B.fN(" Mixing Inner and Left Outer Joins","206");
B=A.fN(" The CONTAINS Operator, Word Indexes, and Word-break Tables","207");
C=B.fN(" Understanding the CONTAINS Operator, Word Indexes, and Word-break Tables","208");
C=B.fN(" Creating and Viewing Word Indexes","209");
C=B.fN(" Using Word-break Tables","210");
C=B.fN(" Writing Queries Using the CONTAINS Operator","211");
C=B.fN(" Word Indexing External Documents","212");
C=B.fN(" Word Indexing Non-Progress Databases","213");
B=A.fN(" Sequences","214");
C=B.fN(" Choosing Between Sequences and Control Tables","215");
C=B.fN(" Creating and Maintaining Sequences","216");
C=B.fN(" Accessing and Incrementing Sequences","217");
B=A.fN(" Database Trigger Considerations","218");
C=B.fN(" Storing Triggers in an Operating System Directory","219");
C=B.fN(" Storing Triggers in an R-code Library","220");
B=A.fN(" Using the RAW Data Type","221");
B=A.fN(" Multi-database Programming Techniques","222");
C=B.fN(" Referencing Tables and Fields","223");
C=B.fN(" Positioning Database References in an Application","224");
C=B.fN(" Using the LIKE option","225");
B=A.fN(" Creating Schema Cache Files","226");
C=B.fN(" Building a Schema Cache File","227");
C=B.fN(" Example Schema Cache File Creation","228");
C=B.fN(" Using a Schema Cache File","229");
A=P.fN("Using the Browse Widget","230#wp627595");
B=A.fN(" Understanding Browse Widgets","231");
B=A.fN(" Defining a Query for a Browse","232");
C=B.fN(" Using Field Lists","233");
C=B.fN(" Planning for the Size of the Data Set","234");
B=A.fN(" Defining a Browse Widget","235");
C=B.fN(" Defining a Read-only Browse","236");
C=B.fN(" Defining an Updatable Browse","237");
C=B.fN(" Defining a Single- or Multiple-select Browse","238");
C=B.fN(" Using Calculated Fields","239");
C=B.fN(" Sizing a Browse and Browse Columns","240");
C=B.fN(" Searching Columns (Windows Only)","241");
B=A.fN(" Programming with a Browse Widget","242");
C=B.fN(" Browse Events","243");
C=B.fN(" Refreshing Browse Rows","244");
C=B.fN(" Repositioning Focus","245");
C=B.fN(" Updating Browse Rows","246");
C=B.fN(" Creating Browse Rows","247");
C=B.fN(" Deleting Browse Rows","248");
C=B.fN(" Locking Columns","249");
C=B.fN(" Moving Columns","250");
C=B.fN(" Overlaying Widgets on Browse Cells","251");
C=B.fN(" Using Multiple Browse Widgets for Related Tables","252");
C=B.fN(" Browse Style Options","253");
B=A.fN(" Resizable Browse Widgets","254");
C=B.fN(" Resizing the Browse","255");
C=B.fN(" Moving the Browse","256");
C=B.fN(" Resizing the Browse-column","257");
C=B.fN(" Moving the Browse-column","258");
C=B.fN(" Changing the Row Height","259");
C=B.fN(" Additional Attributes","260");
C=B.fN(" User Manipulation Events","261");
C=B.fN(" Code Example","262");
B=A.fN(" Using Browse Widgets in Character Interfaces","263");
C=B.fN(" Character Browse Modes","264");
C=B.fN(" Control Keys","265");
C=B.fN(" Functional Differences from the Windows Graphical Browse","266");
A=P.fN("Database Triggers","267#wp889533");
B=A.fN(" Database Events","268");
B=A.fN(" Schema and Session Database Triggers","269");
C=B.fN(" Differences Between Schema and Session Triggers","270");
C=B.fN(" Trigger Interaction","271");
C=B.fN(" Schema Triggers","272");
C=B.fN(" CREATE Schema Trigger Example","273");
C=B.fN(" DELETE Schema Trigger Example","274");
C=B.fN(" ASSIGN Schema Trigger Example","275");
C=B.fN(" REPLICATION\u2013CREATE Schema Trigger Example","276");
C=B.fN(" REPLICATION\u2013DELETE Schema Trigger Example","277");
C=B.fN(" REPLICATION\u2013WRITE Schema Trigger Example","278");
B=A.fN(" Implementing Trigger-based Replication","279");
C=B.fN(" 4GL Support","280");
C=B.fN(" Data Dictionary Support","281");
C=B.fN(" Trigger-based Replication Procedure","282");
B=A.fN(" Detecting and Capturing Data Collision","283");
C=B.fN(" Create a Collision Log","284");
C=B.fN(" Analyze the Log Records","285");
C=B.fN(" Replication Process Configuration","286");
C=B.fN(" Session Triggers","287");
C=B.fN(" FIND Session Trigger Example","288");
C=B.fN(" WRITE Session Trigger Example","289");
B=A.fN(" General Considerations","290");
C=B.fN(" Metaschema Tables","291");
C=B.fN(" User-interaction Code","292");
C=B.fN(" FIND NEXT and FIND PREV","293");
C=B.fN(" Triggers Execute Other Triggers","294");
C=B.fN(" Triggers Can Start Transactions","295");
C=B.fN(" Default Error Phrase","296");
C=B.fN(" RETURN ERROR","297");
C=B.fN(" Where Triggers Execute","298");
C=B.fN(" Storing Trigger Procedures in Libraries","299");
C=B.fN(" ESQL Access to Database Objects","300");
C=B.fN(" Disabling Triggers for Dump/Load","301");
C=B.fN(" SQL Considerations","302");
A=P.fN("Transactions","303#wp438497");
B=A.fN(" Introduction","304");
B=A.fN(" Transactions Defined","305");
B=A.fN(" All-or-nothing Processing","306");
B=A.fN(" Understanding Where Transactions Begin and End","307");
B=A.fN(" How Much to Undo","308");
B=A.fN(" Controlling Where Transactions Begin and End","309");
C=B.fN(" Making Transactions Larger","310");
C=B.fN(" Making Transactions Smaller","311");
B=A.fN(" Transactions and Triggers","312");
B=A.fN(" Transactions and Subprocedures","313");
B=A.fN(" Transactions with File Input","314");
B=A.fN(" Transactions and Program Variables","315");
C=B.fN(" Transactions in Multi-database Applications","316");
C=B.fN(" Transactions in Distributed Applications","317");
B=A.fN(" Determining When Transactions Are Active","318");
B=A.fN(" Progress Transaction Mechanics","319");
C=B.fN(" Transaction Mechanics","320");
C=B.fN(" Subtransaction Mechanics","321");
B=A.fN(" Efficient Transaction Processing","322");
A=P.fN("Locks","323#wp513138");
B=A.fN(" Applications in a Multi-user Environment","324");
B=A.fN(" Sharing Database Records","325");
C=B.fN(" Using Locks to Avoid Record Conflicts","326");
C=B.fN(" How Progress Applies Locks","327");
B=A.fN(" Bypassing Progress Lock Protections","328");
B=A.fN(" How Long Does Progress Hold a Lock?","329");
C=B.fN(" Locks and Transactions","330");
C=B.fN(" Locks and Multiple Buffers","331");
B=A.fN(" Resolving Locking Conflicts","332");
B=A.fN(" Managing Locks to Improve Concurrency","333");
B=A.fN(" Changing the Size of a Transaction","334");
C=B.fN(" Making a Transaction Larger","335");
C=B.fN(" Making a Transaction Smaller","336");
A=P.fN("Providing Data Security","337#wp701665");
B=A.fN(" Progress User ID and Password","338");
C=B.fN(" User ID","339");
C=B.fN(" Password","340");
B=A.fN(" Validating Progress User IDs and Passwords","341");
B=A.fN(" Run-time Security","342");
C=B.fN(" Checking for User IDs","343");
C=B.fN(" Defining Activities-based Security Checking","344");
A=P.fN("Work Tables and Temporary Tables","345#wp473867");
B=A.fN(" Work Tables","346");
C=B.fN(" Characteristics of Work Tables","347");
C=B.fN(" Producing Categorized Reports","348");
C=B.fN(" Using Work Tables to Collect and Manipulate Data","349");
C=B.fN(" Using Work Tables for Complex Sorting","350");
C=B.fN(" Using Work Tables for Cross-tab Reports","351");
B=A.fN(" Temporary Tables","352");
C=B.fN(" Characteristics of Temporary Tables","353");
C=B.fN(" Defining a Temporary Table","354");
C=B.fN(" Using Database, Temporary, and Work Tables","355");
C=B.fN(" Similarities Between Temporary and Work Tables","356");
C=B.fN(" Differences Between Temporary and Work Tables","357");
C=B.fN(" Defining Indexes for Temporary Tables","358");
C=B.fN(" Tailoring Temporary Table Visibility and Life Span","359");
C=B.fN(" Temporary Tables As Parameters","360");
C=B.fN(" Temporary Table Example","361");
B=A.fN(" Dynamic Temporary Tables","362");
C=B.fN(" Static and Dynamic Temp Tables","363");
C=B.fN(" Creating a Dynamic Temp\u2013table","364");
C=B.fN(" Dynamic Buffers for Dynamic Temp\u2013tables","365");
C=B.fN(" Dynamic Temp\u2013tables as Local and Remote Parameters","366");
C=B.fN(" Error Handling and Messages","367");
A=P.fN("Widgets and Handles","368#wp325060");
B=A.fN(" Overview","369");
C=B.fN(" Widget Types","370");
B=A.fN(" Static Versus Dynamic Widgets","371");
C=B.fN(" Creating Widgets","372");
C=B.fN(" Using Widget Handles","373");
C=B.fN(" Static Widgets","374");
C=B.fN(" Dynamic Widgets","375");
B=A.fN(" Handles","376");
C=B.fN(" Widget Handles","377");
C=B.fN(" Procedure Handles","378");
C=B.fN(" Query, Buffer, and Buffer-field Handles","379");
C=B.fN(" Server Handles","380");
C=B.fN(" Component Handles","381");
C=B.fN(" Transaction Handles","382");
C=B.fN(" System Handles","383");
C=B.fN(" Handle Management","384");
B=A.fN(" Widget Attributes","385");
C=B.fN(" Attribute References","386");
C=B.fN(" Referencing Attribute Values","387");
C=B.fN(" Setting Attribute Values","388");
C=B.fN(" Attributes in Expressions","389");
C=B.fN(" Attribute Example","390");
B=A.fN(" Widget Methods","391");
C=B.fN(" Method References","392");
C=B.fN(" Invoking Methods","393");
C=B.fN(" Methods in Expressions","394");
C=B.fN(" Method Example","395");
B=A.fN(" Widget Realization","396");
C=B.fN(" Becoming Realized","397");
C=B.fN(" Becoming Derealized","398");
B=A.fN(" Resizing Widgets Dynamically","399");
B=A.fN(" User-interface Triggers","400");
C=B.fN(" User-interface Events","401");
C=B.fN(" Trigger Definition","402");
C=B.fN(" Trigger Execution","403");
C=B.fN(" Trigger Scope","404");
C=B.fN(" Reverting Triggers","405");
C=B.fN(" Universal Triggers","406");
C=B.fN(" Applying Events","407");
A=P.fN("Representing Data","408#wp933392");
B=A.fN(" Using the VIEW\u2013AS Phrase","409");
C=B.fN(" Multiple Representations for a Single Value","410");
C=B.fN(" A Value\u2019s Default Representation","411");
B=A.fN(" Fill-ins","412");
C=B.fN(" Format and Size","413");
C=B.fN(" Fill-in Attributes","414");
C=B.fN(" Fill-in Fonts on Windows in Graphical Interfaces","415");
B=A.fN(" Text","416");
B=A.fN(" Sliders","417");
C=B.fN(" Manipulating a Slider","418");
C=B.fN(" Range and Size","419");
C=B.fN(" Example Procedure","420");
B=A.fN(" Toggle Boxes","421");
B=A.fN(" Radio Sets","422");
C=B.fN(" Defining a Radio Set","423");
C=B.fN(" Example Procedures","424");
B=A.fN(" Editors","425");
C=B.fN(" Defining an Editor","426");
C=B.fN(" Using an Editor","427");
C=B.fN(" Attributes and Methods","428");
C=B.fN(" Adding Functionality to an Editor","429");
B=A.fN(" Selection Lists","430");
C=B.fN(" Defining a Selection List","431");
C=B.fN(" Scrolling","432");
C=B.fN(" Character Mode","433");
C=B.fN(" Example Procedure","434");
C=B.fN(" Attributes and Methods","435");
B=A.fN(" Combo Boxes","436");
C=B.fN(" Defining a Combo Box","437");
C=B.fN(" Working with Combo Boxes","438");
C=B.fN(" Example Procedure","439");
C=B.fN(" Attributes and Methods","440");
B=A.fN(" Applying Formats When Displaying Widgets","441");
C=B.fN(" Using the FORMAT Option","442");
C=B.fN(" Character Formats","443");
C=B.fN(" Integer and Decimal Formats","444");
C=B.fN(" Logical Formats","445");
C=B.fN(" Date Formats","446");
A=P.fN("Buttons, Images, and Rectangles","447#wp903891");
B=A.fN(" Buttons","448");
C=B.fN(" Button Images","449");
C=B.fN(" Default Buttons in Dialog Boxes","450");
B=A.fN(" Images","451");
B=A.fN(" Rectangles","452");
A=P.fN("Frames","453#wp54626");
B=A.fN(" What Is a Frame?","454");
B=A.fN(" Why Progress Uses Frames","455");
B=A.fN(" Static and Dynamic Frames","456");
B=A.fN(" Frame Allocation","457");
C=B.fN(" How Progress Allocates Frames","458");
C=B.fN(" Default Frames","459");
C=B.fN(" Specifying Default Frames","460");
C=B.fN(" Controlling Frame Allocation","461");
C=B.fN(" The Procedure Block","462");
C=B.fN(" Block A","463");
C=B.fN(" Block B","464");
C=B.fN(" Block C","465");
B=A.fN(" Types of Frames","466");
C=B.fN(" Example Procedures","467");
B=A.fN(" Frame Scope","468");
C=B.fN(" Example Procedures","469");
B=A.fN(" Triggers and Frames","470");
B=A.fN(" Frame Flashing","471");
B=A.fN(" Frame Families","472");
C=B.fN(" Defining a Frame Family","473");
C=B.fN(" Using Frame Families","474");
B=A.fN(" Frame Services","475");
C=B.fN(" Viewing and Hiding Frames","476");
C=B.fN(" Advancing and Clearing Frames","477");
C=B.fN(" Retaining Data During Retry of a Block","478");
C=B.fN(" Creating Field-group Widgets","479");
B=A.fN(" Using Shared Frames","480");
B=A.fN(" Field-group Widgets","481");
C=B.fN(" Field-group Types","482");
C=B.fN(" Field-group Characteristics","483");
C=B.fN(" Field-group Size","484");
C=B.fN(" Field-group Position Relative to Frame","485");
C=B.fN(" Z order and Field Groups","486");
C=B.fN(" Field-group Visibility and Scrolling","487");
C=B.fN(" Accessing Field Groups","488");
B=A.fN(" Validation of User Input","489");
C=B.fN(" Recommended Validation Techniques","490");
C=B.fN(" The Rules of Frame-based Validation","491");
C=B.fN(" Forcing Frame-wide Validation","492");
C=B.fN(" Disabling Data Dictionary Validation on a Frame or Field","493");
A=P.fN("Using Dynamic Widgets","494#wp765372");
B=A.fN(" Managing Dynamic Widgets","495");
C=B.fN(" Static Versus Dynamic Widget Management","496");
C=B.fN(" Setting Up Dynamic Field-level Widgets","497");
C=B.fN(" Setting Up Dynamic Frames","498");
B=A.fN(" Managing Dynamic Widget Pools","499");
C=B.fN(" Named Widget Pools","500");
C=B.fN(" Unnamed Widget Pools","501");
B=A.fN(" Creating and Using Dynamic Queries","502");
C=B.fN(" Creating a Query Object","503");
C=B.fN(" Using a Query Object","504");
C=B.fN(" The Buffer Object","505");
C=B.fN(" The Buffer-field Object","506");
C=B.fN(" Error Handling","507");
C=B.fN(" Dynamic Query Code Example","508");
B=A.fN(" Creating and Using a Dynamic Browse","509");
C=B.fN(" Creating the Dynamic Browse","510");
C=B.fN(" Creating Dynamic Browse Columns","511");
C=B.fN(" Dynamic Enhancements to the Static Browse","512");
A=P.fN("Windows","513#wp884993");
B=A.fN(" Multiple-window Pros and Cons","514");
C=B.fN(" Windows Versus Dialog Boxes","515");
C=B.fN(" Multiple Windows and Transactions","516");
B=A.fN(" Window Attributes and Methods","517");
B=A.fN(" Window Events","518");
B=A.fN(" Creating and Managing Windows","519");
C=B.fN(" Creating Window Families","520");
B=A.fN(" Window-based Applications","521");
C=B.fN(" Non-persistent Multi-window Management","522");
C=B.fN(" Persistent Multi-window Management","523");
A=P.fN("Menus","524#wp141647");
B=A.fN(" Menu Types","525");
C=B.fN(" Menu Bar","526");
C=B.fN(" Pop-up Menu","527");
B=A.fN(" Menu Hierarchy","528");
B=A.fN(" Features for Menu Widgets","529");
B=A.fN(" Defining Menus","530");
C=B.fN(" Static Menu Bars","531");
C=B.fN(" Static Pop-up Menus","532");
B=A.fN(" Nested Submenus","533");
B=A.fN(" Enabling and Disabling Menu Items","534");
B=A.fN(" Menu Toggle Boxes","535");
B=A.fN(" Duplicating Menus","536");
B=A.fN(" The MENU\u2013DROP Event","537");
B=A.fN(" Menu Item Accelerators","538");
C=B.fN(" Defining Accelerators","539");
C=B.fN(" Accelerators in Character Interfaces","540");
B=A.fN(" Menu Mnemonics","541");
B=A.fN(" Dynamic Menus","542");
C=B.fN(" Properties of Dynamic Menus","543");
C=B.fN(" Dynamic Menu Bar","544");
C=B.fN(" Querying Sibling Attributes","545");
C=B.fN(" Example of a Dynamic Menu","546");
C=B.fN(" Dynamic Pop-up Menus","547");
A=P.fN("Colors and Fonts","548#wp54469");
B=A.fN(" Making Colors and Fonts Available to an Application","549");
C=B.fN(" Progress Default Colors","550");
C=B.fN(" Progress Default Fonts","551");
C=B.fN(" Application Colors and Fonts","552");
B=A.fN(" Assigning Colors and Fonts to a Widget","553");
B=A.fN(" Assigning Colors and Fonts to ActiveX Automation Objects and ActiveX Controls","554");
B=A.fN(" Color and Font Inheritance","555");
B=A.fN(" Color in Character Interfaces","556");
C=B.fN(" Widget States and Color","557");
C=B.fN(" Color Specification","558");
B=A.fN(" Colors on Windows in Graphical Interfaces","559");
C=B.fN(" Systems with the Palette Manager","560");
C=B.fN(" Systems without the Palette Manager","561");
B=A.fN(" Managing Colors and Fonts in Graphical Applications","562");
B=A.fN(" Allowing the User to Change Colors and Fonts","563");
C=B.fN(" Establishing Dynamic Colors","564");
C=B.fN(" Color Dialog Box","565");
C=B.fN(" Color Dialog Example","566");
C=B.fN(" Saving a Modified Color","567");
C=B.fN(" Font Dialog","568");
C=B.fN(" Font Dialog Example","569");
C=B.fN(" Saving a Modified Font","570");
B=A.fN(" Accessing the Current Color and Font Tables","571");
C=B.fN(" COLOR\u2013TABLE Handle","572");
C=B.fN(" FONT\u2013TABLE Handle","573");
B=A.fN(" Retrieving and Changing Color and Font Definitions","574");
C=B.fN(" Changing Resource Definitions","575");
C=B.fN(" Using GET\u2013KEY\u2013VALUE and PUT\u2013KEY\u2013VALUE","576");
B=A.fN(" Managing Application Environments","577");
C=B.fN(" Understanding Environment Management","578");
C=B.fN(" Using Environment Management Statements","579");
C=B.fN(" Managing Multiple Environments","580");
B=A.fN(" Managing Color Display Limitations","581");
A=P.fN("Direct Manipulation","582#wp628082");
B=A.fN(" Attributes","583");
B=A.fN(" Mouse Buttons on Windows","584");
B=A.fN(" Selecting Widgets","585");
C=B.fN(" Selecting by Pointing and Clicking","586");
C=B.fN(" Box Selecting","587");
C=B.fN(" Sets of Selected Widgets","588");
B=A.fN(" Moving and Resizing Field-level Widgets","589");
B=A.fN(" Moving and Resizing Frames","590");
B=A.fN(" Custom Highlights","591");
B=A.fN(" Interaction Modes","592");
B=A.fN(" Direct-manipulation Events","593");
C=B.fN(" General Characteristics","594");
C=B.fN(" Order of Direct-manipulation Events","595");
B=A.fN(" Grids","596");
A=P.fN("Interface Design","597#wp490003");
B=A.fN(" Progress Windows","598");
C=B.fN(" Character-based Environment","599");
C=B.fN(" Graphical Environment","600");
C=B.fN(" Alert Boxes","601");
B=A.fN(" Frame Characteristics","602");
C=B.fN(" Using Frame Phrase Options","603");
C=B.fN(" Setting Frame Attributes","604");
C=B.fN(" Rules for Frame Phrases and Attributes","605");
B=A.fN(" Frame Design Issues","606");
C=B.fN(" Frame-level Design","607");
C=B.fN(" Field- and Variable-level Design","608");
C=B.fN(" FORM and DEFINE FRAME Statements","609");
C=B.fN(" FRAME\u2013ROW and FRAME\u2013COL Options","610");
C=B.fN(" Positioning Frames with FRAME\u2013LINE","611");
C=B.fN(" Positioning Frames with FRAME\u2013DOWN","612");
C=B.fN(" Scrolling Frames","613");
C=B.fN(" Scrollable Frames","614");
C=B.fN(" Strip Menus","615");
C=B.fN(" Dialog Boxes","616");
C=B.fN(" Frames for Nonterminal Devices","617");
C=B.fN(" Multiple Active Frames","618");
B=A.fN(" Tab Order","619");
C=B.fN(" Tab Order for a Frame","620");
C=B.fN(" Tab Order for a Frame Family","621");
C=B.fN(" Tabbing and DATA\u2013ENTRY\u2013RETURN","622");
B=A.fN(" Active Window Display","623");
B=A.fN(" Three-dimensional Effects (Windows only; Graphical interfaces only)","624");
C=B.fN(" THREE\u2013D, Rectangles, and Images","625");
C=B.fN(" THREE\u2013D and Window Widgets","626");
C=B.fN(" 2D and 3D Widget Size Compatibility","627");
B=A.fN(" Windows Interface Design Options","628");
C=B.fN(" Incorporating Tooltip Details","629");
C=B.fN(" Accessing the Windows Help Engine","630");
C=B.fN(" Displaying the Small Icon Size","631");
A=P.fN("R-code Features and Functions","632#wp813023");
B=A.fN(" R-code Structure","633");
C=B.fN(" Factors that Affect R-code Size","634");
C=B.fN(" R-code File Segment Layout","635");
B=A.fN(" R-code Libraries","636");
B=A.fN(" R-code Libraries and PROPATH","637");
B=A.fN(" R-code Execution","638");
C=B.fN(" Standard R-code Execution Environment","639");
C=B.fN(" Memory-mapped R-code Execution Environment","640");
C=B.fN(" R-code Directory Management","641");
C=B.fN(" R-code Execution Environment Statistics","642");
B=A.fN(" R-code Portability","643");
B=A.fN(" Code Page Compatibility","644");
B=A.fN(" Database CRCs and Time Stamps","645");
C=B.fN(" Time Stamp Validation","646");
C=B.fN(" CRC Validation","647");
C=B.fN(" CRC Calculation","648");
C=B.fN(" CRC Versus Time Stamp Validation","649");
B=A.fN(" R-code CRCs and Procedure Integrity","650");
C=B.fN(" Assigning CRCs to Schema Triggers","651");
C=B.fN(" Validating CRCs for Schema Triggers","652");
C=B.fN(" RCODE\u2013INFO Handle","653");
}
