function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Results Administration  and Development Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp495");
B=A.fN("Audience","1#wp517");
B=A.fN("Organization of This Manual","1#wp572");
B=A.fN("How to Use This Manual","1#wp686");
B=A.fN("Typographical Conventions","1#wp692");
B=A.fN("Syntax Notation","1#wp752");
B=A.fN("Progress Messages","1#wp883");
B=A.fN("Other Useful Documentation","1#wp15060");
A=P.fN("Results for Administrators and Programmers","2#wp582");
B=A.fN(" Results Product Architecture","3");
var C=B.fN(" Basic Components","4");
B=A.fN(" Results Development and Administration","5");
B=A.fN(" Starting and Stopping Results","6");
A=P.fN("Administering Results","7#wp813275");
B=A.fN(" The Results Site Administration Menu","8");
B=A.fN(" Results and Application Databases","9");
C=B.fN(" Database Configuration Files","10");
C=B.fN(" Table Aliases","11");
C=B.fN(" Table Relationships and Multi-table Queries","12");
C=B.fN(" The Join Construction Dialog Box","13");
C=B.fN(" Database Schema Changes","14");
C=B.fN(" User Management","15");
B=A.fN(" Site Security Administration","16");
C=B.fN(" Application Security","17");
C=B.fN(" Data Security","18");
B=A.fN(" Site Defaults","19");
C=B.fN(" Standard Page Sizes","20");
C=B.fN(" Standard Export Formats","21");
C=B.fN(" Standard Label Sizes","22");
C=B.fN(" Label Field Selection Defaults","23");
A=P.fN("Programming Results","24#wp2337");
B=A.fN(" Results Architecture and Application Development","25");
B=A.fN(" Application Configuration","26");
C=B.fN(" Application Base Files","27");
C=B.fN(" Application Preferences","28");
B=A.fN(" Integration Points and Procedures","29");
B=A.fN(" Features","30");
C=B.fN(" Feature Procedures","31");
C=B.fN(" Feature Editor","32");
C=B.fN(" Menu Editor","33");
C=B.fN(" Tool Bar Editor","34");
C=B.fN(" Feature and Interface Management","35");
B=A.fN(" Results Application Programming Interface (API)","36");
C=B.fN(" API Basics","37");
C=B.fN(" Accessing and Editing the Current Query","38");
C=B.fN(" Generating New Queries","39");
B=A.fN(" Output Solutions in Results","40");
B=A.fN(" Export Solutions in Results","41");
B=A.fN(" Results Help System","42");
B=A.fN(" Results Main Application Procedure","43");
B=A.fN(" Code Generation","44");
C=B.fN(" Generating Code from Within Results","45");
C=B.fN(" Generating Code from an Application","46");
C=B.fN(" Ask at Run Time Values","47");
A=P.fN("Deploying Results Applications","48#wp132");
B=A.fN(" Deployment Process and Site Requirements","49");
B=A.fN(" Application Files for Deployment","50");
C=B.fN(" The Deployment Report","51");
C=B.fN(" Other Possible Deployment Files","52");
C=B.fN(" Graphics Files","53");
B=A.fN(" Application Databases","54");
B=A.fN(" The Application Directory Structure","55");
B=A.fN(" The Results Help System","56");
B=A.fN(" Application Compilation","57");
B=A.fN(" The Fastload System","58");
A=P.fN("Converting Character-based Results Applications to Graphical Results","59#wp696");
B=A.fN(" Results Converter Basics","60");
C=B.fN(" Converted Information","61");
C=B.fN(" Unconverted Information","62");
C=B.fN(" Additional Graphical Information","63");
B=A.fN(" Converting Applications","64");
C=B.fN(" Starting the Converter","65");
C=B.fN(" Converting Only the Configuration File","66");
C=B.fN(" Converting Only the Query Files","67");
C=B.fN(" Converting Both the Configuration and Query Files","68");
A=P.fN("Results Features","69#wp200");
B=A.fN(" AboutResults","70");
B=A.fN(" AdminCustomizeInterface","71");
B=A.fN(" AdminDeployment","72");
B=A.fN(" AdminExportType","73");
B=A.fN(" AdminFeatures","74");
B=A.fN(" AdminIntegration","75");
B=A.fN(" AdminLabelField","76");
B=A.fN(" AdminLabelType","77");
B=A.fN(" AdminMenuEdit","78");
B=A.fN(" AdminProgInitialize","79");
B=A.fN(" AdminProgInstantiate","80");
B=A.fN(" AdminProgWrite4GL","81");
B=A.fN(" AdminRebuild","82");
B=A.fN(" AdminReportType","83");
B=A.fN(" AdminReset","84");
B=A.fN(" AdminSecurity","85");
B=A.fN(" AdminSubMenu","86");
B=A.fN(" AdminTableAlias","87");
B=A.fN(" AdminTableRelations","88");
B=A.fN(" AdminToolBarEdit","89");
B=A.fN(" AdminWhere","90");
B=A.fN(" Array","91");
B=A.fN(" BrowseView","92");
B=A.fN(" CalcSubMenu","93");
B=A.fN(" Counter","94");
B=A.fN(" CustomLabel","95");
B=A.fN(" CustomReport","96");
B=A.fN(" DataGovernor","97");
B=A.fN(" DateFunc","98");
B=A.fN(" Exit","99");
B=A.fN(" ExportSubMenu","100");
B=A.fN(" ExportView","101");
B=A.fN(" FieldDelimiters","102");
B=A.fN(" FieldProperties","103");
B=A.fN(" Fields","104");
B=A.fN(" FieldSeparators","105");
B=A.fN(" FileClose","106");
B=A.fN(" FileDelete","107");
B=A.fN(" FileOpen","108");
B=A.fN(" FileSave","109");
B=A.fN(" FileSaveAs","110");
B=A.fN(" FixedWidthFields","111");
B=A.fN(" FormView","112");
B=A.fN(" FrameProperties","113");
B=A.fN(" Generate","114");
B=A.fN(" HeadersAndFooters","115");
B=A.fN(" HelpContents","116");
B=A.fN(" HelpSearch","117");
B=A.fN(" HelpUse","118");
B=A.fN(" Includes","119");
B=A.fN(" Information","120");
B=A.fN(" Joins","121");
B=A.fN(" LabelView","122");
B=A.fN(" LogicalFunc","123");
B=A.fN(" Lookup","124");
B=A.fN(" MasterDetail","125");
B=A.fN(" Math","126");
B=A.fN(" Messages","127");
B=A.fN(" NewBrowseView","128");
B=A.fN(" NewDuplicateView","129");
B=A.fN(" NewExportView","130");
B=A.fN(" NewFormView","131");
B=A.fN(" NewLabelView","132");
B=A.fN(" NewReportView","133");
B=A.fN(" NewSubMenu","134");
B=A.fN(" NumericFunc","135");
B=A.fN(" OutputHeaderRecord","136");
B=A.fN(" PageBreak","137");
B=A.fN(" PercentTotal","138");
B=A.fN(" PrintClip","139");
B=A.fN(" PrintFile","140");
B=A.fN(" PrintPreview","141");
B=A.fN(" PrintPrinter","142");
B=A.fN(" PrintPrinterNoBox","143");
B=A.fN(" PrintSubMenu","144");
B=A.fN(" ProgrammingSubMenu","145");
B=A.fN(" ReadOtherDirectory","146");
B=A.fN(" ReadPublicDirectory","147");
B=A.fN(" ReAsk","148");
B=A.fN(" RecentMessages","149");
B=A.fN(" RecordAdd","150");
B=A.fN(" RecordDelete","151");
B=A.fN(" RecordEnd","152");
B=A.fN(" RecordStart","153");
B=A.fN(" RecordUpdate","154");
B=A.fN(" ReportView","155");
B=A.fN(" RunningTotal","156");
B=A.fN(" Selection","157");
B=A.fN(" SortOrdering","158");
B=A.fN(" StandardExport","159");
B=A.fN(" StandardLabel","160");
B=A.fN(" StandardReport","161");
B=A.fN(" StatusLine","162");
B=A.fN(" StringFunc","163");
B=A.fN(" Tables","164");
B=A.fN(" ToolBar","165");
B=A.fN(" Totals","166");
B=A.fN(" TotalsOnly","167");
B=A.fN(" WriteOtherDirectory","168");
B=A.fN(" WritePublicDirectory","169");
A=P.fN("Results Limits","170#wp331");
A=P.fN("Results Files","171#wp668");
B=A.fN(" Files Generated by Results","172");
B=A.fN(" Editing the results.l File","173");
C=B.fN(" Delimiter Characters","174");
C=B.fN(" Standard Export Formats","175");
C=B.fN(" Standard Label Formats","176");
C=B.fN(" Standard Page Formats","177");
B=A.fN(" Editing a QC7 File","178");
B=A.fN(" Editing a QD7 File","179");
B=A.fN(" Editing User Interface and Feature Files","180");
}
