function  WWHBookData_Files(P)
{
P.fA("Progress  Results User\u2019s Guide for UNIX","ruc-01-1.html");
P.fA("Preface","ruc-02-1.html");
P.fA("Results Overview","ruc-03-01.html");
P.fA(" Introduction ","ruc-03-02.html");
P.fA(" Database Terms","ruc-03-03.html");
P.fA(" Database Basics","ruc-03-04.html");
P.fA(" Table Relationships","ruc-03-05.html");
P.fA(" An Overview of Results","ruc-03-06.html");
P.fA(" Query","ruc-03-07.html");
P.fA(" Reports","ruc-03-08.html");
P.fA(" Labels","ruc-03-09.html");
P.fA(" Data Export","ruc-03-10.html");
P.fA(" User","ruc-03-11.html");
P.fA(" Administration","ruc-03-12.html");
P.fA(" Exit","ruc-03-13.html");
P.fA(" Accessing Help ","ruc-03-14.html");
P.fA(" Summary","ruc-03-15.html");
P.fA("General Information","ruc-04-01.html");
P.fA(" Installing and Accessing Results","ruc-04-02.html");
P.fA(" The DLCRES Environment Variable        ","ruc-04-03.html");
P.fA(" The PROPATH Environment Variable      ","ruc-04-04.html");
P.fA(" Progress Startup Parameters","ruc-04-05.html");
P.fA(" Starting Results ","ruc-04-06.html");
P.fA(" Results Keystrokes ","ruc-04-07.html");
P.fA(" Window Areas","ruc-04-08.html");
P.fA(" Menu Options","ruc-04-09.html");
P.fA(" Information Window","ruc-04-10.html");
P.fA(" Layout Window","ruc-04-11.html");
P.fA(" Form Window","ruc-04-12.html");
P.fA(" Vertical Menus, Horizontal Menus, and Selection Lists","ruc-04-13.html");
P.fA(" Vertical Menus ","ruc-04-14.html");
P.fA(" Horizontal Menus","ruc-04-15.html");
P.fA(" Selection Lists","ruc-04-16.html");
P.fA(" Where To Go From Here","ruc-04-17.html");
P.fA("A Tour Through Results","ruc-05-01.html");
P.fA(" Introduction ","ruc-05-02.html");
P.fA(" Results Tour Preparations","ruc-05-03.html");
P.fA(" Creating a Copy of the Sports Database ","ruc-05-04.html");
P.fA(" Starting Results for the Tour","ruc-05-05.html");
P.fA(" Moving Between Results and Progress","ruc-05-06.html");
P.fA(" The Query Module ","ruc-05-07.html");
P.fA(" Finding the Next, Prev, First, and Last Records  ","ruc-05-08.html");
P.fA(" Adding and Deleting a Record ","ruc-05-09.html");
P.fA(" Browsing Through Records ","ruc-05-10.html");
P.fA(" Joining Files ","ruc-05-11.html");
P.fA(" The Reports Module ","ruc-05-12.html");
P.fA(" Defining Files and Fields","ruc-05-13.html");
P.fA(" Running a Report ","ruc-05-14.html");
P.fA(" Saving Your Report ","ruc-05-15.html");
P.fA(" Getting a Report    ","ruc-05-16.html");
P.fA(" Adding a Math Expression ","ruc-05-17.html");
P.fA(" Hiding Repeating Values and Changing Field Formats and Labels ","ruc-05-18.html");
P.fA(" Adding Break Groups, Totals, and Page Ejects","ruc-05-19.html");
P.fA(" Adding a WHERE Clause","ruc-05-20.html");
P.fA(" Adding a Header to a Report ","ruc-05-21.html");
P.fA(" Adjusting the Spacing in a Report ","ruc-05-22.html");
P.fA(" Tour of the Data Export Module ","ruc-05-23.html");
P.fA(" Selecting a Data Export Type","ruc-05-24.html");
P.fA(" Removing a WHERE Clause ","ruc-05-25.html");
P.fA(" The Labels Module ","ruc-05-26.html");
P.fA(" Adding Text to a Label ","ruc-05-27.html");
P.fA(" Adjusting Settings  ","ruc-05-28.html");
P.fA(" Stopping Results ","ruc-05-29.html");
P.fA(" Summary","ruc-05-30.html");
P.fA("Query Module","ruc-06-01.html");
P.fA(" Introduction","ruc-06-02.html");
P.fA(" Query Module Main Menu","ruc-06-03.html");
P.fA(" Query Features","ruc-06-04.html");
P.fA(" Updating a Record","ruc-06-05.html");
P.fA(" Copying a Record","ruc-06-06.html");
P.fA(" Switching to Other Forms","ruc-06-07.html");
P.fA(" Querying for Records","ruc-06-08.html");
P.fA(" Using Expert Mode in WHERE Clauses","ruc-06-09.html");
P.fA(" Getting Information About the Current Set of Records   ","ruc-06-10.html");
P.fA(" Moving to Another Module ","ruc-06-11.html");
P.fA(" Finding the Total Number of Records in a File ","ruc-06-12.html");
P.fA(" Changing the Order of Records ","ruc-06-13.html");
P.fA(" The User Option ","ruc-06-14.html");
P.fA(" Summary","ruc-06-15.html");
P.fA("Reports Module","ruc-07-01.html");
P.fA(" Introduction","ruc-07-02.html");
P.fA(" Reports Module Main Menu","ruc-07-03.html");
P.fA(" Report Markers","ruc-07-04.html");
P.fA(" Report Features","ruc-07-05.html");
P.fA(" Adding Fields to a Report ","ruc-07-06.html");
P.fA(" Deleting Fields from a Report      ","ruc-07-07.html");
P.fA(" Defining Array Fields for Reports","ruc-07-08.html");
P.fA(" Adding a Header or Footer to a Report    ","ruc-07-09.html");
P.fA(" Adjusting Spacing in a Report     ","ruc-07-10.html");
P.fA(" Changing the Order of Records in a Report   ","ruc-07-11.html");
P.fA(" Adding a Percent of Total to a Report    ","ruc-07-12.html");
P.fA(" Getting Information About the Current Report","ruc-07-13.html");
P.fA(" Deleting a Report   ","ruc-07-14.html");
P.fA(" Adding a WHERE Clause with Ask Mode","ruc-07-15.html");
P.fA(" Creating Totals Only Reports       ","ruc-07-16.html");
P.fA(" Defining Totals Only Reports     ","ruc-07-17.html");
P.fA(" Summarizing a Non-numeric Field      ","ruc-07-18.html");
P.fA(" Expanding a Report Using the Totals Only Report    ","ruc-07-19.html");
P.fA(" Summary","ruc-07-20.html");
P.fA("Labels Module","ruc-08-01.html");
P.fA(" Introduction","ruc-08-02.html");
P.fA(" Labels Module Main Menu","ruc-08-03.html");
P.fA(" Labels Features","ruc-08-04.html");
P.fA(" Saving Label Definitions                   ","ruc-08-05.html");
P.fA(" Getting Label Definitions ","ruc-08-06.html");
P.fA(" Copying Label Definitions ","ruc-08-07.html");
P.fA(" Running Label Definitions","ruc-08-08.html");
P.fA(" Clearing and Deleting Label Definitions ","ruc-08-09.html");
P.fA(" Defining Labels Manually","ruc-08-10.html");
P.fA(" Adding Text to Labels","ruc-08-11.html");
P.fA(" Adding Fields to Labels    ","ruc-08-12.html");
P.fA(" Adjusting Label Settings ","ruc-08-13.html");
P.fA(" Summary","ruc-08-14.html");
P.fA("Data Export Module","ruc-09-01.html");
P.fA(" Introduction","ruc-09-02.html");
P.fA(" Data Export Module Main Menu ","ruc-09-03.html");
P.fA(" Layout Window Settings ","ruc-09-04.html");
P.fA(" Data Export Features","ruc-09-05.html");
P.fA(" Adding Fields to a Data Export Report      ","ruc-09-06.html");
P.fA(" Exporting Reports in Progress Format ","ruc-09-07.html");
P.fA(" Exporting Data in Non-Progress Format","ruc-09-08.html");
P.fA(" Exporting Data in ASCII Format ","ruc-09-09.html");
P.fA(" Using Expert Mode to Change ASCII Settings","ruc-09-10.html");
P.fA(" Summary","ruc-09-11.html");
P.fA("Multiple Databases with Results    ","ruc-10-1.html");
P.fA(" Introduction","ruc-10-2.html");
P.fA(" Accessing Multiple Databases","ruc-10-3.html");
P.fA(" Starting Results with Multiple Databases","ruc-10-4.html");
P.fA(" Querying Multiple Databases","ruc-10-5.html");
P.fA(" Joining File Information     ","ruc-10-6.html");
P.fA(" Adding Fields to a Report","ruc-10-7.html");
P.fA(" Summary","ruc-10-8.html");
P.fA("Database Administration","ruc-11-01.html");
P.fA(" General Administration ","ruc-11-02.html");
P.fA(" When to Edit the results.l File","ruc-11-03.html");
P.fA(" Description of the Initial Build","ruc-11-04.html");
P.fA(" Default Forms","ruc-11-05.html");
P.fA(" Where Results Places the QC File","ruc-11-06.html");
P.fA(" Logging Initial Build Information","ruc-11-07.html");
P.fA(" Default Options","ruc-11-08.html");
P.fA(" After the Initial Build","ruc-11-09.html");
P.fA(" The Administration Module","ruc-11-10.html");
P.fA(" The Files Options          ","ruc-11-11.html");
P.fA(" Form Definitions for Query","ruc-11-12.html");
P.fA(" Relations Between Files       ","ruc-11-13.html");
P.fA(" Security Options          ","ruc-11-14.html");
P.fA(" Contents of a User Directory","ruc-11-15.html");
P.fA(" Exiting the Application ","ruc-11-16.html");
P.fA(" Module Permissions ","ruc-11-17.html");
P.fA(" Query Permissions      ","ruc-11-18.html");
P.fA(" Sign-on Program/Product Name       ","ruc-11-19.html");
P.fA(" The Configuration Options","ruc-11-20.html");
P.fA(" Language","ruc-11-21.html");
P.fA(" Printer Setup","ruc-11-22.html");
P.fA(" Terminal Color Settings     ","ruc-11-23.html");
P.fA(" Modules Options","ruc-11-24.html");
P.fA(" Browse Program for Query","ruc-11-25.html");
P.fA(" Default Report Settings ","ruc-11-26.html");
P.fA(" User-defined Export Format","ruc-11-27.html");
P.fA(" Label Field Selection","ruc-11-28.html");
P.fA(" User Option","ruc-11-29.html");
P.fA(" Summary","ruc-11-30.html");
P.fA("Integrating Results into Existing Applications    ","ruc-12-01.html");
P.fA(" Introduction","ruc-12-02.html");
P.fA(" Running Results from Your Own Progress Application          ","ruc-12-03.html");
P.fA(" Tailoring the Startup Logo","ruc-12-04.html");
P.fA(" Adding Your Own Menu Options to Results","ruc-12-05.html");
P.fA(" Using Customized Help Messages","ruc-12-06.html");
P.fA(" Using Shared Variables ","ruc-12-07.html");
P.fA(" Testing the Version Number ","ruc-12-08.html");
P.fA(" Determining the Originating Module   ","ruc-12-09.html");
P.fA(" Determining the Video Attributes ","ruc-12-10.html");
P.fA(" Determining the Name of the Originating Program","ruc-12-11.html");
P.fA(" Determining the Order Criteria Defined ","ruc-12-12.html");
P.fA(" Determining Files and Selection Criteria","ruc-12-13.html");
P.fA(" Determining the Fields Selected for Reports ","ruc-12-14.html");
P.fA(" Using Results Dialog Box Procedures in Your Applications ","ruc-12-15.html");
P.fA(" Error Message Box","ruc-12-16.html");
P.fA(" Logical Choice Box","ruc-12-17.html");
P.fA(" Using the Generated Report, Labels, and Data Export Code ","ruc-12-18.html");
P.fA(" Designing Your Own Export Format","ruc-12-19.html");
P.fA(" Designing Your Own Print Menu","ruc-12-20.html");
P.fA(" Designing a Browse Program for Query","ruc-12-21.html");
P.fA(" Deploying an Application: A Tailored Results Interface","ruc-12-22.html");
P.fA(" Configuration Information ","ruc-12-23.html");
P.fA(" Query Form Information","ruc-12-24.html");
P.fA("Startup and Shutdown Procedures","ruc-13-1.html");
P.fA(" Running Results in Non-English Languages ","ruc-13-2.html");
P.fA(" Starting Results from the Progress Procedure Editor","ruc-13-3.html");
P.fA(" Starting Results with One Database ","ruc-13-4.html");
P.fA(" Starting Results with Multiple Databases","ruc-13-5.html");
P.fA(" Starting a Server for the Database","ruc-13-6.html");
P.fA(" Shutting Down a Server for the Database","ruc-13-7.html");
P.fA(" Stopping Results","ruc-13-8.html");
P.fA("Option Descriptions","ruc-14-1.html");
P.fA(" Menu Options ","ruc-14-2.html");
P.fA(" Common Menu Options\u2018","ruc-14-3.html");
P.fA(" Menu Options for the Query Module ","ruc-14-4.html");
P.fA(" Horizontal Menu Options for the Reports Module ","ruc-14-5.html");
P.fA(" Horizontal Menu Options for the Labels Module ","ruc-14-6.html");
P.fA(" Horizontal Menu Options for the Data Export Module","ruc-14-7.html");
P.fA("Field Display Formats","ruc-15-1.html");
P.fA(" Introduction to the Field Display Formats","ruc-15-2.html");
P.fA(" Default Display Formats    ","ruc-15-3.html");
P.fA(" Character Display Formats","ruc-15-4.html");
P.fA(" Numeric Display Formats","ruc-15-5.html");
P.fA(" Logical Display Formats","ruc-15-6.html");
P.fA(" Date Display Formats","ruc-15-7.html");
P.fA(" How to Test and Override Default Display Formats","ruc-15-8.html");
P.fA("Results Limits ","ruc-16-1.html");
P.fA("Files that Results Creates","ruc-17-01.html");
P.fA(" The .qc File","ruc-17-02.html");
P.fA(" Primary Rule when Editing the .qc File","ruc-17-03.html");
P.fA(" Editing Forms and Joins","ruc-17-04.html");
P.fA(" Order of Options","ruc-17-05.html");
P.fA(" The .ql File","ruc-17-06.html");
P.fA(" The .qd File","ruc-17-07.html");
P.fA(" Users Must Have Their Own Directories","ruc-17-08.html");
P.fA(" Important Lines in the .qd File","ruc-17-09.html");
P.fA(" Scratch Files","ruc-17-10.html");
P.fA("Order of Evaluation","ruc-18-1.html");
P.fA(" Using Expressions","ruc-18-2.html");
P.fA(" Evaluating Expressions    ","ruc-18-3.html");
P.fA("Helpful Information","ruc-19-01.html");
P.fA(" Common Problems During Initial Build","ruc-19-02.html");
P.fA(" 444 Error","ruc-19-03.html");
P.fA(" Too Many Joins","ruc-19-04.html");
P.fA(" Limit on Query Forms:  63KB ","ruc-19-05.html");
P.fA(" Missing .qc File with Multiple Databases ","ruc-19-06.html");
P.fA(" Building in Same Directory as Application","ruc-19-07.html");
P.fA(" Overwriting Customized Query Forms","ruc-19-08.html");
P.fA(" When Query Forms Do Not Compile","ruc-19-09.html");
P.fA(" Missing Validation Files","ruc-19-10.html");
P.fA(" Shared Variable in Validation Expression","ruc-19-11.html");
P.fA(" R-code Greater than 63KB","ruc-19-12.html");
P.fA(" Problems Running a Defined Report","ruc-19-13.html");
P.fA(" Language Errors","ruc-19-14.html");
P.fA(" Progress Messages are Not in Correct Language","ruc-19-15.html");
P.fA(" Results Not Defaulting to Correct Language","ruc-19-16.html");
P.fA(" Address Fields in Labels Module Default to Wrong Language Version","ruc-19-17.html");
P.fA("Glossary","ruc-20-1.html");
}
