function  WWHBookData_Files(P)
{
P.fA("Progress  SQL-92  Guide and Reference ","s92-01-1.html");
P.fA("Preface","s92-02-1.html");
P.fA("Getting Started with SQL-92","s92-03-01.html");
P.fA(" Introduction to SQL","s92-03-02.html");
P.fA(" Review of Relational Database Components","s92-03-03.html");
P.fA(" SQL Statements","s92-03-04.html");
P.fA(" SQL-92 Language Elements","s92-03-05.html");
P.fA(" Considerations for Internationalization","s92-03-06.html");
P.fA(" Progress SQL Explorer","s92-03-07.html");
P.fA(" Starting SQL Explorer on Windows","s92-03-08.html");
P.fA(" Starting SQL Explorer in Character Mode","s92-03-09.html");
P.fA(" Connecting to a Database","s92-03-10.html");
P.fA(" Running a Single SQL-92 Statement","s92-03-11.html");
P.fA(" Running Multiple SQL-92 Statements","s92-03-12.html");
P.fA(" Saving SQL-92 Statements to a File","s92-03-13.html");
P.fA(" Running SQL-92 Statements from an Input File","s92-03-14.html");
P.fA(" Including Files Containing SQL-92 Statements into Statement History","s92-03-15.html");
P.fA(" Modifying SQL Explorer Properties","s92-03-16.html");
P.fA(" Running Windows SQL Explorer in Batch Mode","s92-03-17.html");
P.fA(" Typical Pattern of Use","s92-03-18.html");
P.fA(" Create a Table","s92-03-19.html");
P.fA(" Populate the Table","s92-03-20.html");
P.fA(" Execute Queries Against the Table","s92-03-21.html");
P.fA(" Drop the Table","s92-03-22.html");
P.fA(" Other Sources of Information","s92-03-23.html");
P.fA(" SQL Resources","s92-03-24.html");
P.fA("SQL-92 Language Elements","s92-04-01.html");
P.fA(" Overview","s92-04-02.html");
P.fA(" Language Elements and Internationalization","s92-04-03.html");
P.fA(" SQL-92 Identifiers","s92-04-04.html");
P.fA(" Conventional Identifiers","s92-04-05.html");
P.fA(" Delimited Identifiers","s92-04-06.html");
P.fA(" Data Types","s92-04-07.html");
P.fA(" Character Data Types","s92-04-08.html");
P.fA(" Exact Numeric Data Types","s92-04-09.html");
P.fA(" Approximate Numeric Data Types","s92-04-10.html");
P.fA(" Date-time Data Types","s92-04-11.html");
P.fA(" Bit String Data Types","s92-04-12.html");
P.fA(" Query Expressions","s92-04-13.html");
P.fA(" Query Specification","s92-04-14.html");
P.fA(" Set Operator","s92-04-15.html");
P.fA(" Joins","s92-04-16.html");
P.fA(" Inner Joins","s92-04-17.html");
P.fA(" Outer Joins","s92-04-18.html");
P.fA(" Search Conditions","s92-04-19.html");
P.fA(" Logical Operators: OR, AND, NOT","s92-04-20.html");
P.fA(" Relational Operators","s92-04-21.html");
P.fA(" Basic Predicate","s92-04-22.html");
P.fA(" Quantified Predicate","s92-04-23.html");
P.fA(" BETWEEN Predicate","s92-04-24.html");
P.fA(" NULL Predicate","s92-04-25.html");
P.fA(" LIKE Predicate","s92-04-26.html");
P.fA(" EXISTS Predicate","s92-04-27.html");
P.fA(" IN Predicate","s92-04-28.html");
P.fA(" OUTER JOIN Predicate","s92-04-29.html");
P.fA(" Expressions","s92-04-30.html");
P.fA(" Numeric Arithmetic Expressions","s92-04-31.html");
P.fA(" Date Arithmetic Expressions","s92-04-32.html");
P.fA(" Conditional Expressions","s92-04-33.html");
P.fA(" Literals","s92-04-34.html");
P.fA(" Numeric Literals","s92-04-35.html");
P.fA(" Character-String Literals","s92-04-36.html");
P.fA(" Date-time Literals","s92-04-37.html");
P.fA(" Date-time Format Strings","s92-04-38.html");
P.fA(" Date-format Strings","s92-04-39.html");
P.fA(" Time-format Strings","s92-04-40.html");
P.fA("SQL-92 Statements","s92-05-01.html");
P.fA("SQL-92 Statements","s92-05-02.html");
P.fA("ALTER USER Statement","s92-05-03.html");
P.fA("BEGIN-END DECLARE SECTION","s92-05-04.html");
P.fA("CALL Statement","s92-05-05.html");
P.fA("CLOSE Statement","s92-05-06.html");
P.fA("Column Constraints","s92-05-07.html");
P.fA("COMMIT Statement","s92-05-08.html");
P.fA("CONNECT Statement","s92-05-09.html");
P.fA("CREATE INDEX Statement","s92-05-10.html");
P.fA("CREATE PROCEDURE Statement","s92-05-11.html");
P.fA("CREATE SYNONYM Statement","s92-05-12.html");
P.fA("CREATE TABLE Statement","s92-05-13.html");
P.fA("CREATE TRIGGER Statement","s92-05-14.html");
P.fA("CREATE USER Statement","s92-05-15.html");
P.fA("CREATE VIEW Statement","s92-05-16.html");
P.fA("DECLARE CURSOR Statement","s92-05-17.html");
P.fA("DELETE Statement","s92-05-18.html");
P.fA("DESCRIBE Statement","s92-05-19.html");
P.fA("DESCRIBE BIND VARIABLES Statement","s92-05-20.html");
P.fA("DESCRIBE SELECT LIST Statement","s92-05-21.html");
P.fA("DISCONNECT Statement","s92-05-22.html");
P.fA("DROP INDEX Statement","s92-05-23.html");
P.fA("DROP PROCEDURE Statement","s92-05-24.html");
P.fA("DROP SYNONYM Statement","s92-05-25.html");
P.fA("DROP TABLE Statement","s92-05-26.html");
P.fA("DROP TRIGGER Statement","s92-05-27.html");
P.fA("DROP USER Statement","s92-05-28.html");
P.fA("DROP VIEW Statement","s92-05-29.html");
P.fA("EXEC SQL Delimiter","s92-05-30.html");
P.fA("EXECUTE Statement","s92-05-31.html");
P.fA("EXECUTE IMMEDIATE Statement","s92-05-32.html");
P.fA("FETCH Statement","s92-05-33.html");
P.fA("GET DIAGNOSTICS Statement","s92-05-34.html");
P.fA("GET DIAGNOSTICS EXCEPTION Statement","s92-05-35.html");
P.fA("GRANT Statement","s92-05-36.html");
P.fA("INSERT Statement","s92-05-37.html");
P.fA("LOCK TABLE Statement","s92-05-38.html");
P.fA("OPEN Statement","s92-05-39.html");
P.fA("PREPARE Statement","s92-05-40.html");
P.fA("REVOKE Statement","s92-05-41.html");
P.fA("ROLLBACK Statement","s92-05-42.html");
P.fA("SELECT Statement","s92-05-43.html");
P.fA("COLUMN_LIST Clause","s92-05-44.html");
P.fA("FROM Clause","s92-05-45.html");
P.fA("WHERE Clause","s92-05-46.html");
P.fA("GROUP BY CLAUSE","s92-05-47.html");
P.fA("HAVING CLAUSE","s92-05-48.html");
P.fA("ORDER BY Clause ","s92-05-49.html");
P.fA("FOR UPDATE Clause","s92-05-50.html");
P.fA("SET CONNECTION Statement","s92-05-51.html");
P.fA("SET SCHEMA Statement","s92-05-52.html");
P.fA("SET TRANSACTION ISOLATION LEVEL Statement","s92-05-53.html");
P.fA("Table Constraints","s92-05-54.html");
P.fA("UPDATE Statement","s92-05-55.html");
P.fA("UPDATE STATISTICS Statement","s92-05-56.html");
P.fA("WHENEVER Statement","s92-05-57.html");
P.fA("SQL-92 Functions","s92-06-01.html");
P.fA("SQL-92 Functions","s92-06-02.html");
P.fA("AVG Function","s92-06-03.html");
P.fA("COUNT Function","s92-06-04.html");
P.fA("MAX Function","s92-06-05.html");
P.fA("MIN Function","s92-06-06.html");
P.fA("SUM Function","s92-06-07.html");
P.fA("ABS Function","s92-06-08.html");
P.fA("ACOS Function","s92-06-09.html");
P.fA("ADD_MONTHS Function","s92-06-10.html");
P.fA("ASCII Function","s92-06-11.html");
P.fA("ASIN Function","s92-06-12.html");
P.fA("ATAN Function","s92-06-13.html");
P.fA("ATAN2 Function","s92-06-14.html");
P.fA("CASE Function","s92-06-15.html");
P.fA("CAST Function","s92-06-16.html");
P.fA("CEILING Function","s92-06-17.html");
P.fA("CHAR Function","s92-06-18.html");
P.fA("CHR Function","s92-06-19.html");
P.fA("COALESCE Function","s92-06-20.html");
P.fA("CONCAT Function","s92-06-21.html");
P.fA("CONVERT Function (ODBC Compatible)","s92-06-22.html");
P.fA("CONVERT Function (Progress Extension)","s92-06-23.html");
P.fA("COS Function","s92-06-24.html");
P.fA("CURDATE Function","s92-06-25.html");
P.fA("CURTIME Function","s92-06-26.html");
P.fA("DATABASE Function","s92-06-27.html");
P.fA("DAYNAME Function","s92-06-28.html");
P.fA("DAYOFMONTH Function","s92-06-29.html");
P.fA("DAYOFWEEK Function","s92-06-30.html");
P.fA("DAYOFYEAR Function","s92-06-31.html");
P.fA("DB_NAME Function","s92-06-32.html");
P.fA("DECODE Function","s92-06-33.html");
P.fA("DEGREES Function","s92-06-34.html");
P.fA("EXP Function","s92-06-35.html");
P.fA("FLOOR Function","s92-06-36.html");
P.fA("GREATEST Function","s92-06-37.html");
P.fA("HOUR FUNCTION","s92-06-38.html");
P.fA("IFNULL Function","s92-06-39.html");
P.fA("INITCAP Function","s92-06-40.html");
P.fA("INSERT Function ","s92-06-41.html");
P.fA("INSTR Function","s92-06-42.html");
P.fA("LAST_DAY Function","s92-06-43.html");
P.fA("LCASE Function","s92-06-44.html");
P.fA("LEAST Function","s92-06-45.html");
P.fA("LEFT Function","s92-06-46.html");
P.fA("LENGTH Function","s92-06-47.html");
P.fA("LOCATE Function","s92-06-48.html");
P.fA("LOG10 Function","s92-06-49.html");
P.fA("LOWER Function","s92-06-50.html");
P.fA("LPAD Function","s92-06-51.html");
P.fA("LTRIM Function","s92-06-52.html");
P.fA("MINUTE Function","s92-06-53.html");
P.fA("MOD Function","s92-06-54.html");
P.fA("MONTH Function","s92-06-55.html");
P.fA("MONTHNAME Function","s92-06-56.html");
P.fA("MONTHS_BETWEEN Function","s92-06-57.html");
P.fA("NEXT_DAY Function","s92-06-58.html");
P.fA("NOW Function","s92-06-59.html");
P.fA("NULLIF Function","s92-06-60.html");
P.fA("NVL Function","s92-06-61.html");
P.fA("PI Function","s92-06-62.html");
P.fA("POWER Function","s92-06-63.html");
P.fA("PREFIX Function","s92-06-64.html");
P.fA("PRO_* Functions","s92-06-65.html");
P.fA("QUARTER Function","s92-06-66.html");
P.fA("RADIANS Function","s92-06-67.html");
P.fA("RAND Function","s92-06-68.html");
P.fA("REPEAT Function","s92-06-69.html");
P.fA("REPLACE Function","s92-06-70.html");
P.fA("RIGHT Function","s92-06-71.html");
P.fA("ROUND Function","s92-06-72.html");
P.fA("ROWID Function","s92-06-73.html");
P.fA("RPAD Function","s92-06-74.html");
P.fA("RTRIM Function","s92-06-75.html");
P.fA("SECOND Function","s92-06-76.html");
P.fA("SIGN Function","s92-06-77.html");
P.fA("SIN Function","s92-06-78.html");
P.fA("SQRT Function","s92-06-79.html");
P.fA("SUBSTR Function","s92-06-80.html");
P.fA("SUBSTRING Function (ODBC Compatible)","s92-06-81.html");
P.fA("SUFFIX Function","s92-06-82.html");
P.fA("SYSDATE Function","s92-06-83.html");
P.fA("SYSTIME Function","s92-06-84.html");
P.fA("SYSTIMESTAMP Function","s92-06-85.html");
P.fA("TAN Function","s92-06-86.html");
P.fA("TO_CHAR Function","s92-06-87.html");
P.fA("TO_DATE","s92-06-88.html");
P.fA("TO_NUMBER Function","s92-06-89.html");
P.fA("TO_TIME Function","s92-06-90.html");
P.fA("TO_TIMESTAMP Function","s92-06-91.html");
P.fA("TRANSLATE Function","s92-06-92.html");
P.fA("UCASE Function","s92-06-93.html");
P.fA("UPPER Function","s92-06-94.html");
P.fA("USER Function","s92-06-95.html");
P.fA("WEEK Function","s92-06-96.html");
P.fA("YEAR Function","s92-06-97.html");
P.fA("Java Stored Procedures and Triggers","s92-07-01.html");
P.fA(" Definitions of Java Stored Procedures and Triggers","s92-07-02.html");
P.fA(" Advantages of Stored Procedures","s92-07-03.html");
P.fA(" How Progress SQL-92 Interacts with Java","s92-07-04.html");
P.fA(" Creating Stored Procedures","s92-07-05.html");
P.fA(" Calling Stored Procedures","s92-07-06.html");
P.fA(" Using Stored Procedures","s92-07-07.html");
P.fA(" Stored Procedure Basics","s92-07-08.html");
P.fA(" What Is a Java Snippet?","s92-07-09.html");
P.fA(" Structure of Stored Procedures","s92-07-10.html");
P.fA(" Writing Stored Procedures","s92-07-11.html");
P.fA(" Invoking Stored Procedures","s92-07-12.html");
P.fA(" Modifying and Deleting Stored Procedures","s92-07-13.html");
P.fA(" Stored Procedure Security","s92-07-14.html");
P.fA(" Using the Progress SQL-92 Java Classes","s92-07-15.html");
P.fA(" Passing Values to SQL-92 Statements","s92-07-16.html");
P.fA(" Passing Values to and from Stored Procedures: Input and Output Parameters","s92-07-17.html");
P.fA(" Implicit Data Type Conversion Between SQL-92 and Java Types","s92-07-18.html");
P.fA(" Executing an SQL-92 Statement","s92-07-19.html");
P.fA(" Retrieving Data: the SQLCursor Class","s92-07-20.html");
P.fA(" Returning a Procedure Result Set to Applications: The RESULT Clause and DhSQLResultSet","s92-07-21.html");
P.fA(" Handling Null Values","s92-07-22.html");
P.fA(" Handling Errors","s92-07-23.html");
P.fA(" Calling Stored Procedures from Stored Procedures","s92-07-24.html");
P.fA(" INOUT and OUT Parameters When One Java Stored Procedure Calls Another","s92-07-25.html");
P.fA(" Using Triggers","s92-07-26.html");
P.fA(" Trigger Basics","s92-07-27.html");
P.fA(" Structure of Triggers","s92-07-28.html");
P.fA(" Triggers Versus Stored Procedures Versus Constraints","s92-07-29.html");
P.fA(" Typical Uses for Triggers","s92-07-30.html");
P.fA(" OLDROW and NEWROW Objects: Passing Values to Triggers","s92-07-31.html");
P.fA("Java Class Reference","s92-08-01.html");
P.fA("Java Class Reference","s92-08-02.html");
P.fA("DhSQLException","s92-08-03.html");
P.fA("DhSQLException.getDiagnostics","s92-08-04.html");
P.fA("DhSQLResultSet","s92-08-05.html");
P.fA("DhSQLResultSet.insert","s92-08-06.html");
P.fA("DhSQLResultSet.makeNULL","s92-08-07.html");
P.fA("DhSQLResultSet.set","s92-08-08.html");
P.fA("SQLCursor","s92-08-09.html");
P.fA("SQLCursor.close","s92-08-10.html");
P.fA("SQLCursor.fetch","s92-08-11.html");
P.fA("SQLCursor.found","s92-08-12.html");
P.fA("SQLCursor.getParam","s92-08-13.html");
P.fA("SQLCursor.getValue","s92-08-14.html");
P.fA("SQLCursor.makeNULL","s92-08-15.html");
P.fA("SQLCursor.open","s92-08-16.html");
P.fA("SQLCursor.registerOutParam","s92-08-17.html");
P.fA("SQLCursor.rowCount","s92-08-18.html");
P.fA("SQLCursor.setParam","s92-08-19.html");
P.fA("SQLCursor.wasNULL","s92-08-20.html");
P.fA("SQLIStatement ","s92-08-21.html");
P.fA("SQLIStatement.execute","s92-08-22.html");
P.fA("SQLIStatement.makeNULL","s92-08-23.html");
P.fA("SQLIStatement.rowCount","s92-08-24.html");
P.fA("SQLIStatement.setParam","s92-08-25.html");
P.fA("SQLPStatement","s92-08-26.html");
P.fA("SQLPStatement.execute","s92-08-27.html");
P.fA("SQLPStatement.makeNULL","s92-08-28.html");
P.fA("SQLPStatement.rowCount","s92-08-29.html");
P.fA("SQLPStatement.setParam","s92-08-30.html");
P.fA("Progress SQL-92 Reference Information","s92-09-1.html");
P.fA("Progress SQL-92 Reserved Words","s92-09-2.html");
P.fA("Progress SQL-92 System Limits","s92-09-3.html");
P.fA("Progress SQL-92 Error Messages","s92-09-4.html");
P.fA("Overview","s92-09-5.html");
P.fA("Error Codes, SQLSTATE Values, and Messages","s92-09-6.html");
P.fA("Progress SQL-92 System Catalog Tables","s92-10-01.html");
P.fA("Overview of System Catalog Tables","s92-10-02.html");
P.fA("SYSTABLES Core SystemTable","s92-10-03.html");
P.fA("SYSCOLUMNS Core SystemTable","s92-10-04.html");
P.fA("SYSINDEXES Core SystemTable","s92-10-05.html");
P.fA("SYSCALCTABLE System Table","s92-10-06.html");
P.fA("SYSCHARSTAT System Table","s92-10-07.html");
P.fA("SYSCOLAUTH System Table","s92-10-08.html");
P.fA("SYSCOLSTAT System Table","s92-10-09.html");
P.fA("SYSCOLUMNS_FULL System Table","s92-10-10.html");
P.fA("SYSDATATYPES System Table","s92-10-11.html");
P.fA("SYSDATESTAT System Table","s92-10-12.html");
P.fA("SYSDBAUTH System Table","s92-10-13.html");
P.fA("SYSFLOATSTAT System Table","s92-10-14.html");
P.fA("SYSIDXSTAT System Table","s92-10-15.html");
P.fA("SYSINTSTAT System Table","s92-10-16.html");
P.fA("SYSNUMSTAT System Table","s92-10-17.html");
P.fA("SYSPROCBIN System Table","s92-10-18.html");
P.fA("SYSPROCCOLUMNS System Table","s92-10-19.html");
P.fA("SYSPROCEDURES System Table","s92-10-20.html");
P.fA("SYSPROCTEXT System Table","s92-10-21.html");
P.fA("SYSREALSTAT System Table","s92-10-22.html");
P.fA("SYSSMINTSTAT System Table","s92-10-23.html");
P.fA("SYSSYNONYMS System Table","s92-10-24.html");
P.fA("SYSTABAUTH System Table","s92-10-25.html");
P.fA("SYSTABLES_FULL System Table","s92-10-26.html");
P.fA("SYSTBLSTAT System Table","s92-10-27.html");
P.fA("SYSTIMESTAT System Table","s92-10-28.html");
P.fA("SYSTINYINTSTAT System Table","s92-10-29.html");
P.fA("SYSTRIGCOLS System Table","s92-10-30.html");
P.fA("SYSTRIGGER System Table","s92-10-31.html");
P.fA("SYSTSSTAT System Table","s92-10-32.html");
P.fA("SYSVARCHARSTAT System Table","s92-10-33.html");
P.fA("SYSVIEWS System Table","s92-10-34.html");
P.fA("SYS_CHKCOL_USAGE System Table","s92-10-35.html");
P.fA("SYS_CHK_CONSTRS System Table","s92-10-36.html");
P.fA("SYS_KEYCOL_USAGE System Table","s92-10-37.html");
P.fA("SYS_REF_CONSTRS System Table","s92-10-38.html");
P.fA("SYS_TBL_CONSTRS System Table","s92-10-39.html");
P.fA("Data Type Compatibility Issues with Previous Versions of Progress","s92-11-1.html");
P.fA(" Supported Data Types and Corresponding SQL-92 Data Types","s92-11-2.html");
P.fA(" Support for the ARRAY Data Type","s92-11-3.html");
P.fA(" Overview","s92-11-4.html");
P.fA(" PRO_ELEMENT Function","s92-11-5.html");
P.fA(" PRO_ARR_ESCAPE Function","s92-11-6.html");
P.fA(" PRO_ARR_DESCAPE Function","s92-11-7.html");
P.fA(" Unsubscripted Array References","s92-11-8.html");
P.fA(" Unsubscripted Array Updates and Inserts ","s92-11-9.html");
P.fA("Progress SQL-92 Elements and Statements in Backus Naur Form (BNF)","s92-12-01.html");
P.fA("Data Types Syntax in BNF","s92-12-02.html");
P.fA("DATA TYPE","s92-12-03.html");
P.fA("Expressions Syntax in BNF","s92-12-04.html");
P.fA("EXPRESSION (expr)","s92-12-05.html");
P.fA("CONDITIONAL EXPRESSION","s92-12-06.html");
P.fA("Literals Syntax in BNF","s92-12-07.html");
P.fA("DATE-TIME LITERAL Syntax","s92-12-08.html");
P.fA("Query Expressions Syntax in BNF","s92-12-09.html");
P.fA("QUERY EXPRESSION ","s92-12-10.html");
P.fA("Search Conditions Syntax in BNF","s92-12-11.html");
P.fA("Statements, DDL and DML Syntax in BNF","s92-12-12.html");
P.fA("Compliance with Industry Standards","s92-13-1.html");
P.fA("Scalar Functions","s92-13-2.html");
P.fA("SQL-92 DDL and DML Statements","s92-13-3.html");
P.fA("Glossary","s92-14-1.html");
}
