function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  SQL-92  Guide and Reference","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp530258");
B=A.fN("Audience","1#wp530268");
B=A.fN("Organization of This Manual","1#wp530278");
B=A.fN("Typographical Conventions","1#wp530382");
B=A.fN("Syntax Notation","1#wp530442");
B=A.fN("How to Use This Manual","1#wp530535");
B=A.fN("Other Useful Documentation","1#wp539858");
A=P.fN("Getting Started with SQL-92","2#wp285043");
B=A.fN(" Introduction to SQL","3");
B=A.fN(" Review of Relational Database Components","4");
B=A.fN(" SQL Statements","5");
var C=B.fN(" SQL-92 Language Elements","6");
B=A.fN(" Considerations for Internationalization","7");
B=A.fN(" Progress SQL Explorer","8");
C=B.fN(" Starting SQL Explorer on Windows","9");
C=B.fN(" Starting SQL Explorer in Character Mode","10");
C=B.fN(" Connecting to a Database","11");
C=B.fN(" Running a Single SQL-92 Statement","12");
C=B.fN(" Running Multiple SQL-92 Statements","13");
C=B.fN(" Saving SQL-92 Statements to a File","14");
C=B.fN(" Running SQL-92 Statements from an Input File","15");
C=B.fN(" Including Files Containing SQL-92 Statements into Statement History","16");
C=B.fN(" Modifying SQL Explorer Properties","17");
C=B.fN(" Running Windows SQL Explorer in Batch Mode","18");
B=A.fN(" Typical Pattern of Use","19");
C=B.fN(" Create a Table","20");
C=B.fN(" Populate the Table","21");
C=B.fN(" Execute Queries Against the Table","22");
C=B.fN(" Drop the Table","23");
B=A.fN(" Other Sources of Information","24");
C=B.fN(" Progress Documentation","24#wp285825");
C=B.fN(" SQL Resources","25");
A=P.fN("SQL-92 Language Elements","26#wp1001392");
B=A.fN(" Overview","27");
C=B.fN(" Definitions of Language Elements","27#wp1001416");
C=B.fN(" Language Elements and Internationalization","28");
B=A.fN(" SQL-92 Identifiers","29");
C=B.fN(" Conventional Identifiers","30");
C=B.fN(" Delimited Identifiers","31");
B=A.fN(" Data Types","32");
C=B.fN(" Character Data Types","33");
C=B.fN(" Exact Numeric Data Types","34");
C=B.fN(" Approximate Numeric Data Types","35");
C=B.fN(" Date-time Data Types","36");
C=B.fN(" Bit String Data Types","37");
B=A.fN(" Query Expressions","38");
C=B.fN(" Query Specification","39");
C=B.fN(" Set Operator","40");
B=A.fN(" Joins","41");
C=B.fN(" Inner Joins","42");
C=B.fN(" Outer Joins","43");
B=A.fN(" Search Conditions","44");
C=B.fN(" Logical Operators: OR, AND, NOT","45");
C=B.fN(" Relational Operators","46");
C=B.fN(" Basic Predicate","47");
C=B.fN(" Quantified Predicate","48");
C=B.fN(" BETWEEN Predicate","49");
C=B.fN(" NULL Predicate","50");
C=B.fN(" LIKE Predicate","51");
C=B.fN(" EXISTS Predicate","52");
C=B.fN(" IN Predicate","53");
C=B.fN(" OUTER JOIN Predicate","54");
B=A.fN(" Expressions","55");
C=B.fN(" Numeric Arithmetic Expressions","56");
C=B.fN(" Date Arithmetic Expressions","57");
C=B.fN(" Conditional Expressions","58");
B=A.fN(" Literals","59");
C=B.fN(" Numeric Literals","60");
C=B.fN(" Character-String Literals","61");
C=B.fN(" Date-time Literals","62");
B=A.fN(" Date-time Format Strings","63");
C=B.fN(" Date-format Strings","64");
C=B.fN(" Time-format Strings","65");
A=P.fN("SQL-92 Statements","66#wp3790");
B=A.fN("SQL-92 Statements","67");
B=A.fN("ALTER USER Statement","68");
B=A.fN("BEGIN-END DECLARE SECTION","69");
B=A.fN("CALL Statement","70");
B=A.fN("CLOSE Statement","71");
B=A.fN("Column Constraints","72");
B=A.fN("COMMIT Statement","73");
B=A.fN("CONNECT Statement","74");
B=A.fN("CREATE INDEX Statement","75");
B=A.fN("CREATE PROCEDURE Statement","76");
B=A.fN("CREATE SYNONYM Statement","77");
B=A.fN("CREATE TABLE Statement","78");
B=A.fN("CREATE TRIGGER Statement","79");
B=A.fN("CREATE USER Statement","80");
B=A.fN("CREATE VIEW Statement","81");
B=A.fN("DECLARE CURSOR Statement","82");
B=A.fN("DELETE Statement","83");
B=A.fN("DESCRIBE Statement","84");
B=A.fN("DESCRIBE BIND VARIABLES Statement","85");
B=A.fN("DESCRIBE SELECT LIST Statement","86");
B=A.fN("DISCONNECT Statement","87");
B=A.fN("DROP INDEX Statement","88");
B=A.fN("DROP PROCEDURE Statement","89");
B=A.fN("DROP SYNONYM Statement","90");
B=A.fN("DROP TABLE Statement","91");
B=A.fN("DROP TRIGGER Statement","92");
B=A.fN("DROP USER Statement","93");
B=A.fN("DROP VIEW Statement","94");
B=A.fN("EXEC SQL Delimiter","95");
B=A.fN("EXECUTE Statement","96");
B=A.fN("EXECUTE IMMEDIATE Statement","97");
B=A.fN("FETCH Statement","98");
B=A.fN("GET DIAGNOSTICS Statement","99");
B=A.fN("GET DIAGNOSTICS EXCEPTION Statement","100");
B=A.fN("GRANT Statement","101");
B=A.fN("INSERT Statement","102");
B=A.fN("LOCK TABLE Statement","103");
B=A.fN("OPEN Statement","104");
B=A.fN("PREPARE Statement","105");
B=A.fN("REVOKE Statement","106");
B=A.fN("ROLLBACK Statement","107");
B=A.fN("SELECT Statement","108");
B=A.fN("COLUMN_LIST Clause","109");
B=A.fN("FROM Clause","110");
B=A.fN("WHERE Clause","111");
B=A.fN("GROUP BY CLAUSE","112");
B=A.fN("HAVING CLAUSE","113");
B=A.fN("ORDER BY Clause","114");
B=A.fN("FOR UPDATE Clause","115");
B=A.fN("SET CONNECTION Statement","116");
B=A.fN("SET SCHEMA Statement","117");
B=A.fN("SET TRANSACTION ISOLATION LEVEL Statement","118");
B=A.fN("Table Constraints","119");
B=A.fN("UPDATE Statement","120");
B=A.fN("UPDATE STATISTICS Statement","121");
B=A.fN("WHENEVER Statement","122");
A=P.fN("SQL-92 Functions","123#wp824921");
B=A.fN("SQL-92 Functions","124");
B=A.fN("AVG Function","125");
B=A.fN("COUNT Function","126");
B=A.fN("MAX Function","127");
B=A.fN("MIN Function","128");
B=A.fN("SUM Function","129");
B=A.fN("ABS Function","130");
B=A.fN("ACOS Function","131");
B=A.fN("ADD_MONTHS Function","132");
B=A.fN("ASCII Function","133");
B=A.fN("ASIN Function","134");
B=A.fN("ATAN Function","135");
B=A.fN("ATAN2 Function","136");
B=A.fN("CASE Function","137");
B=A.fN("CAST Function","138");
B=A.fN("CEILING Function","139");
B=A.fN("CHAR Function","140");
B=A.fN("CHR Function","141");
B=A.fN("COALESCE Function","142");
B=A.fN("CONCAT Function","143");
B=A.fN("CONVERT Function (ODBC Compatible)","144");
B=A.fN("CONVERT Function (Progress Extension)","145");
B=A.fN("COS Function","146");
B=A.fN("CURDATE Function","147");
B=A.fN("CURTIME Function","148");
B=A.fN("DATABASE Function","149");
B=A.fN("DAYNAME Function","150");
B=A.fN("DAYOFMONTH Function","151");
B=A.fN("DAYOFWEEK Function","152");
B=A.fN("DAYOFYEAR Function","153");
B=A.fN("DB_NAME Function","154");
B=A.fN("DECODE Function","155");
B=A.fN("DEGREES Function","156");
B=A.fN("EXP Function","157");
B=A.fN("FLOOR Function","158");
B=A.fN("GREATEST Function","159");
B=A.fN("HOUR FUNCTION","160");
B=A.fN("IFNULL Function","161");
B=A.fN("INITCAP Function","162");
B=A.fN("INSERT Function","163");
B=A.fN("INSTR Function","164");
B=A.fN("LAST_DAY Function","165");
B=A.fN("LCASE Function","166");
B=A.fN("LEAST Function","167");
B=A.fN("LEFT Function","168");
B=A.fN("LENGTH Function","169");
B=A.fN("LOCATE Function","170");
B=A.fN("LOG10 Function","171");
B=A.fN("LOWER Function","172");
B=A.fN("LPAD Function","173");
B=A.fN("LTRIM Function","174");
B=A.fN("MINUTE Function","175");
B=A.fN("MOD Function","176");
B=A.fN("MONTH Function","177");
B=A.fN("MONTHNAME Function","178");
B=A.fN("MONTHS_BETWEEN Function","179");
B=A.fN("NEXT_DAY Function","180");
B=A.fN("NOW Function","181");
B=A.fN("NULLIF Function","182");
B=A.fN("NVL Function","183");
B=A.fN("PI Function","184");
B=A.fN("POWER Function","185");
B=A.fN("PREFIX Function","186");
B=A.fN("PRO_* Functions","187");
B=A.fN("QUARTER Function","188");
B=A.fN("RADIANS Function","189");
B=A.fN("RAND Function","190");
B=A.fN("REPEAT Function","191");
B=A.fN("REPLACE Function","192");
B=A.fN("RIGHT Function","193");
B=A.fN("ROUND Function","194");
B=A.fN("ROWID Function","195");
B=A.fN("RPAD Function","196");
B=A.fN("RTRIM Function","197");
B=A.fN("SECOND Function","198");
B=A.fN("SIGN Function","199");
B=A.fN("SIN Function","200");
B=A.fN("SQRT Function","201");
B=A.fN("SUBSTR Function","202");
B=A.fN("SUBSTRING Function (ODBC Compatible)","203");
B=A.fN("SUFFIX Function","204");
B=A.fN("SYSDATE Function","205");
B=A.fN("SYSTIME Function","206");
B=A.fN("SYSTIMESTAMP Function","207");
B=A.fN("TAN Function","208");
B=A.fN("TO_CHAR Function","209");
B=A.fN("TO_DATE","210");
B=A.fN("TO_NUMBER Function","211");
B=A.fN("TO_TIME Function","212");
B=A.fN("TO_TIMESTAMP Function","213");
B=A.fN("TRANSLATE Function","214");
B=A.fN("UCASE Function","215");
B=A.fN("UPPER Function","216");
B=A.fN("USER Function","217");
B=A.fN("WEEK Function","218");
B=A.fN("YEAR Function","219");
A=P.fN("Java Stored Procedures and Triggers","220#wp223703");
B=A.fN(" Definitions of Java Stored Procedures and Triggers","221");
B=A.fN(" Advantages of Stored Procedures","222");
B=A.fN(" How Progress SQL-92 Interacts with Java","223");
C=B.fN(" Creating Stored Procedures","224");
C=B.fN(" Calling Stored Procedures","225");
B=A.fN(" Using Stored Procedures","226");
C=B.fN(" Stored Procedure Basics","227");
C=B.fN(" What Is a Java Snippet?","228");
C=B.fN(" Structure of Stored Procedures","229");
C=B.fN(" Writing Stored Procedures","230");
C=B.fN(" Invoking Stored Procedures","231");
C=B.fN(" Modifying and Deleting Stored Procedures","232");
C=B.fN(" Stored Procedure Security","233");
B=A.fN(" Using the Progress SQL-92 Java Classes","234");
C=B.fN(" Passing Values to SQL-92 Statements","235");
C=B.fN(" Passing Values to and from Stored Procedures: Input and Output Parameters","236");
C=B.fN(" Implicit Data Type Conversion Between SQL-92 and Java Types","237");
C=B.fN(" Executing an SQL-92 Statement","238");
C=B.fN(" Retrieving Data: the SQLCursor Class","239");
C=B.fN(" Returning a Procedure Result Set to Applications: The RESULT Clause and DhSQLResultSet","240");
C=B.fN(" Handling Null Values","241");
C=B.fN(" Handling Errors","242");
C=B.fN(" Calling Stored Procedures from Stored Procedures","243");
C=B.fN(" INOUT and OUT Parameters When One Java Stored Procedure Calls Another","244");
B=A.fN(" Using Triggers","245");
C=B.fN(" Trigger Basics","246");
C=B.fN(" Structure of Triggers","247");
C=B.fN(" Triggers Versus Stored Procedures Versus Constraints","248");
C=B.fN(" Typical Uses for Triggers","249");
C=B.fN(" OLDROW and NEWROW Objects: Passing Values to Triggers","250");
A=P.fN("Java Class Reference","251#wp176289");
B=A.fN("Java Class Reference","252");
B=A.fN("DhSQLException","253");
B=A.fN("DhSQLException.getDiagnostics","254");
B=A.fN("DhSQLResultSet","255");
B=A.fN("DhSQLResultSet.insert","256");
B=A.fN("DhSQLResultSet.makeNULL","257");
B=A.fN("DhSQLResultSet.set","258");
B=A.fN("SQLCursor","259");
B=A.fN("SQLCursor.close","260");
B=A.fN("SQLCursor.fetch","261");
B=A.fN("SQLCursor.found","262");
B=A.fN("SQLCursor.getParam","263");
B=A.fN("SQLCursor.getValue","264");
B=A.fN("SQLCursor.makeNULL","265");
B=A.fN("SQLCursor.open","266");
B=A.fN("SQLCursor.registerOutParam","267");
B=A.fN("SQLCursor.rowCount","268");
B=A.fN("SQLCursor.setParam","269");
B=A.fN("SQLCursor.wasNULL","270");
B=A.fN("SQLIStatement","271");
B=A.fN("SQLIStatement.execute","272");
B=A.fN("SQLIStatement.makeNULL","273");
B=A.fN("SQLIStatement.rowCount","274");
B=A.fN("SQLIStatement.setParam","275");
B=A.fN("SQLPStatement","276");
B=A.fN("SQLPStatement.execute","277");
B=A.fN("SQLPStatement.makeNULL","278");
B=A.fN("SQLPStatement.rowCount","279");
B=A.fN("SQLPStatement.setParam","280");
A=P.fN("Progress SQL-92 Reference Information","281#wp943652");
B=A.fN("Progress SQL-92 Reserved Words","282");
B=A.fN("Progress SQL-92 System Limits","283");
B=A.fN("Progress SQL-92 Error Messages","284");
B=A.fN("Overview","285");
B=A.fN("Error Codes, SQLSTATE Values, and Messages","286");
A=P.fN("Progress SQL-92 System Catalog Tables","287#wp245155");
B=A.fN("Overview of System Catalog Tables","288");
B=A.fN("SYSTABLES Core SystemTable","289");
B=A.fN("SYSCOLUMNS Core SystemTable","290");
B=A.fN("SYSINDEXES Core SystemTable","291");
B=A.fN("SYSCALCTABLE System Table","292");
B=A.fN("SYSCHARSTAT System Table","293");
B=A.fN("SYSCOLAUTH System Table","294");
B=A.fN("SYSCOLSTAT System Table","295");
B=A.fN("SYSCOLUMNS_FULL System Table","296");
B=A.fN("SYSDATATYPES System Table","297");
B=A.fN("SYSDATESTAT System Table","298");
B=A.fN("SYSDBAUTH System Table","299");
B=A.fN("SYSFLOATSTAT System Table","300");
B=A.fN("SYSIDXSTAT System Table","301");
B=A.fN("SYSINTSTAT System Table","302");
B=A.fN("SYSNUMSTAT System Table","303");
B=A.fN("SYSPROCBIN System Table","304");
B=A.fN("SYSPROCCOLUMNS System Table","305");
B=A.fN("SYSPROCEDURES System Table","306");
B=A.fN("SYSPROCTEXT System Table","307");
B=A.fN("SYSREALSTAT System Table","308");
B=A.fN("SYSSMINTSTAT System Table","309");
B=A.fN("SYSSYNONYMS System Table","310");
B=A.fN("SYSTABAUTH System Table","311");
B=A.fN("SYSTABLES_FULL System Table","312");
B=A.fN("SYSTBLSTAT System Table","313");
B=A.fN("SYSTIMESTAT System Table","314");
B=A.fN("SYSTINYINTSTAT System Table","315");
B=A.fN("SYSTRIGCOLS System Table","316");
B=A.fN("SYSTRIGGER System Table","317");
B=A.fN("SYSTSSTAT System Table","318");
B=A.fN("SYSVARCHARSTAT System Table","319");
B=A.fN("SYSVIEWS System Table","320");
B=A.fN("SYS_CHKCOL_USAGE System Table","321");
B=A.fN("SYS_CHK_CONSTRS System Table","322");
B=A.fN("SYS_KEYCOL_USAGE System Table","323");
B=A.fN("SYS_REF_CONSTRS System Table","324");
B=A.fN("SYS_TBL_CONSTRS System Table","325");
A=P.fN("Data Type Compatibility Issues with Previous Versions of Progress","326#wp973399");
B=A.fN(" Supported Data Types and Corresponding SQL-92 Data Types","327");
B=A.fN(" Support for the ARRAY Data Type","328");
C=B.fN(" Overview","329");
C=B.fN(" PRO_ELEMENT Function","330");
C=B.fN(" PRO_ARR_ESCAPE Function","331");
C=B.fN(" PRO_ARR_DESCAPE Function","332");
C=B.fN(" Unsubscripted Array References","333");
C=B.fN(" Unsubscripted Array Updates and Inserts","334");
A=P.fN("Progress SQL-92 Elements and Statements in Backus Naur Form (BNF)","335#wp608204");
B=A.fN("Data Types Syntax in BNF","336");
B=A.fN("DATA TYPE","337");
B=A.fN("Expressions Syntax in BNF","338");
B=A.fN("EXPRESSION (expr)","339");
B=A.fN("CONDITIONAL EXPRESSION","340");
B=A.fN("Literals Syntax in BNF","341");
B=A.fN("DATE-TIME LITERAL Syntax","342");
B=A.fN("Query Expressions Syntax in BNF","343");
B=A.fN("QUERY EXPRESSION","344");
B=A.fN("Search Conditions Syntax in BNF","345");
B=A.fN("Statements, DDL and DML Syntax in BNF","346");
A=P.fN("Compliance with Industry Standards","347#wp899994");
B=A.fN("Scalar Functions","348");
B=A.fN("SQL-92 DDL and DML Statements","349");
A=P.fN("Glossary ","350");
}
