function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN(" Progress  DataServer for  Microsoft SQL Server Guide","0");
A=P.fN("Preface ","4");
var B=A.fN("Purpose","4#wp473");
B=A.fN("Audience","4#wp487");
B=A.fN("Organization of This Manual","4#wp10708");
B=A.fN("Typographical Conventions","4#wp569");
B=A.fN("Syntax Notation","4#wp629");
B=A.fN("Progress Messages","4#wp760");
B=A.fN("Other Useful Documentation","4#wp14673");
A=P.fN("Introduction","5#wp1814");
B=A.fN(" DataServer Components","6");
var C=B.fN(" DataServer for SQL Server\u2122 Logic","7");
C=B.fN(" The Schema Holder","8");
C=B.fN(" Security","9");
B=A.fN(" DataServer Utilities","10");
B=A.fN(" DataServer Demonstration Databases","11");
B=A.fN(" DataServer Configurations","12");
C=B.fN(" The Local DataServer Configuration","13");
C=B.fN(" The Remote DataServer Configuration","14");
C=B.fN(" Configuring Distributed DataServer Applications Using ProBroker","15");
C=B.fN(" Configuring Distributed DataServer Applications Using the Progress Explorer","16");
B=A.fN(" Software Requirements","17");
B=A.fN(" Guidelines for Using the DataServer","18");
C=B.fN(" Using the DataServer for SQL Server\u2122 for the First Time","19");
C=B.fN(" Migrating a Progress Database to an MSS Data Source","20");
C=B.fN(" Documentation Resources","21");
A=P.fN("Programming Considerations","22#wp3538");
B=A.fN(" Database Design Issues","23");
C=B.fN(" Progress Database Objects and MSS Database Objects","24");
C=B.fN(" Naming Conventions","25");
C=B.fN(" MSS Data Source Limits","26");
C=B.fN(" Code Pages","27");
C=B.fN(" Indexes","28");
C=B.fN(" Case Sensitivity","29");
C=B.fN(" MSS Data Source Views","30");
C=B.fN(" Triggers","31");
C=B.fN(" Progress Sequences","32");
B=A.fN(" Data Types","33");
C=B.fN(" User-defined Data Types","34");
C=B.fN(" Arrays","35");
C=B.fN(" Unknown Values","36");
C=B.fN(" Zero-length Character Strings","37");
B=A.fN(" Record Creation","38");
B=A.fN(" Data Source Record Locking","39");
C=B.fN(" Share Locks","40");
C=B.fN(" Exclusive Locks","41");
C=B.fN(" NO\u2013LOCK","42");
C=B.fN(" Locking Examples","43");
C=B.fN(" The NO\u2013WAIT Option","44");
B=A.fN(" Transactions","45");
B=A.fN(" Error Handling","46");
B=A.fN(" Cursors","47");
C=B.fN(" Forward and Backward Scrolling","48");
B=A.fN(" Progress 4GL Issues","49");
C=B.fN(" ROWID Function","50");
C=B.fN(" RECID Function","51");
C=B.fN(" DEFINE BROWSE Statement","52");
C=B.fN(" Field Lists","53");
C=B.fN(" FIND Statements","54");
C=B.fN(" Compiling Progress Procedures","55");
C=B.fN(" FOR Statements","56");
C=B.fN(" Unsupported 4GL Statements","57");
B=A.fN(" Stored Procedures","58");
C=B.fN(" Defining Native Stored Procedures to Progress","59");
C=B.fN(" Running a Stored Procedure","60");
C=B.fN(" Retrieving Return Codes","61");
C=B.fN(" Retrieving Output Parameter Values","62");
C=B.fN(" Retrieving Data Source Results","63");
C=B.fN(" Defining a View to Use As a Buffer","64");
C=B.fN(" Sending SQL Statements Directly to the Data Source","65");
C=B.fN(" Handling Errors from Stored Procedures","66");
B=A.fN(" Enhancing DataServer Performance","67");
C=B.fN(" Progress Query Types","68");
C=B.fN(" Query Tuning","69");
C=B.fN(" Caching Records","70");
C=B.fN(" Join by SQLDB","71");
C=B.fN(" Writing Queries for Performance","72");
C=B.fN(" Modifying the Run-time Schema Check","73");
A=P.fN("Configuring the DataServer","74#wp507");
B=A.fN(" DataServer Components","75");
B=A.fN(" Configuring the ODBC Driver and Registering the Data Source","76");
C=B.fN(" Configuring the ODBC Driver","77");
C=B.fN(" Registering Your Data Source","78");
B=A.fN(" Configuring a Local DataServer","79");
B=A.fN(" Configuring the Remote DataServer","80");
C=B.fN(" Configuring with the Progress Explorer","81");
C=B.fN(" Configuring with ProControl","82");
C=B.fN(" Configuring from the Command Line","83");
B=A.fN(" Creating a Schema Holder","84");
C=B.fN(" Establishing Permissions","85");
C=B.fN(" Preparing to Create the Schema Holder","86");
C=B.fN(" Creating an Empty Progress Database","87");
C=B.fN(" Creating a Schema Holder","88");
B=A.fN(" Maintaining a Schema Holder","89");
C=B.fN(" Updating a Deployed Schema Holder","90");
A=P.fN("Connecting the DataServer","91#wp863");
B=A.fN(" Starting a Local DataServer","92");
B=A.fN(" Starting a Remote DataServer","93");
C=B.fN(" Starting and Stopping a Broker Process from the Progress Explorer and Connecting a Client","94");
C=B.fN(" Starting and Stopping a Broker Process Using MSSMAN","95");
C=B.fN(" Starting and Stopping a Broker Process with ProControl","96");
C=B.fN(" Starting and Stopping a Broker Process from the Command Line","97");
C=B.fN(" Starting the NT or Windows Client Process","98");
C=B.fN(" Starting the UNIX Client Process","99");
B=A.fN(" Connection Guidelines","100");
C=B.fN(" Connections and Security on NT","101");
B=A.fN(" Connecting a Schema Holder","102");
C=B.fN(" Connecting a Schema Holder at Startup","103");
C=B.fN(" Unsupported Connection Parameters","104");
C=B.fN(" Special Connection Issues","105");
C=B.fN(" Query Tuning with Connection and Startup Parameters","106");
C=B.fN(" Analyzing Performance","107");
C=B.fN(" Local Schema Caching","108");
B=A.fN(" Connection Failures and Progress Responses","109");
C=B.fN(" Connection Troubleshooting","110");
C=B.fN(" Managing Connections to a SQL Server\u2122 Database","111");
C=B.fN(" Accessing the DataServer Log","112");
A=P.fN("The DataServer Tutorial","113#wp1101");
B=A.fN(" Demonstration Databases for MSS DataServers","114");
B=A.fN(" Preparing to Use the DataServer Utilities","115");
B=A.fN(" Updating a Schema Holder","116");
B=A.fN(" Verifying a Schema Holder","117");
B=A.fN(" Changing Connection Information in a Schema Holder","118");
B=A.fN(" Modifying a Schema Holder","119");
C=B.fN(" Modifying Table-level Information","120");
C=B.fN(" Modifying Field-level Information","121");
C=B.fN(" Defining the ROWID","122");
B=A.fN(" Changing a Code Page in a Schema Holder","123");
B=A.fN(" Deleting a Schema Holder","124");
B=A.fN(" Adding Extended 4GL Support","125");
C=B.fN(" Modifying Tables to Support Arrays","126");
C=B.fN(" Modifying Tables to Support the ROWID Function","127");
B=A.fN(" Migrating a Progress Database to SQL Server\u2122","128");
C=B.fN(" Preparing a Data Source for the Utility","129");
C=B.fN(" Running the Progress-to-MSS Utility","130");
B=A.fN(" Adjust Schema Utility","131");
A=P.fN("Troubleshooting","132#wp308");
B=A.fN(" Tuning Your Environment with the \u2013Dsrv Startup Parameter","133");
C=B.fN(" ODBC Options","134");
C=B.fN(" DataServer Options","135");
C=B.fN(" Using SQL Server\u2122 and DataServer Options","136");
B=A.fN(" ODBC Driver Problems on Windows Platforms","137");
A=P.fN("Migrating from ODBC DataServer","138#wp97");
B=A.fN(" Upgrading to SQL Server 7\u2122 or Later","139");
B=A.fN(" Creating a Schema Holder","140");
B=A.fN(" Modifying Your Application","141");
A=P.fN("Stored Procedure Reference","142#wp6687");
B=A.fN("CLOSE STORED\u2013PROCEDURE Statement","143");
B=A.fN("PROC\u2013HANDLE Function","144");
B=A.fN("PROC\u2013STATUS Function","145");
B=A.fN("RUN STORED\u2013PROCEDURE Statement","146");
A=P.fN("Building DataServer Executables","147#wp6443");
B=A.fN(" Overview","148");
B=A.fN(" PROBUILD and the DataServer","149");
C=B.fN(" PROBUILD Requirements","150");
B=A.fN(" Building Executables on the UNIX Client","151");
B=A.fN(" Setting Environment Variables","152");
C=B.fN(" Linking DataServer Executables","153");
A=P.fN("Server Related Command Line Utilities and Startup Parameters","154#wp16675");
B=A.fN(" Progress Explorer Command Line Utilities for the DataServer","155");
B=A.fN("MSSCONFIG Utility","156");
B=A.fN(" MSSMAN Utility","157");
B=A.fN("NSCONFIG Utility","158");
B=A.fN(" NSMAN Utility","159");
B=A.fN(" Non-Progress Explorer Command-line Utilities for the DataServer","160");
B=A.fN("PROBRKR Command","161");
B=A.fN(" PROSHUT Command","162");
B=A.fN(" DataServer Startup Parameters","163");
}
