function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Translation Manager  Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp497");
B=A.fN("Audience","1#wp511");
B=A.fN("Organization of This Manual","1#wp521");
B=A.fN("How to Use This Manual","1#wp14808");
B=A.fN("Typographical Conventions","1#wp583");
B=A.fN("Syntax Notation","1#wp643");
B=A.fN("Example Procedures","1#wp768");
B=A.fN("Progress Messages","1#wp888");
B=A.fN("Other Useful Documentation","1#wp14202");
A=P.fN("Preparing Your Application for Translation","2#wp265");
B=A.fN(" Advantages of Planning Ahead","3");
B=A.fN(" 4GL Considerations","4");
var C=B.fN(" Defining Text as Untranslatable","5");
C=B.fN(" Defining Alignment and Space","6");
C=B.fN(" Defining Accelerator Keys","7");
C=B.fN(" Using Default Buttons","8");
B=A.fN(" Screen Layout Considerations","9");
C=B.fN(" Explicitly Sizing and Positioning Widgets","10");
C=B.fN(" Planning for Text Expansion","11");
C=B.fN(" Creating Adjustable Text on Rectangles","12");
C=B.fN(" Length and Width of Text Phrases","13");
C=B.fN(" Creating Message Statements","14");
C=B.fN(" Adjusting Database Field Justification","15");
B=A.fN(" Where to Go for More Information","16");
A=P.fN("Overview","17#wp730");
B=A.fN(" Overview of the Progress Translation Process","18");
B=A.fN(" Tasks for the Project Manager","19");
B=A.fN(" Tasks for the Translator","20");
A=P.fN("Getting Started","21#wp240");
B=A.fN(" Upgrading from Version 8 to Version 9","22");
B=A.fN(" Organizing a Directory Structure for the Source Code","23");
B=A.fN(" Setting the PROPATH","24");
B=A.fN(" Creating and Storing Environment (.ini) Files","25");
B=A.fN(" Starting the Translation Manager","26");
B=A.fN(" Connecting to the Application Databases","27");
A=P.fN("Managing Projects","28#wp126");
B=A.fN(" What Is a Project?","29");
B=A.fN(" Determining the Number of Projects to Create for an Application","30");
B=A.fN(" Creating a Project","31");
B=A.fN(" Opening a Project","32");
B=A.fN(" Selecting the Current Project","33");
B=A.fN(" Closing a Project","34");
B=A.fN(" Selecting Source Procedures","35");
C=B.fN(" Adding Files to the Procedures List","36");
C=B.fN(" Removing Files from the Procedures List","37");
C=B.fN(" Viewing and Editing a File in the Procedures List","38");
A=P.fN("Preparing Data for Translation","39#wp484");
B=A.fN(" Extracting Text Phrases from Source Procedures","40");
B=A.fN(" Specifying Filters","41");
C=B.fN(" Exporting and Importing Filters","42");
B=A.fN(" Loading Text Phrases into the Project Database","43");
B=A.fN(" Generating Resource Procedures","44");
B=A.fN(" Working on Subsequent Iterations of a Project","45");
C=B.fN(" Procedure Subsets and Supersets","46");
C=B.fN(" Using Procedure Subsets","47");
B=A.fN(" Preparing Text from a Character Application","48");
B=A.fN(" Using Third-party Tools","49");
A=P.fN("Adding Glossaries","50#wp293");
B=A.fN(" Creating a Glossary","51");
B=A.fN(" Importing a Glossary","52");
B=A.fN(" Exporting a Glossary","53");
B=A.fN(" Tracking Glossary Entries","54");
A=P.fN("Preparing a Kit","55#wp111");
B=A.fN(" What Is a Kit?","56");
B=A.fN(" Building a Kit","57");
B=A.fN(" Deleting a Kit","58");
B=A.fN(" Pretranslation","59");
B=A.fN(" Changing a Kit\u2019s Source Language","60");
B=A.fN(" Sending a Kit to the Translator","61");
A=P.fN("Incorporating a Translated Kit  into the Project","62#wp7237");
B=A.fN(" Receiving the Kit from the Translator","63");
B=A.fN(" Consolidating the Translated Kit into the Project Database","64");
B=A.fN(" Compiling the Source Code with the Translated Phrases","65");
C=B.fN(" Text Segment Expansion","66");
B=A.fN(" Running the Compiled Code in a Target Language","67");
C=B.fN(" Running Code from the Command Line","68");
A=P.fN("Updating a Project","69#wp89");
B=A.fN(" Printing a Statistics Report","70");
B=A.fN(" Editing Translations and Glossary Entries","71");
C=B.fN(" Browsing Through the Tab Folders","72");
C=B.fN(" Sorting Rows and Ordering Columns","73");
C=B.fN(" Inserting and Deleting Rows","74");
C=B.fN(" Cutting, Copying, and Pasting Text","75");
B=A.fN(" Scanning for Changed Source Files","76");
A=P.fN("Tutorial","77#wp176");
B=A.fN(" Preparing to Use This Tutorial","78");
B=A.fN(" Creating a New Translation Manager Project","79");
B=A.fN(" The Procedures Folder: Adding Files","80");
B=A.fN(" The Data Tab Folder","81");
C=B.fN(" Extracting Text Phrases","82");
C=B.fN(" Specifying Filters","83");
C=B.fN(" Loading Text Phrases","84");
C=B.fN(" Creating Resource Procedures","85");
B=A.fN(" The Glossary Folder","86");
B=A.fN(" The Kits Folder","87");
C=B.fN(" Creating a Kit","88");
C=B.fN(" Creating a Zip File","89");
B=A.fN(" Installing a Zip File and Consolidating a Kit Received from the Translator","90");
B=A.fN(" Compiling Source Code with the Translated Phrases","91");
A=P.fN("Troubleshooting","92#wp67");
A=P.fN("Translation Manager Interface Reference","93#wp574");
B=A.fN(" Tab Folders","94");
C=B.fN(" Procedures Tab Folder","95");
C=B.fN(" Data Tab Folder","96");
C=B.fN(" Glossary Tab Folder","97");
C=B.fN(" Kits Tab Folder","98");
C=B.fN(" Statistics Tab Folder","99");
B=A.fN(" Menu Bar","100");
B=A.fN(" Toolbar","101");
A=P.fN("Glossary ","102");
}
