function  WWHBookData_Files(P)
{
P.fA("WebSpeed Developer\u2019s Guide","wdg-01-1.html");
P.fA("Preface","wdg-02-1.html");
P.fA("Introducing WebSpeed","wdg-03-1.html");
P.fA(" What is WebSpeed?","wdg-03-2.html");
P.fA(" Advantages of WebSpeed","wdg-03-3.html");
P.fA(" An Overview of WebSpeed","wdg-03-4.html");
P.fA(" SpeedScript","wdg-03-5.html");
P.fA("Overview of WebSpeed Tools","wdg-04-01.html");
P.fA(" The AppBuilder","wdg-04-02.html");
P.fA(" Visual and Nonvisual Objects","wdg-04-03.html");
P.fA(" SmartDataObjects","wdg-04-04.html");
P.fA(" Templates and Wizards","wdg-04-05.html");
P.fA(" Editors","wdg-04-06.html");
P.fA(" Running the WebSpeed AppBuilder","wdg-04-07.html");
P.fA(" Preliminary Requirements for Running the WebSpeed AppBuilder","wdg-04-08.html");
P.fA(" Starting the WebSpeed AppBuilder","wdg-04-09.html");
P.fA(" Connecting to a Database Server","wdg-04-10.html");
P.fA(" Specifying a Default Browser","wdg-04-11.html");
P.fA(" Specifying a WebSpeed Broker","wdg-04-12.html");
P.fA(" Setting the Development Mode","wdg-04-13.html");
P.fA(" AppBuilder Documentation","wdg-04-14.html");
P.fA(" WebTools","wdg-04-15.html");
P.fA(" WebTools Documentation","wdg-04-16.html");
P.fA(" Other WebSpeed Components","wdg-04-17.html");
P.fA(" WebSpeed Source Files","wdg-04-18.html");
P.fA("WebSpeed Architecture","wdg-05-1.html");
P.fA(" WebSpeed Components","wdg-05-2.html");
P.fA(" WebSpeed Component Distribution","wdg-05-3.html");
P.fA(" WebSpeed Transaction Server Products","wdg-05-4.html");
P.fA(" How WebSpeed Handles a Request","wdg-05-5.html");
P.fA(" WebSpeed Configuration and Management","wdg-05-6.html");
P.fA(" Progress Explorer","wdg-05-7.html");
P.fA(" Command-line Utilities","wdg-05-8.html");
P.fA(" SpeedStart","wdg-05-9.html");
P.fA("Sample Web Objects","wdg-06-01.html");
P.fA(" Types of Web Objects","wdg-06-02.html");
P.fA(" Standard or Static HTML Web Objects","wdg-06-03.html");
P.fA(" Embedded SpeedScript Web Objects","wdg-06-04.html");
P.fA(" CGI Wrapper Web Objects","wdg-06-05.html");
P.fA(" HTML Mapped Web Objects","wdg-06-06.html");
P.fA(" General Criteria for Use","wdg-06-07.html");
P.fA(" Using Web Object Examples","wdg-06-08.html");
P.fA(" Web Object URLs and PROPATH","wdg-06-09.html");
P.fA(" Embedded SpeedScript Examples","wdg-06-10.html");
P.fA(" A Simple Query","wdg-06-11.html");
P.fA(" Handling Form Input","wdg-06-12.html");
P.fA(" CGI Wrapper Example","wdg-06-13.html");
P.fA(" HTML Mapping Examples","wdg-06-14.html");
P.fA(" Simple HTML Mapping","wdg-06-15.html");
P.fA(" Complex HTML Mapping","wdg-06-16.html");
P.fA(" Complex HTML Mapping That Includes a SmartDataObject","wdg-06-17.html");
P.fA("SpeedScript","wdg-07-01.html");
P.fA(" SpeedScript and Progress 4GL","wdg-07-02.html");
P.fA(" Similarities","wdg-07-03.html");
P.fA(" Differences","wdg-07-04.html");
P.fA(" Elements of SpeedScript Syntax","wdg-07-05.html");
P.fA(" Running Procedures and Web Objects","wdg-07-06.html");
P.fA(" Blocks and Context","wdg-07-07.html");
P.fA(" Block Context and Resource Scope","wdg-07-08.html");
P.fA(" Compile-time Versus Run-time Code","wdg-07-09.html");
P.fA(" WebSpeed Preprocessors","wdg-07-10.html");
P.fA(" WebSpeed API Functions","wdg-07-11.html");
P.fA(" Message Handling","wdg-07-12.html");
P.fA(" Passing Information Between Web Requests","wdg-07-13.html");
P.fA(" General Information Exchange","wdg-07-14.html");
P.fA(" Managing Date and Time Information","wdg-07-15.html");
P.fA(" Generating Web Page Headers","wdg-07-16.html");
P.fA(" Checking Configuration Options","wdg-07-17.html");
P.fA(" XML Support in SpeedScript","wdg-07-18.html");
P.fA(" Overview of Embedded SpeedScript","wdg-07-19.html");
P.fA(" Authoring Embedded SpeedScript Files","wdg-07-20.html");
P.fA(" How to Embed SpeedScript in HTML","wdg-07-21.html");
P.fA(" Statement Escapes","wdg-07-22.html");
P.fA(" Expression Escapes","wdg-07-23.html");
P.fA(" Building Interactive Web Pages with Embedded SpeedScript","wdg-07-24.html");
P.fA(" Passing Parameters","wdg-07-25.html");
P.fA(" Managing Dynamic Pages with Forms","wdg-07-26.html");
P.fA(" Using &lt;META&gt; and &lt;!--WSMETA --&gt; Tags","wdg-07-27.html");
P.fA(" Specifying File Type Options","wdg-07-28.html");
P.fA(" Specifying HTTP Header Information","wdg-07-29.html");
P.fA(" Generating Information Prior to HTTP Header Output","wdg-07-30.html");
P.fA(" Developing Embedded SpeedScript Web Objects","wdg-07-31.html");
P.fA(" Building Embedded SpeedScript Web Objects","wdg-07-32.html");
P.fA(" Running Embedded SpeedScript Web Objects","wdg-07-33.html");
P.fA("Handling DISPLAY Output","wdg-08-1.html");
P.fA(" Working with DISPLAY Output","wdg-08-2.html");
P.fA(" Directing DISPLAY Output","wdg-08-3.html");
P.fA(" Formatting DISPLAY Output","wdg-08-4.html");
P.fA(" Changing Output Format Defaults","wdg-08-5.html");
P.fA(" Setting {&amp;WEBSTREAM} Defaults","wdg-08-6.html");
P.fA(" Setting HTML Attribute Defaults","wdg-08-7.html");
P.fA("Generating HTML Visualizations","wdg-09-01.html");
P.fA(" HTML Visualizations","wdg-09-02.html");
P.fA(" Using the Support for HTML Table Visualizations","wdg-09-03.html");
P.fA(" Generating HTML Tables with a Custom Tag","wdg-09-04.html");
P.fA(" Rules for Using Custom Tags","wdg-09-05.html");
P.fA(" Using the &lt;!--WSTAG--&gt; Custom Tag","wdg-09-06.html");
P.fA(" How tagrun.p Interacts with the Custom Tag","wdg-09-07.html");
P.fA(" Using the Table Template","wdg-09-08.html");
P.fA(" Compiling the Table Template","wdg-09-09.html");
P.fA(" Generating HTML Tables Directly from SpeedScript","wdg-09-10.html");
P.fA(" Adding a Template to AppBuilder","wdg-09-11.html");
P.fA(" Support for Other HTML Visualizations","wdg-09-12.html");
P.fA("Controlling WebSpeed Transactions","wdg-10-01.html");
P.fA(" Defining State","wdg-10-02.html");
P.fA(" Web Object States","wdg-10-03.html");
P.fA(" WebSpeed Application States","wdg-10-04.html");
P.fA(" Advantages and Drawbacks of State-persistence","wdg-10-05.html");
P.fA(" Understanding WebSpeed Transaction Control","wdg-10-06.html");
P.fA(" How To Make a Web Object State-aware","wdg-10-07.html");
P.fA(" Web Objects in Stateless and State-persistent Contexts","wdg-10-08.html");
P.fA(" Primary and Secondary Web Objects","wdg-10-09.html");
P.fA(" Running Primary and Secondary Web Objects","wdg-10-10.html");
P.fA(" State-aware Web Objects and Persistence","wdg-10-11.html");
P.fA(" Implementing Transaction Control","wdg-10-12.html");
P.fA(" Modifying the outputHeader Procedure","wdg-10-13.html");
P.fA(" Modifying the process-web-request Procedure","wdg-10-14.html");
P.fA(" Overriding Procedures and Functions","wdg-10-15.html");
P.fA(" Modifying the Attribute List","wdg-10-16.html");
P.fA(" Modifying the User Field List","wdg-10-17.html");
P.fA(" Transaction Control with Embedded SpeedScript Web Objects","wdg-10-18.html");
P.fA(" Transaction Control with CGI Wrapper Web Objects","wdg-10-19.html");
P.fA(" Transaction Control with HTML-mapping Web Objects","wdg-10-20.html");
P.fA(" Anatomy of process-web-request in HTML-mapping","wdg-10-21.html");
P.fA(" Modifying the Request Logic","wdg-10-22.html");
P.fA(" Moving Data Through the HTML Mapping Web Object","wdg-10-23.html");
P.fA(" Creating Definitions","wdg-10-24.html");
P.fA(" Modifying the Main Code Block","wdg-10-25.html");
P.fA(" Customizing Field Object Control Handlers","wdg-10-26.html");
P.fA(" Handling State-aware Time-outs","wdg-10-27.html");
P.fA(" Using a Web Object Time-out Handler","wdg-10-28.html");
P.fA(" Resetting a Web Object\u2019s Time-out Period","wdg-10-29.html");
P.fA(" Allowing WebSpeed to Handle Time-outs","wdg-10-30.html");
P.fA("Controlling Database Transactions","wdg-11-01.html");
P.fA(" What Is a Database Transaction?","wdg-11-02.html");
P.fA(" DB Transactions in Code","wdg-11-03.html");
P.fA(" All-or-nothing Processing","wdg-11-04.html");
P.fA(" Understanding the Scope of DB Transactions","wdg-11-05.html");
P.fA(" Subtransactions","wdg-11-06.html");
P.fA(" Controlling Where DB Transactions Begin and End","wdg-11-07.html");
P.fA(" SpeedScript Components and DB Transactions","wdg-11-08.html");
P.fA(" Subprocedures","wdg-11-09.html");
P.fA(" File Input","wdg-11-10.html");
P.fA(" Program Variables","wdg-11-11.html");
P.fA(" DB Transactions in Applications","wdg-11-12.html");
P.fA(" Multi-database Applications","wdg-11-13.html");
P.fA(" Distributed Applications","wdg-11-14.html");
P.fA(" Determining When DB Transactions Are Active","wdg-11-15.html");
P.fA(" Transaction System Mechanics","wdg-11-16.html");
P.fA(" Database Transaction Mechanics","wdg-11-17.html");
P.fA(" Subtransaction Mechanics","wdg-11-18.html");
P.fA(" Efficient DB Transaction Processing","wdg-11-19.html");
P.fA(" Multi-page DB Transactions","wdg-11-20.html");
P.fA(" Managing Multi-page DB Transactions","wdg-11-21.html");
P.fA(" Working with the Multi-page Transaction Example","wdg-11-22.html");
P.fA(" Guidelines for Usage","wdg-11-23.html");
P.fA("Running Applications","wdg-12-01.html");
P.fA(" Setting Up an Application Environment","wdg-12-02.html");
P.fA(" Creating a Working Application Directory","wdg-12-03.html");
P.fA(" Moving Application Files to Appropriate Directories","wdg-12-04.html");
P.fA(" Compiling Web Objects","wdg-12-05.html");
P.fA(" Making Your Application Secure","wdg-12-06.html");
P.fA(" Starting and Stopping an Application","wdg-12-07.html");
P.fA(" Debugging WebSpeed Applications","wdg-12-08.html");
P.fA(" Adding debug=on to URL","wdg-12-09.html");
P.fA(" Persistent Debugging Uses Cookies","wdg-12-10.html");
P.fA(" Calling the Virtual Debug Web Object","wdg-12-11.html");
P.fA(" Debugging and Administrative Options ","wdg-12-12.html");
P.fA(" Utilizing Debugging in Your Application","wdg-12-13.html");
P.fA(" Reading the Broker\u2019s Log Files","wdg-12-14.html");
}
