function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress ADM 2 Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp508");
B=A.fN("Audience","1#wp526");
B=A.fN("Organization of This Manual","1#wp536");
B=A.fN("Typographical Conventions","1#wp644");
B=A.fN("Syntax Notation","1#wp706");
B=A.fN("Example Procedures","1#wp831");
B=A.fN("Progress Messages","1#wp990");
B=A.fN("Other Useful Documentation","1#wp12865");
A=P.fN("Overview","2#wp1355");
B=A.fN(" Introduction","3");
var C=B.fN(" SmartObject Application Benefits","4");
C=B.fN(" Enhanced Code Reusability","5");
C=B.fN(" Customizing SmartObjects","6");
B=A.fN(" ADM Classes","7");
C=B.fN(" Standard ADM Class Files and Templates","8");
C=B.fN(" Custom ADM Class Files","9");
B=A.fN(" SmartObjects","10");
C=B.fN(" SmartObject Types","11");
C=B.fN(" The Life Cycle of a SmartObject","12");
C=B.fN(" SmartObject Templates and Masters","13");
C=B.fN(" Instantiation","14");
B=A.fN(" SmartLinks","15");
B=A.fN(" Properties","16");
B=A.fN(" Super Procedures","17");
C=B.fN(" External Procedures, Internal Procedures, and Functions","18");
C=B.fN(" Super Procedures in the ADM","19");
A=P.fN("SmartObjects","20#wp1133");
B=A.fN(" SmartObject Summary","21");
C=B.fN(" Accessing SmartObjects","22");
C=B.fN(" SmartObject Instance Properties","23");
C=B.fN(" AppBuilder-maintained Procedures","24");
B=A.fN(" SmartContainers","25");
C=B.fN(" SmartContainers and Their Contents","26");
C=B.fN(" Paging","27");
C=B.fN(" Pass-through Links","28");
C=B.fN(" SmartWindows","29");
C=B.fN(" SmartFrames","30");
C=B.fN(" SmartDialogs","31");
B=A.fN(" SmartDataObjects","32");
C=B.fN(" SmartDataObject Instance Properties Dialog Box","33");
C=B.fN(" SmartDataObject Usage Notes","34");
B=A.fN(" SmartDataBrowsers","35");
C=B.fN(" SmartDataBrowser Instance Properties","36");
C=B.fN(" Dynamic and Static SmartDataBrowsers Compared","37");
C=B.fN(" SmartDataBrowser Usage Notes","38");
B=A.fN(" SmartDataViewers","39");
C=B.fN(" SmartDataViewer Instance Property Dialog Box","40");
C=B.fN(" SmartDataViewer Usage Notes","41");
B=A.fN(" SmartDataFields","42");
C=B.fN(" SmartDataField Instance Property Dialog Box","43");
C=B.fN(" SmartDataField Usage Notes","44");
B=A.fN(" SmartPanels","45");
C=B.fN(" SmartPanel Instance Property Dialog Boxes","46");
C=B.fN(" SmartPanel Usage Notes","47");
B=A.fN(" SmartFolders","48");
C=B.fN(" SmartFolder Instance Property Dialog Box","49");
C=B.fN(" SmartFolder Usage Notes","50");
B=A.fN(" SmartFilters","51");
C=B.fN(" SmartFilter Instance Property Dialog Box","52");
C=B.fN(" SmartFilter Usage Notes","53");
B=A.fN(" SmartToolbars","54");
C=B.fN(" SmartToolbar Instance Property Dialog Box","55");
C=B.fN(" SmartToolbar Usage Notes","56");
B=A.fN(" SmartSelects","57");
C=B.fN(" SmartSelect Instance Properties","58");
C=B.fN(" SmartSelect Usage Notes","59");
B=A.fN(" Simple SmartObjects","60");
A=P.fN("SmartLinks","61#wp931");
B=A.fN(" SmartLink Overview","62");
B=A.fN(" SmartLink Summary","63");
B=A.fN(" Source and Target Objects","64");
B=A.fN(" SmartLink Events","65");
C=B.fN(" Container SmartLink","66");
C=B.fN(" Navigation SmartLink","67");
C=B.fN(" Page SmartLink","68");
C=B.fN(" PageN SmartLink","69");
C=B.fN(" TableIO SmartLink","70");
C=B.fN(" GroupAssign SmartLink","71");
C=B.fN(" Data SmartLink","72");
C=B.fN(" Update SmartLink","73");
C=B.fN(" Commit SmartLink","74");
C=B.fN(" Filter SmartLink","75");
B=A.fN(" Invoking Behavior in Other Linked Objects","76");
C=B.fN(" Pass-through Links","77");
C=B.fN(" Getting Records from an Additional Source","78");
B=A.fN(" Using Data SmartLinks","79");
B=A.fN(" Defining SmartLinks in Progress Applications","80");
C=B.fN(" Defining Static SmartLinks","81");
C=B.fN(" Defining Dynamic SmartLinks","82");
A=P.fN("Data Management in the ADM","83#wp217");
B=A.fN(" Displaying and Browsing Data Sets","84");
C=B.fN(" SmartDataObjects","85");
C=B.fN(" SmartDataViewers","86");
C=B.fN(" SmartDataBrowsers","87");
C=B.fN(" Initializing the Foreign Key Fields","88");
C=B.fN(" Compatibility Checking","89");
B=A.fN(" Filtering Records","90");
B=A.fN(" Using SmartPanels and the SmartToolbar","91");
C=B.fN(" Using SmartPanels","92");
C=B.fN(" Using SmartToolbars","93");
B=A.fN(" Transactions and Record Locking","94");
A=P.fN("SmartObject Interactions","95#wp6440");
B=A.fN(" General Structure of a SmartObject","96");
C=B.fN(" Directory and File Structure","97");
C=B.fN(" Support Include Files","98");
C=B.fN(" Super Procedures","99");
C=B.fN(" Property and Prototype Include Files","100");
C=B.fN(" Prototype Include Files","101");
C=B.fN(" SmartObject File Relationships","102");
B=A.fN(" RUN Protocol","103");
C=B.fN(" RUN Statement","104");
C=B.fN(" Localizing Standard SmartObject Behavior","105");
B=A.fN(" ADM Properties","106");
C=B.fN(" ADMProps Temp\u2013table and Object Properties","107");
C=B.fN(" Get and Set Functions for Object Properties","108");
C=B.fN(" {get} and {set} Pseudo-syntax for Object Properties","109");
C=B.fN(" Instance Properties","110");
C=B.fN(" Translatable Properties","111");
C=B.fN(" Functions for Accessing Properties","112");
C=B.fN(" Dynamic Properties","113");
A=P.fN("Advanced ADM Topics","114#wp421");
B=A.fN(" Parameterizing SmartObject Instances as Variables","115");
B=A.fN(" Writing Local Event Procedures and Functions","116");
C=B.fN(" Writing a Local Event Procedure","117");
C=B.fN(" Writing a Local Event Function","118");
B=A.fN(" Monitoring SmartObject Applications","119");
C=B.fN(" Procedure Object Viewer","120");
C=B.fN(" The Progress Debugger","121");
C=B.fN(" PRO*Spy for Version 9","122");
B=A.fN(" AppBuilder Requirements for SmartObjects","123");
B=A.fN(" Using GroupAssign SmartLinks","124");
A=P.fN("Developing Your Application\u2019s Business Logic","125#wp635");
B=A.fN(" SmartDataObject Features and Operating Characteristics","126");
B=A.fN(" SmartDataObject Query and Update Operations","127");
C=B.fN(" Query Operations and the RowObject Temp\u2013table","128");
C=B.fN(" Update Operations and the RowObjUpd Temp\u2013table","129");
C=B.fN(" Nondata Fields in the RowObject and RowObjUpd Temp\u2013tables","130");
B=A.fN(" ADM Event Procedures and Functions in the SmartDataObject","131");
C=B.fN(" Opening a Database Query","132");
C=B.fN(" Dynamic Query Manipulation","133");
B=A.fN(" SmartDataObjects and SmartLinks","134");
B=A.fN(" Validation Procedures","135");
C=B.fN(" Data Dictionary Validation","136");
C=B.fN(" Field-level Validation Procedures","137");
C=B.fN(" Record-level Validation Procedures","138");
C=B.fN(" Transaction-level Validation Procedures","139");
C=B.fN(" Database Trigger Procedures","140");
B=A.fN(" Running SmartDataObjects in a Distributed Environment","141");
C=B.fN(" Setting Up the SmartDataObject Master for Conditional Compilation","142");
C=B.fN(" AppBuilder Modifications to the SmartDataObject Master","143");
C=B.fN(" Initializing the SmartDataObject","144");
B=A.fN(" Managing SmartDataObjects in Distributed Mode","145");
C=B.fN(" SmartDataObject Deployment Files","146");
C=B.fN(" Service Choices and SmartDataObject Execution","147");
C=B.fN(" AppServer Session Operating Modes and SmartDataObjects","148");
B=A.fN(" AppServer-related SmartDataObject Properties","149");
B=A.fN(" Running SmartDataObjects from a Non-Progress Client","150");
C=B.fN(" Batch-mode Operations","151");
C=B.fN(" Single-row Operations","152");
B=A.fN(" Java Applications and SmartDataObjects","153");
A=P.fN("Developing ADM Extensions","154#wp500");
B=A.fN(" Introduction","155");
B=A.fN(" Creating a New Class at the Bottom of the ADM Class Hierarchy","156");
C=B.fN(" Planning Issues","157");
C=B.fN(" Creating the New Class Files","158");
C=B.fN(" Modifying the New Class Files","159");
B=A.fN(" Customizing an Existing ADM Class","160");
B=A.fN(" Adding Application Logic to Your New or Customized ADM Class","161");
C=B.fN(" Custom Class Files","162");
C=B.fN(" Design Rules","163");
C=B.fN(" Adding Properties","164");
C=B.fN(" Writing Super Procedures","165");
B=A.fN(" Examples","166");
C=B.fN(" Creating the myviewer Class","167");
C=B.fN(" Customizing the Visual Class","168");
A=P.fN("ADM Standard and Custom Class Files","169#wp392");
B=A.fN(" Container Class Files","170");
C=B.fN(" Standard Class Files","171");
C=B.fN(" Templates","172");
C=B.fN(" Custom Class Files","173");
A=P.fN("Version 8 to Version 9 Conversion Utility","174#wp610");
B=A.fN(" Conversion Support for Version 8.1/8.2 SmartObjects in Version 9","175");
C=B.fN(" Code Changes to SmartObject Container Type Objects","176");
C=B.fN(" Additional Miscellaneous Points","177");
B=A.fN(" Version 8 to Version 9 Conversion Utility","178");
C=B.fN(" Accessing the Conversion Utility","179");
C=B.fN(" Defining Conversion Options","180");
C=B.fN(" Building the List of Files to Process","181");
C=B.fN(" Performing the Conversion","182");
C=B.fN(" Reviewing Conversion Results","183");
C=B.fN(" Customizing the Conversion Utility","184");
}
