function  WWHBookData_Files(P)
{
P.fA("Building Distributed  Applications  Using the Progress AppServer","aps-01-1.html");
P.fA("Preface","aps-02-1.html");
P.fA("Distributed Application Computing","aps-03-1.html");
P.fA(" What Is Distributed Application Computing?","aps-03-2.html");
P.fA(" Application Partitioning","aps-03-3.html");
P.fA(" The N-tier Model","aps-03-4.html");
P.fA(" Comparing Computing Models","aps-03-5.html");
P.fA(" The Two-tier Model","aps-03-6.html");
P.fA(" Progress Distributed Application Computing Models","aps-03-7.html");
P.fA("Overview of the Progress AppServer","aps-04-01.html");
P.fA(" Overview of the Architecture","aps-04-02.html");
P.fA(" Application Partitioning","aps-04-03.html");
P.fA(" Reasons to Partition","aps-04-04.html");
P.fA(" AppServer Components","aps-04-05.html");
P.fA(" How Does a Remote Procedure Execute?","aps-04-06.html");
P.fA(" The Concept of Separate Sessions","aps-04-07.html");
P.fA(" The Connection-based Model","aps-04-08.html");
P.fA(" Configurations","aps-04-09.html");
P.fA(" Run-time Components and Operation","aps-04-10.html");
P.fA(" Distribution of Components","aps-04-11.html");
P.fA(" Fault-tolerant NameServers","aps-04-12.html");
P.fA(" Fault-tolerant AppServers and Load Balancing","aps-04-13.html");
P.fA(" Operating Modes","aps-04-14.html");
P.fA(" AppServer Startup and Shutdown","aps-04-15.html");
P.fA(" Connection Process","aps-04-16.html");
P.fA(" Application Services","aps-04-17.html");
P.fA(" Connection Operation","aps-04-18.html");
P.fA(" Understanding AppServer Operating Modes","aps-04-19.html");
P.fA(" State-reset Operating Mode","aps-04-20.html");
P.fA(" State-aware Operating Mode","aps-04-21.html");
P.fA(" Stateless Operating Mode","aps-04-22.html");
P.fA(" Understanding Synchronous and Asynchronous Requests","aps-04-23.html");
P.fA(" Process Control Flow","aps-04-24.html");
P.fA(" Specifying the Type of Remote Request","aps-04-25.html");
P.fA(" Handling Asynchronous Request Results","aps-04-26.html");
P.fA(" Asynchronous Request Queuing","aps-04-27.html");
P.fA("Administration","aps-05-01.html");
P.fA(" AppServer Administration Framework","aps-05-02.html");
P.fA(" AppServer Clients","aps-05-03.html");
P.fA(" Progress Explorer and Management Utilities","aps-05-04.html");
P.fA(" NameServers","aps-05-05.html");
P.fA(" Application Broker","aps-05-06.html");
P.fA(" Application Server Processes","aps-05-07.html");
P.fA(" AppServer and NameServer Properties File (ubroker.properties)","aps-05-08.html");
P.fA(" Text Editor and Configuration Utilities","aps-05-09.html");
P.fA(" Preparing for AppServer Administration","aps-05-10.html");
P.fA(" Configuring AppServer Components","aps-05-11.html");
P.fA(" Using the Progress Explorer to Configure an AppServer Instance","aps-05-12.html");
P.fA(" Configuring an AppServer Using the Progress Explorer","aps-05-13.html");
P.fA(" Configuring an AppServer Using the Properties File","aps-05-14.html");
P.fA(" Setting Up the Environment for AppServer Execution","aps-05-15.html");
P.fA(" Environment Variable Settings","aps-05-16.html");
P.fA(" AppServer and NameServer Log Files","aps-05-17.html");
P.fA(" Progress Remote SmartDataObject Support","aps-05-18.html");
P.fA(" Customizing the Application Server Process Executable","aps-05-19.html");
P.fA(" Starting and Managing an AppServer Instance","aps-05-20.html");
P.fA(" Requirements for Starting an AppServer","aps-05-21.html");
P.fA(" Starting and Managing an AppServer with the Progress Explorer","aps-05-22.html");
P.fA(" Starting and Managing an AppServer with the Management Utilities","aps-05-23.html");
P.fA(" Checking AppServer Status","aps-05-24.html");
P.fA(" Specifying the Server Pool Parameters","aps-05-25.html");
P.fA(" Tuning for Operating Modes","aps-05-26.html");
P.fA(" Managing Application Server Processes","aps-05-27.html");
P.fA(" Managing Code Pages","aps-05-28.html");
P.fA(" Code-page Settings","aps-05-29.html");
P.fA(" Run-time Conversions","aps-05-30.html");
P.fA(" Summary of Management Tasks","aps-05-31.html");
P.fA("Programming the AppServer","aps-06-01.html");
P.fA(" 4GL for Programming AppServer Procedures","aps-06-02.html");
P.fA(" Accessing the Connection ID","aps-06-03.html");
P.fA(" Using AppServer Configuration Procedures","aps-06-04.html");
P.fA(" Startup and Shutdown Procedures","aps-06-05.html");
P.fA(" Connect and Disconnect Procedures","aps-06-06.html");
P.fA(" Activate and Deactivate Procedures","aps-06-07.html");
P.fA(" Controlling AppServer Entry Points","aps-06-08.html");
P.fA(" Export List Operation","aps-06-09.html");
P.fA(" Setting and Resetting the Export List","aps-06-10.html");
P.fA(" Calling the EXPORT(\u00a0) Method","aps-06-11.html");
P.fA(" Resolving Remote Procedure Names","aps-06-12.html");
P.fA(" Managing Stateless Connection Context","aps-06-13.html");
P.fA(" Using the SERVER-CONNECTION-CONTEXT Attribute","aps-06-14.html");
P.fA(" Using the SERVER-CONNECTION-ID Attribute","aps-06-15.html");
P.fA(" Using the SERVER-CONNECTION-BOUND-REQUEST Attribute","aps-06-16.html");
P.fA(" Using the SERVER-CONNECTION-BOUND Attribute","aps-06-17.html");
P.fA(" Understanding Remote Procedure Handles","aps-06-18.html");
P.fA(" Remote Persistent Procedure Handles","aps-06-19.html");
P.fA(" Deleting Remote Persistent Procedures","aps-06-20.html");
P.fA(" Handling Conditions and Returning Values","aps-06-21.html");
P.fA(" Raising the ERROR Condition and Returning Values","aps-06-22.html");
P.fA(" Raising the ENDKEY Condition","aps-06-23.html");
P.fA(" Handling the STOP Condition","aps-06-24.html");
P.fA(" Handling the QUIT Condition","aps-06-25.html");
P.fA(" Effects of Unhandled Conditions","aps-06-26.html");
P.fA(" Managing Transactions","aps-06-27.html");
P.fA(" Types of AppServer Transactions","aps-06-28.html");
P.fA(" Implementing Normal 4GL Transactions","aps-06-29.html");
P.fA(" Implementing Automatic Transactions","aps-06-30.html");
P.fA(" Programming for Open Client Applications","aps-06-31.html");
P.fA(" Using the ProtoGen Utility","aps-06-32.html");
P.fA(" Using Code Editors","aps-06-33.html");
P.fA("Programming the Client Application","aps-07-01.html");
P.fA(" 4GL for Programming AppServer Client Procedures ","aps-07-02.html");
P.fA(" Accessing AppServer Resources from a Client ","aps-07-03.html");
P.fA(" Connecting an AppServer Instance ","aps-07-04.html");
P.fA(" Creating a Server Object Handle ","aps-07-05.html");
P.fA(" Establishing a Connection with the CONNECT(\u00a0) Method ","aps-07-06.html");
P.fA(" Connection Example ","aps-07-07.html");
P.fA(" Accessing the Connection ID on the Client ","aps-07-08.html");
P.fA(" Running and Managing Remote Procedures ","aps-07-09.html");
P.fA(" Running Remote Procedures ","aps-07-10.html");
P.fA(" Understanding Proxy Persistent Procedure Handles ","aps-07-11.html");
P.fA(" Deleting Remote Persistent Procedures ","aps-07-12.html");
P.fA(" Remote Procedure Code Examples ","aps-07-13.html");
P.fA(" Disconnecting from an AppServer Instance ","aps-07-14.html");
P.fA(" Using the DISCONNECT( ) Method","aps-07-15.html");
P.fA(" Deleting the Server Handle ","aps-07-16.html");
P.fA(" Handling Conditions and Return Values ","aps-07-17.html");
P.fA(" Raising the STOP Condition ","aps-07-18.html");
P.fA(" Handling Conditions on the RUN Statement ","aps-07-19.html");
P.fA(" Using the RETURN-VALUE Function Across Sessions ","aps-07-20.html");
P.fA(" Managing Asynchronous Requests","aps-07-21.html");
P.fA(" Executing an Asynchronous Request","aps-07-22.html");
P.fA(" Handling the Response from an Asynchronous Request","aps-07-23.html");
P.fA(" Cancelling Asynchronous Requests","aps-07-24.html");
P.fA(" Asynchronous Requests and Persistent Procedures","aps-07-25.html");
P.fA(" Deleting Asynchronous Remote Persistent Procedures","aps-07-26.html");
P.fA(" Deleting Server Handles","aps-07-27.html");
P.fA(" Deleting Asynchronous Request Handles","aps-07-28.html");
P.fA(" Debugging Asynchronous Requests","aps-07-29.html");
P.fA(" Mixing Synchronous and Asynchronous Requests","aps-07-30.html");
P.fA(" Running Asynchronous Requests on the SESSION System Handle","aps-07-31.html");
P.fA(" Examples","aps-07-32.html");
P.fA("Design and Implementation Considerations","aps-08-01.html");
P.fA(" Primary Performance Considerations","aps-08-02.html");
P.fA(" Minimizing Network Traffic ","aps-08-03.html");
P.fA(" Offloading Resource-intensive Processing Tasks","aps-08-04.html");
P.fA(" Choosing an AppServer Operating Mode","aps-08-05.html");
P.fA(" Setting the Number of Application Server Processes","aps-08-06.html");
P.fA(" Choosing a Transaction Model","aps-08-07.html");
P.fA(" Using Load Balancing","aps-08-08.html");
P.fA(" Secondary Performance Considerationss","aps-08-09.html");
P.fA(" Connect and Disconnect Performance Issues","aps-08-10.html");
P.fA(" Compiled Compared to Precompiled Code","aps-08-11.html");
P.fA(" Progress Browse Design Considerations","aps-08-12.html");
P.fA(" Performance Issues Related to Schema Transmission","aps-08-13.html");
P.fA(" Transaction and Record Management Considerations","aps-08-14.html");
P.fA(" Comparing Normal 4GL and Automatic Transactions","aps-08-15.html");
P.fA(" Ensuring a Small Transaction Size","aps-08-16.html");
P.fA(" Returning Transaction Status to the Client","aps-08-17.html");
P.fA(" Maintaining Transaction Consistency Between Client and AppServer","aps-08-18.html");
P.fA(" Managing Conflicts Between Client and AppServer","aps-08-19.html");
P.fA(" Buffer Currency and NO-LOCK","aps-08-20.html");
P.fA(" Deployment Considerations","aps-08-21.html");
P.fA(" Minimizing the Effects of Schema Changes ","aps-08-22.html");
P.fA(" Advantages of Using Portable R-code","aps-08-23.html");
P.fA(" Server Configurations","aps-08-24.html");
P.fA(" Network Deployment Considerations","aps-08-25.html");
P.fA(" Security Considerations","aps-08-26.html");
P.fA(" Overview of the Progress AppServer Security Options","aps-08-27.html");
P.fA(" Authentication and Authorization","aps-08-28.html");
P.fA(" Database Access","aps-08-29.html");
P.fA(" AppServer Session Access","aps-08-30.html");
P.fA(" Generating Audit Trails","aps-08-31.html");
P.fA(" Run-time Compilation ","aps-08-32.html");
P.fA(" Operating System","aps-08-33.html");
P.fA(" Multi-language Support","aps-08-34.html");
P.fA(" Distributed Application Design and Implementation","aps-08-35.html");
P.fA(" Understanding the Scope of Persistent Procedures","aps-08-36.html");
P.fA(" Understanding Procedure Handles in Distributed Progress Sessions","aps-08-37.html");
P.fA(" Understanding Condition Handling in Distributed Progress Sessions","aps-08-38.html");
P.fA(" Schema Triggers","aps-08-39.html");
P.fA(" Conditions That Make Migrating Your Application Model Easier","aps-08-40.html");
P.fA("Debugging","aps-09-01.html");
P.fA(" AppServer Debugging","aps-09-02.html");
P.fA(" Distributed Debugging","aps-09-03.html");
P.fA(" Remote Debugging","aps-09-04.html");
P.fA(" Using Distributed Debugging","aps-09-05.html");
P.fA(" About the Debugger Window","aps-09-06.html");
P.fA(" Restrictions on Debugger Operation ","aps-09-07.html");
P.fA(" Using Remote Debugging","aps-09-08.html");
P.fA(" Basic Tasks ","aps-09-09.html");
P.fA(" General Debugging Requirements","aps-09-10.html");
P.fA(" Examining the Progress AppServer Log File","aps-09-11.html");
P.fA("Running the AppServer Without a Network","aps-10-1.html");
P.fA(" Preparing NT 4.0 for Standalone Operation","aps-10-2.html");
P.fA(" Creating a Non-network Configuration","aps-10-3.html");
P.fA(" Installing the Remote Access Service","aps-10-4.html");
}
