function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Basic Database  Tools","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp467");
B=A.fN("Audience","1#wp477");
B=A.fN("Organization of This Manual","1#wp491");
B=A.fN("Typographical Conventions","1#wp539");
B=A.fN("Syntax Notation","1#wp599");
B=A.fN("Progress Messages","1#wp730");
B=A.fN("Other Useful Documentation","1#wp12320");
A=P.fN("Database Tasks","2#wp117");
B=A.fN(" Starting the Data Dictionary","3");
B=A.fN(" Database Tasks","4");
var C=B.fN(" Creating a Database","5");
C=B.fN(" Connecting a Database","6");
C=B.fN(" Switching to Another Connected Database","7");
C=B.fN(" Disconnecting a Database","8");
C=B.fN(" Viewing Session Information","9");
C=B.fN(" Dumping Data Definitions","10");
C=B.fN(" Creating an Incremental Data Definition File","11");
C=B.fN(" Creating a Parameter File","12");
C=B.fN(" Editing a Parameter File","13");
C=B.fN(" Loading Data Definitions","14");
A=P.fN("Table Tasks","15#wp165");
B=A.fN(" Creating a Table","16");
C=B.fN(" Specifying Validation Criteria","17");
C=B.fN(" Specifying String Attributes","18");
B=A.fN(" Modifying a Table","19");
B=A.fN(" Deleting a Table","20");
B=A.fN(" Freezing/Unfreezing a Table","21");
B=A.fN(" Generating a Table Report","22");
C=B.fN(" Generating a Detailed Table Report","23");
C=B.fN(" Generating a Quick Table Report","24");
C=B.fN(" Generating a Table Relations Report","25");
B=A.fN(" Dumping Table Contents","26");
C=B.fN(" Dumping User Table Contents","27");
B=A.fN(" Loading Table Contents","28");
C=B.fN(" Loading User Table Contents","29");
C=B.fN(" Reconstructing Bad Load Records","30");
B=A.fN(" Binary Dump and Load","31");
C=B.fN(" Performing the Binary Load","32");
B=A.fN(" Creating a Bulk Loader Description File","33");
B=A.fN(" Generating an Include File","34");
C=B.fN(" Generating an ASSIGN Statement Include File","35");
C=B.fN(" Generating a FORM Statement Include File","36");
C=B.fN(" Generating a DEFINE WORK-TABLE Statement Include File","37");
A=P.fN("Field Tasks","38#wp112");
B=A.fN(" Adding a Field","39");
B=A.fN(" Modifying a Field","40");
B=A.fN(" Changing a Field Name Globally","41");
B=A.fN(" Copying a Field","42");
B=A.fN(" Deleting a Field","43");
B=A.fN(" Changing Field Order","44");
B=A.fN(" Generating a Quick Field Report","45");
B=A.fN(" Adjusting the SQL Field Width","46");
A=P.fN("Index Tasks","47#wp112");
B=A.fN(" Creating an Index","48");
B=A.fN(" Modifying an Index","49");
B=A.fN(" Changing the Primary Index for a Table","50");
B=A.fN(" Renaming an Index","51");
B=A.fN(" Deactivating an Index","52");
B=A.fN(" Deleting an Index","53");
B=A.fN(" Generating a Quick Index Report","54");
A=P.fN("Sequence Tasks","55#wp87");
B=A.fN(" Creating a Sequence","56");
B=A.fN(" Modifying a Sequence","57");
B=A.fN(" Deleting a Sequence","58");
B=A.fN(" Dumping Sequence Definitions","59");
B=A.fN(" Dumping Sequence Current Values","60");
B=A.fN(" Loading Sequence Current Values","61");
B=A.fN(" Generating a Sequence Report","62");
A=P.fN("Trigger Tasks","63#wp99");
B=A.fN(" Creating a Trigger","64");
C=B.fN(" Creating Table Triggers","65");
C=B.fN(" Creating a Field Trigger","66");
B=A.fN(" Modifying a Trigger","67");
C=B.fN(" Modifying a Table Trigger","68");
C=B.fN(" Modifying a Field Trigger","69");
B=A.fN(" Deleting a Trigger","70");
C=B.fN(" Deleting a Table Trigger","71");
C=B.fN(" Deleting a Field Trigger","72");
B=A.fN(" Generating a Trigger Report","73");
A=P.fN("SQL-89 Tasks","74#wp90");
B=A.fN(" Generating an SQL-89 Program","75");
C=B.fN(" Generating CREATE VIEW Statements","76");
C=B.fN(" Generating CREATE TABLE Statements","77");
B=A.fN(" Dumping the Definitions for SQL-89 Views","78");
B=A.fN(" Loading the Definitions for SQL-89 Views","79");
B=A.fN(" Generating an SQL-89 View Report","80");
A=P.fN("Database Menu Reference","81#wp535");
B=A.fN(" Data Dictionary Menu Bar","82");
B=A.fN(" Database Menu","83");
C=B.fN(" Database&gt;Select Working Database","84");
C=B.fN(" Database&gt;Create","85");
C=B.fN(" Database&gt;Connect","86");
C=B.fN(" Database&gt;Disconnect","87");
C=B.fN(" Database&gt;Reports","88");
C=B.fN(" Database&gt;Exit","89");
A=P.fN("Schema Menu Reference","90#wp2187");
B=A.fN(" Schema Menu","91");
C=B.fN(" Schema&gt;Modify Table","92");
C=B.fN(" Schema&gt;Add New Table","93");
C=B.fN(" Schema&gt;Delete Table(s)","94");
C=B.fN(" Schema&gt;Field Editor","95");
C=B.fN(" Schema&gt;Reorder Fields","96");
C=B.fN(" Schema&gt;Global Field Name Change","97");
C=B.fN(" Schema&gt;Index Editor","98");
C=B.fN(" Schema&gt;Sequence Editor","99");
A=P.fN("Admin Menu Reference","100#wp901");
B=A.fN(" Admin Menu","101");
C=B.fN(" Admin&gt;Dump Data and Definitions","102");
C=B.fN(" Admin&gt;Load Data and Definitions","103");
C=B.fN(" Admin&gt;Security","104");
C=B.fN(" Admin&gt;Export Data","105");
C=B.fN(" Admin&gt;Import Data","106");
A=P.fN("Advanced Menus Reference","107#wp532");
B=A.fN(" DataServer Menu","108");
B=A.fN(" Utilities Menu","109");
C=B.fN(" Utilities&gt;Editor for Parameter Files","110");
C=B.fN(" Utilities&gt;Quoter Functions","111");
C=B.fN(" Utilities&gt;Generate Include Files","112");
C=B.fN(" Utilities&gt;Edit Progress Auto-Connect List","113");
C=B.fN(" Utilities&gt;Freeze/Unfreeze Table","114");
C=B.fN(" Utilities&gt;Index Deactivation","115");
C=B.fN(" Utilities&gt;Information","116");
B=A.fN(" PRO/SQL Menu","117");
C=B.fN(" PRO/SQL&gt;PRO/SQL View Report","118");
C=B.fN(" PRO/SQL&gt;Dump as CREATE VIEW Statement","119");
C=B.fN(" PRO/SQL&gt;Dump as CREATE TABLE Statements","120");
B=A.fN(" Tools Menu","121");
}
