function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Database Design Guide","0");
A=P.fN("Preface ","2");
var B=A.fN("Purpose","2#wp462");
B=A.fN("Audience","2#wp476");
B=A.fN("Organization of This Manual","2#wp482");
B=A.fN("Typographical Conventions","2#wp550");
B=A.fN("Syntax Notation","2#wp610");
B=A.fN("Progress Messages","2#wp741");
B=A.fN("Other Useful Documentation","2#wp871");
A=P.fN("Introduction","3#wp804");
B=A.fN(" What Is a Database?","4");
B=A.fN(" Computerized Databases","5");
B=A.fN(" Elements of a Relational Database","6");
var C=B.fN(" Tables","7");
C=B.fN(" Rows","8");
C=B.fN(" Columns","9");
C=B.fN(" Keys","10");
C=B.fN(" Applying the Principles of the Relational Model","11");
C=B.fN(" The Progress Database and the Relational Model","12");
B=A.fN(" Key Points to Remember","13");
A=P.fN("Table Relationships and Normalization","14#wp6112");
B=A.fN(" Table Relationships","15");
C=B.fN(" One-to-one Relationship","16");
C=B.fN(" One-to-many Relationship","17");
C=B.fN(" Many-to-many Relationship","18");
B=A.fN(" Normalization","19");
C=B.fN(" The First Normal Form","20");
C=B.fN(" The Second Normal Form","21");
C=B.fN(" The Third Normal Form","22");
A=P.fN("Database Design Basics","23#wp342");
B=A.fN(" Database Design Cycle","24");
B=A.fN(" Data Analysis","25");
B=A.fN(" Logical Database Design","26");
B=A.fN(" Physical Database Design","27");
B=A.fN(" Physical Implementation","28");
A=P.fN("Defining Indexes","29#wp1071");
B=A.fN(" Overview","30");
B=A.fN(" Indexing Databases","31");
C=B.fN(" How Indexes Work","32");
C=B.fN(" Why Define an Index?","33");
C=B.fN(" Indexes Used in the Sports Database","34");
C=B.fN(" Disadvantages of Defining an Index","35");
B=A.fN(" Choosing Which Tables and Columns to Index","36");
B=A.fN(" Indexes and ROWIDs","37");
B=A.fN(" Calculating Index Size","38");
B=A.fN(" Eliminating Redundant Indexes","39");
B=A.fN(" Deactivating Indexes","40");
A=P.fN("Progress 4GL Index Usage","41#wp673");
B=A.fN(" Finding Out Which Indexes Are Used","42");
B=A.fN(" Maintaining Indexes Through the 4GL","43");
B=A.fN(" Using the 4GL ASSIGN Statement","44");
B=A.fN(" Indexes and Unknown Values","45");
B=A.fN(" Indexes and Case Sensitivity","46");
B=A.fN(" How Progress Chooses and Brackets Indexes to Satisfy Queries","47");
C=B.fN(" Background and Terminology","48");
C=B.fN(" Case 1: WHERE searchExpr","49");
C=B.fN(" Case 2: WHERE searchExpr AND searchExpr","50");
C=B.fN(" Case 3: WHERE searchExpr OR searchExpr","51");
C=B.fN(" General Rules for Choosing a Single Index","52");
C=B.fN(" Bracketing","53");
B=A.fN(" Index-related Hints","54");
A=P.fN("Progress 4GL Word Indexes","55#wp206");
B=A.fN(" Word Index Support","56");
B=A.fN(" Word Delimiters","57");
C=B.fN(" Progress Defaults","58");
C=B.fN(" Defining Your Own Delimiters","59");
B=A.fN(" Word Indexing External Documents","60");
C=B.fN(" Indexing by Line","61");
C=B.fN(" Indexing by Paragraph","62");
B=A.fN(" Word Indexing and Non-Progress Databases","63");
B=A.fN(" Word Indexing and SQL-92","64");
A=P.fN("Constraints and Indexes Using SQL-92","65#wp92");
B=A.fN(" Constraints","66");
C=B.fN(" Keys","67");
C=B.fN(" PRIMARY Constraint","68");
C=B.fN(" UNIQUE Constraint","69");
C=B.fN(" FOREIGN Constraint","70");
C=B.fN(" NOT NULL Constraint","71");
C=B.fN(" CHECK Constraint","72");
B=A.fN(" Indexes","73");
C=B.fN(" SQL-92 Notes","74");
A=P.fN("Progress 4GL Triggers","75#wp83");
B=A.fN(" Trigger Definition","76");
B=A.fN(" 4GL Database Events","77");
C=B.fN(" CREATE","78");
C=B.fN(" DELETE","79");
C=B.fN(" FIND","80");
C=B.fN(" WRITE","81");
C=B.fN(" ASSIGN","82");
B=A.fN(" Schema and Session Database Triggers","83");
C=B.fN(" Schema Triggers","84");
C=B.fN(" Differences Between Schema and Session Triggers","85");
C=B.fN(" Trigger Interaction","86");
B=A.fN(" General Considerations","87");
C=B.fN(" Metaschema Tables","88");
C=B.fN(" User-interaction Code","89");
C=B.fN(" FIND NEXT and FIND PREV","90");
C=B.fN(" Triggers Execute Other Triggers","91");
C=B.fN(" Triggers Can Start Transactions","92");
C=B.fN(" Where Triggers Execute","93");
C=B.fN(" Storing Trigger Procedures","94");
C=B.fN(" SQL Considerations","95");
A=P.fN("Java Stored Procedures and Triggers","96#wp88");
B=A.fN(" Java Stored Procedures","97");
C=B.fN(" Advantages of Stored Procedures","98");
C=B.fN(" How Progress SQL-92 Interacts with Java","99");
B=A.fN(" SQL-92 Triggers","100");
C=B.fN(" Typical Uses for Triggers","101");
C=B.fN(" Trigger Structure","102");
C=B.fN(" Trigger Types","103");
C=B.fN(" Differences between 4GL and Java Triggers","104");
B=A.fN(" Triggers versus Stored Procedures","105");
B=A.fN(" Triggers versus Constraints","106");
}
