function  WWHBookData_Files(P)
{
P.fA("Preface","e89-1-1.html");
P.fA("Introduction","e89-2-01.html");
P.fA(" Progress/ESQL","e89-2-02.html");
P.fA(" Static and Dynamic ESQL","e89-2-03.html");
P.fA(" Prerequisites for Using ESQL","e89-2-04.html");
P.fA(" Progress/SQL and Progress/ESQL","e89-2-05.html");
P.fA(" Identifiers","e89-2-06.html");
P.fA(" Progress Function Support","e89-2-07.html");
P.fA(" Progress/ESQL Architecture","e89-2-08.html");
P.fA(" Large Client Model","e89-2-09.html");
P.fA(" Small Client Model","e89-2-10.html");
P.fA(" Small Client Model Versus Large Client Model","e89-2-11.html");
P.fA(" Configuration and Deployment","e89-2-12.html");
P.fA(" ESQL Directories and Files","e89-2-13.html");
P.fA(" Overview of Using ESQL","e89-2-14.html");
P.fA(" Designing and Programming the Application","e89-2-15.html");
P.fA(" Preprocessing the ESQL Source Files","e89-2-16.html");
P.fA(" Compiling the Preprocessed Source Files","e89-2-17.html");
P.fA(" Linking the ESQL Executable","e89-2-18.html");
P.fA("Programming with ESQL","e89-3-01.html");
P.fA(" Programming Capabilities and Options","e89-3-02.html");
P.fA(" ESQL Sessions","e89-3-03.html");
P.fA(" Static and Dynamic ESQL","e89-3-04.html");
P.fA(" Progress/ESQL and ESQL-LIB","e89-3-05.html");
P.fA(" Writing an ESQL Application","e89-3-06.html");
P.fA(" Elements of Progress/ESQL","e89-3-07.html");
P.fA(" Basic Progress/ESQL Syntax","e89-3-08.html");
P.fA(" Reserved Words","e89-3-09.html");
P.fA(" Application Function Names","e89-3-10.html");
P.fA(" SQL Operators","e89-3-11.html");
P.fA(" Progress Function Support","e89-3-12.html");
P.fA(" 3GL Access to Database Schema Triggers","e89-3-13.html");
P.fA(" ESQL Data Types","e89-3-14.html");
P.fA(" WHENEVER Statement","e89-3-15.html");
P.fA(" Progress/ESQL DDL Statements","e89-3-16.html");
P.fA(" Host Language Variables","e89-3-17.html");
P.fA(" Host Language Variables and ESQL-LIB","e89-3-18.html");
P.fA(" Host Language Variables and Dynamic ESQL","e89-3-19.html");
P.fA(" ESQL Standard Type Definitions and Conversions","e89-3-20.html");
P.fA(" Using Host Language Variables","e89-3-21.html");
P.fA(" Indicator Variables","e89-3-22.html");
P.fA(" Declaring and Specifying Indicator Variables","e89-3-23.html");
P.fA(" Using Indicator Variables to Exchange NULL Values","e89-3-24.html");
P.fA(" Using Indicator Variables to Retrieve NULL Values","e89-3-25.html");
P.fA(" Using Indicator Variables to Set NULL Values","e89-3-26.html");
P.fA(" Error Handling","e89-3-27.html");
P.fA(" SQLCODE Variable","e89-3-28.html");
P.fA(" SQLSTATE Variable","e89-3-29.html");
P.fA(" Progress Error Messages","e89-3-30.html");
P.fA(" Function Return Codes","e89-3-31.html");
P.fA(" Starting and Ending an ESQL Session","e89-3-32.html");
P.fA(" Starting a Session","e89-3-33.html");
P.fA(" Ending a Session","e89-3-34.html");
P.fA(" Connecting and Disconnecting Databases","e89-3-35.html");
P.fA(" Connecting Databases","e89-3-36.html");
P.fA(" Disconnecting Databases","e89-3-37.html");
P.fA(" Managing Transactions in ESQL","e89-3-38.html");
P.fA(" Committing Work","e89-3-39.html");
P.fA(" Rolling Back Work","e89-3-40.html");
P.fA(" Using DDL Statements in Transactions","e89-3-41.html");
P.fA(" Checking ESQL Run-time Privileges","e89-3-42.html");
P.fA(" Using the CAN-DO Function in a Singleton SELECT","e89-3-43.html");
P.fA(" Using the CAN-DO Function in a WHERE Clause","e89-3-44.html");
P.fA(" Managing Multi-user Applications","e89-3-45.html");
P.fA(" Application Lock Management","e89-3-46.html");
P.fA(" Using Dynamic Embedded SQL","e89-3-47.html");
P.fA(" Differences Between Dynamic and Static ESQL","e89-3-48.html");
P.fA(" Executing Dynamic ESQL","e89-3-49.html");
P.fA(" Immediate Execution","e89-3-50.html");
P.fA(" Prepared Execution","e89-3-51.html");
P.fA(" Elements of Dynamic ESQL Execution","e89-3-52.html");
P.fA(" Using Immediate Execution","e89-3-53.html");
P.fA(" Using Prepared Execution","e89-3-54.html");
P.fA(" Elements of Prepared Execution","e89-3-55.html");
P.fA(" Data Exchange in Prepared Execution","e89-3-56.html");
P.fA(" Forms of Prepared Execution","e89-3-57.html");
P.fA(" Prepared Execution for Dynamic Cursor Specification","e89-3-58.html");
P.fA(" Prepared Execution for Non-cursor Specification","e89-3-59.html");
P.fA(" SQL Descriptor Area","e89-3-60.html");
P.fA(" Functions for Working with SQL Descriptor Areas","e89-3-61.html");
P.fA(" SQLDA_T Structure Components","e89-3-62.html");
P.fA(" SQLVAR_T Structure Components","e89-3-63.html");
P.fA(" SQLDA Data Type Management","e89-3-64.html");
P.fA(" Executing Dynamic Cursor Specifications","e89-3-65.html");
P.fA(" Dynamic Cursor SELECT Using Progress/ESQL","e89-3-66.html");
P.fA(" Using Dynamic Parameter Markers","e89-3-67.html");
P.fA(" Parameter Marker Syntax","e89-3-68.html");
P.fA(" Determining Parameter Marker Data Types","e89-3-69.html");
P.fA(" Writing an Application with Parameter Markers","e89-3-70.html");
P.fA(" Using Progress/ESQL and Parameter Markers","e89-3-71.html");
P.fA(" Using ESQL-LIB and Parameter Markers","e89-3-72.html");
P.fA(" Dynamic ESQL Statements for Prepared Execution","e89-3-73.html");
P.fA(" Dynamic PREPARE Statement","e89-3-74.html");
P.fA(" Dynamic ALLOCATE DESCRIPTOR Statement","e89-3-75.html");
P.fA(" Dynamic DESCRIBE Statement","e89-3-76.html");
P.fA(" Dynamic DECLARE CURSOR Statement","e89-3-77.html");
P.fA(" Dynamic OPEN Statement","e89-3-78.html");
P.fA(" Dynamic EXECUTE Statement","e89-3-79.html");
P.fA(" Dynamic FETCH Statement","e89-3-80.html");
P.fA(" Dynamic CLOSE Cursor Statement","e89-3-81.html");
P.fA(" Dynamic DEALLOCATE DESCRIPTOR Statement","e89-3-82.html");
P.fA("Building and Running ESQL Applications","e89-4-01.html");
P.fA(" Choosing an ESQL Configuration","e89-4-02.html");
P.fA(" ESQL Large Client Model","e89-4-03.html");
P.fA(" ESQL Small Client Model","e89-4-04.html");
P.fA(" Differences Between Small and Large Clients","e89-4-05.html");
P.fA(" Overview of Building an ESQL Executable","e89-4-06.html");
P.fA(" Preprocessing Progress/ESQL Source Files","e89-4-07.html");
P.fA(" Precompile Mode","e89-4-08.html");
P.fA(" Non-precompile Mode","e89-4-09.html");
P.fA(" ESQL Preprocessor Syntax and Operation","e89-4-10.html");
P.fA(" Compiling ESQL Source Files","e89-4-11.html");
P.fA(" Compiling on UNIX Systems","e89-4-12.html");
P.fA(" Compiling in Windows","e89-4-13.html");
P.fA(" Building Applications Containing Windows Resources","e89-4-14.html");
P.fA(" Linking ESQL Executables","e89-4-15.html");
P.fA(" ESQL Client Executables","e89-4-16.html");
P.fA(" Linking for Windows with ESQL Small Client","e89-4-17.html");
P.fA(" PROBUILD and the Linker","e89-4-18.html");
P.fA(" Running ESQL Applications","e89-4-19.html");
P.fA(" Preparing to Run Small and Large Client Applications","e89-4-20.html");
P.fA(" Starting ESQL Small Clients","e89-4-21.html");
P.fA(" Connecting Small Clients to Open Interface Drivers","e89-4-22.html");
P.fA(" Setting OIB and OID UNIX Environment Variables","e89-4-23.html");
P.fA(" Starting UNIX Open Interface Brokers","e89-4-24.html");
P.fA(" Starting an OID Directly Without a Broker","e89-4-25.html");
P.fA(" Starting the Small Client Processes","e89-4-26.html");
P.fA(" Starting Local Small Clients","e89-4-27.html");
P.fA(" Organizing OID and Database Startup Parameters","e89-4-28.html");
P.fA(" Shutting Down an ESQL Small Client Application","e89-4-29.html");
P.fA(" The ESQL Demo Applications","e89-4-30.html");
P.fA(" Static Embedded SQL Demo Applications","e89-4-31.html");
P.fA(" Dynamic Embedded SQL Demo Applications","e89-4-32.html");
P.fA("ESQL-LIB Reference","e89-5-01.html");
P.fA(" Overview","e89-5-02.html");
P.fA(" Error and Status Returns","e89-5-03.html");
P.fA(" SQL Request Handles","e89-5-04.html");
P.fA(" Static ESQL Variables and Literal Constants","e89-5-05.html");
P.fA(" Dynamic ESQL and the SQL Descriptor Area","e89-5-06.html");
P.fA(" ESQL-LIB Functions","e89-5-07.html");
P.fA(" General Diagnostics","e89-5-08.html");
P.fA(" ESQL-LIB Reference Entries","e89-5-09.html");
P.fA("sqlald() \u2014 Allocate Dynamic SQL Descriptor","e89-5-10.html");
P.fA("sqlalloc() \u2014 Allocate Dynamic Memory","e89-5-11.html");
P.fA("sqlapplname() \u2014 Set the ESQL Application Name","e89-5-12.html");
P.fA("sqlcdbind() \u2014 Bind Your Error Code Address to ESQL","e89-5-13.html");
P.fA("sqlcommit() \u2014 Commit the Database Transaction","e89-5-14.html");
P.fA("sqlconn() \u2014 Connect Database(s)","e89-5-15.html");
P.fA("sqldelrow() \u2014 Delete Row at Open Cursor","e89-5-16.html");
P.fA("sqldinit() \u2014 Initialize an Allocated SQL Descriptor Area","e89-5-17.html");
P.fA("sqldiscon() \u2014 Disconnect a Database","e89-5-18.html");
P.fA("sqldld() \u2014 Deallocate Dynamic Descriptor Area","e89-5-19.html");
P.fA("sqldsize() \u2014 Calculate the Size of an SQL Descriptor Area","e89-5-20.html");
P.fA("sqldynclose() \u2014 Close an SQL Statement","e89-5-21.html");
P.fA("sqldyndesc() \u2014 Get Dynamic Column Descriptions","e89-5-22.html");
P.fA("sqldyndescinp() \u2014 Get Dynamic Parameter Descriptions","e89-5-23.html");
P.fA("sqldynexec() \u2014 Execute a Dynamic SQL Statement","e89-5-24.html");
P.fA("sqldynftch() \u2014 Fetch Next Row of Dynamic Cursor","e89-5-25.html");
P.fA("sqldyngetn() \u2014 Get a Cursor Name","e89-5-26.html");
P.fA("sqldynncols() \u2014 Get the Number of Columns in a Result Set","e89-5-27.html");
P.fA("sqldynnparms() \u2014 Get the Number of Parameter Markers","e89-5-28.html");
P.fA("sqldynposfetch() \u2014 Fetch Row of Dynamic Open Cursor","e89-5-29.html");
P.fA("sqldynprep() \u2014 Prepare a Dynamic SQL Statement","e89-5-30.html");
P.fA("sqldynrq() \u2014 Execute a Dynamic Non-SELECT Statement","e89-5-31.html");
P.fA("sqldynsetn() \u2014 Define a Cursor Name","e89-5-32.html");
P.fA("sqlfetch() \u2014 Fetch Next Row of Open Cursor","e89-5-33.html");
P.fA("sqlfree() \u2014 Deallocate Dynamic Memory","e89-5-34.html");
P.fA("sqlgetmsg() \u2014 Get Next Error Message","e89-5-35.html");
P.fA("sqlgetrqhdl() \u2014 Get a Dynamic Request Handle","e89-5-36.html");
P.fA("sqllogin() \u2014 Start a Progress ESQL Session","e89-5-37.html");
P.fA("sqllogout() \u2014 Terminate a Progress ESQL Session","e89-5-38.html");
P.fA("sqlrequest() \u2014 Execute a Static ESQL Statement","e89-5-39.html");
P.fA("sqlrollback() \u2014 Rollback Any Pending Transaction","e89-5-40.html");
P.fA("sqlsetlogoption() \u2014 Set a Session-wide Option","e89-5-41.html");
P.fA("sqlupdrow() \u2014 Update Row at Open Cursor","e89-5-42.html");
P.fA("Progress ESQL and ANSI Standards","e89-6-1.html");
P.fA(" Data Type Conversion Rules","e89-6-2.html");
P.fA(" Assignment Rules","e89-6-3.html");
P.fA(" Comparison Rules","e89-6-4.html");
P.fA(" UNION Data Type Compatibility","e89-6-5.html");
P.fA(" Progress/ESQL Not Addressed in 1989 SQL Standard","e89-6-6.html");
P.fA(" Standard Behavior Available Only with -Q or -Q2","e89-6-7.html");
P.fA(" Progress/ESQL Extensions to 1989 SQL","e89-6-8.html");
P.fA("ESQL Data Type Compatibilities","e89-7-1.html");
P.fA(" SQL and Core Progress Data Types","e89-7-2.html");
P.fA(" ESQL Standard C Data Type Definitions","e89-7-3.html");
P.fA(" Static ESQL Data Type Matching","e89-7-4.html");
P.fA(" Dynamic ESQL Data Type Matching and Conversion","e89-7-5.html");
P.fA(" The SQL Descriptor Area and Data Type Conversion","e89-7-6.html");
P.fA(" Output Data Conversion","e89-7-7.html");
P.fA(" Input Data Conversion","e89-7-8.html");
P.fA("V6 HLI to V9 ESQL Migration","e89-8-01.html");
P.fA(" Migrating SQL Preprocessor-based Applications","e89-8-02.html");
P.fA(" Using Dynamic ESQL","e89-8-03.html");
P.fA(" Calling sqllogout()","e89-8-04.html");
P.fA(" Using Host Language Variables","e89-8-05.html");
P.fA(" Preparing the Executable","e89-8-06.html");
P.fA(" Migrating ESQL-LIB-based Applications","e89-8-07.html");
P.fA(" Changing Calls to sqlcdbind()","e89-8-08.html");
P.fA(" Changing sqlv[] Array References","e89-8-09.html");
P.fA(" Changing Function Return Behavior","e89-8-10.html");
P.fA(" Replacing Calls to sqldynopen()","e89-8-11.html");
P.fA(" Replacing Calls to sqlclose()","e89-8-12.html");
P.fA(" Removing Obsolete Functions","e89-8-13.html");
P.fA(" Preparing the Executable","e89-8-14.html");
}
