function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress Language Tutorial for Windows","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp553");
B=A.fN("Audience","1#wp563");
B=A.fN("Organization of This Manual","1#wp573");
B=A.fN("How to Use This Manual","1#wp655");
B=A.fN("Typographical Conventions","1#wp38066");
B=A.fN("Syntax Notation","1#wp744");
B=A.fN("Example Procedures","1#wp869");
B=A.fN("Progress Messages","1#wp73807");
B=A.fN("Other Useful Documentation","1#wp40736");
A=P.fN("Welcome to Progress","2#wp2053");
B=A.fN(" Progress Solves Problems","3");
var C=B.fN(" A Classic Problem","4");
B=A.fN(" The Progress Solution","5");
B=A.fN(" About the Progress 4GL/RDBMS Product","6");
B=A.fN(" About the Relational Database Management System","7");
C=B.fN(" Database Basics","8");
C=B.fN(" About the Data Dictionary","9");
B=A.fN(" About the Application Development Language","10");
C=B.fN(" About the Procedure Editor","11");
B=A.fN(" Summary","12");
A=P.fN("Getting Started","13#wp1467");
B=A.fN(" Preparing to Use This Tutorial","14");
B=A.fN(" Accessing the Language Tutorial Sample Procedures","15");
B=A.fN(" Starting Progress","16");
C=B.fN(" Windows","17");
C=B.fN(" ADE Desktop","18");
B=A.fN(" About the Procedure Editor","19");
B=A.fN(" Setting PROPATH","20");
B=A.fN(" Using Object Interfaces","21");
B=A.fN(" Using Mouse Functions, Key Functions, and Menus","22");
C=B.fN(" Basic Mouse Functions","23");
C=B.fN(" Basic Key Functions","24");
C=B.fN(" Menus and Menu Options","25");
B=A.fN(" Text Entry and Manipulation","26");
C=B.fN(" Manipulating Blocks of Text","27");
B=A.fN(" Edit Buffers and Procedure Files","28");
B=A.fN(" Basic 4GL Constructs and Conventions","29");
B=A.fN(" The Progress Help System","30");
C=B.fN(" Accessing Help from the Procedure Editor","31");
C=B.fN(" Using the Help Topics: Windows Help Topics dialog box","32");
C=B.fN(" Getting Help on 4GL Language Elements","33");
C=B.fN(" Accessing 4GL Language and 4GL Cross Reference Language Information","34");
B=A.fN(" Leaving the Procedure Editor","35");
B=A.fN(" Summary","36");
A=P.fN("Programming the Progress Way","37#wp3028");
B=A.fN(" The Progress Programming Model","38");
C=B.fN(" User Interfaces","39");
C=B.fN(" User Input","40");
C=B.fN(" Responding to Events","41");
C=B.fN(" Programming for Events","42");
B=A.fN(" Widgets","43");
C=B.fN(" Widget Categories","44");
C=B.fN(" Defining Widgets","45");
C=B.fN(" Widget Attributes","46");
B=A.fN(" Event Types","47");
B=A.fN(" Putting the Progress Programming Model to Work","48");
B=A.fN(" Making Your Interface Responsive","49");
C=B.fN(" Enabling and Disabling Widgets","50");
C=B.fN(" Viewing and Hiding Widgets","51");
C=B.fN(" Accessing Widget Attributes and Methods","52");
B=A.fN(" Summary","53");
A=P.fN("Understanding the Database Environment","54#wp2839");
B=A.fN(" The Data Dictionary As a Programming Resource","55");
B=A.fN(" Accessing the Data Dictionary","56");
B=A.fN(" Exiting the Data Dictionary","57");
B=A.fN(" Creating, Connecting, and Disconnecting Databases","58");
C=B.fN(" Creating a Database","59");
C=B.fN(" Connecting a Database","60");
C=B.fN(" Disconnecting a Database","61");
B=A.fN(" Using the Data Dictionary Interface","62");
C=B.fN(" Using Menus","63");
C=B.fN(" Using Mode Buttons, Selection Lists, and Action Buttons","64");
C=B.fN(" Using Property Sheets","65");
B=A.fN(" Introduction to the sports Database Schema","66");
B=A.fN(" Defining Database Objects","67");
C=B.fN(" Defining Tables","68");
C=B.fN(" Defining Fields","69");
C=B.fN(" Defining Indexes","70");
C=B.fN(" Defining Sequences","71");
B=A.fN(" Establishing Application Defaults","72");
C=B.fN(" Validation Expressions and Messages","73");
C=B.fN(" Triggers and Database Events","74");
C=B.fN(" Field Formats","75");
C=B.fN(" VIEW-AS Phrases","76");
C=B.fN(" Labels","77");
C=B.fN(" Help Text","78");
B=A.fN(" Generating Reports","79");
B=A.fN(" Summary","80");
A=P.fN("Working with Expressions","81#wp1139");
B=A.fN(" Understanding Expressions","82");
B=A.fN(" Using Operands","83");
C=B.fN(" Using Variables","84");
C=B.fN(" Using Database Fields","85");
C=B.fN(" Using Widget Attributes","86");
C=B.fN(" Using Constants","87");
B=A.fN(" Using Operators","88");
B=A.fN(" Using Functions","89");
C=B.fN(" Pre-defined Functions","90");
C=B.fN(" User-defined Functions","91");
B=A.fN(" Understanding Precedence in Expressions","92");
B=A.fN(" Using Expressions","93");
C=B.fN(" Calculating Values","94");
C=B.fN(" Evaluating Conditions","95");
C=B.fN(" Defining Selection Criteria","96");
C=B.fN(" Manipulating Widget Attributes","97");
B=A.fN(" Summary","98");
A=P.fN("Working with Control Structures","99#wp20101");
B=A.fN(" Modularizing Code with Procedures and Include Files","100");
C=B.fN(" Using Procedures","101");
C=B.fN(" Using User-defined Functions","102");
C=B.fN(" Using Include Files","103");
B=A.fN(" Sharing Information Between Procedures","104");
C=B.fN(" Using Shared Variables","105");
C=B.fN(" Using Parameters to Pass Values","106");
C=B.fN(" Using Arguments to Pass Literals","107");
B=A.fN(" About Blocks","108");
C=B.fN(" Procedure Block","109");
C=B.fN(" Trigger Blocks","110");
B=A.fN(" Working with Control Blocks","111");
C=B.fN(" Using the DO Block","112");
C=B.fN(" Using the REPEAT Block","113");
C=B.fN(" Using the FOR EACH Block","114");
B=A.fN(" Block Property Summary","115");
B=A.fN(" Conditional Processing","116");
C=B.fN(" Using the IF Statement","117");
C=B.fN(" Using the CASE Statement","118");
B=A.fN(" Summary","119");
A=P.fN("Representing Data with Widgets","120#wp222709");
B=A.fN(" Programming Widgets","121");
C=B.fN(" Using the VIEW-AS Phrase","122");
C=B.fN(" Using the Format Phrase","123");
C=B.fN(" Positioning Widgets","124");
C=B.fN(" Using the Frame Phrase","125");
C=B.fN(" Changing Widget Characteristics Programming Example","126");
C=B.fN(" Referencing Widgets","127");
C=B.fN(" Working with Widget Values","128");
B=A.fN(" Working with Fill-in Fields","129");
C=B.fN(" Fill-in Field Events","130");
B=A.fN(" Working with Text Widgets","131");
B=A.fN(" Working with Toggle Boxes","132");
C=B.fN(" Toggle-box Events","133");
C=B.fN(" Checked Attribute","134");
C=B.fN(" Toggle Box Programming Example","135");
B=A.fN(" Working with Radio Sets","136");
C=B.fN(" Radio Set Events","137");
C=B.fN(" Radio Set Programming Example","138");
B=A.fN(" Working with Sliders","139");
C=B.fN(" Slider Events","140");
C=B.fN(" Slider Programming Example","141");
B=A.fN(" Working with Selection Lists","142");
C=B.fN(" Selection-list Events","143");
C=B.fN(" LIST-ITEMS, NUM-ITEMS, and DELIMITER Attributes","144");
C=B.fN(" ADD-LAST( ) and LOOKUP( ) Methods","145");
C=B.fN(" Selection-list Programming Example","146");
B=A.fN(" Working with Combo Boxes","147");
C=B.fN(" Combo Box Events","148");
C=B.fN(" Combo Box Programming Example","149");
B=A.fN(" Working with Editors","150");
C=B.fN(" Editor Events","151");
C=B.fN(" Editor Programming Example","152");
B=A.fN(" Summary","153");
A=P.fN("Using Database Records","154#wp6401");
B=A.fN(" How Progress Stores and Moves Data","155");
B=A.fN(" Designing Displays for Interactive Database Access","156");
B=A.fN(" Retrieving Data from a Database","157");
C=B.fN(" Using the FIND and DISPLAY Statements","158");
B=A.fN(" Using Defined Queries","159");
B=A.fN(" Retrieving Data Through a Query with the GET Statement","160");
B=A.fN(" Modifying Data","161");
C=B.fN(" The DISPLAY, ENABLE, and ASSIGN Technique","162");
C=B.fN(" The UPDATE Technique","163");
B=A.fN(" Releasing Records","164");
B=A.fN(" Creating Records","165");
B=A.fN(" Deleting Records","166");
B=A.fN(" Other Database Access Statements","167");
C=B.fN(" The PROMPT\u2013FOR Statement","168");
C=B.fN(" The SET Statement","169");
C=B.fN(" The INSERT Statement","170");
C=B.fN(" Using the Browse Widget","171");
B=A.fN(" Summary","172");
A=P.fN("Selecting, Sorting, and Relating Records","173#wp3251");
B=A.fN(" Uses of the Record Phrase","174");
B=A.fN(" Selecting Records","175");
C=B.fN(" Selecting with a WHERE Expression","176");
C=B.fN(" Selecting with the USING Option","177");
C=B.fN(" Query and Selection Programming Example","178");
B=A.fN(" Sorting Records","179");
C=B.fN(" Sorting Records with the BY Phrase","180");
C=B.fN(" Sorting Records with the USE-INDEX Option","181");
C=B.fN(" Querying and Sorting Example","182");
B=A.fN(" Relating Records","183");
C=B.fN(" Understanding Table Relationships","184");
C=B.fN(" Relating Record Options","185");
C=B.fN(" Relating with OF","186");
C=B.fN(" Relating with WHERE","187");
C=B.fN(" Inner and Outer Table Joins","188");
B=A.fN(" Summary","189");
A=P.fN("Creating Reports","190#wp1521");
B=A.fN(" Report Basics","191");
C=B.fN(" Down Frames","192");
C=B.fN(" Text Widgets","193");
C=B.fN(" Control Blocks and Output Statements","194");
C=B.fN(" Basic Report Demonstration","195");
B=A.fN(" Designing an Interface for Viewing Report Data","196");
B=A.fN(" Converting Widget Values to Report Data","197");
C=B.fN(" Printing Reports and the STREAM-IO Option","198");
C=B.fN(" Formatting Long Text Strings","199");
B=A.fN(" Generating Reports with Control Breaks and Aggregates","200");
B=A.fN(" Generating Reports from Multiple Tables","201");
C=B.fN(" Reporting Information from One Table","202");
C=B.fN(" Reporting Information from Two Tables","203");
C=B.fN(" Reporting Information from Multiple Tables","204");
B=A.fN(" Redirecting Output","205");
C=B.fN(" OUTPUT TO and the Default Stream","206");
C=B.fN(" Directing Output to a File","207");
C=B.fN(" Directing Output to a Printer","208");
C=B.fN(" Directing Output to Multiple Destinations","209");
B=A.fN(" Designing Frames for Reports","210");
C=B.fN(" Using Base Fields with the @ Option","211");
C=B.fN(" Using the HEADER of a Frame for Running Page Heads","212");
C=B.fN(" Using the HEADER of a Frame for Running Page Footers","213");
C=B.fN(" Programming Example","214");
B=A.fN(" Using the PUT Statement","215");
C=B.fN(" Using PUT for Printer Control","216");
B=A.fN(" Summary","217");
A=P.fN("Building Menus","218#wp1263");
B=A.fN(" Menu Basics","219");
B=A.fN(" Defining a Menu","220");
C=B.fN(" Defining a Submenu","221");
C=B.fN(" Defining a Menu Bar","222");
C=B.fN(" Assigning a Menu Bar to a Window","223");
C=B.fN(" Assigning Triggers to Menu Items","224");
C=B.fN(" Menu Bar Example","225");
B=A.fN(" Using Optional Menu Features","226");
C=B.fN(" Disabled Menu Items","227");
C=B.fN(" Toggle Boxes","228");
C=B.fN(" Mnemonics","229");
C=B.fN(" Accelerators","230");
C=B.fN(" Programming Example","231");
B=A.fN(" Menu Attributes","232");
B=A.fN(" Design Conventions","233");
B=A.fN(" Summary","234");
A=P.fN("Managing Your Application","235#wp845");
B=A.fN(" Managing Procedures","236");
C=B.fN(" Structuring an Event-driven Application","237");
C=B.fN(" Using Persistent Procedures","238");
B=A.fN(" Sharing Resources","239");
C=B.fN(" Using SHARED Resources","240");
C=B.fN(" Using Input and Output Parameters","241");
C=B.fN(" Sharing with Persistent Procedures","242");
B=A.fN(" Managing Interfaces","243");
C=B.fN(" Using Single-frame Interfaces","244");
C=B.fN(" Using Multi-frame Interfaces","245");
C=B.fN(" Using Dialog Boxes","246");
C=B.fN(" Using Alert Boxes","247");
C=B.fN(" Using Multi-window Interfaces","248");
B=A.fN(" Managing Application Control","249");
C=B.fN(" Using Basic Control Mechanisms","250");
C=B.fN(" Using Dialog Boxes with WAIT\u2013FOR Statements","251");
C=B.fN(" Using Windows with Persistent Procedures","252");
B=A.fN(" Summary","253");
A=P.fN("Where to Go from Here","254#wp77");
B=A.fN(" Progress Tools","255");
B=A.fN(" Designing Databases","256");
B=A.fN(" Learning the Language","257");
B=A.fN(" Multi-user Programming","258");
B=A.fN(" Data Integrity","259");
B=A.fN(" Record Reading","260");
B=A.fN(" Working with Large Data Sets","261");
B=A.fN(" Multiple-window Applications","262");
B=A.fN(" Menus","263");
B=A.fN(" Dynamic Widgets and Direct Manipulation","264");
B=A.fN(" Graphical Features","265");
B=A.fN(" Internationalization and Localization","266");
A=P.fN("Glossary ","267");
}
