function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN(" Progress  DataServer for ODBC Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp473");
B=A.fN("Audience","1#wp487");
B=A.fN("Organization of This Manual","1#wp10708");
B=A.fN("Typographical Conventions","1#wp569");
B=A.fN("Syntax Notation","1#wp629");
B=A.fN("Progress Messages","1#wp760");
B=A.fN("Other Useful Documentation","1#wp14673");
A=P.fN("Introduction","2#wp1814");
B=A.fN(" DataServer Components","3");
var C=B.fN(" DataServer for ODBC Logic","4");
C=B.fN(" The Schema Holder","5");
C=B.fN(" Security","6");
B=A.fN(" DataServer Utilities","7");
B=A.fN(" DataServer Demonstration Databases","8");
B=A.fN(" DataServer Configurations","9");
C=B.fN(" The Local DataServer Configuration","10");
C=B.fN(" The Remote DataServer Configuration","11");
C=B.fN(" Configuring Distributed DataServer Applications Using ProBroker","12");
C=B.fN(" Configuring Distributed DataServer Applications Using the Progress Explorer","13");
B=A.fN(" Software Requirements","14");
C=B.fN(" DB2","15");
C=B.fN(" Informix","16");
C=B.fN(" Microsoft Access","17");
C=B.fN(" Microsoft SQL Server","18");
C=B.fN(" Sybase","19");
B=A.fN(" Guidelines for Using the DataServer","20");
C=B.fN(" Using the DataServer for ODBC for the First Time","21");
C=B.fN(" Migrating a Progress Database to an ODBC Data Source","22");
C=B.fN(" Upgrading to the Version 9 DataServer for ODBC","23");
C=B.fN(" Documentation Resources","24");
A=P.fN("Programming Considerations","25#wp3538");
B=A.fN(" Database Design Issues","26");
C=B.fN(" Progress Database Objects and ODBC Data-source Objects","27");
C=B.fN(" Naming Conventions","28");
C=B.fN(" ODBC Data-source Limits","29");
C=B.fN(" Code Pages","30");
C=B.fN(" Indexes","31");
C=B.fN(" Case Sensitivity","32");
C=B.fN(" ODBC Data-source Views","33");
C=B.fN(" Triggers","34");
C=B.fN(" Progress Sequences","35");
B=A.fN(" Data Types","36");
C=B.fN(" User-defined Data Types","37");
C=B.fN(" Arrays","38");
C=B.fN(" Unknown Values","39");
C=B.fN(" Zero-length Character Strings","40");
B=A.fN(" Record Creation","41");
B=A.fN(" Data Source Record Locking","42");
C=B.fN(" Shared Locks","43");
C=B.fN(" Exclusive Locks","44");
C=B.fN(" Locking Examples","45");
C=B.fN(" The NO\u2013WAIT Option","46");
B=A.fN(" Transactions","47");
B=A.fN(" Error Handling","48");
B=A.fN(" Cursors","49");
C=B.fN(" Forward and Backward Scrolling","50");
B=A.fN(" Progress 4GL Issues","51");
C=B.fN(" ROWID Function","52");
C=B.fN(" RECID Function","53");
C=B.fN(" DEFINE BROWSE Statement","54");
C=B.fN(" Field Lists","55");
C=B.fN(" FIND Statements","56");
C=B.fN(" Compiling Progress Procedures","57");
C=B.fN(" FOR Statements","58");
C=B.fN(" BEGINS Function","59");
C=B.fN(" Unsupported 4GL Statements","60");
B=A.fN(" Stored Procedures","61");
C=B.fN(" Defining Native Stored Procedures to Progress","62");
C=B.fN(" Running a Stored Procedure","63");
C=B.fN(" Retrieving Return Codes","64");
C=B.fN(" Retrieving Output Parameter Values","65");
C=B.fN(" Retrieving Data-source Results","66");
C=B.fN(" Defining a View to Use As a Buffer","67");
C=B.fN(" Sending SQL Statements Directly to the Data Source","68");
C=B.fN(" Handling Errors from Stored Procedures","69");
B=A.fN(" Enhancing DataServer Performance","70");
C=B.fN(" Progress Query Types","71");
C=B.fN(" Query Tuning","72");
C=B.fN(" Caching Records","73");
C=B.fN(" Join by SQL DB","74");
C=B.fN(" Writing Queries for Performance","75");
C=B.fN(" Modifying the Run-time Schema Check","76");
A=P.fN("Configuring the DataServer","77#wp507");
B=A.fN(" DataServer Components","78");
B=A.fN(" Configuring the ODBC Driver and Registering the Data Source","79");
C=B.fN(" Configuring the ODBC Driver","80");
C=B.fN(" Registering Your Data Source","81");
B=A.fN(" Configuring a Local DataServer","82");
B=A.fN(" Configuring the Remote DataServer","83");
C=B.fN(" Configuring with the Progress Explorer","84");
C=B.fN(" Configuring with ProControl","85");
C=B.fN(" Configuring from the Command Line","86");
B=A.fN(" Creating a Schema Holder","87");
C=B.fN(" Establishing Permissions","88");
C=B.fN(" Preparing to Create the Schema Holder","89");
C=B.fN(" Creating an Empty Progress Database","90");
C=B.fN(" Creating a Schema Holder","91");
B=A.fN(" Maintaining a Schema Holder","92");
C=B.fN(" Updating a Deployed Schema Holder","93");
A=P.fN("Connecting the DataServer","94#wp863");
B=A.fN(" Starting a Local DataServer","95");
B=A.fN(" Starting a Remote DataServer","96");
C=B.fN(" Starting and Stopping a Broker Process from the Progress Explorer and Connecting a Client","97");
C=B.fN(" Starting and Stopping a Broker Process Using ODBMAN","98");
C=B.fN(" Starting and Stopping a Broker Process with ProControl","99");
C=B.fN(" Starting and Stopping a Broker Process from the Command Line","100");
C=B.fN(" Starting the NT or Windows Client Process","101");
C=B.fN(" Starting the UNIX Client Process","102");
B=A.fN(" Connection Guidelines","103");
C=B.fN(" Connections and Security on NT","104");
B=A.fN(" Connecting a Schema Holder","105");
C=B.fN(" Connecting a Schema Holder at Startup","106");
C=B.fN(" Unsupported Connection Parameters","107");
C=B.fN(" Special Connection Issues","108");
C=B.fN(" Query Tuning with Connection and Startup Parameters","109");
C=B.fN(" Analyzing Performance","110");
C=B.fN(" Local Schema Caching","111");
B=A.fN(" Connection Failures and Progress Responses","112");
C=B.fN(" Connection Troubleshooting","113");
C=B.fN(" Managing Connections to an ODBC Data Source","114");
C=B.fN(" Accessing the DataServer Log","115");
A=P.fN("The DataServer Tutorial","116#wp1101");
B=A.fN(" Demonstration Databases for ODBC DataServers","117");
B=A.fN(" Preparing to Use the DataServer Utilities","118");
B=A.fN(" Updating a Schema Holder","119");
B=A.fN(" Verifying a Schema Holder","120");
B=A.fN(" Changing Connection Information in a Schema Holder","121");
B=A.fN(" Modifying a Schema Holder","122");
C=B.fN(" Modifying Table-level Information","123");
C=B.fN(" Modifying Field-level Information","124");
C=B.fN(" Defining the ROWID","125");
B=A.fN(" Changing a Code Page in a Schema Holder","126");
B=A.fN(" Deleting a Schema Holder","127");
B=A.fN(" Adding Extended 4GL Support","128");
C=B.fN(" Modifying Tables to Support Arrays","129");
C=B.fN(" Modifying Tables to Support Case-insensitive Indexes","130");
C=B.fN(" Modifying Tables to Support the ROWID Function","131");
B=A.fN(" Migrating a Progress Database to an ODBC Data Source","132");
C=B.fN(" Preparing a Data Source for the Utility","133");
C=B.fN(" Running the Progress-to-ODBC Utility","134");
A=P.fN("Troubleshooting","135#wp308");
B=A.fN(" Tuning Your Environment with the -Dsrv Startup Parameter","136");
C=B.fN(" ODBC Options","137");
C=B.fN(" DataServer Options","138");
C=B.fN(" Using ODBC and DataServer Options","139");
B=A.fN(" ODBC Driver Problems on Windows Platforms","140");
A=P.fN("Upgrading DataServer Applications","141#wp97");
B=A.fN(" Upgrading Schema Holders","142");
B=A.fN(" Upgrading from One Data Source Version to Another","143");
A=P.fN("Stored Procedure Reference","144#wp6687");
B=A.fN("CLOSE STORED\u2013PROCEDURE Statement","145");
B=A.fN("PROC\u2013HANDLE Function","146");
B=A.fN("PROC\u2013STATUS Function","147");
B=A.fN("RUN STORED\u2013PROCEDURE Statement","148");
A=P.fN("Progress Explorer Command Line Utilities and Startup Parameters","149#wp6070");
B=A.fN(" Progress Explorer Command Line Utilities for the DataServer","150");
B=A.fN("NSCONFIG Utility","151");
B=A.fN("NSMAN Utility","152");
B=A.fN(" ODBCONFIG Utility","153");
B=A.fN(" ODBMAN Utility","154");
B=A.fN(" PROBRKR Command","155");
B=A.fN(" DataServer Startup Parameters","156");
}
