function  WWHBookData_Files(P)
{
P.fA("Progress  Programming  Handbook","proghand-01-1.html");
P.fA("Preface","proghand-02-1.html");
P.fA("Introducing the Progress 4GL","proghand-03-01.html");
P.fA(" What Is a 4GL?","proghand-03-02.html");
P.fA(" A Powerful Application Builder","proghand-03-03.html");
P.fA(" More Complex Applications Supported","proghand-03-04.html");
P.fA(" Less Development Effort Required","proghand-03-05.html");
P.fA(" Less Platform Knowledge Required","proghand-03-06.html");
P.fA(" Progress\u2014The Flexible and Complete 4GL","proghand-03-07.html");
P.fA(" Flexibility","proghand-03-08.html");
P.fA(" Consistency","proghand-03-09.html");
P.fA(" Security","proghand-03-10.html");
P.fA(" Interoperability","proghand-03-11.html");
P.fA(" Connectivity","proghand-03-12.html");
P.fA(" Portability","proghand-03-13.html");
P.fA(" Localizability","proghand-03-14.html");
P.fA(" Understanding Progress Syntax and Semantics","proghand-03-15.html");
P.fA(" Elements of Progress Syntax","proghand-03-16.html");
P.fA(" Blocks and Context","proghand-03-17.html");
P.fA(" Block Context and Resource Scope","proghand-03-18.html");
P.fA(" Compile-time Versus Run-time Code","proghand-03-19.html");
P.fA(" Compile-time Versus Run-time Execution","proghand-03-20.html");
P.fA(" Compile-time Execution","proghand-03-21.html");
P.fA(" Run-time Execution","proghand-03-22.html");
P.fA("Programming Models","proghand-04-1.html");
P.fA(" Procedure- and Event-driven Programming","proghand-04-2.html");
P.fA(" Flow of Execution","proghand-04-3.html");
P.fA(" Program Execution in a Procedure-driven Program","proghand-04-4.html");
P.fA(" Program Execution in an Event-driven Program","proghand-04-5.html");
P.fA(" Program Structures","proghand-04-6.html");
P.fA(" Program Structure in a Procedure-driven Program","proghand-04-7.html");
P.fA(" Program Structure in an Event-driven Program","proghand-04-8.html");
P.fA(" When to Use the Procedure-driven and Event-driven Models","proghand-04-9.html");
P.fA("Block Properties","proghand-05-01.html");
P.fA(" Blocks and Their Properties ","proghand-05-02.html");
P.fA(" REPEAT, FOR, and DO Blocks ","proghand-05-03.html");
P.fA(" Procedure Blocks ","proghand-05-04.html");
P.fA(" Trigger Blocks ","proghand-05-05.html");
P.fA(" EDITING Blocks ","proghand-05-06.html");
P.fA(" Block Properties ","proghand-05-07.html");
P.fA(" Looping ","proghand-05-08.html");
P.fA(" Record Reading ","proghand-05-09.html");
P.fA(" Frame Allocation ","proghand-05-10.html");
P.fA(" Record Scoping ","proghand-05-11.html");
P.fA(" Transactions ","proghand-05-12.html");
P.fA(" Error Processing","proghand-05-13.html");
P.fA(" Procedure Properties ","proghand-05-14.html");
P.fA(" External Procedures ","proghand-05-15.html");
P.fA(" Procedure Filenames ","proghand-05-16.html");
P.fA(" Standard Execution Options ","proghand-05-17.html");
P.fA(" Examples","proghand-05-18.html");
P.fA(" Procedure Parameters ","proghand-05-19.html");
P.fA(" Procedure Context and the Procedure Call Stack ","proghand-05-20.html");
P.fA(" Shared Objects ","proghand-05-21.html");
P.fA(" Procedure Handles ","proghand-05-22.html");
P.fA(" Internal Procedures ","proghand-05-23.html");
P.fA(" Internal Procedure Definition ","proghand-05-24.html");
P.fA(" Internal Procedure Execution ","proghand-05-25.html");
P.fA(" Internal Procedure Names ","proghand-05-26.html");
P.fA(" Standard Execution Options ","proghand-05-27.html");
P.fA(" Internal Procedures and Encapsulation ","proghand-05-28.html");
P.fA(" Shared and Local Context ","proghand-05-29.html");
P.fA(" Examples ","proghand-05-30.html");
P.fA(" Internal Procedures and the Call Stack ","proghand-05-31.html");
P.fA(" Persistent and Non-persistent Procedures ","proghand-05-32.html");
P.fA(" Advantages of Persistent Procedures ","proghand-05-33.html");
P.fA(" Creating Persistent Procedures ","proghand-05-34.html");
P.fA(" Working with Persistent Procedures ","proghand-05-35.html");
P.fA(" Deleting Persistent Procedures ","proghand-05-36.html");
P.fA(" Examples ","proghand-05-37.html");
P.fA(" Persistent Procedure Context and Shared Objects ","proghand-05-38.html");
P.fA(" Run-time Parameters ","proghand-05-39.html");
P.fA(" Transaction Management ","proghand-05-40.html");
P.fA(" Condition Management ","proghand-05-41.html");
P.fA(" CURRENT\u2013LANGUAGE Changes ","proghand-05-42.html");
P.fA(" User-defined Functions ","proghand-05-43.html");
P.fA(" Locally Defined User-defined Functions ","proghand-05-44.html");
P.fA(" Externally Defined User-defined Functions ","proghand-05-45.html");
P.fA(" Remotely Defined User-defined Functions ","proghand-05-46.html");
P.fA(" Procedure Overriding ","proghand-05-47.html");
P.fA(" Feature Summary","proghand-05-48.html");
P.fA(" Super Procedure Prototyping ","proghand-05-49.html");
P.fA(" Programming Example","proghand-05-50.html");
P.fA("Named Events","proghand-06-1.html");
P.fA(" Feature Summary","proghand-06-2.html");
P.fA(" Programming Example","proghand-06-3.html");
P.fA("Condition Handling and Messages","proghand-07-01.html");
P.fA(" Progress Conditions","proghand-07-02.html");
P.fA(" Rules About UNDO","proghand-07-03.html");
P.fA(" Infinite Loop Protection","proghand-07-04.html");
P.fA(" The ERROR Condition","proghand-07-05.html");
P.fA(" The ERROR\u2013STATUS System Handle","proghand-07-06.html");
P.fA(" Default Handling","proghand-07-07.html");
P.fA(" Overriding the Default Handling","proghand-07-08.html");
P.fA(" The ENDKEY Condition","proghand-07-09.html");
P.fA(" Default Handling","proghand-07-10.html");
P.fA(" Overriding the Default Handling","proghand-07-11.html");
P.fA(" The STOP Condition","proghand-07-12.html");
P.fA(" Default Handling","proghand-07-13.html");
P.fA(" Overriding the Default Handling","proghand-07-14.html");
P.fA(" The QUIT Condition","proghand-07-15.html");
P.fA(" Default Handling","proghand-07-16.html");
P.fA(" Overriding the Default Handling","proghand-07-17.html");
P.fA(" The END\u2013ERROR Key","proghand-07-18.html");
P.fA(" Distinguishing ERROR and ENDKEY","proghand-07-19.html");
P.fA(" ENABLE/WAIT\u2013FOR Processing","proghand-07-20.html");
P.fA(" How Progress Handles System and Software Failures","proghand-07-21.html");
P.fA(" Progress Messages","proghand-07-22.html");
P.fA(" Application Messages","proghand-07-23.html");
P.fA("Handling User Input","proghand-08-01.html");
P.fA(" The Keyboard and the Mouse","proghand-08-02.html");
P.fA(" Key Mapping","proghand-08-03.html");
P.fA(" Key Monitoring","proghand-08-04.html");
P.fA(" Key Translation Functions","proghand-08-05.html");
P.fA(" Key Codes and Key Labels","proghand-08-06.html");
P.fA(" Key Functions","proghand-08-07.html");
P.fA(" Changing the Function of a Key","proghand-08-08.html");
P.fA(" Using Mouse Buttons and Events","proghand-08-09.html");
P.fA(" Portable and Physical Buttons","proghand-08-10.html");
P.fA(" Specifying Mouse Events","proghand-08-11.html");
P.fA(" Telling Progress How to Continue Processing","proghand-08-12.html");
P.fA(" Monitoring Keystrokes During Data Entry","proghand-08-13.html");
P.fA(" Editing Blocks","proghand-08-14.html");
P.fA(" User Interface Triggers","proghand-08-15.html");
P.fA(" Using Editing Blocks and User Interface Triggers","proghand-08-16.html");
P.fA("Alternate I/O Sources","proghand-09-01.html");
P.fA(" Understanding Input and Output","proghand-09-02.html");
P.fA(" Changing the Output Destination ","proghand-09-03.html");
P.fA("  Output to Printers ","proghand-09-04.html");
P.fA("  Additional Options for Printing on Windows","proghand-09-05.html");
P.fA("  Output to Files or Devices ","proghand-09-06.html");
P.fA("  Output to the Clipboard ","proghand-09-07.html");
P.fA("  Resetting Output to the Terminal ","proghand-09-08.html");
P.fA("  Sending Output to Multiple Destinations ","proghand-09-09.html");
P.fA("  Stream I/O vs. Screen I/O","proghand-09-10.html");
P.fA("  A Printing Solution ","proghand-09-11.html");
P.fA(" Changing a Procedure\u2019s Input Source ","proghand-09-12.html");
P.fA("  Input From Files ","proghand-09-13.html");
P.fA("  Input from Devices, Directories, and the Terminal ","proghand-09-14.html");
P.fA("  Receiving Input from Multiple Sources ","proghand-09-15.html");
P.fA("  Reading Input with Control Characters ","proghand-09-16.html");
P.fA(" Defining Additional Input/Output Streams ","proghand-09-17.html");
P.fA(" Sharing Streams Among Procedures ","proghand-09-18.html");
P.fA(" Summary of Opening and Closing Streams","proghand-09-19.html");
P.fA(" Processes as Input and Output Streams (NT and UNIX only) ","proghand-09-20.html");
P.fA(" I/O Redirection for Batch Jobs ","proghand-09-21.html");
P.fA(" Reading the Contents of a Directory","proghand-09-22.html");
P.fA(" Performing Code-page Conversions ","proghand-09-23.html");
P.fA(" Converting Non-standard Input Files ","proghand-09-24.html");
P.fA("  Using QUOTER to Format Data ","proghand-09-25.html");
P.fA("  Importing and Exporting Data","proghand-09-26.html");
P.fA("  Using the PUT Statement","proghand-09-27.html");
P.fA("  Using the IMPORT Statement ","proghand-09-28.html");
P.fA("The Preprocessor","proghand-10-01.html");
P.fA(" &amp;GLOBAL-DEFINE and &amp;SCOPED-DEFINE Directives","proghand-10-02.html");
P.fA(" Example Using &amp;GLOBAL-DEFINE","proghand-10-03.html");
P.fA(" Preprocessor Name Scoping","proghand-10-04.html");
P.fA(" &amp;UNDEFINE Directive","proghand-10-05.html");
P.fA(" &amp;IF, &amp;THEN, &amp;ELSEIF, &amp;ELSE, and &amp;ENDIF Directives","proghand-10-06.html");
P.fA(" DEFINED( ) Preprocessor Function","proghand-10-07.html");
P.fA(" The &amp;MESSAGE Directive","proghand-10-08.html");
P.fA(" Referencing Preprocessor Names","proghand-10-09.html");
P.fA(" Expanding Preprocessor Names","proghand-10-10.html");
P.fA(" Using Built-in Preprocessor Names","proghand-10-11.html");
P.fA(" Built-in Preprocessor Name References","proghand-10-12.html");
P.fA(" Quoting Built-in Names and Saving {&amp;SEQUENCE} Values","proghand-10-13.html");
P.fA(" Nesting Preprocessor References","proghand-10-14.html");
P.fA(" Arguments to Include Files","proghand-10-15.html");
P.fA(" Sample Application","proghand-10-16.html");
P.fA("Database Access","proghand-11-01.html");
P.fA(" Database Connections","proghand-11-02.html");
P.fA(" Connection Parameters","proghand-11-03.html");
P.fA(" The CONNECT Statement","proghand-11-04.html");
P.fA(" Auto-connect","proghand-11-05.html");
P.fA(" Multi-database Connection Considerations","proghand-11-06.html");
P.fA(" Run-time Connection Considerations","proghand-11-07.html");
P.fA(" Connection Failures and Disruptions","proghand-11-08.html");
P.fA(" Progress Database Connection Functions","proghand-11-09.html");
P.fA(" Conserving Connections vs. Minimizing Overhead","proghand-11-10.html");
P.fA(" Disconnecting Databases","proghand-11-11.html");
P.fA(" Logical Database Names","proghand-11-12.html");
P.fA(" Database Aliases","proghand-11-13.html");
P.fA(" Creating Aliases in Applications","proghand-11-14.html");
P.fA(" Compiling Procedures with Aliases","proghand-11-15.html");
P.fA(" Using Shared Record Buffers with Aliases","proghand-11-16.html");
P.fA(" Data-handling Statements","proghand-11-17.html");
P.fA(" Adding and Deleting Records","proghand-11-18.html");
P.fA(" Defining a Set of Records to Fetch","proghand-11-19.html");
P.fA(" Fetching Records","proghand-11-20.html");
P.fA(" Order of Fetched Records","proghand-11-21.html");
P.fA(" Sample Record Fetches","proghand-11-22.html");
P.fA(" ROWID and RECID Data Types","proghand-11-23.html");
P.fA(" Results Lists","proghand-11-24.html");
P.fA(" FIND Repositioning","proghand-11-25.html");
P.fA(" Fetching Field Lists","proghand-11-26.html");
P.fA(" Field List Benefits","proghand-11-27.html");
P.fA(" Specifying Field Lists in the 4GL","proghand-11-28.html");
P.fA(" Avoiding Implied Field List Entries","proghand-11-29.html");
P.fA(" Updating and Deleting with Field Lists","proghand-11-30.html");
P.fA(" Cursor Repositioning and Field Lists","proghand-11-31.html");
P.fA(" Field List Handling in Degenerate Cases","proghand-11-32.html");
P.fA(" Joining Tables","proghand-11-33.html");
P.fA(" Specifying Joins in the 4GL","proghand-11-34.html");
P.fA(" Using Inner Joins","proghand-11-35.html");
P.fA(" Using Left Outer Joins","proghand-11-36.html");
P.fA(" Implementing Other Outer Joins","proghand-11-37.html");
P.fA(" Mixing Inner and Left Outer Joins","proghand-11-38.html");
P.fA(" The CONTAINS Operator, Word Indexes, and Word-break Tables","proghand-11-39.html");
P.fA(" Understanding the CONTAINS Operator, Word Indexes, and Word-break Tables","proghand-11-40.html");
P.fA(" Creating and Viewing Word Indexes","proghand-11-41.html");
P.fA(" Using Word-break Tables","proghand-11-42.html");
P.fA(" Writing Queries Using the CONTAINS Operator","proghand-11-43.html");
P.fA(" Word\u00a0Indexing External Documents","proghand-11-44.html");
P.fA(" Word Indexing Non-Progress Databases","proghand-11-45.html");
P.fA(" Sequences","proghand-11-46.html");
P.fA(" Choosing Between Sequences and Control Tables","proghand-11-47.html");
P.fA(" Creating and Maintaining Sequences","proghand-11-48.html");
P.fA(" Accessing and Incrementing Sequences","proghand-11-49.html");
P.fA(" Database Trigger Considerations","proghand-11-50.html");
P.fA(" Storing Triggers in an Operating System Directory","proghand-11-51.html");
P.fA(" Storing Triggers in an R-code Library","proghand-11-52.html");
P.fA(" Using the RAW Data Type","proghand-11-53.html");
P.fA(" Multi-database Programming Techniques","proghand-11-54.html");
P.fA(" Referencing Tables and Fields","proghand-11-55.html");
P.fA(" Positioning Database References in an Application","proghand-11-56.html");
P.fA(" Using the LIKE option","proghand-11-57.html");
P.fA(" Creating Schema Cache Files","proghand-11-58.html");
P.fA(" Building a Schema Cache File","proghand-11-59.html");
P.fA(" Example Schema Cache File Creation","proghand-11-60.html");
P.fA(" Using a Schema Cache File","proghand-11-61.html");
P.fA("Using the Browse Widget","proghand-12-01.html");
P.fA(" Understanding Browse Widgets","proghand-12-02.html");
P.fA(" Defining a Query for a Browse ","proghand-12-03.html");
P.fA(" Using Field Lists ","proghand-12-04.html");
P.fA(" Planning for the Size of the Data Set ","proghand-12-05.html");
P.fA(" Defining a Browse Widget ","proghand-12-06.html");
P.fA(" Defining a Read-only Browse ","proghand-12-07.html");
P.fA(" Defining an Updatable Browse ","proghand-12-08.html");
P.fA(" Defining a Single- or Multiple-select Browse","proghand-12-09.html");
P.fA(" Using Calculated Fields","proghand-12-10.html");
P.fA(" Sizing a Browse and Browse Columns","proghand-12-11.html");
P.fA(" Searching Columns (Windows Only) ","proghand-12-12.html");
P.fA(" Programming with a Browse Widget","proghand-12-13.html");
P.fA(" Browse Events ","proghand-12-14.html");
P.fA(" Refreshing Browse Rows ","proghand-12-15.html");
P.fA(" Repositioning Focus ","proghand-12-16.html");
P.fA(" Updating Browse Rows ","proghand-12-17.html");
P.fA(" Creating Browse Rows ","proghand-12-18.html");
P.fA(" Deleting Browse Rows ","proghand-12-19.html");
P.fA(" Locking Columns ","proghand-12-20.html");
P.fA(" Moving Columns","proghand-12-21.html");
P.fA(" Overlaying Widgets on Browse Cells","proghand-12-22.html");
P.fA(" Using Multiple Browse Widgets for Related Tables","proghand-12-23.html");
P.fA(" Browse Style Options","proghand-12-24.html");
P.fA(" Resizable Browse Widgets ","proghand-12-25.html");
P.fA(" Resizing the Browse ","proghand-12-26.html");
P.fA(" Moving the Browse ","proghand-12-27.html");
P.fA(" Resizing the Browse-column ","proghand-12-28.html");
P.fA(" Moving the Browse-column ","proghand-12-29.html");
P.fA(" Changing the Row Height ","proghand-12-30.html");
P.fA(" Additional Attributes","proghand-12-31.html");
P.fA(" User Manipulation Events ","proghand-12-32.html");
P.fA(" Code Example ","proghand-12-33.html");
P.fA(" Using Browse Widgets in Character Interfaces ","proghand-12-34.html");
P.fA(" Character Browse Modes ","proghand-12-35.html");
P.fA(" Control Keys ","proghand-12-36.html");
P.fA(" Functional Differences from the Windows Graphical Browse ","proghand-12-37.html");
P.fA("Database Triggers","proghand-13-01.html");
P.fA(" Database Events","proghand-13-02.html");
P.fA(" Schema and Session Database Triggers","proghand-13-03.html");
P.fA(" Differences Between Schema and Session Triggers","proghand-13-04.html");
P.fA(" Trigger Interaction","proghand-13-05.html");
P.fA(" Schema Triggers","proghand-13-06.html");
P.fA(" CREATE Schema Trigger Example","proghand-13-07.html");
P.fA(" DELETE Schema Trigger Example","proghand-13-08.html");
P.fA(" ASSIGN Schema Trigger Example","proghand-13-09.html");
P.fA(" REPLICATION\u2013CREATE Schema Trigger Example","proghand-13-10.html");
P.fA(" REPLICATION\u2013DELETE Schema Trigger Example","proghand-13-11.html");
P.fA(" REPLICATION\u2013WRITE Schema Trigger Example","proghand-13-12.html");
P.fA(" Implementing Trigger-based Replication ","proghand-13-13.html");
P.fA(" 4GL Support","proghand-13-14.html");
P.fA(" Data Dictionary Support","proghand-13-15.html");
P.fA(" Trigger-based Replication Procedure","proghand-13-16.html");
P.fA(" Detecting and Capturing Data Collision","proghand-13-17.html");
P.fA(" Create a Collision Log","proghand-13-18.html");
P.fA(" Analyze the Log Records","proghand-13-19.html");
P.fA(" Replication Process Configuration ","proghand-13-20.html");
P.fA(" Session Triggers","proghand-13-21.html");
P.fA(" FIND Session Trigger Example","proghand-13-22.html");
P.fA(" WRITE Session Trigger Example","proghand-13-23.html");
P.fA(" General Considerations","proghand-13-24.html");
P.fA(" Metaschema Tables","proghand-13-25.html");
P.fA(" User-interaction Code","proghand-13-26.html");
P.fA(" FIND NEXT and FIND PREV","proghand-13-27.html");
P.fA(" Triggers Execute Other Triggers","proghand-13-28.html");
P.fA(" Triggers Can Start Transactions","proghand-13-29.html");
P.fA(" Default Error Phrase","proghand-13-30.html");
P.fA(" RETURN ERROR","proghand-13-31.html");
P.fA(" Where Triggers Execute","proghand-13-32.html");
P.fA(" Storing Trigger Procedures in Libraries","proghand-13-33.html");
P.fA(" ESQL Access to Database Objects","proghand-13-34.html");
P.fA(" Disabling Triggers for Dump/Load","proghand-13-35.html");
P.fA(" SQL Considerations","proghand-13-36.html");
P.fA("Transactions","proghand-14-01.html");
P.fA(" Introduction","proghand-14-02.html");
P.fA(" Transactions Defined","proghand-14-03.html");
P.fA(" All-or-nothing Processing","proghand-14-04.html");
P.fA(" Understanding Where Transactions Begin and End","proghand-14-05.html");
P.fA(" How Much to Undo","proghand-14-06.html");
P.fA(" Controlling Where Transactions Begin and End","proghand-14-07.html");
P.fA(" Making Transactions Larger","proghand-14-08.html");
P.fA(" Making Transactions Smaller","proghand-14-09.html");
P.fA(" Transactions and Triggers","proghand-14-10.html");
P.fA(" Transactions and Subprocedures","proghand-14-11.html");
P.fA(" Transactions with File Input","proghand-14-12.html");
P.fA(" Transactions and Program Variables","proghand-14-13.html");
P.fA(" Transactions in Multi-database Applications","proghand-14-14.html");
P.fA(" Transactions in Distributed Applications","proghand-14-15.html");
P.fA(" Determining When Transactions Are Active","proghand-14-16.html");
P.fA(" Progress Transaction Mechanics","proghand-14-17.html");
P.fA(" Transaction Mechanics","proghand-14-18.html");
P.fA(" Subtransaction Mechanics","proghand-14-19.html");
P.fA(" Efficient Transaction Processing","proghand-14-20.html");
P.fA("Locks","proghand-15-01.html");
P.fA(" Applications in a Multi-user Environment","proghand-15-02.html");
P.fA(" Sharing Database Records","proghand-15-03.html");
P.fA(" Using Locks to Avoid Record Conflicts","proghand-15-04.html");
P.fA(" How Progress Applies Locks","proghand-15-05.html");
P.fA(" Bypassing Progress Lock Protections","proghand-15-06.html");
P.fA(" How Long Does Progress Hold a Lock?","proghand-15-07.html");
P.fA(" Locks and Transactions","proghand-15-08.html");
P.fA(" Locks and Multiple Buffers","proghand-15-09.html");
P.fA(" Resolving Locking Conflicts","proghand-15-10.html");
P.fA(" Managing Locks to Improve Concurrency","proghand-15-11.html");
P.fA(" Changing the Size of a Transaction","proghand-15-12.html");
P.fA(" Making a Transaction Larger","proghand-15-13.html");
P.fA(" Making a Transaction Smaller","proghand-15-14.html");
P.fA("Providing Data Security ","proghand-16-1.html");
P.fA(" Progress User ID and Password","proghand-16-2.html");
P.fA(" User ID","proghand-16-3.html");
P.fA(" Password","proghand-16-4.html");
P.fA(" Validating Progress User IDs and Passwords","proghand-16-5.html");
P.fA(" Run-time Security","proghand-16-6.html");
P.fA(" Checking for User IDs","proghand-16-7.html");
P.fA(" Defining Activities-based Security Checking","proghand-16-8.html");
P.fA("Work Tables and Temporary Tables","proghand-17-01.html");
P.fA(" Work Tables","proghand-17-02.html");
P.fA(" Characteristics of Work Tables","proghand-17-03.html");
P.fA(" Producing Categorized Reports","proghand-17-04.html");
P.fA(" Using Work Tables to Collect and Manipulate Data","proghand-17-05.html");
P.fA(" Using Work Tables for Complex Sorting","proghand-17-06.html");
P.fA(" Using Work Tables for Cross-tab Reports","proghand-17-07.html");
P.fA(" Temporary Tables","proghand-17-08.html");
P.fA(" Characteristics of Temporary Tables","proghand-17-09.html");
P.fA(" Defining a Temporary Table ","proghand-17-10.html");
P.fA(" Using Database, Temporary, and Work Tables  ","proghand-17-11.html");
P.fA(" Similarities Between Temporary and Work Tables","proghand-17-12.html");
P.fA(" Differences Between Temporary and Work Tables","proghand-17-13.html");
P.fA(" Defining Indexes for Temporary Tables","proghand-17-14.html");
P.fA(" Tailoring Temporary Table Visibility and Life Span","proghand-17-15.html");
P.fA(" Temporary Tables As Parameters","proghand-17-16.html");
P.fA(" Temporary Table Example","proghand-17-17.html");
P.fA(" Dynamic Temporary Tables","proghand-17-18.html");
P.fA(" Static and Dynamic Temp Tables","proghand-17-19.html");
P.fA(" Creating a Dynamic Temp\u2013table","proghand-17-20.html");
P.fA(" Dynamic Buffers for Dynamic Temp\u2013tables","proghand-17-21.html");
P.fA(" Dynamic Temp\u2013tables as Local and Remote Parameters","proghand-17-22.html");
P.fA(" Error Handling and Messages","proghand-17-23.html");
P.fA("Widgets and Handles","proghand-18-01.html");
P.fA(" Overview","proghand-18-02.html");
P.fA(" Widget Types","proghand-18-03.html");
P.fA(" Static Versus Dynamic Widgets","proghand-18-04.html");
P.fA(" Creating Widgets","proghand-18-05.html");
P.fA(" Using Widget Handles","proghand-18-06.html");
P.fA(" Static Widgets","proghand-18-07.html");
P.fA(" Dynamic Widgets","proghand-18-08.html");
P.fA(" Handles","proghand-18-09.html");
P.fA(" Widget Handles","proghand-18-10.html");
P.fA(" Procedure Handles","proghand-18-11.html");
P.fA(" Query, Buffer, and Buffer-field Handles","proghand-18-12.html");
P.fA(" Server Handles","proghand-18-13.html");
P.fA(" Component Handles","proghand-18-14.html");
P.fA(" Transaction Handles","proghand-18-15.html");
P.fA(" System Handles","proghand-18-16.html");
P.fA(" Handle Management","proghand-18-17.html");
P.fA(" Widget Attributes","proghand-18-18.html");
P.fA(" Attribute References","proghand-18-19.html");
P.fA(" Referencing Attribute Values","proghand-18-20.html");
P.fA(" Setting Attribute Values","proghand-18-21.html");
P.fA(" Attributes in Expressions","proghand-18-22.html");
P.fA(" Attribute Example","proghand-18-23.html");
P.fA(" Widget Methods","proghand-18-24.html");
P.fA(" Method References","proghand-18-25.html");
P.fA(" Invoking Methods","proghand-18-26.html");
P.fA(" Methods in Expressions","proghand-18-27.html");
P.fA(" Method Example","proghand-18-28.html");
P.fA(" Widget Realization","proghand-18-29.html");
P.fA(" Becoming Realized","proghand-18-30.html");
P.fA(" Becoming Derealized","proghand-18-31.html");
P.fA(" Resizing Widgets Dynamically","proghand-18-32.html");
P.fA(" User-interface Triggers","proghand-18-33.html");
P.fA(" User-interface Events","proghand-18-34.html");
P.fA(" Trigger Definition","proghand-18-35.html");
P.fA(" Trigger Execution","proghand-18-36.html");
P.fA(" Trigger Scope","proghand-18-37.html");
P.fA(" Reverting Triggers","proghand-18-38.html");
P.fA(" Universal Triggers","proghand-18-39.html");
P.fA(" Applying Events","proghand-18-40.html");
P.fA("Representing Data","proghand-19-01.html");
P.fA(" Using the VIEW\u2013AS Phrase ","proghand-19-02.html");
P.fA(" Multiple Representations for a Single Value","proghand-19-03.html");
P.fA(" A Value\u2019s Default Representation ","proghand-19-04.html");
P.fA(" Fill-ins ","proghand-19-05.html");
P.fA(" Format and Size ","proghand-19-06.html");
P.fA(" Fill-in Attributes ","proghand-19-07.html");
P.fA(" Fill-in Fonts on Windows in Graphical Interfaces ","proghand-19-08.html");
P.fA(" Text ","proghand-19-09.html");
P.fA(" Sliders ","proghand-19-10.html");
P.fA(" Manipulating a Slider ","proghand-19-11.html");
P.fA(" Range and Size","proghand-19-12.html");
P.fA(" Example Procedure ","proghand-19-13.html");
P.fA(" Toggle Boxes ","proghand-19-14.html");
P.fA(" Radio Sets ","proghand-19-15.html");
P.fA(" Defining a Radio Set ","proghand-19-16.html");
P.fA(" Example Procedures","proghand-19-17.html");
P.fA(" Editors ","proghand-19-18.html");
P.fA(" Defining an Editor ","proghand-19-19.html");
P.fA(" Using an Editor ","proghand-19-20.html");
P.fA(" Attributes and Methods","proghand-19-21.html");
P.fA(" Adding Functionality to an Editor ","proghand-19-22.html");
P.fA(" Selection Lists ","proghand-19-23.html");
P.fA(" Defining a Selection List ","proghand-19-24.html");
P.fA(" Scrolling","proghand-19-25.html");
P.fA(" Character Mode","proghand-19-26.html");
P.fA(" Example Procedure ","proghand-19-27.html");
P.fA(" Attributes and Methods","proghand-19-28.html");
P.fA(" Combo Boxes ","proghand-19-29.html");
P.fA(" Defining a Combo Box ","proghand-19-30.html");
P.fA(" Working with Combo Boxes ","proghand-19-31.html");
P.fA(" Example Procedure ","proghand-19-32.html");
P.fA(" Attributes and Methods","proghand-19-33.html");
P.fA(" Applying Formats When Displaying Widgets ","proghand-19-34.html");
P.fA(" Using the FORMAT Option ","proghand-19-35.html");
P.fA(" Character Formats ","proghand-19-36.html");
P.fA(" Integer and Decimal Formats ","proghand-19-37.html");
P.fA(" Logical Formats ","proghand-19-38.html");
P.fA(" Date Formats ","proghand-19-39.html");
P.fA("Buttons, Images, and Rectangles","proghand-20-1.html");
P.fA(" Buttons","proghand-20-2.html");
P.fA(" Button Images","proghand-20-3.html");
P.fA(" Default Buttons in Dialog Boxes","proghand-20-4.html");
P.fA(" Images","proghand-20-5.html");
P.fA(" Rectangles","proghand-20-6.html");
P.fA("Frames","proghand-21-01.html");
P.fA(" What Is a Frame?","proghand-21-02.html");
P.fA(" Why Progress Uses Frames","proghand-21-03.html");
P.fA(" Static and Dynamic Frames","proghand-21-04.html");
P.fA(" Frame Allocation","proghand-21-05.html");
P.fA(" How Progress Allocates Frames","proghand-21-06.html");
P.fA(" Default Frames","proghand-21-07.html");
P.fA(" Specifying Default Frames","proghand-21-08.html");
P.fA(" Controlling Frame Allocation","proghand-21-09.html");
P.fA(" The Procedure Block","proghand-21-10.html");
P.fA(" Block A","proghand-21-11.html");
P.fA(" Block B","proghand-21-12.html");
P.fA(" Block C","proghand-21-13.html");
P.fA(" Types of Frames","proghand-21-14.html");
P.fA(" Example Procedures","proghand-21-15.html");
P.fA(" Frame Scope","proghand-21-16.html");
P.fA(" Example Procedures","proghand-21-17.html");
P.fA(" Triggers and Frames","proghand-21-18.html");
P.fA(" Frame Flashing","proghand-21-19.html");
P.fA(" Frame Families","proghand-21-20.html");
P.fA(" Defining a Frame Family","proghand-21-21.html");
P.fA(" Using Frame Families","proghand-21-22.html");
P.fA(" Frame Services","proghand-21-23.html");
P.fA(" Viewing and Hiding Frames","proghand-21-24.html");
P.fA(" Advancing and Clearing Frames","proghand-21-25.html");
P.fA(" Retaining Data During Retry of a Block","proghand-21-26.html");
P.fA(" Creating Field-group Widgets","proghand-21-27.html");
P.fA(" Using Shared Frames","proghand-21-28.html");
P.fA(" Field-group Widgets","proghand-21-29.html");
P.fA(" Field-group Types","proghand-21-30.html");
P.fA(" Field-group Characteristics","proghand-21-31.html");
P.fA(" Field-group Size","proghand-21-32.html");
P.fA(" Field-group Position Relative to Frame","proghand-21-33.html");
P.fA(" Z order and Field Groups","proghand-21-34.html");
P.fA(" Field-group Visibility and Scrolling","proghand-21-35.html");
P.fA(" Accessing Field Groups","proghand-21-36.html");
P.fA(" Validation of User Input","proghand-21-37.html");
P.fA(" Recommended Validation Techniques","proghand-21-38.html");
P.fA(" The Rules of Frame-based Validation","proghand-21-39.html");
P.fA(" Forcing Frame-wide Validation","proghand-21-40.html");
P.fA(" Disabling Data Dictionary Validation on a Frame or Field","proghand-21-41.html");
P.fA("Using Dynamic Widgets","proghand-22-01.html");
P.fA(" Managing Dynamic Widgets","proghand-22-02.html");
P.fA(" Static Versus Dynamic Widget Management","proghand-22-03.html");
P.fA(" Setting Up Dynamic Field-level Widgets","proghand-22-04.html");
P.fA(" Setting Up Dynamic Frames","proghand-22-05.html");
P.fA(" Managing Dynamic Widget Pools","proghand-22-06.html");
P.fA(" Named Widget Pools","proghand-22-07.html");
P.fA(" Unnamed Widget Pools","proghand-22-08.html");
P.fA(" Creating and Using Dynamic Queries","proghand-22-09.html");
P.fA(" Creating a Query Object","proghand-22-10.html");
P.fA(" Using a Query Object","proghand-22-11.html");
P.fA(" The Buffer Object","proghand-22-12.html");
P.fA(" The Buffer-field Object","proghand-22-13.html");
P.fA(" Error Handling ","proghand-22-14.html");
P.fA(" Dynamic Query Code Example","proghand-22-15.html");
P.fA(" Creating and Using a Dynamic Browse","proghand-22-16.html");
P.fA(" Creating the Dynamic Browse","proghand-22-17.html");
P.fA(" Creating Dynamic Browse Columns","proghand-22-18.html");
P.fA(" Dynamic Enhancements to the Static Browse","proghand-22-19.html");
P.fA("Windows","proghand-23-01.html");
P.fA(" Multiple-window Pros and Cons","proghand-23-02.html");
P.fA(" Windows Versus Dialog Boxes","proghand-23-03.html");
P.fA(" Multiple Windows and Transactions","proghand-23-04.html");
P.fA(" Window Attributes and Methods","proghand-23-05.html");
P.fA(" Window Events","proghand-23-06.html");
P.fA(" Creating and Managing Windows","proghand-23-07.html");
P.fA(" Creating Window Families","proghand-23-08.html");
P.fA(" Window-based Applications","proghand-23-09.html");
P.fA(" Non-persistent Multi-window Management","proghand-23-10.html");
P.fA(" Persistent Multi-window Management","proghand-23-11.html");
P.fA("Menus","proghand-24-01.html");
P.fA(" Menu Types","proghand-24-02.html");
P.fA(" Menu Bar","proghand-24-03.html");
P.fA(" Pop-up Menu","proghand-24-04.html");
P.fA(" Menu Hierarchy","proghand-24-05.html");
P.fA(" Features for Menu Widgets","proghand-24-06.html");
P.fA(" Defining Menus","proghand-24-07.html");
P.fA(" Static Menu Bars","proghand-24-08.html");
P.fA(" Static Pop-up Menus","proghand-24-09.html");
P.fA(" Nested Submenus","proghand-24-10.html");
P.fA(" Enabling and Disabling Menu Items","proghand-24-11.html");
P.fA(" Menu Toggle Boxes","proghand-24-12.html");
P.fA(" Duplicating Menus","proghand-24-13.html");
P.fA(" The MENU\u2013DROP Event","proghand-24-14.html");
P.fA(" Menu Item Accelerators","proghand-24-15.html");
P.fA(" Defining Accelerators","proghand-24-16.html");
P.fA(" Accelerators in Character Interfaces","proghand-24-17.html");
P.fA(" Menu Mnemonics","proghand-24-18.html");
P.fA(" Dynamic Menus","proghand-24-19.html");
P.fA(" Properties of Dynamic Menus","proghand-24-20.html");
P.fA(" Dynamic Menu Bar","proghand-24-21.html");
P.fA(" Querying Sibling Attributes","proghand-24-22.html");
P.fA(" Example of a Dynamic Menu","proghand-24-23.html");
P.fA(" Dynamic Pop-up Menus","proghand-24-24.html");
P.fA("Colors and Fonts","proghand-25-01.html");
P.fA(" Making Colors and Fonts Available to an Application","proghand-25-02.html");
P.fA(" Progress Default Colors","proghand-25-03.html");
P.fA(" Progress Default Fonts","proghand-25-04.html");
P.fA(" Application Colors and Fonts","proghand-25-05.html");
P.fA(" Assigning Colors and Fonts to a Widget","proghand-25-06.html");
P.fA(" Assigning Colors and Fonts to ActiveX Automation Objects and ActiveX Controls","proghand-25-07.html");
P.fA(" Color and Font Inheritance","proghand-25-08.html");
P.fA(" Color in Character Interfaces","proghand-25-09.html");
P.fA(" Widget States and Color","proghand-25-10.html");
P.fA(" Color Specification","proghand-25-11.html");
P.fA(" Colors on Windows in Graphical Interfaces","proghand-25-12.html");
P.fA(" Systems with the Palette Manager","proghand-25-13.html");
P.fA(" Systems without the Palette Manager","proghand-25-14.html");
P.fA(" Managing Colors and Fonts in Graphical Applications","proghand-25-15.html");
P.fA(" Allowing the User to Change Colors and Fonts","proghand-25-16.html");
P.fA(" Establishing Dynamic Colors","proghand-25-17.html");
P.fA(" Color Dialog Box","proghand-25-18.html");
P.fA(" Color Dialog Example","proghand-25-19.html");
P.fA(" Saving a Modified Color","proghand-25-20.html");
P.fA(" Font Dialog","proghand-25-21.html");
P.fA(" Font Dialog Example","proghand-25-22.html");
P.fA(" Saving a Modified Font","proghand-25-23.html");
P.fA(" Accessing the Current Color and Font Tables","proghand-25-24.html");
P.fA(" COLOR\u2013TABLE Handle","proghand-25-25.html");
P.fA(" FONT\u2013TABLE Handle","proghand-25-26.html");
P.fA(" Retrieving and Changing Color and Font Definitions","proghand-25-27.html");
P.fA(" Changing Resource Definitions","proghand-25-28.html");
P.fA(" Using GET\u2013KEY\u2013VALUE and PUT\u2013KEY\u2013VALUE","proghand-25-29.html");
P.fA(" Managing Application Environments","proghand-25-30.html");
P.fA(" Understanding Environment Management","proghand-25-31.html");
P.fA(" Using Environment Management Statements","proghand-25-32.html");
P.fA(" Managing Multiple Environments","proghand-25-33.html");
P.fA(" Managing Color Display Limitations","proghand-25-34.html");
P.fA("Direct Manipulation","proghand-26-01.html");
P.fA(" Attributes","proghand-26-02.html");
P.fA(" Mouse Buttons on Windows","proghand-26-03.html");
P.fA(" Selecting Widgets","proghand-26-04.html");
P.fA(" Selecting by Pointing and Clicking","proghand-26-05.html");
P.fA(" Box Selecting","proghand-26-06.html");
P.fA(" Sets of Selected Widgets","proghand-26-07.html");
P.fA(" Moving and Resizing Field-level Widgets","proghand-26-08.html");
P.fA(" Moving and Resizing Frames","proghand-26-09.html");
P.fA(" Custom Highlights ","proghand-26-10.html");
P.fA(" Interaction Modes","proghand-26-11.html");
P.fA(" Direct-manipulation Events","proghand-26-12.html");
P.fA(" General Characteristics","proghand-26-13.html");
P.fA(" Order of Direct-manipulation Events","proghand-26-14.html");
P.fA(" Grids","proghand-26-15.html");
P.fA("Interface Design","proghand-27-01.html");
P.fA(" Progress Windows","proghand-27-02.html");
P.fA(" Character-based Environment","proghand-27-03.html");
P.fA(" Graphical Environment","proghand-27-04.html");
P.fA(" Alert Boxes","proghand-27-05.html");
P.fA(" Frame Characteristics","proghand-27-06.html");
P.fA(" Using Frame Phrase Options","proghand-27-07.html");
P.fA(" Setting Frame Attributes","proghand-27-08.html");
P.fA(" Rules for Frame Phrases and Attributes","proghand-27-09.html");
P.fA(" Frame Design Issues","proghand-27-10.html");
P.fA(" Frame-level Design","proghand-27-11.html");
P.fA(" Field- and Variable-level Design","proghand-27-12.html");
P.fA(" FORM and DEFINE FRAME Statements","proghand-27-13.html");
P.fA(" FRAME\u2013ROW and FRAME\u2013COL Options","proghand-27-14.html");
P.fA(" Positioning Frames with FRAME\u2013LINE","proghand-27-15.html");
P.fA(" Positioning Frames with FRAME\u2013DOWN","proghand-27-16.html");
P.fA(" Scrolling Frames","proghand-27-17.html");
P.fA(" Scrollable Frames","proghand-27-18.html");
P.fA(" Strip Menus","proghand-27-19.html");
P.fA(" Dialog Boxes","proghand-27-20.html");
P.fA(" Frames for Nonterminal Devices","proghand-27-21.html");
P.fA(" Multiple Active Frames","proghand-27-22.html");
P.fA(" Tab Order","proghand-27-23.html");
P.fA(" Tab Order for a Frame","proghand-27-24.html");
P.fA(" Tab Order for a Frame Family","proghand-27-25.html");
P.fA(" Tabbing and DATA\u2013ENTRY\u2013RETURN","proghand-27-26.html");
P.fA(" Active Window Display","proghand-27-27.html");
P.fA(" Three-dimensional Effects (Windows only; Graphical interfaces only)","proghand-27-28.html");
P.fA(" THREE\u2013D, Rectangles, and Images","proghand-27-29.html");
P.fA(" THREE\u2013D and Window Widgets","proghand-27-30.html");
P.fA(" 2D and 3D Widget Size Compatibility","proghand-27-31.html");
P.fA(" Windows Interface Design Options","proghand-27-32.html");
P.fA(" Incorporating Tooltip Details","proghand-27-33.html");
P.fA(" Accessing the Windows Help Engine ","proghand-27-34.html");
P.fA(" Displaying the Small Icon Size","proghand-27-35.html");
P.fA("R-code Features and Functions","proghand-28-01.html");
P.fA(" R-code Structure  ","proghand-28-02.html");
P.fA(" Factors that Affect R-code Size ","proghand-28-03.html");
P.fA(" R-code File Segment Layout ","proghand-28-04.html");
P.fA(" R-code Libraries","proghand-28-05.html");
P.fA(" R-code Libraries and PROPATH ","proghand-28-06.html");
P.fA(" R-code Execution","proghand-28-07.html");
P.fA(" Standard R-code Execution Environment ","proghand-28-08.html");
P.fA(" Memory-mapped R-code Execution Environment ","proghand-28-09.html");
P.fA(" R-code Directory Management ","proghand-28-10.html");
P.fA(" R-code Execution Environment Statistics ","proghand-28-11.html");
P.fA(" R-code Portability ","proghand-28-12.html");
P.fA(" Code Page Compatibility","proghand-28-13.html");
P.fA(" Database CRCs and Time Stamps ","proghand-28-14.html");
P.fA(" Time Stamp Validation ","proghand-28-15.html");
P.fA(" CRC Validation ","proghand-28-16.html");
P.fA(" CRC Calculation ","proghand-28-17.html");
P.fA(" CRC Versus Time Stamp Validation ","proghand-28-18.html");
P.fA(" R-code CRCs and Procedure Integrity ","proghand-28-19.html");
P.fA(" Assigning CRCs to Schema Triggers ","proghand-28-20.html");
P.fA(" Validating CRCs for Schema Triggers ","proghand-28-21.html");
P.fA(" RCODE\u2013INFO Handle ","proghand-28-22.html");
}
