function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Portability Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp328142");
B=A.fN("Audience","1#wp328170");
B=A.fN("Organization of This Manual","1#wp339409");
B=A.fN("Typographical Conventions","1#wp328216");
B=A.fN("Syntax Notation","1#wp328276");
B=A.fN("Progress Messages","1#wp328407");
B=A.fN("Other Useful Documentation","1#wp338610");
A=P.fN("About Progress Portability","2#wp142263");
B=A.fN(" The Dimensions of Progress Portability","3");
B=A.fN(" Progress Portability With and Without Recompiling","4");
var C=B.fN(" Display Architectures","5");
C=B.fN(" Database Types","6");
C=B.fN(" Platform Classes","7");
C=B.fN(" R-Code Version","8");
C=B.fN(" Examples of Portable and Nonportable R-Code","9");
B=A.fN(" Designing Progress Applications","10");
C=B.fN(" Designing the Database","11");
C=B.fN(" Designing the User Interface","12");
C=B.fN(" Designing the Trigger Code","13");
B=A.fN(" Designing for Portability","14");
C=B.fN(" Database Portability Concerns","15");
C=B.fN(" User Interface Portability Concerns","16");
C=B.fN(" Code Portability Concerns","17");
A=P.fN("Database Design","18#wp224310");
B=A.fN(" Introduction","19");
B=A.fN(" Database Objects","20");
B=A.fN(" Code Pages","21");
B=A.fN(" Data Types","22");
B=A.fN(" Arrays","23");
B=A.fN(" R-code Portability and DataServers","24");
B=A.fN(" Progress 4GL Data Manipulation Language","25");
A=P.fN("User Interface Design","26#wp786310");
B=A.fN(" Design Overview","27");
C=B.fN(" Defining Your Design Goals","28");
C=B.fN(" Identifying Competing Goals","29");
C=B.fN(" Resolving Competing Portability Goals","30");
B=A.fN(" Creating a Window Procedure File","31");
C=B.fN(" Structure of the Window Procedure File","32");
C=B.fN(" Executing the Window Procedure File at Runtime","33");
B=A.fN(" Creating Multiple Layouts","34");
C=B.fN(" Designing the Master Layout","35");
C=B.fN(" Choosing a Standard Layout","36");
C=B.fN(" Designing Alternate Layouts","37");
B=A.fN(" Testing and Adjusting Layouts","38");
C=B.fN(" Absolute Layout","39");
C=B.fN(" Character Units and Pixels","40");
C=B.fN(" SESSION Handle Attributes","41");
B=A.fN(" Widgets","42");
C=B.fN(" Attributes","43");
C=B.fN(" Field-level Widget Portability","44");
C=B.fN(" Frame Widget Portability","45");
C=B.fN(" Window Widget Portability","46");
B=A.fN(" Screen Formatting","47");
C=B.fN(" Dimensions of Terminals","48");
C=B.fN(" Dimensions of Graphical Displays","49");
B=A.fN(" Colors and Fonts","50");
C=B.fN(" Colors","51");
C=B.fN(" Fonts","52");
C=B.fN(" System Dialog Statements","53");
B=A.fN(" User-interface Environments","54");
C=B.fN(" Windows Environment Settings","55");
C=B.fN(" UNIX Environment Settings","56");
B=A.fN(" Events","57");
C=B.fN(" Keyboard Events","58");
C=B.fN(" Mouse Events","59");
A=P.fN("Programming Considerations","60#wp550899");
B=A.fN(" Naming Conventions for Files, Tables, and Variables","61");
C=B.fN(" Characters to Avoid","62");
C=B.fN(" Name Length","63");
C=B.fN(" Case Sensitivity","64");
C=B.fN(" File Path Specifications","65");
B=A.fN(" Terminal Key Definitions","66");
B=A.fN(" Operating System Statements","67");
C=B.fN(" Standard System Commands","68");
B=A.fN(" R-code","69");
C=B.fN(" R-code Portability and Operating System-specific Statements","70");
C=B.fN(" R-code-imposed Limits on Program Size","71");
C=B.fN(" Using CRCs Instead of Time Stamps","72");
C=B.fN(" Choosing R-code or Encrypted Source Code to Ship to Customers","73");
C=B.fN(" Byte Order of Integers in R-code","74");
B=A.fN(" Coding Style","75");
C=B.fN(" Using Preprocessor Directives","76");
C=B.fN(" Using the VIEW-AS Phrase","77");
B=A.fN(" Storing Data","78");
C=B.fN(" Storing Database Triggers","79");
B=A.fN(" Retrieving Data","80");
C=B.fN(" Using Logical Database Names","81");
C=B.fN(" Referencing Database Records","82");
C=B.fN(" Referencing Database Fields","83");
C=B.fN(" Using the FIND and GET Statements","84");
C=B.fN(" Using the Browse Widget","85");
C=B.fN(" Record Locking","86");
B=A.fN(" Security","87");
B=A.fN(" Accessing C Functions","88");
B=A.fN(" Interprocess Communications","89");
C=B.fN(" I/O with Other Processes","90");
C=B.fN(" Named Pipes","91");
C=B.fN(" System Clipboard","92");
}
