function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Report Builder User\u2019s Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp473");
B=A.fN("Audience","1#wp483");
B=A.fN("Organization of This Manual","1#wp493");
B=A.fN("Typographical Conventions","1#wp571");
B=A.fN("Syntax Notation","1#wp631");
B=A.fN("Example Procedures","1#wp758");
B=A.fN("Progress Messages","1#wp874");
B=A.fN("Other Useful Documentation","1#wp20722");
A=P.fN("Report Builder Basics","2#wp849");
B=A.fN(" How Report Builder Generates Reports","3");
B=A.fN(" Before You Get Started","4");
B=A.fN(" Starting Report Builder","5");
B=A.fN(" The Report Builder Main Window","6");
var C=B.fN(" Menu Bar","7");
C=B.fN(" Tool Bar","8");
C=B.fN(" Format Bar","9");
C=B.fN(" Horizontal and Vertical Rulers","10");
C=B.fN(" Bands and Band Lines","11");
C=B.fN(" Layout Area","12");
C=B.fN(" Status Bar","13");
C=B.fN(" Cursor Locator","14");
B=A.fN(" Connecting Databases","15");
B=A.fN(" Exiting Report Builder","16");
A=P.fN("Report Definitions and Report Libraries","17#wp196");
B=A.fN(" Managing Report Definitions","18");
C=B.fN(" Creating Report Definitions","19");
C=B.fN(" Saving Report Definitions","20");
C=B.fN(" Closing Report Definitions","21");
C=B.fN(" Opening Report Definitions","22");
C=B.fN(" Copying Report Definitions","23");
C=B.fN(" Deleting Report Definitions","24");
B=A.fN(" Managing Report Libraries","25");
C=B.fN(" Specifying a Default Report Library Directory","26");
C=B.fN(" Creating Report Libraries","27");
C=B.fN(" Opening Report Libraries","28");
C=B.fN(" Copying or Deleting Report Libraries","29");
B=A.fN(" Viewing Report Definition Specifications","30");
A=P.fN("Bands","31#wp889");
B=A.fN(" Understanding Bands and Band Lines","32");
C=B.fN(" Band Type","33");
C=B.fN(" Band Line Status","34");
B=A.fN(" Creating Bands","35");
B=A.fN(" Inserting Band Lines","36");
B=A.fN(" Inserting Page Breaks","37");
B=A.fN(" Selecting Band Lines","38");
B=A.fN(" Modifying Band Line Characteristics","39");
C=B.fN(" Specifying Band Line Height","40");
B=A.fN(" Modifying Field Properties for All Fields on a Band Line","41");
B=A.fN(" Specifying Conditional Line Printing","42");
B=A.fN(" Copying Band Lines","43");
B=A.fN(" Moving Band Lines","44");
B=A.fN(" Deleting Band Lines","45");
A=P.fN("Fields","46#wp1303");
B=A.fN(" How Report Builder Handles Database Fields","47");
C=B.fN(" Arrays","48");
C=B.fN(" DECIMAL and INTEGER Data Types","49");
C=B.fN(" UNKNOWN Values","50");
C=B.fN(" Case Sensitivity","51");
B=A.fN(" Field Properties","52");
C=B.fN(" Modifying an Individual Field\u2019s Properties","53");
C=B.fN(" Modifying the Properties of All the Fields on a Band Line","54");
B=A.fN(" Selecting Fields","55");
B=A.fN(" Specifying How Report Builder Represents Fields on the Layout","56");
C=B.fN(" Changing the Field Width Indicator","57");
C=B.fN(" Displaying Field Names","58");
B=A.fN(" Specifying How Tables and Fields Appear in Selection Lists","59");
C=B.fN(" Displaying Fields in Alphabetical Order","60");
C=B.fN(" Showing Hidden Tables","61");
B=A.fN(" Creating Fields","62");
C=B.fN(" Database Fields","63");
C=B.fN(" User-defined Fields","64");
B=A.fN(" Inserting Fields","65");
C=B.fN(" Creating Text Fields","66");
B=A.fN(" Copying and Pasting Fields","67");
B=A.fN(" Moving Fields","68");
B=A.fN(" Deleting Fields","69");
B=A.fN(" Applying Fonts, Styles, Effects, and Color","70");
C=B.fN(" Font Characteristics","71");
C=B.fN(" Specifying the Default Font, Style, and Color","72");
C=B.fN(" Changing a Field\u2019s Font, Style, Effects, and Color","73");
B=A.fN(" Specifying Alignment","74");
C=B.fN(" Alignment Defaults and Options","75");
C=B.fN(" Changing Field Alignment","76");
B=A.fN(" Eliminating Blank Spaces Between Fields","77");
B=A.fN(" Modifying Field Formats","78");
C=B.fN(" Format Options","79");
B=A.fN(" Specifying Default Logical String Settings","80");
A=P.fN("Aggregate Fields","81#wp769");
B=A.fN(" Aggregate Field Basics","82");
C=B.fN(" Aggregate Field Type","83");
C=B.fN(" Reset Frequency","84");
C=B.fN(" Accumulation Frequency","85");
C=B.fN(" Processing Rate","86");
C=B.fN(" Included Values","87");
C=B.fN(" Case Sensitivity","88");
B=A.fN(" Aggregate Field Considerations","89");
B=A.fN(" Creating Aggregate Fields","90");
C=B.fN(" Inserting Aggregate Fields","91");
B=A.fN(" Editing Aggregate Fields","92");
B=A.fN(" Removing Aggregate Fields","93");
C=B.fN(" Cutting Aggregate Fields","94");
C=B.fN(" Deleting Aggregate Fields","95");
C=B.fN(" Purging Aggregate Fields","96");
B=A.fN(" Using Aggregate Fields in Reports","97");
C=B.fN(" Using Aggregates in Calculations","98");
C=B.fN(" Sorting on Aggregates","99");
C=B.fN(" Filtering on Aggregates","100");
A=P.fN("Calculated Fields","101#wp1206");
B=A.fN(" Calculated Field Basics","102");
C=B.fN(" Types of Expressions","103");
C=B.fN(" Parts of an Expression","104");
C=B.fN(" Error Conditions in Evaluating Expressions","105");
C=B.fN(" Case Sensitivity","106");
B=A.fN(" Calculated Field Considerations","107");
C=B.fN(" UNKNOWN Values","108");
C=B.fN(" Server-evaluatable Fields","109");
B=A.fN(" Creating a Calculated Field","110");
B=A.fN(" Editing a Calculated Field","111");
B=A.fN(" Removing a Calculated Field","112");
C=B.fN(" Cutting Calculated Fields","113");
C=B.fN(" Deleting a Calculated Field","114");
C=B.fN(" Purging Calculated Fields","115");
A=P.fN("User-defined Functions","116#wp210");
B=A.fN(" User-defined Function Basics","117");
B=A.fN(" Creating User-defined Functions","118");
B=A.fN(" Editing User-defined Functions","119");
B=A.fN(" Deleting User-defined Functions","120");
B=A.fN(" Sample User-defined Functions","121");
C=B.fN(" Displaying Date in \u201cMonth dd, yyyy\u201d Format","122");
C=B.fN(" Calculating the Amount of Deposit","123");
C=B.fN(" Determining Whether a Date Falls on a Weekend","124");
A=P.fN("Joins","125#wp5213");
B=A.fN(" Join Basics","126");
C=B.fN(" Inner Joins","127");
C=B.fN(" Left Outer Joins","128");
C=B.fN(" Right Outer Joins","129");
C=B.fN(" Join Considerations","130");
B=A.fN(" Defining Database Joins","131");
B=A.fN(" Editing Database Joins","132");
B=A.fN(" Deleting Database Joins","133");
B=A.fN(" Using the No Join Reorder Option","134");
B=A.fN(" Changing the Master Table for a Report","135");
A=P.fN("Sorting and Grouping Data","136#wp894");
B=A.fN(" Sorting Data","137");
C=B.fN(" Sort Levels and Ascending/Descending Order","138");
C=B.fN(" Sorting Considerations","139");
C=B.fN(" Specifying the Sort Order","140");
C=B.fN(" Changing the Sort Order","141");
B=A.fN(" Grouping Data","142");
C=B.fN(" Group Levels","143");
C=B.fN(" Relationship Between Sorting and Grouping","144");
C=B.fN(" Specifying the Group Order","145");
C=B.fN(" Group Order Attributes","146");
C=B.fN(" Changing the Group Order","147");
B=A.fN(" Sort-group Techniques","148");
A=P.fN("Filters","149#wp328");
B=A.fN(" Filtering Basics","150");
B=A.fN(" Filtering Considerations","151");
C=B.fN(" Filtering on Aggregate Values","152");
C=B.fN(" Filtering on Calculated Values","153");
C=B.fN(" Filtering on Memo Fields","154");
C=B.fN(" Server-evaluatable Filters","155");
B=A.fN(" Creating a Filter","156");
B=A.fN(" Editing a Filter","157");
C=B.fN(" Editing an Existing Condition","158");
C=B.fN(" Inserting a New Condition","159");
C=B.fN(" Appending a New Condition","160");
C=B.fN(" Deleting a Condition","161");
B=A.fN(" Deleting a Filter","162");
A=P.fN("Lines, Rectangles, and Shading","163#wp129");
B=A.fN(" Line and Rectangle Placement Guidelines and Restrictions","164");
B=A.fN(" Lines","165");
C=B.fN(" Drawing Lines","166");
C=B.fN(" Moving Lines","167");
C=B.fN(" Copying Lines","168");
C=B.fN(" Cutting and Pasting Lines","169");
C=B.fN(" Resizing Lines","170");
C=B.fN(" Changing Line Thickness","171");
C=B.fN(" Changing Line Color","172");
C=B.fN(" Deleting Lines","173");
B=A.fN(" Rectangles","174");
C=B.fN(" Drawing Rectangles","175");
C=B.fN(" Moving Rectangles","176");
C=B.fN(" Copying Rectangles","177");
C=B.fN(" Cutting and Pasting Rectangles","178");
C=B.fN(" Resizing Rectangles","179");
C=B.fN(" Changing Rectangle Border Thickness","180");
C=B.fN(" Changing Rectangle Border Color","181");
C=B.fN(" Excluding One or More Rectangle Edges","182");
C=B.fN(" Adding Shading to Rectangles","183");
C=B.fN(" Deleting Rectangles","184");
A=P.fN("Images","185#wp455");
B=A.fN(" Image Basics","186");
C=B.fN(" Supported Image File Types","187");
C=B.fN(" Images and Band Line Height","188");
B=A.fN(" Importing Images","189");
B=A.fN(" Pasting Images from the Clipboard","190");
B=A.fN(" Moving Images","191");
B=A.fN(" Sizing Images","192");
C=B.fN(" Sizing Images on the Report Layout","193");
C=B.fN(" Sizing Images in the Image Properties Dialog Box","194");
B=A.fN(" Replacing Image Files","195");
A=P.fN("Layout Manipulation","196#wp217");
B=A.fN(" Layout Basics","197");
B=A.fN(" Using the Instant Layout Option","198");
C=B.fN(" Specifying Default Prompting","199");
C=B.fN(" Using the Instant Layout in an Existing Report Definition","200");
B=A.fN(" Displaying or Hiding the Tool and Format Bars","201");
B=A.fN(" Manipulating the Rulers","202");
C=B.fN(" Displaying or Hiding the Rulers","203");
C=B.fN(" Changing the Ruler Spacing","204");
B=A.fN(" Manipulating the Grid","205");
C=B.fN(" Displaying or Hiding the Grid","206");
C=B.fN(" Changing the Grid Spacing","207");
C=B.fN(" Enabling or Disabling Snap To Grid","208");
B=A.fN(" Displaying or Hiding the Scroll Bars","209");
B=A.fN(" Representing Fields on the Report Layout","210");
C=B.fN(" Changing the Field Width Indicator","211");
C=B.fN(" Displaying Field Names Instead of Field Formats","212");
B=A.fN(" Specifying Paper Size","213");
C=B.fN(" Specifying the Paper Size for Individual Reports","214");
C=B.fN(" Specifying the Default Paper Size for All Reports","215");
B=A.fN(" Specifying Page Orientation","216");
B=A.fN(" Specifying Page Margins","217");
C=B.fN(" Specifying the Page Margins for Individual Reports","218");
C=B.fN(" Specifying the Default Page Margins for All Reports","219");
B=A.fN(" Specifying Fonts","220");
C=B.fN(" Specifying the Font Characteristics for Individual Fields","221");
C=B.fN(" Specifying the Default Font Characteristics for All Reports","222");
A=P.fN("Form Letters","223#wp379");
B=A.fN(" Form Letter Basics","224");
B=A.fN(" Form Letter Considerations","225");
C=B.fN(" Word-wrap Format of Memo Fields","226");
C=B.fN(" Width of Memo Fields","227");
C=B.fN(" Field Width and Format of Embedded Fields","228");
C=B.fN(" Conditionally Including Memo Fields","229");
C=B.fN(" Blank Lines","230");
C=B.fN(" Page Breaks","231");
B=A.fN(" Generating Form Letters","232");
C=B.fN(" Preparing the Memo File","233");
B=A.fN(" Creating the Initial Report Layout","234");
B=A.fN(" Attaching the Memo File","235");
B=A.fN(" Formatting the Report Layout","236");
B=A.fN(" Printing the Form Letters","237");
A=P.fN("Printing","238#wp361");
B=A.fN(" Selecting a Printer","239");
B=A.fN(" Specifying Print Settings","240");
B=A.fN(" Previewing Reports","241");
C=B.fN(" Dealing with Low Memory Conditions","242");
B=A.fN(" Printing Reports","243");
C=B.fN(" Printing Using the Current Print Settings","244");
C=B.fN(" Changing the Print Settings","245");
C=B.fN(" Printing to a File","246");
B=A.fN(" Controlling Pagination","247");
C=B.fN(" Page Layout Settings","248");
C=B.fN(" Record Layout Settings","249");
C=B.fN(" Word-wrapped Fields","250");
C=B.fN(" Line Heights","251");
C=B.fN(" New-page Lines","252");
C=B.fN(" Widow/Orphan Control","253");
A=P.fN("Report Builder Administration","254#wp1526");
B=A.fN(" Frequently Asked Questions","255");
C=B.fN(" Connection Information","256");
C=B.fN(" CTRL-BREAK Issue","257");
C=B.fN(" Arithmetic Limitations","258");
C=B.fN(" Version Compatibility","259");
C=B.fN(" Viewing Report Library Contents","260");
C=B.fN(" Sorting Issue","261");
C=B.fN(" Value Returned Differently","262");
B=A.fN(" Startup Parameters","263");
C=B.fN(" Using Parameters When Starting Report Builder andReport Engine","264");
C=B.fN(" Progress Startup Parameters","265");
C=B.fN(" Report Builder Startup Parameters","266");
C=B.fN(" Report Engine Parameters","267");
B=A.fN(" Internationalization","268");
C=B.fN(" Code Pages","269");
C=B.fN(" Collation","270");
C=B.fN(" Double-byte Characters","271");
C=B.fN(" Using a Translated Version of Report Builder or Report Engine","272");
B=A.fN(" Security","273");
C=B.fN(" Table and Field-level Security","274");
C=B.fN(" Passwords","275");
B=A.fN(" Triggers","276");
C=B.fN(" Database Triggers","277");
C=B.fN(" FIND Triggers","278");
B=A.fN(" Deployment Issues","279");
C=B.fN(" Registry or PROGRESS.INI File Settings","280");
C=B.fN(" Environment Variables","281");
C=B.fN(" Report Builder Search Rules","282");
A=P.fN("Report Builder Functions","283#wp2614");
B=A.fN(" Guidelines for Using Report Builder Functions","284");
B=A.fN(" Quick Reference Tables","285");
C=B.fN(" Quick Reference Table Conventions","286");
C=B.fN(" Day, Date, and Time Functions","287");
C=B.fN(" String-manipulation Functions","288");
C=B.fN(" Numeric Functions","289");
C=B.fN(" Report Management Functions","290");
C=B.fN(" Miscellaneous","291");
B=A.fN(" Alphabetical List of Report Builder Functions","292");
B=A.fN("ABSOLUTE","293");
B=A.fN("ASC","294");
B=A.fN("CAPS","295");
B=A.fN("CASE","296");
B=A.fN("CHR","297");
B=A.fN("DATE","298");
B=A.fN("DAY","299");
B=A.fN("DBNAME","300");
B=A.fN("DLLFUNC","301");
B=A.fN("ENCODE","302");
B=A.fN("ENTRY","303");
B=A.fN("EXP","304");
B=A.fN("FILL","305");
B=A.fN("FLIP","306");
B=A.fN("IIF","307");
B=A.fN("INDEX","308");
B=A.fN("INDEX-NTH","309");
B=A.fN("INITIAL-CAPS","310");
B=A.fN("IN-LIST","311");
B=A.fN("IN-RANGE","312");
B=A.fN("INTEGER","313");
B=A.fN("IS-LETTER","314");
B=A.fN("IS-LOWER","315");
B=A.fN("IS-UPPER","316");
B=A.fN("LC","317");
B=A.fN("LEFT-TRIM","318");
B=A.fN("LENGTH","319");
B=A.fN("LOG","320");
B=A.fN("LOOKUP","321");
B=A.fN("MAXIMUM","322");
B=A.fN("MINIMUM","323");
B=A.fN("MONTH","324");
B=A.fN("NUM-ENTRIES","325");
B=A.fN("NUMERIC","326");
B=A.fN("OPSYS","327");
B=A.fN("PAGE-NUMBER","328");
B=A.fN("PREVIOUS","329");
B=A.fN("QUARTER","330");
B=A.fN("QUARTER-START","331");
B=A.fN("R-INDEX","332");
B=A.fN("RECORD-NUMBER","333");
B=A.fN("REPLACE","334");
B=A.fN("REPLACE-INDEXED","335");
B=A.fN("REPORT-COPY","336");
B=A.fN("REPORT-FILTER","337");
B=A.fN("REPORT-LIBRARY","338");
B=A.fN("REPORT-NAME","339");
B=A.fN("RIGHT-TRIM","340");
B=A.fN("ROUND","341");
B=A.fN("RUNTIME","342");
B=A.fN("RUNTIME-PARAMETER","343");
B=A.fN("SPACE","344");
B=A.fN("SPELL-MONTH","345");
B=A.fN("SPELL-NUMBER","346");
B=A.fN("SPELL-WEEKDAY","347");
B=A.fN("SQRT","348");
B=A.fN("STRING","349");
B=A.fN("SUBSTRING","350");
B=A.fN("SUBSTRING-COUNT","351");
B=A.fN("TIME","352");
B=A.fN("TODAY","353");
B=A.fN("TRIM","354");
B=A.fN("TRUNCATE","355");
B=A.fN("WEEKDAY","356");
B=A.fN("YEAR","357");
A=P.fN("Operators","358#wp1001");
B=A.fN(" Guidelines for Using Report Builder Operators","359");
C=B.fN(" Operator Precedence","360");
C=B.fN(" Order of Expression Evaluation","361");
B=A.fN(" Quick Reference Table","362");
C=B.fN(" Relational Operator Restrictions","363");
B=A.fN(" Alphabetical List of Report Builder Operators","364");
B=A.fN("+ Unary Positive","365");
B=A.fN("+ Addition","366");
B=A.fN("+ Concatenation","367");
B=A.fN("- Concatenation","368");
B=A.fN("+ Date Addition","369");
B=A.fN("- Unary Negative","370");
B=A.fN("- Subtraction","371");
B=A.fN("- Concatenation","372");
B=A.fN("- Date Subtraction","373");
B=A.fN("* Multiplication","374");
B=A.fN("/ Division","375");
B=A.fN("AND","376");
B=A.fN("BEGINS","377");
B=A.fN("EQ or =","378");
B=A.fN("GE or &gt;=","379");
B=A.fN("GT or &gt;","380");
B=A.fN("LE or &lt; =","381");
B=A.fN("LT or &lt;","382");
B=A.fN("MATCHES","383");
B=A.fN("MODULO","384");
B=A.fN("NE or &lt;&gt;","385");
B=A.fN("NOT","386");
B=A.fN("OR","387");
A=P.fN("Glossary ","388");
}
