function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Progress  Results User\u2019s Guide for UNIX","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp469");
B=A.fN("Audience","1#wp491");
B=A.fN("Organization of This Manual","1#wp517");
B=A.fN("How to Use This Manual","1#wp649");
B=A.fN("Typographical Conventions","1#wp14090");
B=A.fN("Syntax Notation","1#wp14122");
B=A.fN("Progress Messages","1#wp16099");
B=A.fN("Other Useful Documentation","1#wp15981");
A=P.fN("Results Overview","2#wp1799");
B=A.fN(" Introduction","3");
B=A.fN(" Database Terms","4");
B=A.fN(" Database Basics","5");
var C=B.fN(" Table Relationships","6");
B=A.fN(" An Overview of Results","7");
C=B.fN(" Query","8");
C=B.fN(" Reports","9");
C=B.fN(" Labels","10");
C=B.fN(" Data Export","11");
C=B.fN(" User","12");
C=B.fN(" Administration","13");
C=B.fN(" Exit","14");
B=A.fN(" Accessing Help","15");
B=A.fN(" Summary","16");
A=P.fN("General Information","17#wp408");
B=A.fN(" Installing and Accessing Results","18");
C=B.fN(" The DLCRES Environment Variable","19");
C=B.fN(" The PROPATH Environment Variable","20");
C=B.fN(" Progress Startup Parameters","21");
C=B.fN(" Starting Results","22");
B=A.fN(" Results Keystrokes","23");
B=A.fN(" Window Areas","24");
C=B.fN(" Menu Options","25");
C=B.fN(" Information Window","26");
C=B.fN(" Layout Window","27");
C=B.fN(" Form Window","28");
B=A.fN(" Vertical Menus, Horizontal Menus, and Selection Lists","29");
C=B.fN(" Vertical Menus","30");
C=B.fN(" Horizontal Menus","31");
C=B.fN(" Selection Lists","32");
B=A.fN(" Where To Go From Here","33");
A=P.fN("A Tour Through Results","34#wp1528");
B=A.fN(" Introduction","35");
B=A.fN(" Results Tour Preparations","36");
C=B.fN(" Creating a Copy of the Sports Database","37");
C=B.fN(" Starting Results for the Tour","38");
C=B.fN(" Moving Between Results and Progress","39");
B=A.fN(" The Query Module","40");
C=B.fN(" Finding the Next, Prev, First, and Last Records","41");
C=B.fN(" Adding and Deleting a Record","42");
C=B.fN(" Browsing Through Records","43");
C=B.fN(" Joining Files","44");
B=A.fN(" The Reports Module","45");
C=B.fN(" Defining Files and Fields","46");
C=B.fN(" Running a Report","47");
C=B.fN(" Saving Your Report","48");
C=B.fN(" Getting a Report","49");
C=B.fN(" Adding a Math Expression","50");
C=B.fN(" Hiding Repeating Values and Changing Field Formats and Labels","51");
C=B.fN(" Adding Break Groups, Totals, and Page Ejects","52");
C=B.fN(" Adding a WHERE Clause","53");
C=B.fN(" Adding a Header to a Report","54");
C=B.fN(" Adjusting the Spacing in a Report","55");
B=A.fN(" Tour of the Data Export Module","56");
C=B.fN(" Selecting a Data Export Type","57");
C=B.fN(" Removing a WHERE Clause","58");
B=A.fN(" The Labels Module","59");
C=B.fN(" Adding Text to a Label","60");
C=B.fN(" Adjusting Settings","61");
B=A.fN(" Stopping Results","62");
B=A.fN(" Summary","63");
A=P.fN("Query Module","64#wp566");
B=A.fN(" Introduction","65");
B=A.fN(" Query Module Main Menu","66");
B=A.fN(" Query Features","67");
C=B.fN(" Updating a Record","68");
C=B.fN(" Copying a Record","69");
C=B.fN(" Switching to Other Forms","70");
C=B.fN(" Querying for Records","71");
C=B.fN(" Using Expert Mode in WHERE Clauses","72");
C=B.fN(" Getting Information About the Current Set of Records","73");
C=B.fN(" Moving to Another Module","74");
C=B.fN(" Finding the Total Number of Records in a File","75");
C=B.fN(" Changing the Order of Records","76");
C=B.fN(" The User Option","77");
B=A.fN(" Summary","78");
A=P.fN("Reports Module","79#wp549");
B=A.fN(" Introduction","80");
B=A.fN(" Reports Module Main Menu","81");
B=A.fN(" Report Markers","82");
B=A.fN(" Report Features","83");
C=B.fN(" Adding Fields to a Report","84");
C=B.fN(" Deleting Fields from a Report","85");
C=B.fN(" Defining Array Fields for Reports","86");
C=B.fN(" Adding a Header or Footer to a Report","87");
C=B.fN(" Adjusting Spacing in a Report","88");
C=B.fN(" Changing the Order of Records in a Report","89");
C=B.fN(" Adding a Percent of Total to a Report","90");
C=B.fN(" Getting Information About the Current Report","91");
C=B.fN(" Deleting a Report","92");
C=B.fN(" Adding a WHERE Clause with Ask Mode","93");
B=A.fN(" Creating Totals Only Reports","94");
C=B.fN(" Defining Totals Only Reports","95");
C=B.fN(" Summarizing a Non-numeric Field","96");
C=B.fN(" Expanding a Report Using the Totals Only Report","97");
B=A.fN(" Summary","98");
A=P.fN("Labels Module","99#wp167");
B=A.fN(" Introduction","100");
B=A.fN(" Labels Module Main Menu","101");
B=A.fN(" Labels Features","102");
C=B.fN(" Saving Label Definitions","103");
C=B.fN(" Getting Label Definitions","104");
C=B.fN(" Copying Label Definitions","105");
C=B.fN(" Running Label Definitions","106");
C=B.fN(" Clearing and Deleting Label Definitions","107");
C=B.fN(" Defining Labels Manually","108");
C=B.fN(" Adding Text to Labels","109");
C=B.fN(" Adding Fields to Labels","110");
C=B.fN(" Adjusting Label Settings","111");
B=A.fN(" Summary","112");
A=P.fN("Data Export Module","113#wp149");
B=A.fN(" Introduction","114");
B=A.fN(" Data Export Module Main Menu","115");
B=A.fN(" Layout Window Settings","116");
B=A.fN(" Data Export Features","117");
C=B.fN(" Adding Fields to a Data Export Report","118");
C=B.fN(" Exporting Reports in Progress Format","119");
C=B.fN(" Exporting Data in Non-Progress Format","120");
C=B.fN(" Exporting Data in ASCII Format","121");
C=B.fN(" Using Expert Mode to Change ASCII Settings","122");
B=A.fN(" Summary","123");
A=P.fN("Multiple Databases with Results","124#wp269");
B=A.fN(" Introduction","125");
B=A.fN(" Accessing Multiple Databases","126");
B=A.fN(" Starting Results with Multiple Databases","127");
C=B.fN(" Querying Multiple Databases","128");
C=B.fN(" Joining File Information","129");
C=B.fN(" Adding Fields to a Report","130");
B=A.fN(" Summary","131");
A=P.fN("Database Administration","132#wp470");
B=A.fN(" General Administration","133");
C=B.fN(" When to Edit the results.l File","134");
C=B.fN(" Description of the Initial Build","135");
C=B.fN(" Default Forms","136");
C=B.fN(" Where Results Places the QC File","137");
C=B.fN(" Logging Initial Build Information","138");
C=B.fN(" Default Options","139");
C=B.fN(" After the Initial Build","140");
B=A.fN(" The Administration Module","141");
C=B.fN(" The Files Options","142");
C=B.fN(" Form Definitions for Query","143");
C=B.fN(" Relations Between Files","144");
B=A.fN(" Security Options","145");
C=B.fN(" Contents of a User Directory","146");
C=B.fN(" Exiting the Application","147");
C=B.fN(" Module Permissions","148");
C=B.fN(" Query Permissions","149");
C=B.fN(" Sign-on Program/Product Name","150");
B=A.fN(" The Configuration Options","151");
C=B.fN(" Language","152");
C=B.fN(" Printer Setup","153");
C=B.fN(" Terminal Color Settings","154");
B=A.fN(" Modules Options","155");
C=B.fN(" Browse Program for Query","156");
C=B.fN(" Default Report Settings","157");
C=B.fN(" User-defined Export Format","158");
C=B.fN(" Label Field Selection","159");
C=B.fN(" User Option","160");
B=A.fN(" Summary","161");
A=P.fN("Integrating Results into Existing Applications","162#wp595");
B=A.fN(" Introduction","163");
B=A.fN(" Running Results from Your Own Progress Application","164");
B=A.fN(" Tailoring the Startup Logo","165");
B=A.fN(" Adding Your Own Menu Options to Results","166");
B=A.fN(" Using Customized Help Messages","167");
B=A.fN(" Using Shared Variables","168");
C=B.fN(" Testing the Version Number","169");
C=B.fN(" Determining the Originating Module","170");
C=B.fN(" Determining the Video Attributes","171");
C=B.fN(" Determining the Name of the Originating Program","172");
C=B.fN(" Determining the Order Criteria Defined","173");
C=B.fN(" Determining Files and Selection Criteria","174");
C=B.fN(" Determining the Fields Selected for Reports","175");
B=A.fN(" Using Results Dialog Box Procedures in Your Applications","176");
C=B.fN(" Error Message Box","177");
C=B.fN(" Logical Choice Box","178");
B=A.fN(" Using the Generated Report, Labels, and Data Export Code","179");
B=A.fN(" Designing Your Own Export Format","180");
B=A.fN(" Designing Your Own Print Menu","181");
B=A.fN(" Designing a Browse Program for Query","182");
B=A.fN(" Deploying an Application: A Tailored Results Interface","183");
C=B.fN(" Configuration Information","184");
C=B.fN(" Query Form Information","185");
A=P.fN("Startup and Shutdown Procedures","186#wp172");
B=A.fN(" Running Results in Non-English Languages","187");
B=A.fN(" Starting Results from the Progress Procedure Editor","188");
B=A.fN(" Starting Results with One Database","189");
B=A.fN(" Starting Results with Multiple Databases","190");
B=A.fN(" Starting a Server for the Database","191");
B=A.fN(" Shutting Down a Server for the Database","192");
B=A.fN(" Stopping Results","193");
A=P.fN("Option Descriptions","194#wp435");
B=A.fN(" Menu Options","195");
B=A.fN(" Common Menu Options\u2018","196");
B=A.fN(" Menu Options for the Query Module","197");
B=A.fN(" Horizontal Menu Options for the Reports Module","198");
B=A.fN(" Horizontal Menu Options for the Labels Module","199");
B=A.fN(" Horizontal Menu Options for the Data Export Module","200");
A=P.fN("Field Display Formats","201#wp846");
B=A.fN(" Introduction to the Field Display Formats","202");
B=A.fN(" Default Display Formats","203");
B=A.fN(" Character Display Formats","204");
B=A.fN(" Numeric Display Formats","205");
B=A.fN(" Logical Display Formats","206");
B=A.fN(" Date Display Formats","207");
B=A.fN(" How to Test and Override Default Display Formats","208");
A=P.fN("Results Limits","209#wp88");
A=P.fN("Files that Results Creates","210#wp166");
B=A.fN(" The .qc File","211");
C=B.fN(" Primary Rule when Editing the .qc File","212");
C=B.fN(" Editing Forms and Joins","213");
C=B.fN(" Order of Options","214");
B=A.fN(" The .ql File","215");
B=A.fN(" The .qd File","216");
C=B.fN(" Users Must Have Their Own Directories","217");
C=B.fN(" Important Lines in the .qd File","218");
B=A.fN(" Scratch Files","219");
A=P.fN("Order of Evaluation","220#wp240");
B=A.fN(" Using Expressions","221");
C=B.fN(" Evaluating Expressions","222");
A=P.fN("Helpful Information","223#wp82");
B=A.fN(" Common Problems During Initial Build","224");
C=B.fN(" 444 Error","225");
C=B.fN(" Too Many Joins","226");
C=B.fN(" Limit on Query Forms: 63KB","227");
C=B.fN(" Missing .qc File with Multiple Databases","228");
C=B.fN(" Building in Same Directory as Application","229");
C=B.fN(" Overwriting Customized Query Forms","230");
B=A.fN(" When Query Forms Do Not Compile","231");
C=B.fN(" Missing Validation Files","232");
C=B.fN(" Shared Variable in Validation Expression","233");
C=B.fN(" R-code Greater than 63KB","234");
C=B.fN(" Problems Running a Defined Report","235");
B=A.fN(" Language Errors","236");
C=B.fN(" Progress Messages are Not in Correct Language","237");
C=B.fN(" Results Not Defaulting to Correct Language","238");
C=B.fN(" Address Fields in Labels Module Default to Wrong Language Version","239");
A=P.fN("Glossary ","240");
}
