function  WWHBookData_Files(P)
{
P.fA(" Progress  DataServer for  Microsoft SQL Server Guide","sds-01-1.html");
P.fA("Item Number: 81069;9.1C","sds-02-1.html");
P.fA("sds-03-1.html","sds-03-1.html");
P.fA("sds-04-1.html","sds-04-1.html");
P.fA("Preface","sds-05-1.html");
P.fA("Introduction","sds-06-01.html");
P.fA(" DataServer Components","sds-06-02.html");
P.fA(" DataServer for SQL Server\u2122 Logic","sds-06-03.html");
P.fA(" The Schema Holder","sds-06-04.html");
P.fA(" Security","sds-06-05.html");
P.fA(" DataServer Utilities","sds-06-06.html");
P.fA(" DataServer Demonstration Databases","sds-06-07.html");
P.fA(" DataServer Configurations","sds-06-08.html");
P.fA(" The Local DataServer Configuration","sds-06-09.html");
P.fA(" The Remote DataServer Configuration","sds-06-10.html");
P.fA(" Configuring Distributed DataServer Applications Using ProBroker","sds-06-11.html");
P.fA(" Configuring Distributed DataServer Applications Using the Progress Explorer","sds-06-12.html");
P.fA(" Software Requirements","sds-06-13.html");
P.fA(" Guidelines for Using the DataServer","sds-06-14.html");
P.fA(" Using the DataServer for SQL Server\u2122 for the First Time","sds-06-15.html");
P.fA(" Migrating a Progress Database to an MSS Data Source","sds-06-16.html");
P.fA(" Documentation Resources","sds-06-17.html");
P.fA("Programming Considerations","sds-07-01.html");
P.fA(" Database Design Issues","sds-07-02.html");
P.fA(" Progress Database Objects and MSS Database Objects","sds-07-03.html");
P.fA(" Naming Conventions","sds-07-04.html");
P.fA(" MSS Data Source Limits","sds-07-05.html");
P.fA(" Code Pages","sds-07-06.html");
P.fA(" Indexes","sds-07-07.html");
P.fA(" Case Sensitivity","sds-07-08.html");
P.fA(" MSS Data Source Views","sds-07-09.html");
P.fA(" Triggers","sds-07-10.html");
P.fA(" Progress Sequences","sds-07-11.html");
P.fA(" Data Types","sds-07-12.html");
P.fA(" User-defined Data Types","sds-07-13.html");
P.fA(" Arrays","sds-07-14.html");
P.fA(" Unknown Values","sds-07-15.html");
P.fA(" Zero-length Character Strings","sds-07-16.html");
P.fA(" Record Creation","sds-07-17.html");
P.fA(" Data Source Record Locking","sds-07-18.html");
P.fA(" Share Locks","sds-07-19.html");
P.fA(" Exclusive Locks","sds-07-20.html");
P.fA(" NO\u2013LOCK","sds-07-21.html");
P.fA(" Locking Examples","sds-07-22.html");
P.fA(" The NO\u2013WAIT Option","sds-07-23.html");
P.fA(" Transactions","sds-07-24.html");
P.fA(" Error Handling","sds-07-25.html");
P.fA(" Cursors","sds-07-26.html");
P.fA(" Forward and Backward Scrolling","sds-07-27.html");
P.fA(" Progress 4GL Issues","sds-07-28.html");
P.fA(" ROWID Function","sds-07-29.html");
P.fA(" RECID Function","sds-07-30.html");
P.fA(" DEFINE BROWSE Statement","sds-07-31.html");
P.fA(" Field Lists","sds-07-32.html");
P.fA(" FIND Statements","sds-07-33.html");
P.fA(" Compiling Progress Procedures","sds-07-34.html");
P.fA(" FOR Statements","sds-07-35.html");
P.fA(" Unsupported 4GL Statements","sds-07-36.html");
P.fA(" Stored Procedures","sds-07-37.html");
P.fA(" Defining Native Stored Procedures to Progress","sds-07-38.html");
P.fA(" Running a Stored Procedure","sds-07-39.html");
P.fA(" Retrieving Return Codes","sds-07-40.html");
P.fA(" Retrieving Output Parameter Values","sds-07-41.html");
P.fA(" Retrieving Data Source Results","sds-07-42.html");
P.fA(" Defining a View to Use As a Buffer","sds-07-43.html");
P.fA(" Sending SQL Statements Directly to the Data Source","sds-07-44.html");
P.fA(" Handling Errors from Stored Procedures","sds-07-45.html");
P.fA(" Enhancing DataServer Performance","sds-07-46.html");
P.fA(" Progress Query Types","sds-07-47.html");
P.fA(" Query Tuning","sds-07-48.html");
P.fA(" Caching Records","sds-07-49.html");
P.fA(" Join by SQLDB","sds-07-50.html");
P.fA(" Writing Queries for Performance","sds-07-51.html");
P.fA(" Modifying the Run-time Schema Check","sds-07-52.html");
P.fA("Configuring the DataServer","sds-08-01.html");
P.fA(" DataServer Components","sds-08-02.html");
P.fA(" Configuring the ODBC Driver and Registering the Data Source","sds-08-03.html");
P.fA(" Configuring the ODBC Driver","sds-08-04.html");
P.fA(" Registering Your Data Source","sds-08-05.html");
P.fA(" Configuring a Local DataServer","sds-08-06.html");
P.fA(" Configuring the Remote DataServer","sds-08-07.html");
P.fA(" Configuring with the Progress Explorer","sds-08-08.html");
P.fA(" Configuring with ProControl","sds-08-09.html");
P.fA(" Configuring from the Command Line","sds-08-10.html");
P.fA(" Creating a Schema Holder","sds-08-11.html");
P.fA(" Establishing Permissions","sds-08-12.html");
P.fA(" Preparing to Create the Schema Holder","sds-08-13.html");
P.fA(" Creating an Empty Progress Database","sds-08-14.html");
P.fA(" Creating a Schema Holder","sds-08-15.html");
P.fA(" Maintaining a Schema Holder","sds-08-16.html");
P.fA(" Updating a Deployed Schema Holder","sds-08-17.html");
P.fA("Connecting the DataServer","sds-09-01.html");
P.fA(" Starting a Local DataServer","sds-09-02.html");
P.fA(" Starting a Remote DataServer","sds-09-03.html");
P.fA(" Starting and Stopping a Broker Process from the Progress Explorer and Connecting a Client","sds-09-04.html");
P.fA(" Starting and Stopping a Broker Process Using MSSMAN","sds-09-05.html");
P.fA(" Starting and Stopping a Broker Process with ProControl","sds-09-06.html");
P.fA(" Starting and Stopping a Broker Process from the Command Line","sds-09-07.html");
P.fA(" Starting the NT or Windows Client Process","sds-09-08.html");
P.fA(" Starting the UNIX Client Process","sds-09-09.html");
P.fA(" Connection Guidelines","sds-09-10.html");
P.fA(" Connections and Security on NT","sds-09-11.html");
P.fA(" Connecting a Schema Holder","sds-09-12.html");
P.fA(" Connecting a Schema Holder at Startup","sds-09-13.html");
P.fA(" Unsupported Connection Parameters","sds-09-14.html");
P.fA(" Special Connection Issues","sds-09-15.html");
P.fA(" Query Tuning with Connection and Startup Parameters","sds-09-16.html");
P.fA(" Analyzing Performance","sds-09-17.html");
P.fA(" Local Schema Caching","sds-09-18.html");
P.fA(" Connection Failures and Progress Responses","sds-09-19.html");
P.fA(" Connection Troubleshooting","sds-09-20.html");
P.fA(" Managing Connections to a SQL Server\u2122 Database","sds-09-21.html");
P.fA(" Accessing the DataServer Log","sds-09-22.html");
P.fA("The DataServer Tutorial","sds-10-01.html");
P.fA(" Demonstration Databases for MSS DataServers","sds-10-02.html");
P.fA(" Preparing to Use the DataServer Utilities","sds-10-03.html");
P.fA(" Updating a Schema Holder","sds-10-04.html");
P.fA(" Verifying a Schema Holder ","sds-10-05.html");
P.fA(" Changing Connection Information in a Schema Holder","sds-10-06.html");
P.fA(" Modifying a Schema Holder","sds-10-07.html");
P.fA(" Modifying Table-level Information","sds-10-08.html");
P.fA(" Modifying Field-level Information","sds-10-09.html");
P.fA(" Defining the ROWID","sds-10-10.html");
P.fA(" Changing a Code Page in a Schema Holder","sds-10-11.html");
P.fA(" Deleting a Schema Holder","sds-10-12.html");
P.fA(" Adding Extended 4GL Support","sds-10-13.html");
P.fA(" Modifying Tables to Support Arrays","sds-10-14.html");
P.fA(" Modifying Tables to Support the ROWID Function","sds-10-15.html");
P.fA(" Migrating a Progress Database to SQL Server\u2122","sds-10-16.html");
P.fA(" Preparing a Data Source for the Utility","sds-10-17.html");
P.fA(" Running the Progress-to-MSS Utility","sds-10-18.html");
P.fA(" Adjust Schema Utility","sds-10-19.html");
P.fA("Troubleshooting","sds-11-1.html");
P.fA(" Tuning Your Environment with the \u2013Dsrv Startup Parameter","sds-11-2.html");
P.fA(" ODBC Options","sds-11-3.html");
P.fA(" DataServer Options","sds-11-4.html");
P.fA(" Using SQL Server\u2122 and DataServer Options","sds-11-5.html");
P.fA(" ODBC Driver Problems on Windows Platforms","sds-11-6.html");
P.fA("Migrating from ODBC DataServer","sds-12-1.html");
P.fA(" Upgrading to SQL Server 7\u2122 or Later","sds-12-2.html");
P.fA(" Creating a Schema Holder","sds-12-3.html");
P.fA(" Modifying Your Application","sds-12-4.html");
P.fA("Stored Procedure Reference","sds-13-1.html");
P.fA("CLOSE STORED\u2013PROCEDURE Statement","sds-13-2.html");
P.fA("PROC\u2013HANDLE Function","sds-13-3.html");
P.fA("PROC\u2013STATUS Function","sds-13-4.html");
P.fA("RUN STORED\u2013PROCEDURE Statement","sds-13-5.html");
P.fA("Building DataServer Executables","sds-14-1.html");
P.fA(" Overview","sds-14-2.html");
P.fA(" PROBUILD and the DataServer","sds-14-3.html");
P.fA(" PROBUILD Requirements","sds-14-4.html");
P.fA(" Building Executables on the UNIX Client","sds-14-5.html");
P.fA(" Setting Environment Variables","sds-14-6.html");
P.fA(" Linking DataServer Executables","sds-14-7.html");
P.fA("Server Related Command Line Utilities and Startup Parameters","sds-15-01.html");
P.fA(" Progress Explorer Command Line Utilities for the DataServer","sds-15-02.html");
P.fA("MSSCONFIG Utility","sds-15-03.html");
P.fA("  MSSMAN Utility","sds-15-04.html");
P.fA("NSCONFIG Utility","sds-15-05.html");
P.fA(" NSMAN Utility","sds-15-06.html");
P.fA(" Non-Progress Explorer Command-line Utilities for the DataServer","sds-15-07.html");
P.fA("PROBRKR Command ","sds-15-08.html");
P.fA(" PROSHUT Command","sds-15-09.html");
P.fA(" DataServer Startup Parameters","sds-15-10.html");
}
