function  WWHBookData_Files(P)
{
P.fA("Progress  Translation Manager  Guide","tmg-01-1.html");
P.fA("Preface","tmg-02-1.html");
P.fA("Preparing Your Application for Translation","tmg-03-01.html");
P.fA(" Advantages of Planning Ahead","tmg-03-02.html");
P.fA(" 4GL Considerations","tmg-03-03.html");
P.fA(" Defining Text as Untranslatable","tmg-03-04.html");
P.fA(" Defining Alignment and Space","tmg-03-05.html");
P.fA(" Defining Accelerator Keys","tmg-03-06.html");
P.fA(" Using Default Buttons","tmg-03-07.html");
P.fA(" Screen Layout Considerations","tmg-03-08.html");
P.fA(" Explicitly Sizing and Positioning Widgets","tmg-03-09.html");
P.fA(" Planning for Text Expansion","tmg-03-10.html");
P.fA(" Creating Adjustable Text on Rectangles","tmg-03-11.html");
P.fA(" Length and Width of Text Phrases ","tmg-03-12.html");
P.fA(" Creating Message Statements","tmg-03-13.html");
P.fA(" Adjusting Database Field Justification","tmg-03-14.html");
P.fA(" Where to Go for More Information","tmg-03-15.html");
P.fA("Overview","tmg-04-1.html");
P.fA(" Overview of the Progress Translation Process","tmg-04-2.html");
P.fA(" Tasks for the Project Manager","tmg-04-3.html");
P.fA(" Tasks for the Translator","tmg-04-4.html");
P.fA("Getting Started","tmg-05-1.html");
P.fA(" Upgrading from Version 8 to Version 9","tmg-05-2.html");
P.fA(" Organizing a Directory Structure for the Source Code","tmg-05-3.html");
P.fA(" Setting the PROPATH","tmg-05-4.html");
P.fA(" Creating and Storing Environment (.ini) Files","tmg-05-5.html");
P.fA(" Starting the Translation Manager","tmg-05-6.html");
P.fA(" Connecting to the Application Databases","tmg-05-7.html");
P.fA("Managing Projects","tmg-06-01.html");
P.fA(" What Is a Project?","tmg-06-02.html");
P.fA(" Determining the Number of Projects to Create for an Application","tmg-06-03.html");
P.fA(" Creating a Project","tmg-06-04.html");
P.fA(" Opening a Project","tmg-06-05.html");
P.fA(" Selecting the Current Project","tmg-06-06.html");
P.fA(" Closing a Project","tmg-06-07.html");
P.fA(" Selecting Source Procedures","tmg-06-08.html");
P.fA(" Adding Files to the Procedures List","tmg-06-09.html");
P.fA(" Removing Files from the Procedures List","tmg-06-10.html");
P.fA(" Viewing and Editing a File in the Procedures List","tmg-06-11.html");
P.fA("Preparing Data for Translation","tmg-07-01.html");
P.fA(" Extracting Text Phrases from Source Procedures","tmg-07-02.html");
P.fA(" Specifying Filters","tmg-07-03.html");
P.fA(" Exporting and Importing Filters","tmg-07-04.html");
P.fA(" Loading Text Phrases into the Project Database","tmg-07-05.html");
P.fA(" Generating Resource Procedures","tmg-07-06.html");
P.fA(" Working on Subsequent Iterations of a Project","tmg-07-07.html");
P.fA(" Procedure Subsets and Supersets","tmg-07-08.html");
P.fA(" Using Procedure Subsets","tmg-07-09.html");
P.fA(" Preparing Text from a Character Application","tmg-07-10.html");
P.fA(" Using Third-party Tools","tmg-07-11.html");
P.fA("Adding Glossaries","tmg-08-1.html");
P.fA(" Creating a Glossary","tmg-08-2.html");
P.fA(" Importing a Glossary","tmg-08-3.html");
P.fA(" Exporting a Glossary","tmg-08-4.html");
P.fA(" Tracking Glossary Entries","tmg-08-5.html");
P.fA("Preparing a Kit","tmg-09-1.html");
P.fA(" What Is a Kit?","tmg-09-2.html");
P.fA(" Building a Kit","tmg-09-3.html");
P.fA(" Deleting a Kit","tmg-09-4.html");
P.fA(" Pretranslation","tmg-09-5.html");
P.fA(" Changing a Kit\u2019s Source Language","tmg-09-6.html");
P.fA(" Sending a Kit to the Translator","tmg-09-7.html");
P.fA("Incorporating a Translated Kit  into the Project","tmg-10-1.html");
P.fA(" Receiving the Kit from the Translator","tmg-10-2.html");
P.fA(" Consolidating the Translated Kit into the Project Database","tmg-10-3.html");
P.fA(" Compiling the Source Code with the Translated Phrases","tmg-10-4.html");
P.fA(" Text Segment Expansion","tmg-10-5.html");
P.fA(" Running the Compiled Code in a Target Language","tmg-10-6.html");
P.fA(" Running Code from the Command Line","tmg-10-7.html");
P.fA("Updating a Project","tmg-11-1.html");
P.fA(" Printing a Statistics Report","tmg-11-2.html");
P.fA(" Editing Translations and Glossary Entries","tmg-11-3.html");
P.fA(" Browsing Through the Tab Folders","tmg-11-4.html");
P.fA(" Sorting Rows and Ordering Columns","tmg-11-5.html");
P.fA(" Inserting and Deleting Rows","tmg-11-6.html");
P.fA(" Cutting, Copying, and Pasting Text","tmg-11-7.html");
P.fA(" Scanning for Changed Source Files","tmg-11-8.html");
P.fA("Tutorial","tmg-12-01.html");
P.fA(" Preparing to Use This Tutorial","tmg-12-02.html");
P.fA(" Creating a New Translation Manager Project","tmg-12-03.html");
P.fA(" The Procedures Folder: Adding Files","tmg-12-04.html");
P.fA(" The Data Tab Folder","tmg-12-05.html");
P.fA(" Extracting Text Phrases","tmg-12-06.html");
P.fA(" Specifying Filters","tmg-12-07.html");
P.fA(" Loading Text Phrases","tmg-12-08.html");
P.fA(" Creating Resource Procedures","tmg-12-09.html");
P.fA(" The Glossary Folder","tmg-12-10.html");
P.fA(" The Kits Folder","tmg-12-11.html");
P.fA(" Creating a Kit","tmg-12-12.html");
P.fA(" Creating a Zip File","tmg-12-13.html");
P.fA(" Installing a Zip File and Consolidating a Kit Received from the Translator","tmg-12-14.html");
P.fA(" Compiling Source Code with the Translated Phrases","tmg-12-15.html");
P.fA("Troubleshooting","tmg-13-1.html");
P.fA("Translation Manager Interface Reference","tmg-14-1.html");
P.fA(" Tab Folders","tmg-14-2.html");
P.fA(" Procedures Tab Folder","tmg-14-3.html");
P.fA(" Data Tab Folder","tmg-14-4.html");
P.fA(" Glossary Tab Folder","tmg-14-5.html");
P.fA(" Kits Tab Folder","tmg-14-6.html");
P.fA(" Statistics Tab Folder","tmg-14-7.html");
P.fA(" Menu Bar","tmg-14-8.html");
P.fA(" Toolbar","tmg-14-9.html");
P.fA("Glossary","tmg-15-1.html");
}
