function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("WebSpeed Developer\u2019s Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp419364");
B=A.fN("Audience","1#wp419372");
B=A.fN("Organization of This Manual","1#wp419382");
B=A.fN("How to Use This Manual","1#wp419430");
B=A.fN("Typographical Conventions","1#wp433477");
B=A.fN("Syntax Notation","1#wp433509");
B=A.fN("WebSpeed Messages","1#wp433829");
B=A.fN("Other Useful Documentation","1#wp433852");
A=P.fN("Introducing WebSpeed","2#wp297245");
B=A.fN(" What is WebSpeed?","3");
B=A.fN(" Advantages of WebSpeed","4");
B=A.fN(" An Overview of WebSpeed","5");
B=A.fN(" SpeedScript","6");
A=P.fN("Overview of WebSpeed Tools","7#wp856158");
B=A.fN(" The AppBuilder","8");
var C=B.fN(" Visual and Nonvisual Objects","9");
C=B.fN(" SmartDataObjects","10");
C=B.fN(" Templates and Wizards","11");
C=B.fN(" Editors","12");
B=A.fN(" Running the WebSpeed AppBuilder","13");
C=B.fN(" Preliminary Requirements for Running the WebSpeed AppBuilder","14");
C=B.fN(" Starting the WebSpeed AppBuilder","15");
C=B.fN(" Connecting to a Database Server","16");
C=B.fN(" Specifying a Default Browser","17");
C=B.fN(" Specifying a WebSpeed Broker","18");
C=B.fN(" Setting the Development Mode","19");
C=B.fN(" AppBuilder Documentation","20");
B=A.fN(" WebTools","21");
C=B.fN(" WebTools Documentation","22");
B=A.fN(" Other WebSpeed Components","23");
B=A.fN(" WebSpeed Source Files","24");
A=P.fN("WebSpeed Architecture","25#wp807107");
B=A.fN(" WebSpeed Components","26");
C=B.fN(" WebSpeed Component Distribution","27");
C=B.fN(" WebSpeed Transaction Server Products","28");
B=A.fN(" How WebSpeed Handles a Request","29");
B=A.fN(" WebSpeed Configuration and Management","30");
C=B.fN(" Progress Explorer","31");
C=B.fN(" Command-line Utilities","32");
C=B.fN(" SpeedStart","33");
A=P.fN("Sample Web Objects","34#wp320514");
B=A.fN(" Types of Web Objects","35");
C=B.fN(" Standard or Static HTML Web Objects","36");
C=B.fN(" Embedded SpeedScript Web Objects","37");
C=B.fN(" CGI Wrapper Web Objects","38");
C=B.fN(" HTML Mapped Web Objects","39");
C=B.fN(" General Criteria for Use","40");
B=A.fN(" Using Web Object Examples","41");
C=B.fN(" Web Object URLs and PROPATH","42");
B=A.fN(" Embedded SpeedScript Examples","43");
C=B.fN(" A Simple Query","44");
C=B.fN(" Handling Form Input","45");
B=A.fN(" CGI Wrapper Example","46");
B=A.fN(" HTML Mapping Examples","47");
C=B.fN(" Simple HTML Mapping","48");
C=B.fN(" Complex HTML Mapping","49");
C=B.fN(" Complex HTML Mapping That Includes a SmartDataObject","50");
A=P.fN("SpeedScript","51#wp743879");
B=A.fN(" SpeedScript and Progress 4GL","52");
C=B.fN(" Similarities","53");
C=B.fN(" Differences","54");
B=A.fN(" Elements of SpeedScript Syntax","55");
C=B.fN(" Running Procedures and Web Objects","56");
C=B.fN(" Blocks and Context","57");
C=B.fN(" Block Context and Resource Scope","58");
C=B.fN(" Compile-time Versus Run-time Code","59");
B=A.fN(" WebSpeed Preprocessors","60");
B=A.fN(" WebSpeed API Functions","61");
C=B.fN(" Message Handling","62");
C=B.fN(" Passing Information Between Web Requests","63");
C=B.fN(" General Information Exchange","64");
C=B.fN(" Managing Date and Time Information","65");
C=B.fN(" Generating Web Page Headers","66");
C=B.fN(" Checking Configuration Options","67");
B=A.fN(" XML Support in SpeedScript","68");
B=A.fN(" Overview of Embedded SpeedScript","69");
B=A.fN(" Authoring Embedded SpeedScript Files","70");
B=A.fN(" How to Embed SpeedScript in HTML","71");
C=B.fN(" Statement Escapes","72");
C=B.fN(" Expression Escapes","73");
B=A.fN(" Building Interactive Web Pages with Embedded SpeedScript","74");
C=B.fN(" Passing Parameters","75");
C=B.fN(" Managing Dynamic Pages with Forms","76");
B=A.fN(" Using &lt;META&gt; and &lt;!--WSMETA --&gt; Tags","77");
C=B.fN(" Specifying File Type Options","78");
C=B.fN(" Specifying HTTP Header Information","79");
C=B.fN(" Generating Information Prior to HTTP Header Output","80");
B=A.fN(" Developing Embedded SpeedScript Web Objects","81");
C=B.fN(" Building Embedded SpeedScript Web Objects","82");
C=B.fN(" Running Embedded SpeedScript Web Objects","83");
A=P.fN("Handling DISPLAY Output","84#wp270288");
B=A.fN(" Working with DISPLAY Output","85");
C=B.fN(" Directing DISPLAY Output","86");
C=B.fN(" Formatting DISPLAY Output","87");
B=A.fN(" Changing Output Format Defaults","88");
C=B.fN(" Setting {&amp;WEBSTREAM} Defaults","89");
C=B.fN(" Setting HTML Attribute Defaults","90");
A=P.fN("Generating HTML Visualizations","91#wp266898");
B=A.fN(" HTML Visualizations","92");
B=A.fN(" Using the Support for HTML Table Visualizations","93");
B=A.fN(" Generating HTML Tables with a Custom Tag","94");
C=B.fN(" Rules for Using Custom Tags","95");
C=B.fN(" Using the &lt;!--WSTAG--&gt; Custom Tag","96");
C=B.fN(" How tagrun.p Interacts with the Custom Tag","97");
C=B.fN(" Using the Table Template","98");
C=B.fN(" Compiling the Table Template","99");
B=A.fN(" Generating HTML Tables Directly from SpeedScript","100");
B=A.fN(" Adding a Template to AppBuilder","101");
B=A.fN(" Support for Other HTML Visualizations","102");
A=P.fN("Controlling WebSpeed Transactions","103#wp467191");
B=A.fN(" Defining State","104");
C=B.fN(" Web Object States","105");
C=B.fN(" WebSpeed Application States","106");
C=B.fN(" Advantages and Drawbacks of State-persistence","107");
B=A.fN(" Understanding WebSpeed Transaction Control","108");
C=B.fN(" How To Make a Web Object State-aware","109");
C=B.fN(" Web Objects in Stateless and State-persistent Contexts","110");
B=A.fN(" Primary and Secondary Web Objects","111");
C=B.fN(" Running Primary and Secondary Web Objects","112");
C=B.fN(" State-aware Web Objects and Persistence","113");
B=A.fN(" Implementing Transaction Control","114");
C=B.fN(" Modifying the outputHeader Procedure","115");
C=B.fN(" Modifying the process-web-request Procedure","116");
C=B.fN(" Overriding Procedures and Functions","117");
C=B.fN(" Modifying the Attribute List","118");
C=B.fN(" Modifying the User Field List","119");
B=A.fN(" Transaction Control with Embedded SpeedScript Web Objects","120");
B=A.fN(" Transaction Control with CGI Wrapper Web Objects","121");
B=A.fN(" Transaction Control with HTML-mapping Web Objects","122");
C=B.fN(" Anatomy of process-web-request in HTML-mapping","123");
C=B.fN(" Modifying the Request Logic","124");
C=B.fN(" Moving Data Through the HTML Mapping Web Object","125");
C=B.fN(" Creating Definitions","126");
C=B.fN(" Modifying the Main Code Block","127");
C=B.fN(" Customizing Field Object Control Handlers","128");
B=A.fN(" Handling State-aware Time-outs","129");
C=B.fN(" Using a Web Object Time-out Handler","130");
C=B.fN(" Resetting a Web Object\u2019s Time-out Period","131");
C=B.fN(" Allowing WebSpeed to Handle Time-outs","132");
A=P.fN("Controlling Database Transactions","133#wp565900");
B=A.fN(" What Is a Database Transaction?","134");
C=B.fN(" DB Transactions in Code","135");
C=B.fN(" All-or-nothing Processing","136");
B=A.fN(" Understanding the Scope of DB Transactions","137");
C=B.fN(" Subtransactions","138");
C=B.fN(" Controlling Where DB Transactions Begin and End","139");
B=A.fN(" SpeedScript Components and DB Transactions","140");
C=B.fN(" Subprocedures","141");
C=B.fN(" File Input","142");
C=B.fN(" Program Variables","143");
B=A.fN(" DB Transactions in Applications","144");
C=B.fN(" Multi-database Applications","145");
C=B.fN(" Distributed Applications","146");
B=A.fN(" Determining When DB Transactions Are Active","147");
B=A.fN(" Transaction System Mechanics","148");
C=B.fN(" Database Transaction Mechanics","149");
C=B.fN(" Subtransaction Mechanics","150");
B=A.fN(" Efficient DB Transaction Processing","151");
B=A.fN(" Multi-page DB Transactions","152");
C=B.fN(" Managing Multi-page DB Transactions","153");
C=B.fN(" Working with the Multi-page Transaction Example","154");
C=B.fN(" Guidelines for Usage","155");
A=P.fN("Running Applications","156#wp518130");
B=A.fN(" Setting Up an Application Environment","157");
C=B.fN(" Creating a Working Application Directory","158");
C=B.fN(" Moving Application Files to Appropriate Directories","159");
C=B.fN(" Compiling Web Objects","160");
C=B.fN(" Making Your Application Secure","161");
B=A.fN(" Starting and Stopping an Application","162");
B=A.fN(" Debugging WebSpeed Applications","163");
C=B.fN(" Adding debug=on to URL","164");
C=B.fN(" Persistent Debugging Uses Cookies","165");
C=B.fN(" Calling the Virtual Debug Web Object","166");
C=B.fN(" Debugging and Administrative Options","167");
C=B.fN(" Utilizing Debugging in Your Application","168");
C=B.fN(" Reading the Broker\u2019s Log Files","169");
}
